import { EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Content of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for use with other convenience elements, such as `<bao-alert-title>`; any custom
 * content block element may be used in its place.
 *
 * BaoAlertContent provides no behaviors, instead serving as a purely visual treatment.
 */
/**
 * Title of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for one variety of alert title; any custom title element may be used in its place.
 *
 * BaoAlertTitle provides no behaviors, instead serving as a purely visual treatment.
 */
export declare class BaoAlertTitle {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAlertTitle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoAlertTitle, "bao-alert-title", never, {}, {}, never, never, false, never>;
}
/**
 * Content of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for use with other convenience elements, such as `<bao-alert-title>`; any custom
 * content block element may be used in its place.
 *
 * BaoAlertContent provides no behaviors, instead serving as a purely visual treatment.
 */
export declare class BaoAlertContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAlertContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoAlertContent, "bao-alert-content", never, {}, {}, never, never, false, never>;
}
/**
 * Bottom area of an alert that contains action buttons, intended for use within `<bao-alert>`.
 * This component is an optional convenience for use with other convenience elements, such as
 * `<bao-alert-content>`; any custom action block element may be used in its place.
 *
 * BaoAlertActions provides no behaviors, instead serving as a purely visual treatment.
 */
export declare class BaoAlertActions {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAlertActions, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoAlertActions, "bao-alert-actions", ["baoAlertActions"], {}, {}, never, never, false, never>;
}
/**
 * Link inside an alert message, intended for use within `<bao-alert>`.
 * This component is an optional convenience for use with other convenience elements, such as
 * `<bao-alert-content>`; any custom action block element may be used in its place.
 *
 * BaoAlertLink provides no behaviors, instead serving as a purely visual treatment.
 */
export declare class BaoAlertLink {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAlertLink, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoAlertLink, "bao-alert-link", never, {}, {}, never, never, false, never>;
}
/**
 * BAO alert component. Alerts should be used when the message concerns an
 * external subject or a part of the page
 *
 * See https://zeroheight.com/575tugn0n/p/03c51f-messages-dalerte/t/80b47c
 *
 * BaoAlertComponent provides no behaviors, instead serving as a purely visual treatment.
 */
export declare class BaoAlertComponent implements OnChanges {
    /**
     * Alert type
     */
    type: 'success' | 'danger' | 'warning' | 'emergency' | 'info';
    dismissible: boolean;
    alertTypeTitle?: string;
    dismissibleButtonAriaLabel?: string;
    dismiss: EventEmitter<any>;
    iconType: string;
    iconTitle: string;
    ngOnChanges(changes: SimpleChanges): void;
    alertTypeIcon(value: string): any;
    alertTitleIcon(value: string): any;
    onDismissClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoAlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoAlertComponent, "bao-alert", never, { "type": { "alias": "type"; "required": false; }; "dismissible": { "alias": "dismissible"; "required": false; }; "alertTypeTitle": { "alias": "alertTypeTitle"; "required": false; }; "dismissibleButtonAriaLabel": { "alias": "dismissibleButtonAriaLabel"; "required": false; }; }, { "dismiss": "dismiss"; }, never, ["*"], false, never>;
}
