import { AfterContentInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoButtonComponent implements AfterContentInit {
    private elementRef;
    private cdr;
    /**
     * The display type of the button
     */
    displayType: 'utility' | 'editorial';
    /**
     * The hierarchy level of the button
     */
    level: 'primary' | 'secondary' | 'tertiary';
    /**
     * The size of the button
     */
    size: 'large' | 'medium' | 'small';
    /**
     * Flag to set the button in loading state
     */
    loading: boolean;
    /**
     * Flag to set the button reversed color mode
     */
    reversed: boolean;
    /**
     * The aria-label of the loading spinner if it displayed alone
     */
    loadingSpinnerAriaLabel: string;
    /**
     * Allows the button to grow to the width of it's container
     */
    fullWidth: boolean;
    /**
     * If there is no text, some margin/padding will be different, i.e. for the spinner
     */
    noText: boolean;
    /**
     * If the icon is on the right of the label, the loading spinner will need to be on the right of the label
     */
    rightIcon: boolean;
    constructor(elementRef: ElementRef<HTMLElement>, cdr: ChangeDetectorRef);
    get nativeElement(): HTMLElement;
    ngAfterContentInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoButtonComponent, "button[bao-button]", never, { "displayType": { "alias": "displayType"; "required": false; }; "level": { "alias": "level"; "required": false; }; "size": { "alias": "size"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "reversed": { "alias": "reversed"; "required": false; }; "loadingSpinnerAriaLabel": { "alias": "loadingSpinnerAriaLabel"; "required": false; }; "fullWidth": { "alias": "fullWidth"; "required": false; }; }, {}, never, ["*"], false, never>;
}
