import * as i0 from "@angular/core";
/**
 * A basic content container component that adds the styles of a BAO design card.
 *
 * While this component can be used alone, it also provides a number
 * of preset styles for common card sections, including:
 * * bao-card-body
 * * bao-card-title
 * * bao-card-bao-text-interface
 * * More to come!
 */
export declare class BaoCardComponent {
    padding: 'normal' | 'large';
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoCardComponent, "bao-card, [bao-card], [baoCard]", never, { "padding": { "alias": "padding"; "required": false; }; }, {}, never, ["bao-card-header", "bao-card-content"], false, never>;
}
/**
 * Header of a card, needed as it's used as a selector in the API.
 */
export declare class BaoCardHeader {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCardHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoCardHeader, "bao-card-header, [bao-card-header], [baoCardHeader]", never, {}, {}, never, never, false, never>;
}
/**
 * Body of a card, needed as it's used as a selector in the API.
 */
export declare class BaoCardContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCardContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoCardContent, "bao-card-content, [bao-card-content], [baoCardContent]", never, {}, {}, never, never, false, never>;
}
/**
 * Title of a card, needed as it's used as a selector in the API.
 */
export declare class BaoCardTitle {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCardTitle, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoCardTitle, "bao-card-title, [bao-card-title], [baoCardTitle]", never, {}, {}, never, never, false, never>;
}
/**
 * Text of a card, needed as it's used as a selector in the API.
 */
export declare class BaoCardTextInterface {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoCardTextInterface, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoCardTextInterface, "bao-card-text-interface, [bao-card-text-interface], [baoCardTextInterface]", never, {}, {}, never, never, false, never>;
}
