import { Optional } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
/**
 * To modify the labels and text displayed, create a new instance of BaoFileIntl and
 * include it in a custom provider
 */
export declare class BaoFileIntl {
    /**
     * Stream to emit from when labels are changed. Use this to notify components when the labels have
     * changed after initialization.
     */
    readonly changes: Subject<void>;
    /** The label for button in dropzone */
    dropzoneButtonLabel: string;
    /** The default dropzone instructions */
    defaultDropzoneInstructions: string;
    /** Error message displayed when uploaded file is too large */
    fileTooBigErrorMessage: string;
    /** Error message displayed when uploaded file has an invalid type */
    invalidFileTypeErrorMessage: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoFileIntl, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaoFileIntl>;
}
export declare class BaoFileIntlEnglish extends BaoFileIntl {
    /** The label for button in dropzone */
    dropzoneButtonLabel: string;
    /** The default dropzone instructions */
    defaultDropzoneInstructions: string;
    /** Error message displayed when uploaded file is too large */
    fileTooBigErrorMessage: string;
    /** Error message displayed when uploaded file has an invalid type */
    invalidFileTypeErrorMessage: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoFileIntlEnglish, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BaoFileIntlEnglish>;
}
/** @docs-private */
export declare function BAO_FILE_INTL_PROVIDER_FACTORY(parentIntl: BaoFileIntl): BaoFileIntl;
/** @docs-private */
export declare const BAO_FILE_INTL_PROVIDER: {
    provide: typeof BaoFileIntl;
    deps: Optional[][];
    useFactory: typeof BAO_FILE_INTL_PROVIDER_FACTORY;
};
