import { EventEmitter, OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * The BaoMessageBarContent directive is used within the <bao-message-bar>
 * It ensures consistency in text formatting and spacing.
 *
 * This directive is purely visual and does not provide any additional behaviors.
 */
export declare class BaoMessageBarContent {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoMessageBarContent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoMessageBarContent, "bao-message-content", never, {}, {}, never, never, false, never>;
}
export declare class BaoMessageBarComponent implements OnChanges {
    private elementRef;
    type: 'info' | 'alert' | 'urgent' | 'neutral';
    dismissible: boolean;
    dismissibleButtonAriaLabel: string;
    dismiss: EventEmitter<void>;
    iconType: string;
    iconTitle: string;
    constructor(elementRef: ElementRef);
    ngOnChanges(changes: SimpleChanges): void;
    onDismissClicked(): void;
    private getIconType;
    private getIconTitle;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoMessageBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoMessageBarComponent, "bao-message-bar", never, { "type": { "alias": "type"; "required": false; }; "dismissible": { "alias": "dismissible"; "required": false; }; "dismissibleButtonAriaLabel": { "alias": "dismissibleButtonAriaLabel"; "required": false; }; }, { "dismiss": "dismiss"; }, never, ["*"], false, never>;
}
