import { OnChanges, OnInit, SimpleChanges, ElementRef } from '@angular/core';
import { BaoModal } from './modal';
import { BaoModalRef } from './modal-ref';
import * as i0 from "@angular/core";
/**
 * Button that will close the current dialog.
 */
export declare class BaoModalClose implements OnInit, OnChanges {
    modalRef: BaoModalRef<unknown> | null;
    private _elementRef;
    private _dialog;
    /** Screenreader label for the button. */
    ariaLabel: string;
    /** Default to "button" to prevents accidental form submits. */
    type: 'submit' | 'button' | 'reset';
    /** Dialog close input. */
    dialogResult: unknown;
    _baoModalClose: unknown;
    constructor(modalRef: BaoModalRef<unknown> | null, _elementRef: ElementRef<HTMLElement>, _dialog: BaoModal);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _onButtonClick(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoModalClose, [{ optional: true; }, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoModalClose, "[bao-modal-close], [baoModalClose]", ["BaoModalClose"], { "ariaLabel": { "alias": "aria-label"; "required": false; }; "type": { "alias": "type"; "required": false; }; "dialogResult": { "alias": "bao-modal-close"; "required": false; }; "_baoModalClose": { "alias": "baoModalClose"; "required": false; }; }, {}, never, never, false, never>;
}
