import { BaoSnackBarToastType } from './snack-bar-config';
import { BaoSnackBarRef } from './snack-bar-ref';
import * as i0 from "@angular/core";
/**
 * Interface for a simple snack bar component that has a message and a single action.
 */
export interface ITextOnlySnackBar {
    data: {
        message: string;
        toastType: BaoSnackBarToastType;
        actionLabelOrIcon: string;
        showClose: boolean;
    };
    snackBarRef: BaoSnackBarRef<ITextOnlySnackBar>;
    action: () => void;
    hasAction: boolean;
}
/**
 * A component used to open as the default snack bar, matching material spec.
 * This should only be used internally by the snack bar service.
 */
export declare class BaoSimpleSnackBarComponent implements ITextOnlySnackBar {
    snackBarRef: BaoSnackBarRef<BaoSimpleSnackBarComponent>;
    showCloseTitle: string;
    /** Data that was injected into the snack bar. */
    data: {
        message: string;
        toastType: BaoSnackBarToastType;
        actionLabelOrIcon: string;
        showClose: boolean;
    };
    constructor(snackBarRef: BaoSnackBarRef<BaoSimpleSnackBarComponent>, data: any);
    /** Returns the politeness */
    get politeness(): string;
    /** Returns the toast class */
    get toastClass(): string;
    /** Returns the toast icon */
    get toastIcon(): string;
    /** Returns the toast icon title */
    get toastIconTitle(): string;
    /** If the action button should be shown. */
    get hasAction(): boolean;
    /** If the action is an icon */
    get isActionIcon(): boolean;
    /** Performs the action on the snack bar. */
    action(): void;
    /** Closes the snack bar. */
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoSimpleSnackBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoSimpleSnackBarComponent, "bao-simple-snack-bar", never, {}, {}, never, never, false, never>;
}
