import { ElementRef, AfterViewInit, OnInit } from '@angular/core';
import { EDisplayMode } from '../shared';
import * as i0 from "@angular/core";
export declare class BaoSummaryComponent implements OnInit, AfterViewInit {
    private elementRef;
    /**
     * Set display mode
     * RESPONSIVE (viewport width <=> is 576px)
     * COMPACT (viewport width < 576px)
     */
    displayMode: EDisplayMode;
    /**
     * Set value of unique ID for bao-label
     */
    id: string;
    /**
     * The aria-describebdy-error id for web accessibility
     * only when error section appears
     */
    ariaDescribedbyError?: string;
    /**
     * The aria-describebdy-text id for web accessibility
     * only when we have de guidance text
     */
    ariaDescribedbyGuidingText?: string;
    /**
     * The aria-labelledby id for web accessibility
     */
    ariaLabelledby?: string;
    /**
     * Initialize the ID for summary
     */
    private _uniqueId;
    private attribues;
    constructor(elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setAriaDescribedByToDescription(): void;
    private elementNode;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoSummaryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoSummaryComponent, "bao-summary, [bao-summary], [baoSummary]", never, { "displayMode": { "alias": "displayMode"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, {}, never, ["bao-label", "bao-guiding-text, [bao-guiding-text]", "bao-title-text, [bao-title-text]", "bao-summary-description", "bao-list-summary, [bao-list-summary], [baoListSummary]", "button[bao-button]", "bao-error, [bao-error]"], false, never>;
}
export declare class BaoSummaryDescription {
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoSummaryDescription, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoSummaryDescription, "bao-summary-description, [bao-summary-description], [baoSummaryDescription]", never, {}, {}, never, never, false, never>;
}
