import { BreakpointObserver } from '@angular/cdk/layout';
import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, OnInit, Renderer2, SimpleChanges, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * This component is dynamically added to replace breadcrumb when System Header is viewed on tablet or mobile screens.
 * Used internally by BaoSystemHeaderComponent only, not to be used by host application.
 */
export declare class BaoBackNavigationComponent implements OnChanges {
    private renderer;
    private elementRef;
    link: string;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    ngOnChanges(changes: SimpleChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoBackNavigationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoBackNavigationComponent, "bao-back-navigation-component", never, { "link": { "alias": "link"; "required": false; }; }, {}, never, never, false, never>;
}
/**
 * This directive is to mark the template where the BaoBackNavigationComponent should be dynamically inserted,
 * when a Breadcrumb component needs to be replaced
 */
export declare class BaoBackNavigationInsert {
    viewContainerRef: ViewContainerRef;
    constructor(viewContainerRef: ViewContainerRef);
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoBackNavigationInsert, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoBackNavigationInsert, "[backNavigationInsert]", never, {}, {}, never, never, false, never>;
}
export declare class BaoSystemHeaderComponent implements AfterViewInit, OnInit {
    private cd;
    private breakpointObserver;
    private renderer;
    private textContainer;
    private backButtonInsert;
    screenType: 'mobile' | 'tablet' | 'desktop';
    constructor(cd: ChangeDetectorRef, breakpointObserver: BreakpointObserver, renderer: Renderer2);
    get textContainerChildren(): Element[];
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private formatNavigation;
    private applySizeClass;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoSystemHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoSystemHeaderComponent, "bao-system-header", never, {}, {}, never, ["a", "bao-breadcrumb", "h1", "bao-tag", "span", "*"], false, never>;
}
