import { AfterContentInit, AfterViewInit, ElementRef, EventEmitter, OnDestroy, QueryList, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class BaoTabHeader implements AfterViewInit {
    private renderer;
    private elementRef;
    /**
     * Emits its index when tab is clicked
     */
    onTabClick: EventEmitter<string>;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    onClick(el: HTMLElement): void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoTabHeader, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoTabHeader, "bao-tab-header, [bao-tab-header]", ["baoTabHeader"], {}, { "onTabClick": "onTabClick"; }, never, never, false, never>;
}
export declare class BaoTabPanel implements AfterViewInit {
    private renderer;
    private elementRef;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoTabPanel, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoTabPanel, "bao-panel, [bao-panel]", ["baoPanel"], {}, {}, never, never, false, never>;
}
export declare class BaoTablistComponent implements AfterViewInit, AfterContentInit, OnDestroy {
    private renderer;
    private elementRef;
    tabHeaders: QueryList<BaoTabHeader>;
    /**
     * Size of the tabs displayed
     */
    size: 'small' | 'medium' | 'large';
    /**
     * Optionnal value to be used as aria-label property on tablist component
     */
    ariaLabel: string;
    /**
     * Emits the index of the new active tab
     */
    activeTabChange: EventEmitter<string>;
    /**
     * Index of the tab that is currently active
     */
    private activeTabIndex;
    /**
     * Unique ID for every instance of BaoTablist component
     */
    private uniqueId;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get nativeElement(): HTMLElement;
    get tabs(): HTMLCollection;
    leftKeyEvent(): void;
    rightKeyEvent(): void;
    /**
     * Makes the focus visible on tab header when changing from mouse to keyboard navigation
     */
    tabKeyEvent(): void;
    /**
     * Makes the focus visible on tab header when changing from mouse to keyboard navigation
     */
    tabShiftKeyEvent(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    private setTablistAttributes;
    private setInitialActiveTab;
    private changeActiveTab;
    /**
     * Finds the next activable tab index when navigating with left and right arrow keys
     * @param currentIndex Tab index which currently has focus
     * @param isRight Whether the tab navigation is going in the right direction or not
     * @returns Index of the new tab that will receive focus
     */
    private getNextActivableTabIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoTablistComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BaoTablistComponent, "bao-tablist, [bao-tablist]", never, { "size": { "alias": "size"; "required": false; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; }; }, { "activeTabChange": "activeTabChange"; }, ["tabHeaders"], ["*"], false, never>;
}
export declare class BaoTabsContainer implements AfterViewInit, AfterContentInit, OnDestroy {
    private renderer;
    private elementRef;
    tablist: BaoTablistComponent;
    private panelIdPrefix;
    private tabIdPrefix;
    constructor(renderer: Renderer2, elementRef: ElementRef<HTMLElement>);
    get tabs(): HTMLCollection;
    get panels(): NodeListOf<Element>;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    private setInitialActivePanel;
    private changeActivePanel;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaoTabsContainer, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaoTabsContainer, "bao-tabs, [bao-tabs]", ["baoTabs"], {}, {}, ["tablist"], never, false, never>;
}
