import * as i0 from '@angular/core';
import { SecurityContext, Inject, Injectable, Input, ChangeDetectionStrategy, ViewEncapsulation, Component, NgModule, Directive, EventEmitter, Output, CUSTOM_ELEMENTS_SCHEMA, ViewChild, forwardRef, HostListener, ContentChildren, Optional, SkipSelf, ViewChildren, InjectionToken, Injector, TemplateRef, inject, ContentChild } from '@angular/core';
import * as i1$1 from '@angular/common';
import { DOCUMENT, CommonModule } from '@angular/common';
import * as i1 from '@angular/platform-browser';
import * as i1$2 from '@angular/cdk/observers';
import { ObserversModule } from '@angular/cdk/observers';
import { NG_VALUE_ACCESSOR, FormsModule, ReactiveFormsModule } from '@angular/forms';
import * as i1$3 from '@angular/cdk/a11y';
import * as i1$4 from '@angular/cdk/overlay';
import { OverlayConfig, OverlayModule } from '@angular/cdk/overlay';
import * as i3 from '@angular/cdk/portal';
import { DomPortal, PortalModule, BasePortalOutlet, CdkPortalOutlet, ComponentPortal, TemplatePortal, PortalInjector } from '@angular/cdk/portal';
import { Subject, filter, take, defer, startWith } from 'rxjs';
import * as i1$5 from '@angular/cdk/platform';
import { _getFocusedElementPierceShadowDom } from '@angular/cdk/platform';
import { ESCAPE, hasModifierKey } from '@angular/cdk/keycodes';
import { coerceBooleanProperty } from '@angular/cdk/coercion';
import * as i2 from '@angular/cdk/collections';
import { take as take$1 } from 'rxjs/operators';
import { trigger, state, transition, style, animate } from '@angular/animations';
import * as i2$1 from '@angular/cdk/layout';

function baoColorToHex(baoColor) {
    switch (baoColor) {
        case "action" /* BaoColors.ACTION */:
            return '#097D6C';
        case "primary" /* BaoColors.PRIMARY */:
            return '#000000';
        case "primary-reversed" /* BaoColors.PRIMARY_REVERSED */:
            return '#FFFFFF';
        case "secondary" /* BaoColors.SECONDARY */:
            return '#637381';
        case "tertiary" /* BaoColors.TERTIARY */:
            return '#ADB5BD';
        case "informative" /* BaoColors.INFORMATIVE */:
            return '#0079C4';
        case "negative" /* BaoColors.NEGATIVE */:
            return '#D3310A';
        case "positive" /* BaoColors.POSITIVE */:
            return '#0DA566';
        case "warning" /* BaoColors.WARNING */:
            return '#FFB833';
        default:
            return '#097D6C';
    }
}

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const ICONS_DCT = {
    'icon-anchor': "<path fill-rule='evenodd' clip-rule='evenodd' d='M12 1a4 4 0 011 7.874v12.071A9.004 9.004 0 0020.946 13H19a1 1 0 110-2h3a1 1 0 011 1c0 6.075-4.925 11-11 11a1 1 0 01-1-1V8.874A4.002 4.002 0 0112 1zM5 11a1 1 0 110 2H3.055a9.003 9.003 0 005.372 7.263 1 1 0 01-.795 1.835A11.001 11.001 0 011 12a1 1 0 011-1h3zm7-8a2 2 0 100 4 2 2 0 000-4z'/>",
    'icon-apps': "<path fill-rule='evenodd' d='M4 1h4a3 3 0 013 3v4a3 3 0 01-3 3H4a3 3 0 01-3-3V4a3 3 0 013-3zm0 2a1 1 0 00-1 1v4a1 1 0 001 1h4a1 1 0 001-1V4a1 1 0 00-1-1H4zm0 10h4a3 3 0 013 3v4a3 3 0 01-3 3H4a3 3 0 01-3-3v-4a3 3 0 013-3zm0 2a1 1 0 00-1 1v4a1 1 0 001 1h4a1 1 0 001-1v-4a1 1 0 00-1-1H4zM16 1h4a3 3 0 013 3v4a3 3 0 01-3 3h-4a3 3 0 01-3-3V4a3 3 0 013-3zm0 2a1 1 0 00-1 1v4a1 1 0 001 1h4a1 1 0 001-1V4a1 1 0 00-1-1h-4zm4 18a1 1 0 010 2h-4a3 3 0 01-3-3v-4a3 3 0 013-3h4a3 3 0 013 3v3a1 1 0 01-2 0v-3a1 1 0 00-1-1h-4a1 1 0 00-1 1v4a1 1 0 001 1h4z'/>",
    'icon-archive': "<path fill-rule='evenodd' d='M2 9H1a1 1 0 01-1-1V3a1 1 0 011-1h22a1 1 0 011 1v5a1 1 0 01-1 1H4v11h16v-8a1 1 0 012 0v9a1 1 0 01-1 1H3a1 1 0 01-1-1V9zm0-5v3h20V4H2zm8 9a1 1 0 010-2h4a1 1 0 010 2h-4z'/>",
    'icon-arrow-left': "<path fill-rule='evenodd' d='M3.073 11.624a1 1 0 00.22 1.083l6 6a1 1 0 001.414-1.414L6.414 13H20a1 1 0 000-2H4a1 1 0 00-.921.61zm7.634-4.917a1 1 0 10-1.414-1.414L6.258 8.328a1 1 0 101.414 1.414l3.035-3.035z'/>",
    'icon-arrow-right': "<path fill-rule='evenodd' d='M20.927 11.624a1 1 0 01-.22 1.083l-6 6a1 1 0 01-1.414-1.414L17.586 13H4a1 1 0 010-2h16a1 1 0 01.921.61zm-7.634-4.917a1 1 0 111.414-1.414l3.035 3.035a1 1 0 11-1.414 1.414l-3.035-3.035z'/>",
    'icon-bell-active': "<path fill-rule='evenodd' d='M12 1a1 1 0 01.993.883L13 2v1.07c3.392.486 6 3.404 6 6.93v4.172c0 1.545.614 3.028 1.707 4.12.63.63.184 1.708-.707 1.708h-5l-.005.176A3 3 0 019 20.001L4 20c-.89 0-1.337-1.077-.707-1.707A5.828 5.828 0 005 14.172V10a7.002 7.002 0 016-6.93V2a1 1 0 011-1zm1 19h-2a1 1 0 002 0zM12 5a5 5 0 00-5 5v4.172C7 15.524 6.65 16.84 6 18h12c-.65-1.16-1-2.476-1-3.828V10a5 5 0 00-5-5zM5.6 1.793a1 1 0 010 1.414 8.967 8.967 0 00-2.636 6.364 1 1 0 11-2 0c0-2.898 1.132-5.688 3.222-7.778a1 1 0 011.415 0zm14.143 0a10.967 10.967 0 013.221 7.778 1 1 0 01-2 0 8.967 8.967 0 00-2.636-6.364 1 1 0 111.415-1.414z'/>",
    'icon-bell-off': "<path fill-rule='evenodd' d='M1.613.21l.094.083 22 22a1 1 0 01-1.32 1.497l-.094-.083L18.584 20H15V20a3 3 0 01-6 0v-.001L4 20c-.852 0-1.297-.986-.783-1.623l.076-.084A5.828 5.828 0 005 14.172c0-.029.001-.057.003-.085L5 14v-4c0-1.004.248-1.875.75-2.832L.294 1.708A1 1 0 011.613.21zM11 19.999V20a1 1 0 002 0v-.001h-2zM7.257 8.674c-.15.385-.23.747-.252 1.126L7 10v4l-.005.083.005.089c0 1.24-.294 2.449-.844 3.535L6 18l10.584-.001-9.327-9.325zM12 1a1 1 0 01.993.883L13 2l.001 1.071A7.002 7.002 0 0119 10v3a1 1 0 01-2 0v-3a5 5 0 00-7.172-4.505 1 1 0 11-.87-1.8A6.955 6.955 0 0111 3.07V2a1 1 0 011-1z'/>",
    'icon-bell': "<path fill-rule='evenodd' d='M12 1a1 1 0 011 1l.001 1.071A7.002 7.002 0 0119 10v4.172c0 1.545.614 3.028 1.707 4.12.63.63.184 1.708-.707 1.708h-5a3 3 0 01-6 0H4c-.89 0-1.337-1.077-.707-1.707A5.828 5.828 0 005 14.172V10a7.002 7.002 0 016-6.93V2a1 1 0 011-1zm1 19h-2a1 1 0 002 0zM12 5a5 5 0 00-5 5v4.172C7 15.524 6.65 16.84 6 18h12c-.65-1.16-1-2.476-1-3.828V10a5 5 0 00-5-5z'/>",
    'icon-bolt': "<path fill-rule='evenodd' clip-rule='evenodd' d='M11 15v7c0 .99 1.283 1.378 1.832.555l8-12A1 1 0 0020 9h-7V2c0-.99-1.283-1.378-1.832-.555l-8 12A1 1 0 004 15h7zm0-9.697V10a1 1 0 001 1h6.131L13 18.697V14a1 1 0 00-1-1H5.868L11 5.303z'/>",
    'icon-book': "<path fill-rule='evenodd' d='M11 7.5l-.4-.3A11 11 0 005 5.046v10.993a13 13 0 016 2.007V7.5zm2 0v10.546a13 13 0 016-2.007V5.046A11 11 0 0013.4 7.2l-.4.3zM3 7V4a1 1 0 011-1 13 13 0 017.8 2.6l.2.15.2-.15A13 13 0 0120 3a1 1 0 011 1v3h2a1 1 0 011 1v2a1 1 0 01-2 0V9h-1v8a1 1 0 01-1 1 11 11 0 00-4.583 1H22v-5a1 1 0 012 0v6a1 1 0 01-1 1H1a1 1 0 01-1-1V8a1 1 0 011-1h2zm0 2H2v10h6.583A11 11 0 004 18a1 1 0 01-1-1V9z'/>",
    'icon-briefcase': "<path fill-rule='evenodd' clip-rule='evenodd' d='M14 2h-4a3 3 0 00-3 3v1H4a3 3 0 00-3 3v2.977a1 1 0 000 .046V19a3 3 0 003 3h16a3 3 0 003-3v-3a1 1 0 10-2 0v3a1 1 0 01-1 1H4a1 1 0 01-1-1v-5.523l8.629 3.451a1 1 0 00.742 0l9.979-3.99a1.002 1.002 0 00.65-.961V9a3 3 0 00-3-3h-3V5a3 3 0 00-3-3zm7 9.323V9a1 1 0 00-1-1H4a1 1 0 00-1 1v2.323l9 3.6 9-3.6zM15 6H9V5a1 1 0 011-1h4a1 1 0 011 1v1z'/>",
    'icon-calendar': "<path fill-rule='evenodd' d='M20 10H4v9a1 1 0 001 1h14a1 1 0 001-1v-2a1 1 0 012 0v2a3 3 0 01-3 3H5a3 3 0 01-3-3V5a3 3 0 013-3h2V1a1 1 0 112 0v1h6V1a1 1 0 012 0v1h2a3 3 0 013 3v8a1 1 0 01-2 0v-3zm0-2V5a1 1 0 00-1-1h-2v1a1 1 0 01-2 0V4H9v1a1 1 0 11-2 0V4H5a1 1 0 00-1 1v3h16z'/>",
    'icon-cell-phone': "<path fill-rule='evenodd' clip-rule='evenodd' d='M4 4C4 2.34315 5.34315 1 7 1H17C18.6569 1 20 2.34315 20 4V20C20 21.6569 18.6569 23 17 23H7C5.34315 23 4 21.6569 4 20V4ZM6 4C6 3.44772 6.44772 3 7 3H17C17.5523 3 18 3.44772 18 4V20C18 20.5523 17.5523 21 17 21H7C6.44771 21 6 20.5523 6 20V4ZM12 19C12.5523 19 13 18.5523 13 18C13 17.4477 12.5523 17 12 17C11.4477 17 11 17.4477 11 18C11 18.5523 11.4477 19 12 19Z' />",
    'icon-check-circle-full': "<path fill-rule='evenodd' d='M12 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11-4.925 11-11 11zm3.293-13.707L11 13.586l-1.293-1.293a1 1 0 10-1.414 1.414l2 2a1 1 0 001.414 0l5-5a1 1 0 10-1.414-1.414z'/>",
    'icon-check-circle': "<path fill-rule='evenodd' d='M21.542 17.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477zm-6.25-8.184a1 1 0 011.415 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L11 13.586l4.293-4.293z'/>",
    'icon-check': "<path fill-rule='evenodd' d='M19.293 6.293a1 1 0 011.414 1.414l-7.947 7.948a1 1 0 01-1.415-1.415l7.948-7.947zm-9.586 11a1 1 0 11-1.414 1.414l-5-5a1 1 0 011.414-1.414l5 5z'/>",
    'icon-chevron-down': "<path fill-rule='evenodd' d='M12 12.586l3.293-3.293a1 1 0 011.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L12 12.586z'/>",
    'icon-chevron-left': "<path fill-rule='evenodd' d='M11.414 12l3.293-3.293a1 1 0 00-1.414-1.414l-4 4a1 1 0 000 1.414l4 4a1 1 0 001.414-1.414L11.414 12z'/>",
    'icon-chevron-right': "<path fill-rule='evenodd' d='M12.586 12L9.293 8.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L12.586 12z'/>",
    'icon-chevron-up': "<path fill-rule='evenodd' d='M12 11.414l3.293 3.293a1 1 0 001.414-1.414l-4-4a1 1 0 00-1.414 0l-4 4a1 1 0 001.414 1.414L12 11.414z'/>",
    'icon-clipboard': "<path fill-rule='evenodd' clip-rule='evenodd' d='M9 1h6a2 2 0 012 2h1a3 3 0 013 3v10a1 1 0 11-2 0V6a1 1 0 00-1-1h-1a2 2 0 01-2 2H9a2 2 0 01-2-2H6a1 1 0 00-1 1v14a1 1 0 001 1h12a1 1 0 001-1 1 1 0 112 0 3 3 0 01-3 3H6a3 3 0 01-3-3V6a3 3 0 013-3h1a2 2 0 012-2zm0 3v1h6V3H9v1z'/>",
    'icon-clock': "<path fill-rule='evenodd' d='M21.542 17.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477zM13 6v5.586l2.707 2.707a1 1 0 01-1.414 1.414l-3-3A1 1 0 0111 12V6a1 1 0 012 0z'/>",
    'icon-comment': "<path fill-rule='evenodd' d='M4 18.586V5a1 1 0 011-1h14a1 1 0 000-2H5a3 3 0 00-3 3v16c0 .89 1.077 1.337 1.707.707L7.414 18H19a3 3 0 003-3V6a1 1 0 00-2 0v9a1 1 0 01-1 1H7a1 1 0 00-.707.293L4 18.586z'/>",
    'icon-cone-fill': "<path fill-rule='evenodd' clip-rule='evenodd' d='M9.82 2a1 1 0 00-.98.804L8.2 6h7.6l-.64-3.196A1 1 0 0014.18 2H9.82zm6.78 8H7.4l-.8 4h10.8l-.8-4zm1.18 12H5a1 1 0 01-1-1v-2a1 1 0 011-1H19a1 1 0 011 1v2a1 1 0 01-1 1h-1.22z'/>",
    'icon-cone': "<path fill-rule='evenodd' clip-rule='evenodd' d='M10 2h2a1 1 0 01.117 1.993L12 4h-1.18l-.601 3h3.561l-.358-1.79a1 1 0 011.932-.505l.03.113L17.818 17H19a1 1 0 011 1v3a1 1 0 01-1 1H5a1 1 0 01-1-1v-3a1 1 0 011-1h1.18L9.02 2.804a1 1 0 01.862-.797L10 2h2-2zm8 17H6v1h12v-1zm-2.82-5H8.819l-.6 3h7.561l-.6-3zm-1-5H9.819l-.6 3h5.561l-.6-3z'/>",
    'icon-copy': "<path fill-rule='evenodd' d='M11 8h9a3 3 0 013 3v9a3 3 0 01-3 3h-9a3 3 0 01-3-3v-9a3 3 0 013-3zm0 2a1 1 0 00-1 1v9a1 1 0 001 1h9a1 1 0 001-1v-9a1 1 0 00-1-1h-9zm-6 4a1 1 0 010 2H4a3 3 0 01-3-3V4a3 3 0 013-3h9a3 3 0 013 3v1a1 1 0 01-2 0V4a1 1 0 00-1-1H4a1 1 0 00-1 1v9a1 1 0 001 1h1z'/>",
    'icon-copyright': "<path fill-rule='evenodd' d='M12 23c6.075 0 11-4.925 11-11S18.075 1 12 1 1 5.925 1 12s4.925 11 11 11zm0-2a9 9 0 110-18 9 9 0 010 18zm3.536-12.536a5 5 0 100 7.072 1 1 0 00-1.415-1.415 3 3 0 110-4.242 1 1 0 001.415-1.415z'/>",
    'icon-cut': "<path fill-rule='evenodd' d='M11.586 12L9.032 9.446a4 4 0 111.414-1.414L13 10.586l7.293-7.293a1 1 0 011.414 1.414l-11.26 11.261a4 4 0 11-1.414-1.414L11.585 12zM8.449 7.378A2 2 0 105.55 4.622a2 2 0 002.9 2.756zm-.07 9.173a2 2 0 10-2.756 2.899 2 2 0 002.755-2.9zm6.385-1.363a1 1 0 011.412-1.416l5.53 5.52a1 1 0 01-1.412 1.416l-5.53-5.52z'/>",
    'icon-delivery': "<path fill-rule='evenodd' clip-rule='evenodd' d='M15 4H2v5a1 1 0 01-2 0V3a1 1 0 011-1h15a1 1 0 011 1v4h3a1 1 0 01.707.293l3 3A1 1 0 0124 11v5a1 1 0 01-1 1h-1.337a3.5 3.5 0 11-6.326 0H8.663a3.5 3.5 0 11-6.326 0H1a1 1 0 01-1-1v-3a1 1 0 112 0v2h13V4zm3.5 13a1.5 1.5 0 100 3 1.5 1.5 0 000-3zm0-2H22v-3.586L19.586 9H17v6h1.5zM4 18.5a1.5 1.5 0 113 0 1.5 1.5 0 01-3 0z'/>",
    'icon-dot-bullet': "<circle cx='12' cy='12' r='4' fill-rule='evenodd'/>",
    'icon-dot-interpunct': "<circle cx='12' cy='12' r='2' fill-rule='evenodd'/>",
    'icon-download': "<path fill-rule='evenodd' d='M12.376 15.927a1 1 0 01-1.083-.22l-5-5a1 1 0 011.414-1.414L11 12.586V3a1 1 0 012 0v12a1 1 0 01-.61.921zM20 15a1 1 0 012 0v4a3 3 0 01-3 3H5a3 3 0 01-3-3v-4a1 1 0 012 0v4a1 1 0 001 1h14a1 1 0 001-1v-4zm-3.707-5.707a1 1 0 011.414 1.414l-2 2a1 1 0 01-1.414-1.414l2-2z'/>",
    'icon-droplet': "<path fill-rule='evenodd' clip-rule='evenodd' d='M11.293 1.293a1 1 0 011.414 0l2 2a1 1 0 01-1.414 1.414L12 3.414 8.707 6.707C6.321 9.093 5 11.38 5 13a7 7 0 1014 0c0-1.465-.915-3.295-2.744-5.332a1 1 0 111.488-1.336C19.872 8.702 21 10.957 21 13a9 9 0 11-18 0c0-2.268 1.567-4.982 4.293-7.707l4-4zm2.828 8.171a1 1 0 011.415 0 5 5 0 010 7.071 1 1 0 11-1.415-1.414 3 3 0 000-4.242 1 1 0 010-1.415z'/>",
    'icon-duplicate': "<path fill-rule='evenodd' clip-rule='evenodd' d='M16 4a8 8 0 11-4 14.93A8 8 0 1112 5.07 7.949 7.949 0 0116 4zM8 6a6 6 0 102.251 11.563A7.975 7.975 0 018 12c0-2.162.857-4.123 2.25-5.563A5.959 5.959 0 008 6zm8 0c-.796 0-1.556.155-2.251.437A7.975 7.975 0 0116 12a7.974 7.974 0 01-2.25 5.563A6 6 0 1016 6z'/>",
    'icon-edit': "<path fill-rule='evenodd' d='M15.707 4.707a1 1 0 00-1.414-1.414l-2 2-10 10A1 1 0 002 16v5a1 1 0 001 1h5a1 1 0 00.707-.293l10-10 3-3a1 1 0 000-1.414l-3-3a1 1 0 10-1.414 1.414L19.586 8 18 9.586 14.414 6l1.293-1.293zM13 7.414l-9 9V20h3.586l9-9L13 7.414z'/>",
    'icon-email': "<path fill-rule='evenodd' d='M1 6.012v-.03A3.006 3.006 0 014 3h16a3.006 3.006 0 013 2.983V18c0 1.652-1.348 3-3 3h-2a1 1 0 010-2h2c.548 0 1-.452 1-1V7.92l-8.427 5.9a1 1 0 01-1.146 0L3 7.92V18c0 .548.452 1 1 1h10a1 1 0 010 2H4c-1.652 0-3-1.348-3-3V6.012zM20 5H4c-.388 0-.728.227-.893.554L12 11.779l8.893-6.225A1.006 1.006 0 0020 5z'/>",
    'icon-error': "<path fill-rule='evenodd' clip-rule='evenodd' d='M21.542 17.477a1 1 0 11-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.954 8.954 0 004.484-1.195 1 1 0 11.998 1.733A10.952 10.952 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477zM11 7a1 1 0 112 0v6a1 1 0 11-2 0V7zm1 9a1 1 0 100 2 1 1 0 000-2z'/>",
    'icon-exclamation': "<path fill-rule='evenodd' clip-rule='evenodd' d='M10.074 1a1 1 0 00-.997 1.071l.857 12a1 1 0 00.997.929h2.138a1 1 0 00.997-.929l.857-12A1 1 0 0013.927 1h-3.852zM12 17a3 3 0 100 6 3 3 0 000-6z'/>",
    'icon-externallink': "<path fill-rule='evenodd' d='M16.586 6H13a1 1 0 010-2h6a1 1 0 011 1v6a1 1 0 01-2 0V7.414l-6.293 6.293a1 1 0 01-1.414-1.414L16.586 6zM16 15a1 1 0 012 0v2a3 3 0 01-3 3H7a3 3 0 01-3-3V9a3 3 0 013-3h2a1 1 0 110 2H7a1 1 0 00-1 1v8a1 1 0 001 1h8a1 1 0 001-1v-2z'/>",
    'icon-eye-off': "<path fill-rule='evenodd' d='M16.371 17.786l-2.321-2.322A4 4 0 018.536 9.95L5.987 7.401a17.45 17.45 0 00-3.844 4.602 18.513 18.513 0 002.462 3.313C6.776 17.632 9.255 19 11.984 19a9.07 9.07 0 004.387-1.214zm2.264-.565a1 1 0 01.022.022l5.05 5.05a1 1 0 01-1.414 1.414l-4.467-4.467A11.089 11.089 0 0112 21c-3.38 0-6.339-1.632-8.855-4.316a20.492 20.492 0 01-2.25-2.891 15.188 15.188 0 01-.79-1.346 1 1 0 01.014-.92 19.45 19.45 0 014.45-5.544L.292 1.707A1 1 0 111.707.293L6.755 5.34a1 1 0 01.022.022l3.806 3.806.007.007 4.234 4.234.007.007 3.804 3.804zm-8.607-5.779a1.999 1.999 0 002.53 2.53l-2.53-2.53zm11.398-.15a18.513 18.513 0 00-2.03-2.608C17.223 6.368 14.745 5 11.997 5a8.12 8.12 0 00-1.87.214 1 1 0 01-.456-1.948A10.116 10.116 0 0112 3c3.38 0 6.339 1.632 8.855 4.316a20.492 20.492 0 012.25 2.891c.385.596.649 1.065.79 1.346a1 1 0 01-.013.918 19.5 19.5 0 01-2.277 3.363 1 1 0 01-1.53-1.288 17.5 17.5 0 001.783-2.548c-.126-.217-.27-.454-.432-.705z'/>",
    'icon-eye': "<path fill-rule='evenodd' d='M2.574 12.707c.575.89 1.254 1.781 2.03 2.61C6.777 17.631 9.255 19 12 19c2.745 0 5.224-1.368 7.395-3.684A18.513 18.513 0 0021.86 12a18.513 18.513 0 00-2.464-3.316C17.224 6.368 14.745 5 12 5 9.255 5 6.776 6.368 4.605 8.684A18.513 18.513 0 002.14 12c.126.218.27.455.433.707zM.106 11.553c.14-.281.404-.75.788-1.346a20.492 20.492 0 012.251-2.89C5.661 4.631 8.62 3 12 3c3.38 0 6.339 1.632 8.855 4.316a20.492 20.492 0 012.25 2.891c.385.596.649 1.065.79 1.346a1 1 0 010 .894c-.141.281-.405.75-.79 1.346a20.492 20.492 0 01-2.25 2.89C18.339 19.369 15.38 21 12 21c-3.38 0-6.339-1.632-8.855-4.316a20.492 20.492 0 01-2.25-2.891 15.188 15.188 0 01-.79-1.346 1 1 0 010-.894zM12 16a4 4 0 110-8 4 4 0 010 8zm0-2a2 2 0 100-4 2 2 0 000 4z'/>",
    'icon-file-edit': "<path fill-rule='evenodd' d='M16 8.414l-7 7V18h2.586l7-7L16 8.414zM17.414 7L20 9.586 21.586 8 19 5.414 17.414 7zm-4.707 12.707A1 1 0 0112 20H8a1 1 0 01-1-1v-4a1 1 0 01.293-.707l11-11a1 1 0 011.414 0l4 4a1 1 0 010 1.414l-11 11zM16 0a1 1 0 010 2H6a1 1 0 00-1 1v18a1 1 0 001 1h12a1 1 0 001-1v-4a1 1 0 012 0v4a3 3 0 01-3 3H6a3 3 0 01-3-3V3a3 3 0 013-3h10z'/>",
    'icon-file-pdf': "<path fill-rule='evenodd' d='M21 13h1a1 1 0 010 2h-1v2a1 1 0 01-2 0v-6a1 1 0 011-1h3a1 1 0 010 2h-2v1zm-6-8.586V7h2.586L15 4.414zm5.707 2.879C21.337 7.923 20.891 9 20 9h-6a1 1 0 01-1-1V3H6a1 1 0 00-1 1v16a1 1 0 001 1h12a1 1 0 001-1 1 1 0 012 0 3 3 0 01-3 3H6a3 3 0 01-3-3V4a3 3 0 013-3h8a1 1 0 01.707.293l6 6zM10 13a1 1 0 00-1-1v2a1 1 0 001-1zm-1 4c0 1.333-2 1.333-2 0v-6a1 1 0 011-1h1a3 3 0 010 6v1zm6-1a1 1 0 001-1v-2a1 1 0 00-1-1v4zm-1-6h1a3 3 0 013 3v2a3 3 0 01-3 3h-1a1 1 0 01-1-1v-6a1 1 0 011-1z'/>",
    'icon-file': "<path fill-rule='evenodd' d='M15 4.414V7h2.586L15 4.414zm5.707 2.879C21.337 7.923 20.891 9 20 9h-6a1 1 0 01-1-1V3H6a1 1 0 00-1 1v16a1 1 0 001 1h12a1 1 0 001-1v-8a1 1 0 012 0v8a3 3 0 01-3 3H6a3 3 0 01-3-3V4a3 3 0 013-3h8a1 1 0 01.707.293l6 6z'/>",
    'icon-filters': "<path fill-rule='evenodd' clip-rule='evenodd' d='M5 10V3a1 1 0 00-2 0v7a1 1 0 102 0zm-1 3H1a1 1 0 100 2h2v6a1 1 0 102 0v-6h2a1 1 0 100-2H4zm9-1v9a1 1 0 11-2 0v-9a1 1 0 112 0zM9 9h6a1 1 0 100-2h-2V3a1 1 0 10-2 0v4H9a1 1 0 100 2zm12 8v4a1 1 0 11-2 0v-4h-2a1 1 0 110-2h6a1 1 0 110 2h-2zm0-5V3a1 1 0 10-2 0v9a1 1 0 102 0z'/>",
    'icon-flag': "<path fill-rule='evenodd' clip-rule='evenodd' d='M6.246 3.428A4.09 4.09 0 006 3.536v9.86C6.82 13.143 7.814 13 9 13c1.417 0 2.383.276 4.371 1.072 1.762.704 2.546.928 3.629.928.73 0 1.361-.063 1.902-.177a1 1 0 11.413 1.956c-.68.144-1.45.221-2.315.221-1.417 0-2.383-.276-4.371-1.072C10.867 15.224 10.083 15 9 15c-1.189 0-2.094.165-2.754.428a4.077 4.077 0 00-.246.108V22a1 1 0 11-2 0V3a1 1 0 01.293-.707c.22-.22.614-.483 1.21-.721C6.407 1.21 7.564 1 9 1c1.417 0 2.383.276 4.371 1.072C15.133 2.776 15.917 3 17 3c1.189 0 2.094-.165 2.754-.428.341-.137.508-.249.539-.28C20.923 1.663 22 2.11 22 3v9a1 1 0 11-2 0V4.604c-.82.253-1.814.396-3 .396-1.417 0-2.383-.276-4.371-1.072C10.867 3.224 10.083 3 9 3c-1.189 0-2.094.165-2.754.428z'/>",
    'icon-folder': "<path fill-rule='evenodd' d='M8.465 4l1.703 2.555A1 1 0 0011 7h9a1 1 0 011 1v10a1 1 0 002 0V8a3 3 0 00-3-3h-8.465L9.832 2.445A1 1 0 009 2H4a3 3 0 00-3 3v14a3 3 0 003 3h16a1 1 0 000-2H4a1 1 0 01-1-1V5a1 1 0 011-1h4.465z'/>",
    'icon-heart': "<path fill-rule='evenodd' d='M12 4.256l-.353-.353a6.501 6.501 0 00-9.194 9.194l8.84 8.84a1 1 0 001.414 0l5.78-5.78a1 1 0 00-1.414-1.414L12 19.816l-8.133-8.133a4.501 4.501 0 016.366-6.366l1.06 1.06a1 1 0 001.414 0l1.06-1.06a4.5 4.5 0 116.366 6.366 1 1 0 001.414 1.414A6.5 6.5 0 0016.95 1.998a6.5 6.5 0 00-4.597 1.905L12 4.256z'/>",
    'icon-help': "<path fill-rule='evenodd' d='M21.542 17.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477zm-11.498-8.14a1 1 0 01-1.887-.664 4 4 0 017.773 1.332c0 1.28-.758 2.29-1.945 3.082a7.575 7.575 0 01-1.739.867 1 1 0 01-.632-1.898 5.988 5.988 0 001.262-.633c.687-.459 1.054-.948 1.054-1.42a2 2 0 00-3.886-.666zm1.26 8.375a1 1 0 111.413-1.414 1 1 0 01-1.414 1.414z'/>",
    'icon-home': "<path fill-rule='evenodd' d='M5 11v10h4v-6a1 1 0 011-1h4a1 1 0 011 1v6h4v-7a1 1 0 012 0v8a1 1 0 01-1 1h-6a1 1 0 01-1-1v-6h-2v6a1 1 0 01-1 1H4a1 1 0 01-1-1V11H2c-.945 0-1.363-1.19-.625-1.78l10-8a1 1 0 011.25 0l10 8c.738.59.32 1.78-.625 1.78H5zm14.15-2L12 3.28 4.85 9h14.3z'/>",
    'icon-image': "<path fill-rule='evenodd' d='M20 12.586V5a1 1 0 00-1-1H5a1 1 0 00-1 1v14a1 1 0 001 1h14a1 1 0 001-1v-3.586l-4.046-4.045-7.295 6.384a1 1 0 01-1.318-1.506l8-7a1 1 0 011.366.046L20 12.586zM5 2h14a3 3 0 013 3v14a3 3 0 01-3 3H5a3 3 0 01-3-3V5a3 3 0 013-3zm3.5 9a2.5 2.5 0 110-5 2.5 2.5 0 010 5zm0-2a.5.5 0 100-1 .5.5 0 000 1z'/>",
    'icon-info': "<path fill-rule='evenodd' d='M21.542 17.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477zM12 6a1 1 0 110 2 1 1 0 010-2zm-1 6h-1a1 1 0 010-2h2a1 1 0 011 1v6a1 1 0 01-2 0v-5z'/>",
    'icon-key': "<path fill-rule='evenodd' d='M15 10.414l-3.07 3.07a6.017 6.017 0 01.936 5.067 1 1 0 01-1.933-.513 4.012 4.012 0 00-1.054-3.885 4.018 4.018 0 00-5.634.05 4.017 4.017 0 00-.056 5.626A4.018 4.018 0 008.08 20.89a1 1 0 01.513 1.933 6.022 6.022 0 01-5.836-1.597 6.02 6.02 0 017.741-9.14l9.794-9.793a1 1 0 011.414 1.414L20.414 5l2.293 2.293a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0L15 10.414zM16.414 9L18 10.586 20.586 8 19 6.414 16.414 9z'/>",
    'icon-layers': "<path fill-rule='evenodd' clip-rule='evenodd' d='M19.764 7L12 10.882 4.236 7l8.211-4.106a1 1 0 10-.894-1.788l-10 5a1 1 0 000 1.788l10 5a1 1 0 00.894 0l10-5a1 1 0 000-1.788l-6-3a1 1 0 10-.894 1.788L19.763 7zM12 20.882l-9.553-4.776a1 1 0 10-.894 1.788l10 5a1 1 0 00.894 0l10-5a1 1 0 10-.894-1.788L12 20.882zm-10.894-9.33a1 1 0 011.341-.446L12 15.882l9.553-4.776a1 1 0 11.894 1.788l-10 5a1 1 0 01-.894 0l-10-5a1 1 0 01-.447-1.341z'/>",
    'icon-link': "<path fill-rule='evenodd' d='M15 8a1 1 0 010-2h3a6 6 0 010 12h-3a1 1 0 010-2h3a4 4 0 100-8h-3zm-6 8a1 1 0 010 2H6A6 6 0 116 6h3a1 1 0 110 2H6a4 4 0 100 8h3zm-1-3a1 1 0 010-2h8a1 1 0 010 2H8z'/>",
    'icon-list': "<path fill-rule='evenodd' d='M8 7a1 1 0 110-2h10a1 1 0 010 2H8zm0 6a1 1 0 010-2h13a1 1 0 010 2H8zm0 6a1 1 0 010-2h6a1 1 0 010 2H8zM3 7a1 1 0 110-2h1a1 1 0 110 2H3zm0 6a1 1 0 010-2h1a1 1 0 010 2H3zm0 6a1 1 0 010-2h1a1 1 0 010 2H3z'/>",
    'icon-location': "<path fill-rule='evenodd' d='M12 1c4.883 0 9 4.215 9 9 0 2.099-.613 4.151-1.826 6.143a1 1 0 01-1.708-1.04C18.493 13.415 19 11.72 19 10c0-3.69-3.232-7-7-7s-7 3.31-7 7c0 3.636 2.283 7.213 6.958 10.728a99.323 99.323 0 003.03-2.638 1 1 0 111.356 1.47c-.797.736-2.03 1.803-3.701 3.206a1 1 0 01-1.227.046C5.846 18.808 3 14.539 3 10c0-4.785 4.117-9 9-9zm0 5a4 4 0 110 8 4 4 0 010-8zm0 2a2 2 0 100 4 2 2 0 000-4z'/>",
    'icon-lock': "<path fill-rule='evenodd' d='M6 9V7a6 6 0 1112 0v2h1a1 1 0 011 1v12a1 1 0 01-1 1H5a1 1 0 01-1-1V10a1 1 0 011-1h1zm2 0h8V7a4 4 0 10-8 0v2zm-2 2v10h12V11H6zm6 6a1 1 0 110-2 1 1 0 010 2z'/>",
    'icon-loction': "<path fill-rule='evenodd' d='M14.988 18.09a1 1 0 111.356 1.47c-.797.736-2.03 1.803-3.701 3.206a1 1 0 01-1.227.046C5.846 18.808 3 14.539 3 10c0-4.785 4.117-9 9-9s9 4.215 9 9c0 2.099-.613 4.151-1.826 6.143a1 1 0 01-1.708-1.04C18.493 13.415 19 11.72 19 10c0-3.69-3.232-7-7-7s-7 3.31-7 7c0 3.636 2.283 7.213 6.958 10.728a99.323 99.323 0 003.03-2.638zM12 14a4 4 0 110-8 4 4 0 010 8zm0-2a2 2 0 100-4 2 2 0 000 4z'/>",
    'icon-log-in': "<path fill-rule='evenodd' d='M16.927 11.624a1 1 0 01-.22 1.083l-5 5a1 1 0 01-1.414-1.414L13.586 13H3a1 1 0 010-2h13a1 1 0 01.921.61l.006.014zm-6.634-3.917a1 1 0 011.414-1.414l2.035 2.035a1 1 0 11-1.414 1.414l-2.035-2.035zM13 3a1 1 0 010-2h6a3 3 0 013 3v16a3 3 0 01-3 3h-6a1 1 0 010-2h6a1 1 0 001-1V4a1 1 0 00-1-1h-6z'/>",
    'icon-log-out': "<path fill-rule='evenodd' d='M21.927 11.624a1 1 0 01-.22 1.083l-5 5a1 1 0 01-1.414-1.414L18.586 13H8a1 1 0 010-2h13a1 1 0 01.921.61l.006.014zm-6.634-3.917a1 1 0 111.414-1.414l2.035 2.035a1 1 0 11-1.414 1.414l-2.035-2.035zM11 21a1 1 0 010 2H5a3 3 0 01-3-3V4a3 3 0 013-3h6a1 1 0 010 2H5a1 1 0 00-1 1v16a1 1 0 001 1h6z'/>",
    'icon-map': "<path fill-rule='evenodd' clip-rule='evenodd' d='M8.007 1c.166.001.321.042.458.115l7.504 3.751 6.535-3.734A1 1 0 0124 2v4a1 1 0 11-2 0V3.723L17 6.58v13.697l5-2.857V10a1 1 0 012 0v8a1 1 0 01-.504.868l-6.985 3.992A.994.994 0 0116 23h-.003a.989.989 0 01-.462-.115L8.03 19.134l-6.535 3.734A1 1 0 010 22V6a1 1 0 01.504-.868L7.489 1.14A.995.995 0 018.007 1zM7 3.723L2 6.58v13.697l5-2.857V3.723zm2 13.659l6 3V6.618l-6-3v13.764z'/>",
    'icon-menu': "<path fill-rule='evenodd' d='M3 13a1 1 0 010-2h18a1 1 0 010 2H3zm.176-6C2.526 7 2 6.552 2 6s.527-1 1.176-1h17.648C21.474 5 22 5.448 22 6s-.527 1-1.176 1H3.176zM3 19a1 1 0 010-2h10a1 1 0 010 2H3zm14-2h4a1 1 0 010 2h-4a1 1 0 010-2z'/>",
    'icon-minus-circle-full': "<path fill-rule='evenodd' d='M12 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11-4.925 11-11 11zM8 11a1 1 0 000 2h8a1 1 0 000-2H8z'/>",
    'icon-minus-circle': "<path fill-rule='evenodd' d='M8 11h8a1 1 0 010 2H8a1 1 0 010-2zm13.542 6.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477z'/>",
    'icon-minus': "<path fill-rule='evenodd' d='M5 13a1 1 0 010-2h14a1 1 0 010 2H5z'/>",
    'icon-money': "<path fill-rule='evenodd' d='M11 17h-1a2 2 0 01-2-2 1 1 0 012 0h4a1 1 0 000-2h-4a3 3 0 010-6h1V6a1 1 0 012 0v1h1a2 2 0 012 2 1 1 0 01-2 0h-4a1 1 0 100 2h4a3 3 0 010 6h-1v1a1 1 0 01-2 0v-1zm10.542.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477z'/>",
    'icon-more-horizontal': "<path fill-rule='evenodd' d='M18 14a2 2 0 110-4 2 2 0 010 4zm-6 0a2 2 0 110-4 2 2 0 010 4zm-6 0a2 2 0 110-4 2 2 0 010 4z'/>",
    'icon-more-vertical': "<path fill-rule='evenodd' d='M12 8a2 2 0 110-4 2 2 0 010 4zm0 6a2 2 0 110-4 2 2 0 010 4zm0 6a2 2 0 110-4 2 2 0 010 4z'/>",
    'icon-music': "<path fill-rule='evenodd' clip-rule='evenodd' d='M10 18V5.847l11.164-1.86a1 1 0 10-.328-1.973l-12 2A1 1 0 008 5v9.535A4 4 0 1010 18zm-2 0a2 2 0 10-4 0 2 2 0 004 0zM21 6a1 1 0 00-1 1v5.535A4 4 0 1022 16V7a1 1 0 00-1-1zm-3 8a2 2 0 110 4 2 2 0 010-4z'/>",
    'icon-package': "<path fill-rule='evenodd' clip-rule='evenodd' d='M20.5 5.404A3 3 0 0122 8v6a1 1 0 11-2 0V8.18l-7 4.374v8.024l6.504-3.716a1 1 0 11.992 1.736L13.5 22.596a3 3 0 01-2.996.002L3.5 18.596A3 3 0 012 16V7.999a3.002 3.002 0 011.504-2.597L10.5 1.404a2.998 2.998 0 012.996-.002L20.5 5.404zM11 20.578l-6.504-3.716A.998.998 0 014 15.999v-7.82l7 4.375v8.024zm1.5-17.442l6.162 3.521L16.4 8.071 9.935 4.03l1.561-.893c.313-.18.695-.18 1.004-.002zm-4.536 2.02l6.55 4.094L12 10.82 5.338 6.658l2.626-1.5z'/>",
    'icon-paperclip': "<path fill-rule='evenodd' d='M20.733 10.343l-9.19 9.19a5.003 5.003 0 11-7.076-7.076l9.19-9.19a3.002 3.002 0 014.246 4.246l-9.2 9.19a1.001 1.001 0 11-1.416-1.416l8.49-8.48a1 1 0 00-1.414-1.415l-8.49 8.48a3.001 3.001 0 104.244 4.245l9.2-9.19a5.002 5.002 0 10-7.074-7.074l-9.19 9.19a7.003 7.003 0 009.904 9.904l9.19-9.19a1 1 0 00-1.414-1.414z'/>",
    'icon-partner-bell': "<path fill-rule='evenodd' clip-rule='evenodd' d='M16.892 13.073a3.393 3.393 0 00-.637-1.4c-.635-.838-1.663-1.368-3.055-1.368-2.164 0-3.495 1.47-3.889 3.019-.354-1.092-1.3-1.83-2.301-2.14.753-.55 1.147-1.335 1.147-2.231 0-.832-.346-1.59-.926-2.082C6.381 6.148 5.221 6 3.793 6H1v12.058h.794c.535-.001 1.074-.002 1.603 0 .706.004 1.395 0 2.037-.026 2.033-.082 3.425-1.105 3.87-2.642.153.683.448 1.24.832 1.663.783.862 1.918 1.199 3.061 1.199 1.408 0 2.425-.409 3.12-1.034l-.995-1.17c-.5.378-1.144.6-1.867.6-1.417-.004-2.042-.9-2.098-1.763h5.535v3.173h2.073V6.06h-2.073v7.013zM3.707 7.629H3.13v3.175h.68c.376 0 .642-.02.827-.058C5.74 10.52 5.94 9.696 5.94 9.17c0-.62-.297-1.117-.922-1.36-.317-.122-.756-.182-1.312-.182zm.933 8.722c.257 0 .575-.01.834-.057 1.182-.213 1.684-.998 1.684-1.93 0-.9-.545-1.579-1.492-1.827-.277-.072-.759-.12-1.185-.12H3.13v3.934H4.64zm8.544-4.476c-.957 0-1.606.632-1.789 1.51h3.55c-.166-.944-.803-1.51-1.761-1.51zM20.35 6.06h2.038v11.998H20.35V6.06z'/>",
    'icon-partner-hydroquebec': "<path d='M12.989 16.286a6.842 6.842 0 111.292-1.29c.344.257 1.897 1.41 2.063 1.613a1140.2 1140.2 0 01-.256-2.383l5.73 4.288.014.125-4.235-1.863.348 3.224-4.957-3.713zm-1.625-1.284c-.789-.59-3.873-2.833-3.873-2.833h3.013c.173.135 1.521 1.14 2.178 1.63l-.001.002c.622-.82.99-1.847.99-2.96 0-2.694-2.162-4.877-4.828-4.877-2.667 0-4.83 2.183-4.83 4.877s2.163 4.877 4.83 4.877c.924 0 1.786-.262 2.52-.716h.001z'/>",
    'icon-phone': "<path fill-rule='evenodd' d='M14.62 13.974a3.013 3.013 0 013.173-.677c.842.313 1.716.53 2.607.648a1 1 0 01-.26 1.983 13.938 13.938 0 01-3.047-.758 1.012 1.012 0 00-1.064.223l-1.277 1.275a1 1 0 01-1.2.162 17.074 17.074 0 01-6.41-6.396 1 1 0 01.163-1.203l1.273-1.27c.277-.28.366-.695.227-1.064-.367-.982-.622-2.001-.758-3.03-.07-.5-.503-.872-1.02-.867H4.01a1.013 1.013 0 00-1.007 1.082 18.846 18.846 0 002.936 8.27 18.6 18.6 0 005.733 5.72 18.91 18.91 0 008.225 2.924 1.008 1.008 0 001.102-1.011v-2.011a1 1 0 112 0v2.006a3.005 3.005 0 01-.976 2.23 3.023 3.023 0 01-2.324.776 20.916 20.916 0 01-9.106-3.23 20.58 20.58 0 01-6.336-6.322 20.85 20.85 0 01-3.245-9.156 3.005 3.005 0 01.776-2.299A3.014 3.014 0 014.009 1h3.007a3.012 3.012 0 013.013 2.596c.117.889.335 1.761.648 2.599.414 1.1.15 2.339-.682 3.178l-.723.72a15.074 15.074 0 004.619 4.61l.729-.728z'/>",
    'icon-plus-circle-full': "<path fill-rule='evenodd' d='M11 11H8a1 1 0 000 2h3v3a1 1 0 002 0v-3h3a1 1 0 000-2h-3V8a1 1 0 00-2 0v3zm1 12C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11-4.925 11-11 11z'/>",
    'icon-plus-circle': "<path fill-rule='evenodd' d='M11 11V8a1 1 0 012 0v3h3a1 1 0 010 2h-3v3a1 1 0 01-2 0v-3H8a1 1 0 010-2h3zm10.542 6.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477z'/>",
    'icon-plus': "<path fill-rule='evenodd' d='M11 13H5a1 1 0 010-2h6V5a1 1 0 012 0v14a1 1 0 01-2 0v-6zm5 0a1 1 0 010-2h3a1 1 0 010 2h-3z'/>",
    'icon-position': "<path fill-rule='evenodd' clip-rule='evenodd' d='M11 21a1 1 0 102 0v-1.062A8.004 8.004 0 0019.938 13H21a1 1 0 100-2h-1.062A8.004 8.004 0 0013 4.062V3a1 1 0 10-2 0v1.062A8.004 8.004 0 004.062 11H3a1 1 0 100 2h1.062A8.004 8.004 0 0011 19.938V21zm0-5v1.917A6.005 6.005 0 016.083 13H8a1 1 0 100-2H6.083A6.005 6.005 0 0111 6.083V8a1 1 0 102 0V6.083A6.005 6.005 0 0117.917 11H16a1 1 0 100 2h1.917A6.005 6.005 0 0113 17.917V16a1 1 0 10-2 0zm1-3a1 1 0 100-2 1 1 0 000 2z'/>",
    'icon-print': "<path fill-rule='evenodd' d='M19 19v1a1 1 0 01-2 0v-5H7v6h8a1 1 0 010 2H6a1 1 0 01-1-1v-3H4a3 3 0 01-3-3v-5a3 3 0 013-3h1V2a1 1 0 011-1h12a1 1 0 011 1v6h1a3 3 0 013 3v5a3 3 0 01-3 3h-1zm0-2h1a1 1 0 001-1v-5a1 1 0 00-1-1H4a1 1 0 00-1 1v5a1 1 0 001 1h1v-3a1 1 0 011-1h12a1 1 0 011 1v3zM7 8h10V3H7v5z'/>",
    'icon-refresh': "<path fill-rule='evenodd' d='M22 7.688V4a1 1 0 012 0v6a1 1 0 01-1 1h-6a1 1 0 010-2h3.476l-2.823-2.653a8 8 0 00-13.2 2.987 1 1 0 11-1.886-.668 10 10 0 017.22-6.417 9.985 9.985 0 019.258 2.662L22 7.688zM2 16.312V20a1 1 0 01-2 0v-6a1 1 0 011-1h6a1 1 0 010 2H3.524l2.823 2.653a8 8 0 0013.2-2.987 1 1 0 011.886.668 10 10 0 01-7.22 6.417 9.985 9.985 0 01-9.258-2.662L2 16.312z'/>",
    'icon-road': "<path fill-rule='evenodd' clip-rule='evenodd' d='M11 4l-.25 4h2.5L13 4h3.22a1 1 0 01.97.757l3.5 14A1 1 0 0119.72 20H14l-.25-4h-3.5L10 20H4.28a1 1 0 01-.97-1.242l3.5-14A1 1 0 017.78 4H11zm2.375 6h-2.75l-.25 4h3.25l-.25-4z'/>",
    'icon-save': "<path fill-rule='evenodd' d='M6 4H5a1 1 0 00-1 1v14a1 1 0 001 1h1v-7a1 1 0 011-1h10a1 1 0 011 1v7h1a1 1 0 001-1 1 1 0 012 0 3 3 0 01-3 3H5a3 3 0 01-3-3V5a3 3 0 013-3h11a1 1 0 01.707.293l5 5A1 1 0 0122 8v7a1 1 0 01-2 0V8.414L15.586 4H8v3h7a1 1 0 010 2H7a1 1 0 01-1-1V4zm2 16h8v-6H8v6z'/>",
    'icon-search': "<path fill-rule='evenodd' d='M15.707 14.293l6 6a1 1 0 01-1.414 1.414l-5.34-5.34C13.575 17.42 11.833 18 10 18a8 8 0 117.67-5.718 1 1 0 11-1.918-.57A6 6 0 1010 16c1.663 0 3.209-.62 4.292-1.706a1 1 0 011.414-.002z'/>",
    'icon-send': "<path fill-rule='evenodd' d='M21.649 1.063a1 1 0 011.288 1.288l-6.993 19.98a1 1 0 11-1.888-.661L19.61 5.806l-7.416 7.415 1.72 3.873a1 1 0 01-1.827.812l-1.844-4.148-8.648-3.844c-.828-.368-.78-1.559.076-1.858l19.979-6.993zm-10.87 10.744l7.415-7.416-13.483 4.72 6.068 2.696z'/>",
    'icon-settings': "<path fill-rule='evenodd' d='M16 12a1 1 0 01-2 0 2 2 0 10-2 2 1 1 0 010 2 4 4 0 114-4zm4.83-3H21a3 3 0 010 6h-.086a.65.65 0 00-.595.394l-.004.01a.647.647 0 00.122.709l.06.06a3 3 0 11-4.244 4.244l-.052-.052a.654.654 0 00-.727-.126.649.649 0 00-.394.591V21a3 3 0 01-6 0v-.067c-.006-.266-.175-.502-.484-.618a.647.647 0 00-.709.122l-.06.06a3 3 0 11-4.244-4.244l.052-.052a.654.654 0 00.126-.727.649.649 0 00-.591-.394H3a3 3 0 010-6h.067c.266-.006.502-.175.618-.484a.647.647 0 00-.122-.709l-.06-.06a3 3 0 114.244-4.244l.052.052a.65.65 0 00.717.13 1 1 0 01.2-.064A.647.647 0 009 3.17V3a3 3 0 016 0v.086c.001.26.156.493.404.6a.647.647 0 00.709-.123l.06-.06a3 3 0 114.244 4.244l-.052.052a.65.65 0 00-.13.717 1 1 0 01.064.2.647.647 0 00.531.284zm.08 4H21a1 1 0 000-2h-.174a2.65 2.65 0 01-2.425-1.606 1 1 0 01-.073-.264 2.655 2.655 0 01.615-2.737l.06-.06a1 1 0 10-1.416-1.416l-.068.068a2.646 2.646 0 01-2.913.534A2.651 2.651 0 0113 3.09V3a1 1 0 00-2 0v.174a2.65 2.65 0 01-1.606 2.425 1 1 0 01-.264.073 2.655 2.655 0 01-2.737-.615l-.06-.06a1 1 0 10-1.416 1.416l.068.068c.757.774.967 1.932.554 2.864A2.657 2.657 0 013.09 11.08H3a1 1 0 000 2h.174a2.646 2.646 0 012.42 1.596 2.654 2.654 0 01-.537 2.931l-.06.06a1 1 0 101.416 1.416l.068-.068c.774-.757 1.932-.967 2.864-.554a2.657 2.657 0 011.735 2.449V21a1 1 0 002 0v-.174a2.646 2.646 0 011.596-2.42 2.654 2.654 0 012.931.537l.06.06a1 1 0 101.416-1.416l-.068-.068a2.65 2.65 0 01-.532-2.918A2.651 2.651 0 0120.91 13z'/>",
    'icon-share': "<path fill-rule='evenodd' d='M9.85 10.912a4.003 4.003 0 010 2.175l5.311 3.095A4 4 0 0122 19a1 1 0 01-2 0 2 2 0 00-3.662-1.112 1.01 1.01 0 01-.123.208A2 2 0 0018 21a1 1 0 010 2 4 4 0 01-3.85-5.092l-5.308-3.094a4 4 0 110-5.63L14.15 6.09A4.003 4.003 0 0118 1a4 4 0 11-2.842 6.815L9.85 10.912zm-2.094.13a1.016 1.016 0 01-.056-.097A1.999 1.999 0 004 12a2 2 0 103.756-.959zM16.3 6.054A1.999 1.999 0 0020 5a2 2 0 10-3.7 1.055z'/>",
    'icon-shoppingbag': "<path fill-rule='evenodd' clip-rule='evenodd' d='M19 5H5l1.5-2h11L19 5zm2.6 1.8a.996.996 0 01-.61.2H4v13a1 1 0 001 1h14a1 1 0 001-1v-9a1 1 0 112 0v9a3 3 0 01-3 3H5a3 3 0 01-3-3V6a1 1 0 01.2-.6l3-4A1 1 0 016 1h12a1 1 0 01.8.4l3 4a1 1 0 01-.2 1.4zM12 13a3 3 0 003-3 1 1 0 112 0 5 5 0 01-10 0 1 1 0 112 0 3 3 0 003 3z'/>",
    'icon-social-facebook': "<title> Icon/social-facebook </title> <path d='M23 12.067C23 5.955 18.075 1 12 1S1 5.955 1 12.067C1 17.591 5.023 22.17 10.281 23v-7.734H7.488v-3.199h2.793V9.63c0-2.774 1.642-4.306 4.155-4.306 1.204 0 2.462.216 2.462.216v2.724h-1.387c-1.366 0-1.792.853-1.792 1.728v2.076h3.05l-.487 3.2h-2.563V23C18.977 22.17 23 17.591 23 12.067' fill-rule='evenodd'/>",
    'icon-social-flickr': "<path fill-rule='evenodd' clip-rule='evenodd' d='M2 4a2 2 0 012-2h16a2 2 0 012 2v16a2 2 0 01-2 2H4a2 2 0 01-2-2V4zm9 8a3 3 0 11-6 0 3 3 0 016 0zm5 3a3 3 0 100-6 3 3 0 000 6z'/>",
    'icon-social-instagram': "<path fill-rule='evenodd' d='M7.8 2h8.4C19.4 2 22 4.6 22 7.8v8.4a5.8 5.8 0 01-5.8 5.8H7.8C4.6 22 2 19.4 2 16.2V7.8A5.8 5.8 0 017.8 2zm-.2 2A3.6 3.6 0 004 7.6v8.8C4 18.39 5.61 20 7.6 20h8.8a3.6 3.6 0 003.6-3.6V7.6C20 5.61 18.39 4 16.4 4H7.6zm9.65 1.5a1.25 1.25 0 110 2.5 1.25 1.25 0 010-2.5zM12 7a5 5 0 110 10 5 5 0 010-10zm0 2a3 3 0 100 6 3 3 0 000-6z'/>",
    'icon-social-linkedin': "<path fill-rule='evenodd' d='M4 2h16a2 2 0 012 2v16a2 2 0 01-2 2H4a2 2 0 01-2-2V4a2 2 0 012-2zm15.222 11.333c0-2-1.622-3.622-3.622-3.622-.944 0-2.044.578-2.578 1.445V9.922h-3.1v9.3h3.1v-5.478a1.55 1.55 0 011.545-1.555c.859 0 1.555.696 1.555 1.555v5.478h3.1v-5.889zM8.178 6.311A1.873 1.873 0 006.31 4.433c-1.037 0-1.878.841-1.878 1.878a1.873 1.873 0 003.745 0zm-.322 12.911v-9.3H4.778v9.3h3.078z'/>",
    'icon-social-twitter': "<path fill-rule='evenodd' d='M19.965 8.508c0-.175-.004-.35-.012-.522A8.277 8.277 0 0022 5.894a8.292 8.292 0 01-2.356.636 4.064 4.064 0 001.804-2.234c-.793.462-1.671.799-2.606.98A4.13 4.13 0 0015.847 4c-2.266 0-4.104 1.809-4.104 4.039 0 .317.036.625.107.92a11.712 11.712 0 01-8.458-4.22 3.977 3.977 0 00-.556 2.03 4.02 4.02 0 001.826 3.363 4.122 4.122 0 01-1.858-.505l-.001.051c0 1.957 1.415 3.59 3.292 3.96a4.176 4.176 0 01-1.853.07c.522 1.604 2.037 2.772 3.833 2.805a8.317 8.317 0 01-5.096 1.729c-.331 0-.658-.019-.979-.056A11.751 11.751 0 008.29 20c7.547 0 11.675-6.155 11.675-11.492z'/>",
    'icon-social-youtube': "<path fill-rule='evenodd' d='M22.547 7.19c.471 1.565.453 4.826.453 4.826s0 3.245-.453 4.81c-.254.856-.997 1.532-1.94 1.762C18.888 19 12 19 12 19s-6.868 0-8.608-.428c-.942-.23-1.685-.906-1.939-1.763C1 15.261 1 12 1 12s0-3.245.453-4.81c.254-.856 1.015-1.548 1.94-1.778C5.112 5 12 5 12 5s6.886 0 8.608.428c.942.23 1.685.906 1.939 1.763zM15 12l-5-3v6l5-3z'/>",
    'icon-star': "<path fill-rule='evenodd' d='M15.754 7.346l6.39.935a1 1 0 01.554 1.705l-4.623 4.503 1.09 6.362a1 1 0 01-1.45 1.054L12 18.9l-5.715 3.005a1 1 0 01-1.45-1.054l1.09-6.362-4.623-4.503a1 1 0 01.553-1.705l6.39-.935 2.858-5.789a1 1 0 011.794 0l2.857 5.79zm-.809 1.903a1 1 0 01-.752-.546L12 4.259 9.807 8.703a1 1 0 01-.752.546l-4.907.718 3.55 3.457a1 1 0 01.288.885l-.838 4.883 4.387-2.307a1 1 0 01.93 0l4.387 2.307-.838-4.883a1 1 0 01.288-.885l3.55-3.457-4.907-.718z'/>",
    'icon-steps': "<path fill-rule='evenodd' clip-rule='evenodd' d='M15 7a1 1 0 00-1 1v8a1 1 0 001 1h8a1 1 0 001-1V8a1 1 0 00-1-1h-8zm1 2h6v6h-6V9zm-9 1a1 1 0 00-1 1v5a1 1 0 001 1h5a1 1 0 001-1v-5a1 1 0 00-1-1H7zm1 5v-3h3v3H8zm-8-2a1 1 0 011-1h3a1 1 0 011 1v3a1 1 0 01-1 1H1a1 1 0 01-1-1v-3zm2 1v1h1v-1H2z'/>",
    'icon-table': "<path fill-rule='evenodd' clip-rule='evenodd' d='M4 22a2 2 0 01-1.995-1.85L2 20V4a2 2 0 011.85-1.995L4 2h16a2 2 0 011.994 1.85L22 4v10a1 1 0 01-1.993.117L20 14V9H9v11h11v-2a1 1 0 011.993-.117L22 18v2a2 2 0 01-1.85 1.994L20 22H4zM7 9H4v11h3V9zm0-5H4v3h3V4zm13 0H9v3h11V4z'/>",
    'icon-tag': "<path fill-rule='evenodd' d='M4 12.586l8.293 8.293a1 1 0 001.414 0l7.172-7.172a1 1 0 000-1.414 1 1 0 111.414-1.414 3 3 0 010 4.242l-7.172 7.172a3 3 0 01-4.242 0l-8.586-8.586A1 1 0 012 13V3a1 1 0 011-1h10a1 1 0 01.707.293l6 6a1 1 0 11-1.414 1.414L12.586 4H4v8.586zM8.5 11a2.5 2.5 0 110-5 2.5 2.5 0 010 5zm0-2a.5.5 0 100-1 .5.5 0 000 1z'/>",
    'icon-thumb-down-full': "<path fill-rule='evenodd' d='M13.914 22.406A1 1 0 0113 23a4 4 0 01-4-4v-3H4.351a3 3 0 01-3-3.452l1.38-8.998A2.997 2.997 0 015.72 1H19.652a3.31 3.31 0 013.339 2.866L23 4v7l-.009.134A3.305 3.305 0 0119.67 14h-2.02l-3.736 8.406zM18 12h1.688A1.31 1.31 0 0021 10.923V4.077A1.315 1.315 0 0019.67 3H18v9z'/>",
    'icon-thumb-down': "<path fill-rule='evenodd' d='M17 1h2.652a3.31 3.31 0 013.339 2.866L23 4v7l-.009.134A3.305 3.305 0 0119.67 14h-2.02l-3.736 8.406A1 1 0 0113 23a4 4 0 01-4-4v-3H4.351a3 3 0 01-3-3.452l1.38-8.998A2.997 2.997 0 015.72 1H13a1 1 0 010 2H5.709a1 1 0 00-1 .852l-1.38 8.998A1 1 0 004.34 14H10a1 1 0 011 1v4a2 2 0 001.392 1.906L16 12.788V2a1 1 0 011-1zm1 2v9h1.688A1.31 1.31 0 0021 10.923V4.077A1.315 1.315 0 0019.67 3H18z'/>",
    'icon-thumb-up-full': "<path fill-rule='evenodd' d='M6.35 10l3.736-8.406A1 1 0 0111 1a4 4 0 014 4v3h4.649a3 3 0 013 3.452l-1.38 8.998A3 3 0 0118.275 23H4a3 3 0 01-3-3v-7a3 3 0 013-3h2.35zM4 12a1 1 0 00-1 1v7a1 1 0 001 1h2v-9H4z'/>",
    'icon-thumb-up': "<path fill-rule='evenodd' d='M7.707 22.707A.997.997 0 017 23H4a3 3 0 01-3-3v-7a3 3 0 013-3h2.35l3.736-8.406A1 1 0 0111 1a4 4 0 014 4v3h4.649a3 3 0 013 3.452l-1.38 8.998A2.997 2.997 0 0118.28 23H11a1 1 0 010-2h7.291a1 1 0 001-.852l1.38-8.998A1 1 0 0019.66 10H14a1 1 0 01-1-1V5a2 2 0 00-1.392-1.906L8 11.212V22a.997.997 0 01-.293.707zM6 12H4a1 1 0 00-1 1v7a1 1 0 001 1h2v-9z'/>",
    'icon-ticket': "<path fill-rule='evenodd' clip-rule='evenodd' d='M13.293 1.293a1 1 0 011.414 0l2.495 2.495.005.005a.997.997 0 010 1.414c-.338.338-.36 1.055.086 1.5.445.445 1.162.424 1.5.086a.996.996 0 011.414 0l.005.005 2.495 2.495a1 1 0 010 1.414l-5 5-7 7a1 1 0 01-1.414 0l-2.5-2.5a1 1 0 01.03-1.443 1.122 1.122 0 00-1.616-1.557 1 1 0 01-1.414 0l-2.5-2.5a1 1 0 010-1.414l7-7 5-5zM17 13.586l-1.793-1.793a1 1 0 00-1.414 1.414L15.586 15 10 20.586l-1.2-1.2A3.123 3.123 0 004.614 15.2l-1.2-1.2L9 8.414l1.793 1.793a1 1 0 001.414-1.414L10.414 7 14 3.414l1.214 1.214c-.527 1.168-.223 2.606.665 3.493.888.888 2.325 1.192 3.493.665L20.586 10 17 13.586z'/>",
    'icon-trash': "<path fill-rule='evenodd' d='M7 5V4a3 3 0 013-3h4a3 3 0 013 3v1h4a1 1 0 010 2H6v13a1 1 0 001 1h10a1 1 0 001-1V10a1 1 0 012 0v10a3 3 0 01-3 3H7a3 3 0 01-3-3V7H3a1 1 0 110-2h4zm2 0h6V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v1zm0 6a1 1 0 012 0v6a1 1 0 01-2 0v-6zm4 0a1 1 0 012 0v6a1 1 0 01-2 0v-6z'/>",
    'icon-unlock': "<path fill-rule='evenodd' d='M6 9V7.001a6 6 0 015.397-5.976c1.586-.16 3.025.244 4.223 1.19a1 1 0 11-1.24 1.57c-.785-.62-1.705-.879-2.782-.77A4 4 0 008 7v2h11a1 1 0 011 1v12a1 1 0 01-1 1H5a1 1 0 01-1-1V10a1 1 0 011-1h1zm6 8a1 1 0 110-2 1 1 0 010 2zm-6-6v10h12V11H6z'/>",
    'icon-upload': "<path fill-rule='evenodd' d='M12.39 2.079A1 1 0 0113 3v12a1 1 0 01-2 0V5.414L7.707 8.707a1 1 0 01-1.414-1.414l5-5a1 1 0 011.083-.22zM20 15a1 1 0 012 0v4a3 3 0 01-3 3H5a3 3 0 01-3-3v-4a1 1 0 012 0v4a1 1 0 001 1h14a1 1 0 001-1v-4zm-2.293-7.707a1 1 0 11-1.414 1.414l-2-2a1 1 0 111.414-1.414l2 2z'/>",
    'icon-user-circle': "<path fill-rule='evenodd' d='M6 18.708V18a3 3 0 013-3h6a3 3 0 013 3v2.631c0 .145-.03.282-.086.406a.996.996 0 01-.432.501A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-15 6.708zm1.998 1.355c1.205.6 2.564.937 4.002.937 1.41 0 2.77-.324 4-.935V18a1 1 0 00-1-1H9a1 1 0 00-1 1v2c0 .021 0 .042-.002.063zM12 14a4 4 0 110-8 4 4 0 010 8zm0-2a2 2 0 100-4 2 2 0 000 4z'/>",
    'icon-user': "<path fill-rule='evenodd' d='M21 21a1 1 0 01-2 0v-2a3 3 0 00-3-3H8a3 3 0 00-3 3v2a1 1 0 01-2 0v-2a5 5 0 015-5h8a5 5 0 015 5v2zM14.509 2.674a1 1 0 11-1.005 1.73A3 3 0 1015 7a1 1 0 012 0 5 5 0 11-2.491-4.326z'/>",
    'icon-users': "<path fill-rule='evenodd' d='M18 21a1 1 0 01-2 0v-2a3 3 0 00-3-3H5a3 3 0 00-3 3v2a1 1 0 01-2 0v-2a5 5 0 015-5h8a5 5 0 015 5v2zm6 0a1 1 0 01-2 0v-2a3 3 0 00-2.25-2.902 1 1 0 11.5-1.936A5 5 0 0124 19v2zM15.752 4.099a1 1 0 11.496-1.938 5 5 0 010 9.688 1 1 0 01-.496-1.938 3 3 0 000-5.812zm-9.26-1.425A5 5 0 114 7a1 1 0 111.999 0 3 3 0 101.496-2.596 1 1 0 01-1.005-1.73z'/>",
    'icon-warning': "<path fill-rule='evenodd' clip-rule='evenodd' d='M12.857 4.373a1 1 0 00-1.714 0L2.675 18.485A1 1 0 003.532 20h16.936a1 1 0 00.857-1.515l-1.183-1.97a1 1 0 011.716-1.03l1.182 1.971c1.2 2-.24 4.544-2.572 4.544H3.532C1.201 22-.24 19.456.96 17.456L9.428 3.344c1.165-1.942 3.98-1.942 5.144 0l4.886 8.142a1 1 0 11-1.715 1.028l-4.885-8.141zM11 9a1 1 0 112 0v5a1 1 0 11-2 0V9zm1 7a1 1 0 100 2 1 1 0 000-2z'/>",
    'icon-website': "<path fill-rule='evenodd' clip-rule='evenodd' d='M20.176 17.845a1 1 0 001.366-.368A10.953 10.953 0 0023 12c0-6.075-4.925-11-11-11S1 5.925 1 12s4.925 11 11 11c1.95 0 3.828-.509 5.482-1.462a1 1 0 10-.998-1.733 8.93 8.93 0 01-2.21.905A16.301 16.301 0 0016.95 13h3.995a8.932 8.932 0 01-1.137 3.48 1 1 0 00.368 1.365zm.77-6.845h-3.999a16.331 16.331 0 00-2.673-7.71A9.008 9.008 0 0120.945 11zM9.725 3.29A9.008 9.008 0 003.055 11H7.05a16.3 16.3 0 012.676-7.71zM3.055 13a9.008 9.008 0 006.671 7.71A16.331 16.331 0 017.053 13H3.055zM12 20.45A14.3 14.3 0 019.058 13h5.887A14.288 14.288 0 0112 20.45zM9.055 11h5.887A14.3 14.3 0 0012 3.55 14.288 14.288 0 009.055 11z'/>",
    'icon-wheelchair': "<path fill-rule='evenodd' clip-rule='evenodd' d='M21 3.5a2.5 2.5 0 10-5 0 2.5 2.5 0 005 0zm-3 0a.5.5 0 111 0 .5.5 0 01-1 0zM8.707 7.707l2.42-2.42 1.303.868-6.086 6.087a6.166 6.166 0 00-.064.05A1 1 0 007.52 13.86a3.987 3.987 0 01.106-.081 3.995 3.995 0 015.201.393 4 4 0 11-6.794 2.304 1 1 0 10-1.983-.26A6 6 0 1015.198 14h2.622l-.806 4.836a1 1 0 101.972.328l1-6A1 1 0 0019 12h-4.586l1.568-1.568a3 3 0 00-.457-4.617l-.955-.637a.917.917 0 00-.033-.021l-2.982-1.99a1 1 0 00-1.262.126l-3 3a1 1 0 001.414 1.414zm5.42-.42l-3.726 3.726c.614.04 1.217.176 1.79.4.03-.042.064-.082.102-.12l2.275-2.275a1 1 0 00-.152-1.54l-.289-.191z'/>",
    'icon-x-circle-full': "<path fill-rule='evenodd' d='M10.586 12l-2.829 2.828a1 1 0 001.415 1.415L12 13.414l2.828 2.829a1 1 0 001.415-1.415L13.414 12l2.829-2.828a1 1 0 10-1.415-1.415L12 10.586 9.172 7.757a1 1 0 00-1.415 1.415L10.586 12zM12 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11-4.925 11-11 11z'/>",
    'icon-x-circle': "<path fill-rule='evenodd' d='M10.586 12L7.757 9.172a1 1 0 011.415-1.415L12 10.586l2.828-2.829a1 1 0 011.415 1.415L13.414 12l2.829 2.828a1 1 0 01-1.415 1.415L12 13.414l-2.828 2.829a1 1 0 11-1.415-1.415L10.586 12zm10.956 5.477a1 1 0 01-1.734-.997A8.953 8.953 0 0021 12a9 9 0 10-9 9 8.953 8.953 0 004.484-1.195 1 1 0 01.998 1.733A10.953 10.953 0 0112 23C5.925 23 1 18.075 1 12S5.925 1 12 1s11 4.925 11 11c0 1.948-.508 3.824-1.458 5.477z'/>",
    'icon-x': "<path fill-rule='evenodd' d='M12 13.414l-5.293 5.293a1 1 0 11-1.414-1.414L10.586 12 5.293 6.707a1 1 0 011.414-1.414l12 12a1 1 0 01-1.414 1.414L12 13.414zm5.293-8.121a1 1 0 011.414 1.414l-3 3a1 1 0 11-1.414-1.414l3-3z'/>",
    'icon-spinner': "<path d='M24 12C24 14.3734 23.2962 16.6935 21.9776 18.6668C20.6591 20.6402 18.7849 22.1783 16.5922 23.0866C14.3995 23.9948 11.9867 24.2324 9.65892 23.7694C7.33114 23.3064 5.19295 22.1635 3.51472 20.4853C1.83649 18.8071 0.693599 16.6689 0.230577 14.3411C-0.232446 12.0133 0.00519403 9.60051 0.913446 7.4078C1.8217 5.21509 3.35977 3.34094 5.33316 2.02236C7.30655 0.703788 9.62662 -2.83022e-08 12 0L12 3C10.22 3 8.47991 3.52784 6.99987 4.51677C5.51983 5.50571 4.36627 6.91131 3.68508 8.55585C3.0039 10.2004 2.82567 12.01 3.17293 13.7558C3.5202 15.5016 4.37737 17.1053 5.63604 18.364C6.89471 19.6226 8.49836 20.4798 10.2442 20.8271C11.99 21.1743 13.7996 20.9961 15.4442 20.3149C17.0887 19.6337 18.4943 18.4802 19.4832 17.0001C20.4722 15.5201 21 13.78 21 12H24Z'/>",
    'icon-emergency': "<path fill-rule='evenodd' clip-rule='evenodd' d='M11.067 7.87a.957.957 0 011.914 0v4.786a.957.957 0 11-1.914 0V7.87zM12.024 15.527a.958.958 0 10.001 1.916.958.958 0 00-.001-1.916z M9.878 1.879a3 3 0 014.243 0l8 7.999a3 3 0 010 4.242l-7.999 8.001a3 3 0 01-4.242 0l-8.001-7.999a3 3 0 010-4.242l7.999-8.001zm2.829 1.414a1 1 0 00-1.415 0l-8 8a1 1 0 00.001 1.415l8 8a1 1 0 001.415 0l8-8.002a1 1 0 000-1.414l-8.001-8z'/>",
    'icon-error-octagon': "<path fill-rule='evenodd' clip-rule='evenodd' d='M34.9 27C35.3971 27 35.8 26.597 35.8 26.1C35.8 25.6029 35.3971 25.2 34.9 25.2C34.4029 25.2 34 25.6029 34 26.1C34 26.597 34.4029 27 34.9 27Z' /><path fill-rule='evenodd' clip-rule='evenodd' d='M13.493 13.4928C13.8835 13.1023 14.5167 13.1023 14.9072 13.4928L26.5072 25.0928C26.8977 25.4834 26.8977 26.1165 26.5072 26.5071C26.1167 26.8976 25.4835 26.8976 25.093 26.5071L13.493 14.9071C13.1024 14.5165 13.1024 13.8834 13.493 13.4928Z' /><path fill-rule='evenodd' clip-rule='evenodd' d='M26.5072 13.4928C26.8977 13.8834 26.8977 14.5165 26.5072 14.9071L14.8072 26.6071C14.4167 26.9976 13.7835 26.9976 13.393 26.6071C13.0025 26.2165 13.0025 25.5834 13.393 25.1928L25.093 13.4928C25.4835 13.1023 26.1167 13.1023 26.5072 13.4928Z' /><path fill-rule='evenodd' clip-rule='evenodd' d='M12.7929 3.59294C12.9805 3.40541 13.2348 3.30005 13.5 3.30005H26.5C26.7653 3.30005 27.0196 3.40541 27.2072 3.59294L36.4072 12.7929C36.5947 12.9805 36.7001 13.2348 36.7001 13.5V23.5C36.7001 24.0523 36.2523 24.5 35.7001 24.5C35.1478 24.5 34.7001 24.0523 34.7001 23.5V13.9143L26.0858 5.30005H13.9143L5.30005 13.9143V26.0858L13.9143 34.7001H26.0858L32.8929 27.8929C33.2835 27.5024 33.9166 27.5024 34.3072 27.8929C34.6977 28.2835 34.6977 28.9166 34.3072 29.3072L27.2072 36.4072C27.0196 36.5947 26.7653 36.7001 26.5 36.7001H13.5C13.2348 36.7001 12.9805 36.5947 12.7929 36.4072L3.59294 27.2072C3.40541 27.0196 3.30005 26.7653 3.30005 26.5V13.5C3.30005 13.2348 3.40541 12.9805 3.59294 12.7929L12.7929 3.59294Z'/>"
};
/* 40x40 illlustrative icons - https://zeroheight.com/575tugn0n/v/0/p/39c76f-icones-illustratives/t/page-39c76f-32902091-13 */
const ILLUSTRATIVE_ICONS = ['icon-error-octagon'];

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SVG_PREFIX = `<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"><svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" role="img">`;
const SVG_SUFFIX = `</svg>`;
class BaoIconDictionary {
    constructor(document, domSanitizer) {
        this.document = document;
        this.domSanitizer = domSanitizer;
    }
    getNamedSvgIcon(iconName) {
        const rawIconString = this.getRawIconStringFromIconName(iconName);
        const literal = this.domSanitizer.bypassSecurityTrustHtml(rawIconString);
        const svgString = this.domSanitizer.sanitize(SecurityContext.HTML, literal);
        return this.svgElementFromString(svgString || '');
    }
    getRawIconStringFromIconName(iconName) {
        const iconSvgPath = ICONS_DCT[iconName] || '';
        const iconSvgPrefix = ILLUSTRATIVE_ICONS.includes(iconName)
            ? SVG_PREFIX.replace('0 0 24 24', '0 0 40 40')
            : SVG_PREFIX;
        return `${iconSvgPrefix}${iconSvgPath}${SVG_SUFFIX}`;
    }
    svgElementFromString(svgString) {
        const div = this.document.createElement('DIV');
        div.innerHTML = svgString;
        const svg = div.querySelector('svg');
        return svg;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconDictionary, deps: [{ token: DOCUMENT }, { token: i1.DomSanitizer }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconDictionary, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconDictionary, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i1.DomSanitizer }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SVG_NAMESPACE$1 = 'http://www.w3.org/2000/svg';
const TITLE = 'title';
/**
 * Component to display an icon. It can be used in the following ways:
 *
 * - Specify the svgIcon input to load an SVG icon from a preset list of icons.
 *   Examples:
 *     `<bao-icon svgIcon="heart"></bao-icon>`
 */
class BaoIconComponent {
    constructor(elementRef, iconRegistry, renderer) {
        this.elementRef = elementRef;
        this.iconRegistry = iconRegistry;
        this.renderer = renderer;
        /**
         * The size of the icon
         */
        this.size = 'x-small';
        this._titleId = '';
        this._title = '';
        this._svgIcon = '';
    }
    /** Name of the icon in the SVG icon set. */
    get svgIcon() {
        return this._svgIcon;
    }
    /** Title that will be used as an aria-label for the icon */
    get title() {
        return this._title;
    }
    get hexColor() {
        if (this.color) {
            return baoColorToHex(this.color);
        }
    }
    get titleId() {
        return this._titleId;
    }
    set svgIcon(value) {
        if (value !== this._svgIcon) {
            if (value) {
                this.updateSvgIcon(value, this.title);
            }
            else if (this._svgIcon) {
                this.clearSvgElement();
            }
            this._svgIcon = value;
            this.renderer.addClass(this.elementRef.nativeElement, `bao-${this._svgIcon}`);
        }
    }
    set title(value) {
        if (value !== this._title) {
            this._title = value;
            this._titleId = this.generateUniqueTitleId();
            this.updateSvgIcon(this.svgIcon, value);
        }
    }
    ngOnDestroy() {
        if (this._elementsWithExternalReferences) {
            this._elementsWithExternalReferences.clear();
        }
    }
    setSvgElement(svg) {
        this.clearSvgElement();
        // Workaround for IE11 and Edge ignoring `style` tags inside dynamically-created SVGs.
        // See: https://developer.microsoft.com/en-us/microsoft-edge/platform/issues/10898469/
        // Do this before inserting the element into the DOM, in order to avoid a style recalculation.
        const styleTags = svg.querySelectorAll('style');
        // eslint-disable-next-line @typescript-eslint/prefer-for-of
        for (let i = 0; i < styleTags.length; i++) {
            styleTags[i].textContent += ' ';
        }
        this.elementRef.nativeElement.appendChild(svg);
    }
    clearSvgElement() {
        const layoutElement = this.elementRef.nativeElement;
        let childCount = layoutElement.childNodes.length;
        if (this._elementsWithExternalReferences) {
            this._elementsWithExternalReferences.clear();
        }
        // Remove existing non-element child nodes and SVGs, and add the new SVG element. Note that
        // we can't use innerHTML, because IE will throw if the element has a data binding.
        while (childCount--) {
            const child = layoutElement.childNodes[childCount];
            // 1 corresponds to Node.ELEMENT_NODE. We remove all non-element nodes in order to get rid
            // of any loose text nodes, as well as any SVG elements in order to remove any old icons.
            if (child.nodeType !== 1 || child.nodeName.toLowerCase() === 'svg') {
                layoutElement.removeChild(child);
            }
        }
    }
    // Sets a new SVG icon with a particular name.
    updateSvgIcon(iconName, title) {
        if (iconName) {
            let svg = this.iconRegistry.getNamedSvgIcon(iconName);
            if (title) {
                svg = this.addTitleToSVG(svg, title);
                this.removeTitleAttributeFromHost();
            }
            if (!title) {
                svg.setAttribute('aria-hidden', 'true');
            }
            this.setSvgElement(svg);
        }
    }
    addTitleToSVG(svg, title) {
        const titleNode = this.renderer.createElement(TITLE, SVG_NAMESPACE$1);
        titleNode.id = this._titleId;
        const titleText = this.renderer.createText(title);
        this.renderer.appendChild(titleNode, titleText);
        this.renderer.appendChild(svg, titleNode);
        svg.setAttribute('aria-labelledby', this._titleId);
        return svg;
    }
    removeTitleAttributeFromHost() {
        this.renderer.removeAttribute(this.elementRef.nativeElement, 'title');
    }
    generateUniqueTitleId() {
        return this.title
            ? `${this.title
                .replace(/[^A-Z0-9]+/gi, '')
                .toLocaleLowerCase()}-${Math.floor(Math.random() * 10000000000000000)}`
            : '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconComponent, deps: [{ token: i0.ElementRef }, { token: BaoIconDictionary }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoIconComponent, selector: "bao-icon", inputs: { color: "color", size: "size", svgIcon: "svgIcon", title: "title" }, host: { properties: { "class.bao-icon": "true", "class.notranslate": "true", "class.bao-icon-medium": "size === \"medium\"", "class.bao-icon-small": "size === \"small\"", "class.bao-icon-x-small": "size === \"x-small\"", "class.bao-icon-xx-small": "size === \"xx-small\"", "attr.data-bao-icon-type": "\"svg\"", "style.color": "hexColor" } }, exportAs: ["baoIcon"], ngImport: i0, template: '<ng-content></ng-content>', isInline: true, styles: ["bao-icon{background-repeat:no-repeat;display:inline-block;fill:currentColor;line-height:normal}bao-icon svg{height:100%;width:100%}bao-icon.bao-icon-medium{height:2.5rem;width:2.5rem}bao-icon.bao-icon-small{height:2rem;width:2rem;line-height:1.75rem}bao-icon.bao-icon-x-small{height:1.5rem;width:1.5rem;line-height:.5rem}bao-icon.bao-icon-xx-small{height:1rem;width:1rem;line-height:.85rem}bao-icon.bao-icon-spinner{animation:spin .75s linear infinite}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconComponent, decorators: [{
            type: Component,
            args: [{ template: '<ng-content></ng-content>', selector: 'bao-icon', exportAs: 'baoIcon', host: {
                        '[class.bao-icon]': 'true',
                        '[class.notranslate]': 'true',
                        '[class.bao-icon-medium]': 'size === "medium"',
                        '[class.bao-icon-small]': 'size === "small"',
                        '[class.bao-icon-x-small]': 'size === "x-small"',
                        '[class.bao-icon-xx-small]': 'size === "xx-small"',
                        '[attr.data-bao-icon-type]': '"svg"',
                        '[style.color]': 'hexColor'
                    }, encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, styles: ["bao-icon{background-repeat:no-repeat;display:inline-block;fill:currentColor;line-height:normal}bao-icon svg{height:100%;width:100%}bao-icon.bao-icon-medium{height:2.5rem;width:2.5rem}bao-icon.bao-icon-small{height:2rem;width:2rem;line-height:1.75rem}bao-icon.bao-icon-x-small{height:1.5rem;width:1.5rem;line-height:.5rem}bao-icon.bao-icon-xx-small{height:1rem;width:1rem;line-height:.85rem}bao-icon.bao-icon-spinner{animation:spin .75s linear infinite}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: BaoIconDictionary }, { type: i0.Renderer2 }], propDecorators: { color: [{
                type: Input
            }], size: [{
                type: Input
            }], svgIcon: [{
                type: Input
            }], title: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const ICON_DIRECTIVES = [BaoIconComponent];
class BaoIconModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoIconModule, declarations: [BaoIconComponent], imports: [CommonModule], exports: [BaoIconComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoIconModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: ICON_DIRECTIVES,
                    exports: ICON_DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const BAO_ICON_NODE_NAME = 'BAO-ICON';
const LOADING_SPINNER_CLASS = 'loading-spinner';
class BaoButtonComponent {
    constructor(elementRef, cdr) {
        this.elementRef = elementRef;
        this.cdr = cdr;
        /**
         * The display type of the button
         */
        this.displayType = 'utility';
        /**
         * The hierarchy level of the button
         */
        this.level = 'primary';
        /**
         * The size of the button
         */
        this.size = 'medium';
        /**
         * Flag to set the button in loading state
         */
        this.loading = false;
        /**
         * Flag to set the button reversed color mode
         */
        this.reversed = false;
        /**
         * The aria-label of the loading spinner if it displayed alone
         */
        this.loadingSpinnerAriaLabel = 'chargement';
        /**
         * Allows the button to grow to the width of it's container
         */
        this.fullWidth = false;
        /**
         * If there is no text, some margin/padding will be different, i.e. for the spinner
         */
        this.noText = false;
        /**
         * If the icon is on the right of the label, the loading spinner will need to be on the right of the label
         */
        this.rightIcon = false;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterContentInit() {
        const childNodes = Array.from(this.nativeElement.childNodes);
        const textIndex = childNodes.findIndex(c => c.nodeType === Node.TEXT_NODE);
        this.noText = textIndex === -1;
        const iconIdex = childNodes.findIndex(c => c.nodeName === BAO_ICON_NODE_NAME &&
            !c.classList.contains(LOADING_SPINNER_CLASS));
        this.rightIcon = iconIdex > textIndex;
        this.cdr.detectChanges();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoButtonComponent, selector: "button[bao-button]", inputs: { displayType: "displayType", level: "level", size: "size", loading: "loading", reversed: "reversed", loadingSpinnerAriaLabel: "loadingSpinnerAriaLabel", fullWidth: "fullWidth" }, host: { properties: { "class.bao-button-utility": "displayType === \"utility\"", "class.bao-button-editorial": "displayType === \"editorial\"", "class.bao-button-primary": "level === \"primary\"", "class.bao-button-secondary": "level === \"secondary\"", "class.bao-button-tertiary": "level === \"tertiary\"", "class.bao-button-large": "size === \"large\"", "class.bao-button-medium": "size === \"medium\"", "class.bao-button-small": "size === \"small\"", "class.bao-button-reversed": "reversed === true", "class.bao-button-loading": "loading === true", "class.bao-button-no-text": "noText === true", "class.bao-button-full-width": "fullWidth === true" }, classAttribute: "bao-button" }, ngImport: i0, template: "<bao-icon\n  *ngIf=\"loading && !rightIcon\"\n  class=\"loading-spinner\"\n  svgIcon=\"icon-spinner\"\n  [title]=\"loadingSpinnerAriaLabel\"\n></bao-icon>\n<ng-content></ng-content>\n<bao-icon\n  *ngIf=\"loading && rightIcon\"\n  class=\"loading-spinner loading-spinner-right\"\n  svgIcon=\"icon-spinner\"\n  [title]=\"loadingSpinnerAriaLabel\"\n></bao-icon>\n", styles: [".bao-button{font-weight:700;font-size:.875rem;line-height:1.25rem;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;text-align:center;white-space:nowrap;vertical-align:middle;-webkit-user-select:none;user-select:none;cursor:pointer;display:inline-flex;align-items:center}.bao-button.bao-button-full-width{width:100%;display:block}.bao-button span{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-button:focus{outline:none;box-shadow:0 0 0 .1875rem #98bcde}.bao-button:focus.bao-button-reversed{outline:none;box-shadow:0 0 0 .1875rem #98bcde;box-shadow:0 0 0 .1875rem #ffffff4d}.bao-button:disabled,.bao-button.bao-button-loading{cursor:not-allowed}.bao-button.bao-button-utility{border-radius:.25rem;padding:.5625rem 1rem}.bao-button.bao-button-utility:disabled.bao-button-secondary,.bao-button.bao-button-utility:disabled.bao-button-tertiary{color:#adb2bd}.bao-button.bao-button-primary{background-color:#097d6c;border:solid .0625rem #097d6c;color:#fff}.bao-button.bao-button-primary.bao-button-reversed{background-color:#fff;border:solid .0625rem #ffffff;color:#000}.bao-button.bao-button-primary:hover{background-color:#075b4f}.bao-button.bao-button-primary:hover.bao-button-reversed{background-color:#eefaf8;color:#097d6c}.bao-button.bao-button-primary:focus.bao-button-reversed{background-color:#eefaf8;color:#097d6c}.bao-button.bao-button-primary:disabled,.bao-button.bao-button-primary.bao-button-loading{color:#637381;background-color:#dee2e6;border:solid .0625rem #dee2e6}.bao-button.bao-button-primary:disabled.bao-button-reversed,.bao-button.bao-button-primary.bao-button-loading.bao-button-reversed{background-color:#ffffff4d;border:solid .0625rem gba(#ffffff,.3);color:#ffffff80}.bao-button.bao-button-secondary{background-color:#fff0;color:#097d6c;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary.bao-button-reversed{background-color:#fff0;color:#fff;border:solid .0625rem rgba(206,212,218,.5)}.bao-button.bao-button-secondary:hover{border:solid .0625rem #097d6c;background-color:#eefaf8}.bao-button.bao-button-secondary:hover.bao-button-reversed{background-color:#fff0;color:#fff;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary:focus{border:solid .0625rem #097d6c;background-color:#eefaf8}.bao-button.bao-button-secondary:focus.bao-button-reversed{background-color:#ffffff4d;color:#fff;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary:disabled,.bao-button.bao-button-secondary.bao-button-loading{color:#637381}.bao-button.bao-button-secondary:disabled:hover,.bao-button.bao-button-secondary.bao-button-loading:hover{border-color:#ced4da;background-color:#fff}.bao-button.bao-button-secondary:disabled:hover.bao-button-reversed,.bao-button.bao-button-secondary.bao-button-loading:hover.bao-button-reversed{border:solid .0625rem rgba(206,212,218,.5);background-color:#fff0;color:#637381}.bao-button.bao-button-secondary:disabled:focus,.bao-button.bao-button-secondary.bao-button-loading:focus{border-color:#ced4da;background-color:#fff}.bao-button.bao-button-secondary:disabled:focus.bao-button-reversed,.bao-button.bao-button-secondary.bao-button-loading:focus.bao-button-reversed{background-color:#fff0}.bao-button.bao-button-tertiary{border:solid .0625rem rgba(255,255,255,.0001);background-color:#fff0;color:#097d6c}.bao-button.bao-button-tertiary.bao-button-reversed{color:#fff}.bao-button.bao-button-tertiary:hover{background-color:#eefaf8}.bao-button.bao-button-tertiary:hover.bao-button-reversed{background-color:#ffffff4d;color:#fff}.bao-button.bao-button-tertiary:focus{background-color:#eefaf8}.bao-button.bao-button-tertiary:focus.bao-button-reversed{background-color:#ffffff4d;color:#fff}.bao-button.bao-button-tertiary:disabled,.bao-button.bao-button-tertiary.bao-button-loading{color:#637381}.bao-button.bao-button-tertiary:disabled:hover,.bao-button.bao-button-tertiary.bao-button-loading:hover{background-color:#fff0}.bao-button.bao-button-tertiary:disabled:hover.bao-button-reversed,.bao-button.bao-button-tertiary.bao-button-loading:hover.bao-button-reversed{color:#637381}.bao-button.bao-button-tertiary:disabled:focus,.bao-button.bao-button-tertiary.bao-button-loading:focus{background-color:#fff0}.bao-button.bao-button-tertiary:disabled:focus.bao-button-reversed,.bao-button.bao-button-tertiary.bao-button-loading:focus.bao-button-reversed{color:#637381}.bao-button.bao-button-editorial{border-radius:1.25rem;padding:.625rem 2rem}.bao-button.bao-button-editorial.bao-button-small{padding:.4375rem 1rem}.bao-button.bao-button-editorial.bao-button-large{border-radius:4rem;font-weight:700;font-size:1rem;line-height:1.5rem;padding:.9375rem 2rem}.bao-button.bao-button-editorial.bao-button-medium{padding:.5625rem 2rem}.bao-button.bao-button-editorial:disabled.bao-button-secondary,.bao-button.bao-button-editorial:disabled.bao-button-tertiary{color:#adb2bd}.bao-button.bao-button-small{font-weight:700;font-size:.75rem;line-height:1rem;padding:.4375rem}.bao-button.bao-button-small span{font-weight:700;font-size:.75rem;line-height:1rem}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.bao-button .loading-spinner{margin-right:.5rem;margin-left:-.5rem}.bao-button .loading-spinner-right{margin-right:-.5rem;margin-left:.5rem}.bao-button.bao-button-no-text .loading-spinner-right{margin:-.125rem -.5625rem}.bao-button.bao-button-small .loading-spinner{width:1rem;height:1rem;margin-right:.25rem;margin-left:0}.bao-button.bao-button-small .loading-spinner-right{margin-right:0;margin-left:.25rem}.bao-button.bao-button-loading>bao-icon:not(.loading-spinner){display:none}.bao-button>.bao-button-no-text.bao-button-loading>.loading-spinner{margin:-.125rem -.5625rem}.bao-button>bao-icon{margin:-.125rem 0rem}.bao-button>bao-icon:first-child:not(.loading-spinner){margin-right:.5rem;margin-left:-.5rem}.bao-button>bao-icon:last-child:not(.loading-spinner){margin-left:.5rem;margin-right:-.5rem}.bao-button>bao-icon:first-child:last-child:not(.loading-spinner){margin:-.125rem -.5625rem}.bao-button.bao-button-small>bao-icon{height:1rem;width:1rem;margin:-.125rem 0rem}.bao-button.bao-button-small>bao-icon:first-child:not(.loading-spinner){margin-left:0rem;margin-right:.25rem}.bao-button.bao-button-small>bao-icon:last-child:not(.loading-spinner){margin-left:.25rem;margin-right:0rem}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'button[bao-button]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-button',
                        '[class.bao-button-utility]': 'displayType === "utility"',
                        '[class.bao-button-editorial]': 'displayType === "editorial"',
                        '[class.bao-button-primary]': 'level === "primary"',
                        '[class.bao-button-secondary]': 'level === "secondary"',
                        '[class.bao-button-tertiary]': 'level === "tertiary"',
                        '[class.bao-button-large]': 'size === "large"',
                        '[class.bao-button-medium]': 'size === "medium"',
                        '[class.bao-button-small]': 'size === "small"',
                        '[class.bao-button-reversed]': 'reversed === true',
                        '[class.bao-button-loading]': 'loading === true',
                        '[class.bao-button-no-text]': 'noText === true',
                        '[class.bao-button-full-width]': 'fullWidth === true'
                    }, template: "<bao-icon\n  *ngIf=\"loading && !rightIcon\"\n  class=\"loading-spinner\"\n  svgIcon=\"icon-spinner\"\n  [title]=\"loadingSpinnerAriaLabel\"\n></bao-icon>\n<ng-content></ng-content>\n<bao-icon\n  *ngIf=\"loading && rightIcon\"\n  class=\"loading-spinner loading-spinner-right\"\n  svgIcon=\"icon-spinner\"\n  [title]=\"loadingSpinnerAriaLabel\"\n></bao-icon>\n", styles: [".bao-button{font-weight:700;font-size:.875rem;line-height:1.25rem;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;text-align:center;white-space:nowrap;vertical-align:middle;-webkit-user-select:none;user-select:none;cursor:pointer;display:inline-flex;align-items:center}.bao-button.bao-button-full-width{width:100%;display:block}.bao-button span{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-button:focus{outline:none;box-shadow:0 0 0 .1875rem #98bcde}.bao-button:focus.bao-button-reversed{outline:none;box-shadow:0 0 0 .1875rem #98bcde;box-shadow:0 0 0 .1875rem #ffffff4d}.bao-button:disabled,.bao-button.bao-button-loading{cursor:not-allowed}.bao-button.bao-button-utility{border-radius:.25rem;padding:.5625rem 1rem}.bao-button.bao-button-utility:disabled.bao-button-secondary,.bao-button.bao-button-utility:disabled.bao-button-tertiary{color:#adb2bd}.bao-button.bao-button-primary{background-color:#097d6c;border:solid .0625rem #097d6c;color:#fff}.bao-button.bao-button-primary.bao-button-reversed{background-color:#fff;border:solid .0625rem #ffffff;color:#000}.bao-button.bao-button-primary:hover{background-color:#075b4f}.bao-button.bao-button-primary:hover.bao-button-reversed{background-color:#eefaf8;color:#097d6c}.bao-button.bao-button-primary:focus.bao-button-reversed{background-color:#eefaf8;color:#097d6c}.bao-button.bao-button-primary:disabled,.bao-button.bao-button-primary.bao-button-loading{color:#637381;background-color:#dee2e6;border:solid .0625rem #dee2e6}.bao-button.bao-button-primary:disabled.bao-button-reversed,.bao-button.bao-button-primary.bao-button-loading.bao-button-reversed{background-color:#ffffff4d;border:solid .0625rem gba(#ffffff,.3);color:#ffffff80}.bao-button.bao-button-secondary{background-color:#fff0;color:#097d6c;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary.bao-button-reversed{background-color:#fff0;color:#fff;border:solid .0625rem rgba(206,212,218,.5)}.bao-button.bao-button-secondary:hover{border:solid .0625rem #097d6c;background-color:#eefaf8}.bao-button.bao-button-secondary:hover.bao-button-reversed{background-color:#fff0;color:#fff;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary:focus{border:solid .0625rem #097d6c;background-color:#eefaf8}.bao-button.bao-button-secondary:focus.bao-button-reversed{background-color:#ffffff4d;color:#fff;border:solid .0625rem #ced4da}.bao-button.bao-button-secondary:disabled,.bao-button.bao-button-secondary.bao-button-loading{color:#637381}.bao-button.bao-button-secondary:disabled:hover,.bao-button.bao-button-secondary.bao-button-loading:hover{border-color:#ced4da;background-color:#fff}.bao-button.bao-button-secondary:disabled:hover.bao-button-reversed,.bao-button.bao-button-secondary.bao-button-loading:hover.bao-button-reversed{border:solid .0625rem rgba(206,212,218,.5);background-color:#fff0;color:#637381}.bao-button.bao-button-secondary:disabled:focus,.bao-button.bao-button-secondary.bao-button-loading:focus{border-color:#ced4da;background-color:#fff}.bao-button.bao-button-secondary:disabled:focus.bao-button-reversed,.bao-button.bao-button-secondary.bao-button-loading:focus.bao-button-reversed{background-color:#fff0}.bao-button.bao-button-tertiary{border:solid .0625rem rgba(255,255,255,.0001);background-color:#fff0;color:#097d6c}.bao-button.bao-button-tertiary.bao-button-reversed{color:#fff}.bao-button.bao-button-tertiary:hover{background-color:#eefaf8}.bao-button.bao-button-tertiary:hover.bao-button-reversed{background-color:#ffffff4d;color:#fff}.bao-button.bao-button-tertiary:focus{background-color:#eefaf8}.bao-button.bao-button-tertiary:focus.bao-button-reversed{background-color:#ffffff4d;color:#fff}.bao-button.bao-button-tertiary:disabled,.bao-button.bao-button-tertiary.bao-button-loading{color:#637381}.bao-button.bao-button-tertiary:disabled:hover,.bao-button.bao-button-tertiary.bao-button-loading:hover{background-color:#fff0}.bao-button.bao-button-tertiary:disabled:hover.bao-button-reversed,.bao-button.bao-button-tertiary.bao-button-loading:hover.bao-button-reversed{color:#637381}.bao-button.bao-button-tertiary:disabled:focus,.bao-button.bao-button-tertiary.bao-button-loading:focus{background-color:#fff0}.bao-button.bao-button-tertiary:disabled:focus.bao-button-reversed,.bao-button.bao-button-tertiary.bao-button-loading:focus.bao-button-reversed{color:#637381}.bao-button.bao-button-editorial{border-radius:1.25rem;padding:.625rem 2rem}.bao-button.bao-button-editorial.bao-button-small{padding:.4375rem 1rem}.bao-button.bao-button-editorial.bao-button-large{border-radius:4rem;font-weight:700;font-size:1rem;line-height:1.5rem;padding:.9375rem 2rem}.bao-button.bao-button-editorial.bao-button-medium{padding:.5625rem 2rem}.bao-button.bao-button-editorial:disabled.bao-button-secondary,.bao-button.bao-button-editorial:disabled.bao-button-tertiary{color:#adb2bd}.bao-button.bao-button-small{font-weight:700;font-size:.75rem;line-height:1rem;padding:.4375rem}.bao-button.bao-button-small span{font-weight:700;font-size:.75rem;line-height:1rem}@keyframes spin{0%{transform:rotate(0)}to{transform:rotate(360deg)}}.bao-button .loading-spinner{margin-right:.5rem;margin-left:-.5rem}.bao-button .loading-spinner-right{margin-right:-.5rem;margin-left:.5rem}.bao-button.bao-button-no-text .loading-spinner-right{margin:-.125rem -.5625rem}.bao-button.bao-button-small .loading-spinner{width:1rem;height:1rem;margin-right:.25rem;margin-left:0}.bao-button.bao-button-small .loading-spinner-right{margin-right:0;margin-left:.25rem}.bao-button.bao-button-loading>bao-icon:not(.loading-spinner){display:none}.bao-button>.bao-button-no-text.bao-button-loading>.loading-spinner{margin:-.125rem -.5625rem}.bao-button>bao-icon{margin:-.125rem 0rem}.bao-button>bao-icon:first-child:not(.loading-spinner){margin-right:.5rem;margin-left:-.5rem}.bao-button>bao-icon:last-child:not(.loading-spinner){margin-left:.5rem;margin-right:-.5rem}.bao-button>bao-icon:first-child:last-child:not(.loading-spinner){margin:-.125rem -.5625rem}.bao-button.bao-button-small>bao-icon{height:1rem;width:1rem;margin:-.125rem 0rem}.bao-button.bao-button-small>bao-icon:first-child:not(.loading-spinner){margin-left:0rem;margin-right:.25rem}.bao-button.bao-button-small>bao-icon:last-child:not(.loading-spinner){margin-left:.25rem;margin-right:0rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }], propDecorators: { displayType: [{
                type: Input
            }], level: [{
                type: Input
            }], size: [{
                type: Input
            }], loading: [{
                type: Input
            }], reversed: [{
                type: Input
            }], loadingSpinnerAriaLabel: [{
                type: Input
            }], fullWidth: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const BUTTON_DIRECTIVES = [BaoButtonComponent];
class BaoButtonModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonModule, declarations: [BaoButtonComponent], imports: [CommonModule, BaoIconModule], exports: [BaoButtonComponent, BaoIconModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonModule, imports: [CommonModule, BaoIconModule, BaoIconModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoIconModule],
                    declarations: BUTTON_DIRECTIVES,
                    exports: [...BUTTON_DIRECTIVES, BaoIconModule]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Content of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for use with other convenience elements, such as `<bao-alert-title>`; any custom
 * content block element may be used in its place.
 *
 * BaoAlertContent provides no behaviors, instead serving as a purely visual treatment.
 */
/**
 * Title of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for one variety of alert title; any custom title element may be used in its place.
 *
 * BaoAlertTitle provides no behaviors, instead serving as a purely visual treatment.
 */
class BaoAlertTitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertTitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoAlertTitle, selector: "bao-alert-title", host: { classAttribute: "bao-alert-title" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-alert-title',
                    host: { class: 'bao-alert-title' }
                }]
        }] });
/**
 * Content of an alert, intended for use within `<bao-alert>`. This component is an optional
 * convenience for use with other convenience elements, such as `<bao-alert-title>`; any custom
 * content block element may be used in its place.
 *
 * BaoAlertContent provides no behaviors, instead serving as a purely visual treatment.
 */
class BaoAlertContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertContent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoAlertContent, selector: "bao-alert-content", host: { classAttribute: "bao-alert-content" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertContent, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-alert-content',
                    host: { class: 'bao-alert-content' }
                }]
        }] });
/**
 * Bottom area of an alert that contains action buttons, intended for use within `<bao-alert>`.
 * This component is an optional convenience for use with other convenience elements, such as
 * `<bao-alert-content>`; any custom action block element may be used in its place.
 *
 * BaoAlertActions provides no behaviors, instead serving as a purely visual treatment.
 */
class BaoAlertActions {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertActions, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoAlertActions, selector: "bao-alert-actions", host: { classAttribute: "bao-alert-actions" }, exportAs: ["baoAlertActions"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertActions, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-alert-actions',
                    exportAs: 'baoAlertActions',
                    host: {
                        class: 'bao-alert-actions'
                    }
                }]
        }] });
/**
 * Link inside an alert message, intended for use within `<bao-alert>`.
 * This component is an optional convenience for use with other convenience elements, such as
 * `<bao-alert-content>`; any custom action block element may be used in its place.
 *
 * BaoAlertLink provides no behaviors, instead serving as a purely visual treatment.
 */
class BaoAlertLink {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertLink, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoAlertLink, selector: "bao-alert-link", host: { classAttribute: "bao-alert-link" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertLink, decorators: [{
            type: Directive,
            args: [{
                    // eslint-disable-next-line @angular-eslint/directive-selector
                    selector: 'bao-alert-link',
                    host: {
                        class: 'bao-alert-link'
                    }
                }]
        }] });
/**
 * BAO alert component. Alerts should be used when the message concerns an
 * external subject or a part of the page
 *
 * See https://zeroheight.com/575tugn0n/p/03c51f-messages-dalerte/t/80b47c
 *
 * BaoAlertComponent provides no behaviors, instead serving as a purely visual treatment.
 */
class BaoAlertComponent {
    constructor() {
        /**
         * Alert type
         */
        this.type = 'info';
        this.dismissible = false;
        this.dismissibleButtonAriaLabel = 'Cacher le message';
        this.dismiss = new EventEmitter();
    }
    ngOnChanges(changes) {
        if (changes['type']) {
            this.iconType = this.alertTypeIcon(changes['type'].currentValue);
            this.iconTitle =
                this.alertTypeTitle ||
                    this.alertTitleIcon(changes['type'].currentValue);
        }
    }
    alertTypeIcon(value) {
        const typesAlertIcon = {
            success: 'icon-check-circle',
            danger: 'icon-error',
            warning: 'icon-warning',
            emergency: 'icon-emergency',
            default: 'icon-info'
        };
        return typesAlertIcon[value] || typesAlertIcon.default;
    }
    alertTitleIcon(value) {
        const titleIcon = {
            success: 'Succès',
            danger: 'Erreur',
            warning: 'Attention',
            emergency: 'Urgence',
            default: 'Information'
        };
        return titleIcon[value] || titleIcon.default;
    }
    onDismissClicked() {
        this.dismiss.emit();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoAlertComponent, selector: "bao-alert", inputs: { type: "type", dismissible: "dismissible", alertTypeTitle: "alertTypeTitle", dismissibleButtonAriaLabel: "dismissibleButtonAriaLabel" }, outputs: { dismiss: "dismiss" }, host: { attributes: { "role": "alert" }, properties: { "class.bao-alert-success": "type === \"success\"", "class.bao-alert-danger": "type === \"danger\"", "class.bao-alert-warning": "type === \"warning\"", "class.bao-alert-info": "type === \"info\"", "class.bao-alert-emergency": "type === \"emergency\"" }, classAttribute: "bao-alert bao-alert-with-icon bao-alert-dismissible fade show" }, usesOnChanges: true, ngImport: i0, template: "<bao-icon [svgIcon]=\"iconType\" [title]=\"iconTitle\"></bao-icon>\n<div class=\"bao-alert-content-container\">\n  <ng-content></ng-content>\n</div>\n<button\n  bao-button\n  *ngIf=\"dismissible\"\n  type=\"utility\"\n  level=\"tertiary\"\n  data-dismiss=\"alert\"\n  role=\"button\"\n  [attr.aria-label]=\"dismissibleButtonAriaLabel\"\n  (click)=\"onDismissClicked()\"\n>\n  <bao-icon svgIcon=\"icon-x\"></bao-icon>\n</button>\n", styles: [".bao-alert{font-weight:400;font-size:1rem;line-height:1.5rem;display:flex;padding:1rem;margin-bottom:1rem;border-radius:0rem}.bao-alert .bao-alert-content-container{margin:0 .5rem 0 1rem;display:flex;flex-direction:column}.bao-alert .bao-alert-title{font-weight:700;padding-bottom:.5rem}.bao-alert a{font-weight:700}.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]{background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]:hover,.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]:focus{opacity:.75}.bao-alert .bao-alert-actions .bao-button{margin:1rem 1rem 0 0}.bao-alert-info{background-color:#e6f5f9;border-left:.125rem solid #0079c4;border-top:none;border-right:none;border-bottom:none;color:#004b7b}.bao-alert-info .bao-alert-title,.bao-alert-info a{color:#004b7b}.bao-alert-info a:hover,.bao-alert-info a:focus{background-color:#f2fafc}.bao-alert-info .bao-icon svg{fill:#004b7b;width:auto}.bao-alert-info .bao-button.bao-button-primary{background-color:#004b7b;border-color:#004b7b}.bao-alert-info .bao-button.bao-button-primary:hover,.bao-alert-info .bao-button.bao-button-primary:focus{background-color:#002c48;border-color:#002c48}.bao-alert-info .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-info .bao-button.bao-button-secondary{background-color:#e6f5f9;color:#004b7b}.bao-alert-info .bao-button.bao-button-secondary:hover,.bao-alert-info .bao-button.bao-button-secondary:focus{background-color:#e6f5f9;border-color:#004b7b}.bao-alert-info .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-info .bao-button.bao-button-tertiary{background-color:#e6f5f9;color:#004b7b}.bao-alert-info .bao-button.bao-button-tertiary:hover,.bao-alert-info .bao-button.bao-button-tertiary:focus{background-color:#e6f5f9}.bao-alert-info .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-success{background-color:#e7f6f0;border-left:.125rem solid #0da566;border-top:none;border-right:none;border-bottom:none;color:#025d29}.bao-alert-success .bao-alert-title,.bao-alert-success a{color:#025d29}.bao-alert-success a:hover,.bao-alert-success a:focus{background-color:#f2faf7}.bao-alert-success .bao-icon svg{fill:#025d29;width:auto}.bao-alert-success .bao-button.bao-button-primary{background-color:#025d29;border-color:#025d29}.bao-alert-success .bao-button.bao-button-primary:hover,.bao-alert-success .bao-button.bao-button-primary:focus{background-color:#012b13;border-color:#012b13}.bao-alert-success .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-success .bao-button.bao-button-secondary{background-color:#e7f6f0;color:#025d29}.bao-alert-success .bao-button.bao-button-secondary:hover,.bao-alert-success .bao-button.bao-button-secondary:focus{background-color:#e7f6f0;border-color:#025d29}.bao-alert-success .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-success .bao-button.bao-button-tertiary{background-color:#e7f6f0;color:#025d29}.bao-alert-success .bao-button.bao-button-tertiary:hover,.bao-alert-success .bao-button.bao-button-tertiary:focus{background-color:#e7f6f0}.bao-alert-success .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-warning{background-color:#fefae6;border-left:.125rem solid #ffb833;border-top:none;border-right:none;border-bottom:none;color:#6c4600}.bao-alert-warning .bao-alert-title,.bao-alert-warning a{color:#6c4600}.bao-alert-warning a:hover,.bao-alert-warning a:focus{background-color:#fffdf5}.bao-alert-warning .bao-icon svg{fill:#6c4600;width:auto}.bao-alert-warning .bao-button.bao-button-primary{background-color:#6c4600;border-color:#6c4600}.bao-alert-warning .bao-button.bao-button-primary:hover,.bao-alert-warning .bao-button.bao-button-primary:focus{background-color:#392500;border-color:#392500}.bao-alert-warning .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-warning .bao-button.bao-button-secondary{background-color:#fefae6;color:#6c4600}.bao-alert-warning .bao-button.bao-button-secondary:hover,.bao-alert-warning .bao-button.bao-button-secondary:focus{background-color:#fefae6;border-color:#6c4600}.bao-alert-warning .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-warning .bao-button.bao-button-tertiary{background-color:#fefae6;color:#6c4600}.bao-alert-warning .bao-button.bao-button-tertiary:hover,.bao-alert-warning .bao-button.bao-button-tertiary:focus{background-color:#fefae6}.bao-alert-warning .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-danger{background-color:#ffebe6;border-left:.125rem solid #d3310a;border-top:none;border-right:none;border-bottom:none;color:#851a00}.bao-alert-danger .bao-alert-title,.bao-alert-danger a{color:#851a00}.bao-alert-danger a:hover,.bao-alert-danger a:focus{background-color:#fff7f5}.bao-alert-danger .bao-icon svg{fill:#851a00;width:auto}.bao-alert-danger .bao-button.bao-button-primary{background-color:#851a00;border-color:#851a00}.bao-alert-danger .bao-button.bao-button-primary:hover,.bao-alert-danger .bao-button.bao-button-primary:focus{background-color:#521000;border-color:#521000}.bao-alert-danger .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-danger .bao-button.bao-button-secondary{background-color:#ffebe6;color:#851a00}.bao-alert-danger .bao-button.bao-button-secondary:hover,.bao-alert-danger .bao-button.bao-button-secondary:focus{background-color:#ffebe6;border-color:#851a00}.bao-alert-danger .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-danger .bao-button.bao-button-tertiary{background-color:#ffebe6;color:#851a00}.bao-alert-danger .bao-button.bao-button-tertiary:hover,.bao-alert-danger .bao-button.bao-button-tertiary:focus{background-color:#ffebe6}.bao-alert-danger .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency{background-color:#ffebe6;border-left:.125rem solid #d3310a;border-top:none;border-right:none;border-bottom:none;color:#851a00}.bao-alert-emergency .bao-alert-title,.bao-alert-emergency a{color:#851a00}.bao-alert-emergency a:hover,.bao-alert-emergency a:focus{background-color:#fff7f5}.bao-alert-emergency .bao-icon svg{fill:#851a00;width:auto}.bao-alert-emergency .bao-button.bao-button-primary{background-color:#851a00;border-color:#851a00}.bao-alert-emergency .bao-button.bao-button-primary:hover,.bao-alert-emergency .bao-button.bao-button-primary:focus{background-color:#521000;border-color:#521000}.bao-alert-emergency .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency .bao-button.bao-button-secondary{background-color:#ffebe6;color:#851a00}.bao-alert-emergency .bao-button.bao-button-secondary:hover,.bao-alert-emergency .bao-button.bao-button-secondary:focus{background-color:#ffebe6;border-color:#851a00}.bao-alert-emergency .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency .bao-button.bao-button-tertiary{background-color:#ffebe6;color:#851a00}.bao-alert-emergency .bao-button.bao-button-tertiary:hover,.bao-alert-emergency .bao-button.bao-button-tertiary:focus{background-color:#ffebe6}.bao-alert-emergency .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #851a004d}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }, { kind: "component", type: BaoButtonComponent, selector: "button[bao-button]", inputs: ["displayType", "level", "size", "loading", "reversed", "loadingSpinnerAriaLabel", "fullWidth"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-alert', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-alert bao-alert-with-icon bao-alert-dismissible fade show',
                        '[class.bao-alert-success]': 'type === "success"',
                        '[class.bao-alert-danger]': 'type === "danger"',
                        '[class.bao-alert-warning]': 'type === "warning"',
                        '[class.bao-alert-info]': 'type === "info"',
                        '[class.bao-alert-emergency]': 'type === "emergency"',
                        role: 'alert'
                    }, template: "<bao-icon [svgIcon]=\"iconType\" [title]=\"iconTitle\"></bao-icon>\n<div class=\"bao-alert-content-container\">\n  <ng-content></ng-content>\n</div>\n<button\n  bao-button\n  *ngIf=\"dismissible\"\n  type=\"utility\"\n  level=\"tertiary\"\n  data-dismiss=\"alert\"\n  role=\"button\"\n  [attr.aria-label]=\"dismissibleButtonAriaLabel\"\n  (click)=\"onDismissClicked()\"\n>\n  <bao-icon svgIcon=\"icon-x\"></bao-icon>\n</button>\n", styles: [".bao-alert{font-weight:400;font-size:1rem;line-height:1.5rem;display:flex;padding:1rem;margin-bottom:1rem;border-radius:0rem}.bao-alert .bao-alert-content-container{margin:0 .5rem 0 1rem;display:flex;flex-direction:column}.bao-alert .bao-alert-title{font-weight:700;padding-bottom:.5rem}.bao-alert a{font-weight:700}.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]{background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]:hover,.bao-alert.bao-alert-dismissible .bao-button[data-dismiss=alert]:focus{opacity:.75}.bao-alert .bao-alert-actions .bao-button{margin:1rem 1rem 0 0}.bao-alert-info{background-color:#e6f5f9;border-left:.125rem solid #0079c4;border-top:none;border-right:none;border-bottom:none;color:#004b7b}.bao-alert-info .bao-alert-title,.bao-alert-info a{color:#004b7b}.bao-alert-info a:hover,.bao-alert-info a:focus{background-color:#f2fafc}.bao-alert-info .bao-icon svg{fill:#004b7b;width:auto}.bao-alert-info .bao-button.bao-button-primary{background-color:#004b7b;border-color:#004b7b}.bao-alert-info .bao-button.bao-button-primary:hover,.bao-alert-info .bao-button.bao-button-primary:focus{background-color:#002c48;border-color:#002c48}.bao-alert-info .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-info .bao-button.bao-button-secondary{background-color:#e6f5f9;color:#004b7b}.bao-alert-info .bao-button.bao-button-secondary:hover,.bao-alert-info .bao-button.bao-button-secondary:focus{background-color:#e6f5f9;border-color:#004b7b}.bao-alert-info .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-info .bao-button.bao-button-tertiary{background-color:#e6f5f9;color:#004b7b}.bao-alert-info .bao-button.bao-button-tertiary:hover,.bao-alert-info .bao-button.bao-button-tertiary:focus{background-color:#e6f5f9}.bao-alert-info .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #004b7b4d}.bao-alert-success{background-color:#e7f6f0;border-left:.125rem solid #0da566;border-top:none;border-right:none;border-bottom:none;color:#025d29}.bao-alert-success .bao-alert-title,.bao-alert-success a{color:#025d29}.bao-alert-success a:hover,.bao-alert-success a:focus{background-color:#f2faf7}.bao-alert-success .bao-icon svg{fill:#025d29;width:auto}.bao-alert-success .bao-button.bao-button-primary{background-color:#025d29;border-color:#025d29}.bao-alert-success .bao-button.bao-button-primary:hover,.bao-alert-success .bao-button.bao-button-primary:focus{background-color:#012b13;border-color:#012b13}.bao-alert-success .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-success .bao-button.bao-button-secondary{background-color:#e7f6f0;color:#025d29}.bao-alert-success .bao-button.bao-button-secondary:hover,.bao-alert-success .bao-button.bao-button-secondary:focus{background-color:#e7f6f0;border-color:#025d29}.bao-alert-success .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-success .bao-button.bao-button-tertiary{background-color:#e7f6f0;color:#025d29}.bao-alert-success .bao-button.bao-button-tertiary:hover,.bao-alert-success .bao-button.bao-button-tertiary:focus{background-color:#e7f6f0}.bao-alert-success .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #025d294d}.bao-alert-warning{background-color:#fefae6;border-left:.125rem solid #ffb833;border-top:none;border-right:none;border-bottom:none;color:#6c4600}.bao-alert-warning .bao-alert-title,.bao-alert-warning a{color:#6c4600}.bao-alert-warning a:hover,.bao-alert-warning a:focus{background-color:#fffdf5}.bao-alert-warning .bao-icon svg{fill:#6c4600;width:auto}.bao-alert-warning .bao-button.bao-button-primary{background-color:#6c4600;border-color:#6c4600}.bao-alert-warning .bao-button.bao-button-primary:hover,.bao-alert-warning .bao-button.bao-button-primary:focus{background-color:#392500;border-color:#392500}.bao-alert-warning .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-warning .bao-button.bao-button-secondary{background-color:#fefae6;color:#6c4600}.bao-alert-warning .bao-button.bao-button-secondary:hover,.bao-alert-warning .bao-button.bao-button-secondary:focus{background-color:#fefae6;border-color:#6c4600}.bao-alert-warning .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-warning .bao-button.bao-button-tertiary{background-color:#fefae6;color:#6c4600}.bao-alert-warning .bao-button.bao-button-tertiary:hover,.bao-alert-warning .bao-button.bao-button-tertiary:focus{background-color:#fefae6}.bao-alert-warning .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #6c46004d}.bao-alert-danger{background-color:#ffebe6;border-left:.125rem solid #d3310a;border-top:none;border-right:none;border-bottom:none;color:#851a00}.bao-alert-danger .bao-alert-title,.bao-alert-danger a{color:#851a00}.bao-alert-danger a:hover,.bao-alert-danger a:focus{background-color:#fff7f5}.bao-alert-danger .bao-icon svg{fill:#851a00;width:auto}.bao-alert-danger .bao-button.bao-button-primary{background-color:#851a00;border-color:#851a00}.bao-alert-danger .bao-button.bao-button-primary:hover,.bao-alert-danger .bao-button.bao-button-primary:focus{background-color:#521000;border-color:#521000}.bao-alert-danger .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-danger .bao-button.bao-button-secondary{background-color:#ffebe6;color:#851a00}.bao-alert-danger .bao-button.bao-button-secondary:hover,.bao-alert-danger .bao-button.bao-button-secondary:focus{background-color:#ffebe6;border-color:#851a00}.bao-alert-danger .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-danger .bao-button.bao-button-tertiary{background-color:#ffebe6;color:#851a00}.bao-alert-danger .bao-button.bao-button-tertiary:hover,.bao-alert-danger .bao-button.bao-button-tertiary:focus{background-color:#ffebe6}.bao-alert-danger .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency{background-color:#ffebe6;border-left:.125rem solid #d3310a;border-top:none;border-right:none;border-bottom:none;color:#851a00}.bao-alert-emergency .bao-alert-title,.bao-alert-emergency a{color:#851a00}.bao-alert-emergency a:hover,.bao-alert-emergency a:focus{background-color:#fff7f5}.bao-alert-emergency .bao-icon svg{fill:#851a00;width:auto}.bao-alert-emergency .bao-button.bao-button-primary{background-color:#851a00;border-color:#851a00}.bao-alert-emergency .bao-button.bao-button-primary:hover,.bao-alert-emergency .bao-button.bao-button-primary:focus{background-color:#521000;border-color:#521000}.bao-alert-emergency .bao-button.bao-button-primary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency .bao-button.bao-button-secondary{background-color:#ffebe6;color:#851a00}.bao-alert-emergency .bao-button.bao-button-secondary:hover,.bao-alert-emergency .bao-button.bao-button-secondary:focus{background-color:#ffebe6;border-color:#851a00}.bao-alert-emergency .bao-button.bao-button-secondary:focus{box-shadow:0 0 0 .1875rem #851a004d}.bao-alert-emergency .bao-button.bao-button-tertiary{background-color:#ffebe6;color:#851a00}.bao-alert-emergency .bao-button.bao-button-tertiary:hover,.bao-alert-emergency .bao-button.bao-button-tertiary:focus{background-color:#ffebe6}.bao-alert-emergency .bao-button.bao-button-tertiary:focus{box-shadow:0 0 0 .1875rem #851a004d}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }], dismissible: [{
                type: Input
            }], alertTypeTitle: [{
                type: Input
            }], dismissibleButtonAriaLabel: [{
                type: Input
            }], dismiss: [{
                type: Output
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const ALERT_DIRECTIVES = [
    BaoAlertTitle,
    BaoAlertContent,
    BaoAlertActions,
    BaoAlertLink,
    BaoAlertComponent
];
class BaoAlertModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertModule, declarations: [BaoAlertTitle,
            BaoAlertContent,
            BaoAlertActions,
            BaoAlertLink,
            BaoAlertComponent], imports: [CommonModule, BaoIconModule, BaoButtonModule], exports: [BaoAlertTitle,
            BaoAlertContent,
            BaoAlertActions,
            BaoAlertLink,
            BaoAlertComponent, BaoIconModule, BaoButtonModule] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertModule, imports: [CommonModule, BaoIconModule, BaoButtonModule, BaoIconModule, BaoButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoIconModule, BaoButtonModule],
                    declarations: ALERT_DIRECTIVES,
                    exports: [...ALERT_DIRECTIVES, BaoIconModule, BaoButtonModule],
                    schemas: [CUSTOM_ELEMENTS_SCHEMA]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoAvatarContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarContent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoAvatarContent, selector: "bao-avatar-content, [bao-avatar-content]", host: { classAttribute: "bao-avatar-content" }, exportAs: ["baoAvatarContent"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarContent, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-avatar-content, [bao-avatar-content]',
                    exportAs: 'baoAvatarContent',
                    host: {
                        class: 'bao-avatar-content'
                    }
                }]
        }] });
const SVG_NAMESPACE = 'http://www.w3.org/2000/svg';
const SVG_PROFILE_ICON = "<svg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'><circle cx='12' cy='12' r='12' fill='#DEE2E6'/><path fill-rule='evenodd' clip-rule='evenodd' d='M20.6328 20.3314C18.4504 22.5932 15.3877 24 11.9964 24C8.60514 24 5.54243 22.5932 3.36 20.3314C3.99242 18.9554 5.38284 18 6.99642 18H16.9964C18.61 18 20.0004 18.9554 20.6328 20.3314ZM17.9964 10C17.9964 13.3137 15.3101 16 11.9964 16C8.68272 16 5.99642 13.3137 5.99642 10C5.99642 6.68629 8.68272 4 11.9964 4C15.3101 4 17.9964 6.68629 17.9964 10Z' fill='#ADB2BD'/></svg>";
const SCREEN_READER_CLASS_NAME$1 = 'sr-only';
const SPAN_TEXT_PROPERTY$1 = 'textContent';
class BaoAvatarComponent {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * Name of the profile to be used as title of the avatar.
         */
        this.profileName = 'Avatar du profil';
        /**
         * ID of the background color to be used if avatar's content is text.
         */
        this.color = 'background-color-1';
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        if (!this.nativeElement.childNodes.length) {
            this.addIcon();
        }
        if (this.nativeElement.firstChild.nodeName === 'SPAN') {
            this.formatInitials(this.nativeElement.firstChild);
        }
        this.setProfileName(this.profileName, this.nativeElement.firstChild);
    }
    addIcon() {
        const div = this.renderer.createElement('DIV');
        div.innerHTML = SVG_PROFILE_ICON;
        const svg = div.querySelector('svg');
        const titleNode = this.renderer.createElement('title', SVG_NAMESPACE);
        const titleText = this.renderer.createText(this.profileName);
        this.renderer.appendChild(titleNode, titleText);
        this.renderer.insertBefore(svg, titleNode, svg.firstChild);
        this.renderer.appendChild(this.nativeElement, svg);
    }
    setProfileName(name, content) {
        switch (content.nodeName) {
            case 'IMG':
                this.renderer.setAttribute(content, 'alt', name);
                break;
            case 'SPAN':
                this.renderer.setAttribute(content, 'aria-hidden', 'true');
                const screenReaderSpan = this.renderer.createElement('span');
                this.renderer.setProperty(screenReaderSpan, SPAN_TEXT_PROPERTY$1, name);
                this.renderer.addClass(screenReaderSpan, SCREEN_READER_CLASS_NAME$1);
                this.renderer.insertBefore(this.nativeElement, screenReaderSpan, content);
                break;
        }
    }
    formatInitials(content) {
        this.renderer.setValue(content.firstChild, content.firstChild.nodeValue.slice(0, 2));
        this.renderer.addClass(this.nativeElement, 'display-color');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoAvatarComponent, selector: "bao-avatar", inputs: { profileName: "profileName", color: "color" }, host: { properties: { "class.bao-avatar-color-1": "color === \"background-color-1\"", "class.bao-avatar-color-2": "color === \"background-color-2\"", "class.bao-avatar-color-3": "color === \"background-color-3\"", "class.bao-avatar-color-4": "color === \"background-color-4\"", "class.bao-avatar-color-5": "color === \"background-color-5\"", "class.bao-avatar-color-6": "color === \"background-color-6\"", "class.bao-avatar-color-7": "color === \"background-color-7\"", "class.bao-avatar-color-8": "color === \"background-color-8\"", "class.bao-avatar-color-9": "color === \"background-color-9\"", "class.bao-avatar-color-10": "color === \"background-color-10\"" }, classAttribute: "bao-avatar" }, ngImport: i0, template: "<ng-content select=\"bao-avatar-content, [bao-avatar-content]\"></ng-content>\n", styles: [".bao-avatar-color-1.display-color{background-color:#0380a9}.bao-avatar-color-2.display-color{background-color:#bd4f00}.bao-avatar-color-3.display-color{background-color:#448600}.bao-avatar-color-4.display-color{background-color:#dc00ac}.bao-avatar-color-5.display-color{background-color:#01866e}.bao-avatar-color-6.display-color{background-color:#e00}.bao-avatar-color-7.display-color{background-color:#980bad}.bao-avatar-color-8.display-color{background-color:#0057ff}.bao-avatar-color-9.display-color{background-color:#a36b00}.bao-avatar-color-10.display-color{background-color:#e0007c}.bao-avatar{display:inline-flex;justify-content:center;align-items:center;border:.0625rem solid transparent;width:1.5rem;height:1.5rem;border-radius:2rem}.bao-avatar>span.bao-avatar-content{font-weight:700;font-size:.875rem;line-height:1.25rem;text-transform:uppercase;color:#fff}.bao-avatar>img.bao-avatar-content{border-radius:2rem;max-width:100%}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-avatar', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-avatar',
                        '[class.bao-avatar-color-1]': 'color === "background-color-1"',
                        '[class.bao-avatar-color-2]': 'color === "background-color-2"',
                        '[class.bao-avatar-color-3]': 'color === "background-color-3"',
                        '[class.bao-avatar-color-4]': 'color === "background-color-4"',
                        '[class.bao-avatar-color-5]': 'color === "background-color-5"',
                        '[class.bao-avatar-color-6]': 'color === "background-color-6"',
                        '[class.bao-avatar-color-7]': 'color === "background-color-7"',
                        '[class.bao-avatar-color-8]': 'color === "background-color-8"',
                        '[class.bao-avatar-color-9]': 'color === "background-color-9"',
                        '[class.bao-avatar-color-10]': 'color === "background-color-10"'
                    }, template: "<ng-content select=\"bao-avatar-content, [bao-avatar-content]\"></ng-content>\n", styles: [".bao-avatar-color-1.display-color{background-color:#0380a9}.bao-avatar-color-2.display-color{background-color:#bd4f00}.bao-avatar-color-3.display-color{background-color:#448600}.bao-avatar-color-4.display-color{background-color:#dc00ac}.bao-avatar-color-5.display-color{background-color:#01866e}.bao-avatar-color-6.display-color{background-color:#e00}.bao-avatar-color-7.display-color{background-color:#980bad}.bao-avatar-color-8.display-color{background-color:#0057ff}.bao-avatar-color-9.display-color{background-color:#a36b00}.bao-avatar-color-10.display-color{background-color:#e0007c}.bao-avatar{display:inline-flex;justify-content:center;align-items:center;border:.0625rem solid transparent;width:1.5rem;height:1.5rem;border-radius:2rem}.bao-avatar>span.bao-avatar-content{font-weight:700;font-size:.875rem;line-height:1.25rem;text-transform:uppercase;color:#fff}.bao-avatar>img.bao-avatar-content{border-radius:2rem;max-width:100%}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { profileName: [{
                type: Input
            }], color: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const AVATAR_DIRECTIVES = [BaoAvatarComponent, BaoAvatarContent];
class BaoAvatarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarModule, declarations: [BaoAvatarComponent, BaoAvatarContent], imports: [CommonModule], exports: [BaoAvatarComponent, BaoAvatarContent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoAvatarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [AVATAR_DIRECTIVES],
                    exports: [AVATAR_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const LAST_NODE_ATTRIBUTE = { 'aria-current': 'page' };
class BaoBreadcrumbComponent {
    constructor(renderer) {
        this.renderer = renderer;
    }
    ngAfterViewInit() {
        this.setLastLinkAttribute();
    }
    onContentChange() {
        this.setLastLinkAttribute();
    }
    setLastLinkAttribute() {
        const children = Array.from(this.staticContainer.nativeElement.children);
        this.renderer.setAttribute(children[children.length - 1], Object.keys(LAST_NODE_ATTRIBUTE)[0], Object.values(LAST_NODE_ATTRIBUTE)[0]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoBreadcrumbComponent, selector: "bao-breadcrumb", host: { classAttribute: "bao-breadcrumb" }, viewQueries: [{ propertyName: "staticContainer", first: true, predicate: ["container"], descendants: true }], ngImport: i0, template: "<nav\n  #container\n  class=\"bao-breadcrumb-nav\"\n  aria-label=\"Breadcrumb\"\n  (cdkObserveContent)=\"onContentChange()\"\n>\n  <ng-content></ng-content>\n</nav>\n", styles: [".bao-breadcrumb-nav{display:inline-flex;flex-direction:row;flex-wrap:wrap}.bao-breadcrumb-nav>a{font-weight:700;font-size:.75rem;line-height:1rem;display:inline-flex;align-items:end;text-decoration:none;text-transform:uppercase;color:#637381;margin-bottom:.5rem;margin-right:.25rem;border-bottom:none;background-color:#fff0}.bao-breadcrumb-nav>a:hover{color:#097d6c}.bao-breadcrumb-nav>a:last-child{margin-right:0}.bao-breadcrumb-nav>a:last-child:after{content:none}.bao-breadcrumb-nav>a:after{display:inline-block;content:url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23ADB5BD' fill-rule='evenodd'><path d='M12.586 12L9.293 8.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L12.586 12z'/></svg>\");height:1rem;width:1rem;margin-left:.25rem;color:#637381;background-color:#fff0;cursor:default;flex-shrink:0}\n"], dependencies: [{ kind: "directive", type: i1$2.CdkObserveContent, selector: "[cdkObserveContent]", inputs: ["cdkObserveContentDisabled", "debounce"], outputs: ["cdkObserveContent"], exportAs: ["cdkObserveContent"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-breadcrumb', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-breadcrumb'
                    }, template: "<nav\n  #container\n  class=\"bao-breadcrumb-nav\"\n  aria-label=\"Breadcrumb\"\n  (cdkObserveContent)=\"onContentChange()\"\n>\n  <ng-content></ng-content>\n</nav>\n", styles: [".bao-breadcrumb-nav{display:inline-flex;flex-direction:row;flex-wrap:wrap}.bao-breadcrumb-nav>a{font-weight:700;font-size:.75rem;line-height:1rem;display:inline-flex;align-items:end;text-decoration:none;text-transform:uppercase;color:#637381;margin-bottom:.5rem;margin-right:.25rem;border-bottom:none;background-color:#fff0}.bao-breadcrumb-nav>a:hover{color:#097d6c}.bao-breadcrumb-nav>a:last-child{margin-right:0}.bao-breadcrumb-nav>a:last-child:after{content:none}.bao-breadcrumb-nav>a:after{display:inline-block;content:url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23ADB5BD' fill-rule='evenodd'><path d='M12.586 12L9.293 8.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L12.586 12z'/></svg>\");height:1rem;width:1rem;margin-left:.25rem;color:#637381;background-color:#fff0;cursor:default;flex-shrink:0}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }], propDecorators: { staticContainer: [{
                type: ViewChild,
                args: ['container', { static: false }]
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const BREADCRUMB_DIRECTIVES = [BaoBreadcrumbComponent];
class BaoBreadcrumbModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbModule, declarations: [BaoBreadcrumbComponent], imports: [CommonModule, ObserversModule], exports: [BaoBreadcrumbComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbModule, imports: [CommonModule, ObserversModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBreadcrumbModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, ObserversModule],
                    declarations: [BREADCRUMB_DIRECTIVES],
                    exports: [BREADCRUMB_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * A basic content container component that adds the styles of a BAO design card.
 *
 * While this component can be used alone, it also provides a number
 * of preset styles for common card sections, including:
 * * bao-card-body
 * * bao-card-title
 * * bao-card-bao-text-interface
 * * More to come!
 */
class BaoCardComponent {
    constructor() {
        this.padding = 'normal';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoCardComponent, selector: "bao-card, [bao-card], [baoCard]", inputs: { padding: "padding" }, host: { properties: { "class.bao-card-large-padding": "padding === \"large\"" }, classAttribute: "bao-card" }, ngImport: i0, template: "<ng-content select=\"bao-card-header\"></ng-content>\n<ng-content select=\"bao-card-content\"></ng-content>\n", styles: ["ul.cards{padding-left:0}ul.cards>li{display:flex}.bao-card{background-color:#fff;border:.063rem solid #ced4da;border-radius:.25rem;display:block;font-weight:400;margin-bottom:2rem;padding:1rem;text-decoration:none;width:100%}.bao-card:hover,.bao-card:focus{text-decoration:none;background-color:#fff;border:1px solid transparent;box-shadow:0 .5rem 2rem #0000001a}.bao-card:hover .bao-card-content .bao-card-title,.bao-card:focus .bao-card-content .bao-card-title{color:#097d6c}.bao-card:hover>bao-card-header,.bao-card:focus>bao-card-header{color:#097d6c}.bao-card .bao-card-content{display:flex;flex-flow:column}.bao-card .bao-card-content>:last-child{margin-bottom:0}.bao-card .bao-card-content .bao-card-title{font-weight:700;font-size:1.25rem;line-height:1.75rem;color:#000;margin:0 0 1rem}.bao-card .bao-card-content .bao-card-title:last-child{margin-bottom:0}.bao-card .bao-card-content .bao-card-text-interface{line-height:1.5rem;color:#637381}.bao-card>bao-card-header{color:#adb2bd}.bao-card>bao-card-header+bao-card-content{margin-top:1rem}.bao-card.bao-card-large-padding{padding:2rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-card, [bao-card], [baoCard]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-card',
                        '[class.bao-card-large-padding]': 'padding === "large"'
                    }, template: "<ng-content select=\"bao-card-header\"></ng-content>\n<ng-content select=\"bao-card-content\"></ng-content>\n", styles: ["ul.cards{padding-left:0}ul.cards>li{display:flex}.bao-card{background-color:#fff;border:.063rem solid #ced4da;border-radius:.25rem;display:block;font-weight:400;margin-bottom:2rem;padding:1rem;text-decoration:none;width:100%}.bao-card:hover,.bao-card:focus{text-decoration:none;background-color:#fff;border:1px solid transparent;box-shadow:0 .5rem 2rem #0000001a}.bao-card:hover .bao-card-content .bao-card-title,.bao-card:focus .bao-card-content .bao-card-title{color:#097d6c}.bao-card:hover>bao-card-header,.bao-card:focus>bao-card-header{color:#097d6c}.bao-card .bao-card-content{display:flex;flex-flow:column}.bao-card .bao-card-content>:last-child{margin-bottom:0}.bao-card .bao-card-content .bao-card-title{font-weight:700;font-size:1.25rem;line-height:1.75rem;color:#000;margin:0 0 1rem}.bao-card .bao-card-content .bao-card-title:last-child{margin-bottom:0}.bao-card .bao-card-content .bao-card-text-interface{line-height:1.5rem;color:#637381}.bao-card>bao-card-header{color:#adb2bd}.bao-card>bao-card-header+bao-card-content{margin-top:1rem}.bao-card.bao-card-large-padding{padding:2rem}\n"] }]
        }], propDecorators: { padding: [{
                type: Input
            }] } });
/**
 * Header of a card, needed as it's used as a selector in the API.
 */
class BaoCardHeader {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardHeader, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoCardHeader, selector: "bao-card-header, [bao-card-header], [baoCardHeader]", host: { classAttribute: "bao-card-header" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardHeader, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-card-header, [bao-card-header], [baoCardHeader]',
                    host: { class: 'bao-card-header' }
                }]
        }] });
/**
 * Body of a card, needed as it's used as a selector in the API.
 */
class BaoCardContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardContent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoCardContent, selector: "bao-card-content, [bao-card-content], [baoCardContent]", host: { classAttribute: "bao-card-content" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardContent, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-card-content, [bao-card-content], [baoCardContent]',
                    host: { class: 'bao-card-content' }
                }]
        }] });
/**
 * Title of a card, needed as it's used as a selector in the API.
 */
class BaoCardTitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardTitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoCardTitle, selector: "bao-card-title, [bao-card-title], [baoCardTitle]", host: { classAttribute: "bao-card-title" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: `bao-card-title, [bao-card-title], [baoCardTitle]`,
                    host: {
                        class: 'bao-card-title'
                    }
                }]
        }] });
/**
 * Text of a card, needed as it's used as a selector in the API.
 */
class BaoCardTextInterface {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardTextInterface, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoCardTextInterface, selector: "bao-card-text-interface, [bao-card-text-interface], [baoCardTextInterface]", host: { classAttribute: "bao-card-text-interface" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardTextInterface, decorators: [{
            type: Directive,
            args: [{
                    selector: `bao-card-text-interface, [bao-card-text-interface], [baoCardTextInterface]`,
                    host: {
                        class: 'bao-card-text-interface'
                    }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const CARD_DIRECTIVES = [
    BaoCardComponent,
    BaoCardContent,
    BaoCardHeader,
    BaoCardTextInterface,
    BaoCardTitle
];
class BaoCardModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoCardModule, declarations: [BaoCardComponent,
            BaoCardContent,
            BaoCardHeader,
            BaoCardTextInterface,
            BaoCardTitle], imports: [CommonModule], exports: [BaoCardComponent,
            BaoCardContent,
            BaoCardHeader,
            BaoCardTextInterface,
            BaoCardTitle] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [CARD_DIRECTIVES],
                    exports: [CARD_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoErrorTextComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoErrorTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoErrorTextComponent, selector: "bao-error, [bao-error]", ngImport: i0, template: '<div class="bao-error"><ng-content></ng-content></div>', isInline: true, styles: [".bao-error{color:#851a00;font-weight:700;font-size:.875rem;line-height:1.25rem}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoErrorTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-error, [bao-error]', template: '<div class="bao-error"><ng-content></ng-content></div>', encapsulation: ViewEncapsulation.None, styles: [".bao-error{color:#851a00;font-weight:700;font-size:.875rem;line-height:1.25rem}\n"] }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoGuidingTextComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoGuidingTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoGuidingTextComponent, selector: "bao-guiding-text, [bao-guiding-text]", ngImport: i0, template: '<div class="bao-guiding-text"><ng-content></ng-content></div>', isInline: true, styles: [".bao-guiding-text{color:#637381;font-size:.875rem;line-height:1.25rem}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoGuidingTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-guiding-text, [bao-guiding-text]', template: '<div class="bao-guiding-text"><ng-content></ng-content></div>', encapsulation: ViewEncapsulation.None, styles: [".bao-guiding-text{color:#637381;font-size:.875rem;line-height:1.25rem}\n"] }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoLabelTextComponent {
    constructor() {
        this.required = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoLabelTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoLabelTextComponent, selector: "bao-label, [bao-label]", inputs: { required: "required" }, host: { classAttribute: "bao-label" }, ngImport: i0, template: '<ng-content></ng-content><span *ngIf="required">&nbsp;*</span>', isInline: true, styles: [".bao-label{color:#212529!important;font-weight:700;line-height:1.5em;font-size:1rem;margin-bottom:.5rem}.bao-label span{color:#d3310a;margin:0}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoLabelTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-label, [bao-label]', encapsulation: ViewEncapsulation.None, template: '<ng-content></ng-content><span *ngIf="required">&nbsp;*</span>', host: { class: 'bao-label' }, styles: [".bao-label{color:#212529!important;font-weight:700;line-height:1.5em;font-size:1rem;margin-bottom:.5rem}.bao-label span{color:#d3310a;margin:0}\n"] }]
        }], propDecorators: { required: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoTitleTextComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTitleTextComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoTitleTextComponent, selector: "bao-title-text, [bao-title-text]", ngImport: i0, template: '<div class="bao-title-text"><ng-content></ng-content></div>', isInline: true, styles: [".bao-title-text{font-weight:700;font-size:1.25rem;line-height:1.75rem;margin:0rem 0rem .5rem 0;color:#212529}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTitleTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-title-text, [bao-title-text]', template: '<div class="bao-title-text"><ng-content></ng-content></div>', encapsulation: ViewEncapsulation.None, styles: [".bao-title-text{font-weight:700;font-size:1.25rem;line-height:1.75rem;margin:0rem 0rem .5rem 0;color:#212529}\n"] }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const DIRECTIVES$2 = [
    BaoErrorTextComponent,
    BaoGuidingTextComponent,
    BaoLabelTextComponent,
    BaoTitleTextComponent
];
class BaoCommonComponentsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCommonComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoCommonComponentsModule, declarations: [BaoErrorTextComponent,
            BaoGuidingTextComponent,
            BaoLabelTextComponent,
            BaoTitleTextComponent], imports: [CommonModule], exports: [BaoErrorTextComponent,
            BaoGuidingTextComponent,
            BaoLabelTextComponent,
            BaoTitleTextComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCommonComponentsModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCommonComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: DIRECTIVES$2,
                    exports: DIRECTIVES$2
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Unique ID for each checkbox group counter
 */
let checkboxGroupNextUniqueId = 0;
class BaoCheckboxGroupComponent {
    constructor(cdr) {
        this.cdr = cdr;
        /**
         * The aria-describedby id for web accessibilty
         */
        this.ariaDescribedby = undefined;
        this._uniqueId = `bao-checkbox-group-${++checkboxGroupNextUniqueId}`;
        if (!this.id) {
            this.id = this._uniqueId;
        }
    }
    ngAfterViewInit() {
        this.setAriaDescribedByToDescription();
        this.cdr.detectChanges();
    }
    onContentChange() {
        this.setAriaDescribedByToDescription();
    }
    /**
     * Set the aria-describedby property to bao-guiding-text if available
     */
    setAriaDescribedByToDescription() {
        const children = Array.from(this.staticContainer.nativeElement.children);
        if (children.length === 0) {
            this.showAriaDescribedBy(false);
            return;
        }
        this.showAriaDescribedBy(true);
    }
    showAriaDescribedBy(value) {
        this.ariaDescribedby = value ? `${this.id}-ariadescribedby` : undefined;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxGroupComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoCheckboxGroupComponent, selector: "bao-checkbox-group, [bao-checkbox-group]", inputs: { id: "id" }, viewQueries: [{ propertyName: "staticContainer", first: true, predicate: ["container"], descendants: true }], ngImport: i0, template: "<fieldset\n  class=\"bao-checkbox-group\"\n  [id]=\"id\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n>\n  <ng-content></ng-content>\n  <div\n    class=\"bao-checkbox-group-description\"\n    [attr.id]=\"ariaDescribedby\"\n    #container\n    (cdkObserveContent)=\"onContentChange()\"\n  >\n    <ng-content\n      select=\"bao-error, [bao-error], bao-guiding-text, [bao-guiding-text]\"\n    ></ng-content>\n  </div>\n</fieldset>\n", styles: [".bao-checkbox-group .bao-label{margin-bottom:.5rem}.bao-checkbox-group .bao-error,.bao-checkbox-group .bao-guiding-text{margin-top:.5rem}\n"], dependencies: [{ kind: "directive", type: i1$2.CdkObserveContent, selector: "[cdkObserveContent]", inputs: ["cdkObserveContentDisabled", "debounce"], outputs: ["cdkObserveContent"], exportAs: ["cdkObserveContent"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-checkbox-group, [bao-checkbox-group]', encapsulation: ViewEncapsulation.None, template: "<fieldset\n  class=\"bao-checkbox-group\"\n  [id]=\"id\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n>\n  <ng-content></ng-content>\n  <div\n    class=\"bao-checkbox-group-description\"\n    [attr.id]=\"ariaDescribedby\"\n    #container\n    (cdkObserveContent)=\"onContentChange()\"\n  >\n    <ng-content\n      select=\"bao-error, [bao-error], bao-guiding-text, [bao-guiding-text]\"\n    ></ng-content>\n  </div>\n</fieldset>\n", styles: [".bao-checkbox-group .bao-label{margin-bottom:.5rem}.bao-checkbox-group .bao-error,.bao-checkbox-group .bao-guiding-text{margin-top:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { id: [{
                type: Input
            }], staticContainer: [{
                type: ViewChild,
                args: ['container', { static: false }]
            }] } });

/**
 * Unique ID for each checkbox counter
 */
let checkboxNextUniqueId = 0;
class BaoCheckboxComponent {
    constructor(elementRef, cdr, focusMonitor) {
        this.elementRef = elementRef;
        this.cdr = cdr;
        this.focusMonitor = focusMonitor;
        /**
         * Whether the checkbox has a border and is considered as a card.
         */
        this.brandBorder = false;
        /**
         * Whether the checkbox is inline.
         */
        this.inline = false;
        /**
         * The visible state of the label
         */
        this.hiddenLabel = false;
        /**
         * Emitted object on change event
         */
        this.change = new EventEmitter();
        /**
         * Inderminate value of the checkbox whenever
         */
        this.indeterminateChange = new EventEmitter();
        this._disabled = false;
        this._checked = false;
        this._indeterminate = false;
        this._uniqueId = `bao-checkbox-${++checkboxNextUniqueId}`;
        this.onModelChange = () => undefined;
        this.onTouch = () => undefined;
        if (!this.id) {
            this.id = this._uniqueId;
        }
    }
    /**
     * Whether the checkbox is checked.  Default value : false
     */
    get checked() {
        return this._checked;
    }
    /**
     * Whether the checkbox is disabled. Default value : false
     */
    get disabled() {
        return this._disabled;
    }
    /**
     * Whether the checkbox is required.  Default value : false
     */
    get required() {
        return this._required;
    }
    /**
     * Whether the checkbox is indeterminate.  Default value : false
     */
    get indeterminate() {
        return this._indeterminate;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    set checked(value) {
        if (value !== this.checked) {
            this._checked = value;
            this.cdr.markForCheck();
        }
    }
    set disabled(value) {
        // In the case the value is string or boolean
        const newValue = value;
        if (newValue !== this.disabled) {
            this._disabled = newValue;
            this.cdr.markForCheck();
        }
    }
    set required(value) {
        this._required = value;
    }
    set indeterminate(value) {
        const newValue = value;
        if (newValue !== this._indeterminate) {
            this._indeterminate = newValue;
            this.indeterminateChange.emit(this._indeterminate);
        }
        // Update the inderteminate value of the html element object
        this.syncIndeterminate(this._indeterminate);
    }
    ngOnInit() {
        // Set all unique ids for the html elements
        this.inputID = `${this.id}-input`;
        this.ariaLabelledby = `${this.id}-arialabelledby`;
    }
    ngAfterViewInit() {
        this.focusMonitor.monitor(this.elementRef, true).subscribe(focusOrigin => {
            if (!focusOrigin) {
                // When a focused element becomes disabled, the browser *immediately* fires a blur event.
                // Angular does not expect events to be raised during change detection, so any state change
                // (such as a form control's 'ng-touched') will cause a changed-after-checked error.
                // See https://github.com/angular/angular/issues/17793. To work around this, we defer
                // telling the form control it has been touched until the next tick.
                Promise.resolve()
                    .then(() => {
                    this.onTouch();
                    this.cdr.markForCheck();
                })
                    .catch(() => undefined);
            }
        });
        this.setAriaDescribedByToDescription();
        this.syncIndeterminate(this.indeterminate);
    }
    ngOnDestroy() {
        this.focusMonitor.stopMonitoring(this.elementRef);
    }
    /**
     * Implement ControlValueAccessor
     */
    writeValue(value) {
        this.checked = !!value;
    }
    /**
     * Implement ControlValueAccessor
     */
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    /**
     * Implement ControlValueAccessor
     */
    registerOnTouched(fn) {
        this.onTouch = fn;
    }
    /**
     * Implement ControlValueAccessor
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    focus(origin, options) {
        if (origin) {
            this.focusMonitor.focusVia(this.inputElement, origin, options);
        }
        else {
            this.inputElement.nativeElement.focus(options);
        }
    }
    /**
     * Whenever there is change on the input html element
     */
    onInteractionEvent(event) {
        // We always have to stop propagation on the change event.
        // Otherwise the change event, from the input element, will bubble up and
        // emit its event object to the `change` output.
        event.stopPropagation();
    }
    /**
     * Whenever there is click event triggered on the checkbox
     */
    onInputClick(event) {
        event.stopPropagation();
        this.toggle();
        this.emitChangeEvent();
    }
    /**
     * Get the value for the aria-checked property (web accessibility)
     */
    getAriaState() {
        if (this.checked) {
            return "true" /* eCheckboxAriaState.TRUE */;
        }
        return this.indeterminate
            ? "mixed" /* eCheckboxAriaState.MIXED */
            : "false" /* eCheckboxAriaState.FALSE */;
    }
    /**
     * Emit new values whenever the checkbox object has change.
     */
    emitChangeEvent() {
        this.onModelChange(this.checked);
        this.change.emit(this.checked);
        this.syncChecked(this.checked);
    }
    /**
     * Set the checked property on the input html element
     */
    syncChecked(value) {
        if (this.inputElement) {
            this.inputElement.nativeElement.checked = value;
        }
    }
    /**
     * Set the indeterminate property on the input html element
     */
    syncIndeterminate(value) {
        if (this.inputElement) {
            this.inputElement.nativeElement.indeterminate = value;
        }
    }
    /**
     * Set the aria-describedby property to bao-checkbox-description
     */
    setAriaDescribedByToDescription() {
        const childNodes = Array.from(this.nativeElement.childNodes);
        const labelNode = childNodes.find(x => {
            return x.nodeName === 'LABEL';
        });
        if (labelNode) {
            const labelChildNodes = Array.from(labelNode.childNodes);
            const descriptionNode = labelChildNodes.find(x => {
                return x.nodeName === 'BAO-CHECKBOX-DESCRIPTION';
            });
            if (descriptionNode) {
                this.ariaDescribedby = `${this.id}-ariadescribedby`;
                descriptionNode.setAttribute('id', this.ariaDescribedby);
            }
            else {
                this.ariaDescribedby = undefined;
            }
            this.cdr.detectChanges();
        }
    }
    /**
     * Set checked value
     */
    toggle() {
        this.checked = !this.checked;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxComponent, deps: [{ token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$3.FocusMonitor }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoCheckboxComponent, selector: "bao-checkbox, [bao-checkbox]", inputs: { id: "id", ariaLabel: ["aria-label", "ariaLabel"], brandBorder: "brandBorder", inline: "inline", name: "name", hiddenLabel: "hiddenLabel", checked: "checked", disabled: "disabled", required: "required", indeterminate: "indeterminate" }, outputs: { change: "change", indeterminateChange: "indeterminateChange" }, host: { properties: { "class.bao-checkbox-inline": "inline", "class.bao-checkbox-checked": "checked", "class.bao-checkbox-indeterminate": "indeterminate", "class.bao-checkbox-disabled": "disabled", "class.bao-checkbox-card": "brandBorder", "class.bao-checkbox-required": "required", "class.bao-checkbox-hidden-label": "hiddenLabel" }, classAttribute: "bao-checkbox" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => BaoCheckboxComponent),
                multi: true
            }
        ], viewQueries: [{ propertyName: "inputElement", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<input\n  #input\n  type=\"checkbox\"\n  [id]=\"inputID\"\n  [checked]=\"checked\"\n  [disabled]=\"disabled\"\n  [attr.name]=\"name\"\n  [required]=\"required\"\n  [attr.aria-label]=\"ariaLabel\"\n  [attr.aria-labelledby]=\"ariaLabelledby\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n  [attr.aria-checked]=\"getAriaState()\"\n  (change)=\"onInteractionEvent($event)\"\n  (click)=\"onInputClick($event)\"\n  role=\"checkbox\"\n/>\n<label class=\"bao-checkbox-content-container\" [attr.for]=\"inputID\">\n  <div class=\"bao-checkbox-label\" [id]=\"ariaLabelledby\">\n    <ng-content></ng-content>\n  </div>\n  <ng-content\n    select=\"bao-checkbox-description, [bao-checkbox-description], [baoCheckboxDescription]\"\n  ></ng-content>\n</label>\n", styles: [".bao-checkbox{display:block;font-size:1rem;line-height:1.5rem;min-height:1.5rem;padding-top:.5rem;padding-bottom:.5rem;padding-left:2rem;position:relative;z-index:1}.bao-checkbox input{box-sizing:border-box;left:0;opacity:0;overflow:visible;padding:0;position:absolute;z-index:-1}.bao-checkbox input:focus~.bao-checkbox-content-container:before{box-shadow:0 0 0 .1875rem #0079c480}.bao-checkbox label.bao-checkbox-content-container{color:#212529;font-weight:400;font-size:1rem;line-height:1.5rem;margin-bottom:0;position:relative;vertical-align:top}.bao-checkbox label.bao-checkbox-content-container:before{border-radius:.125rem;box-sizing:border-box;position:absolute;top:0;left:-2rem;display:block;margin:.125rem;width:1.25rem;height:1.25rem;pointer-events:none;content:\"\";background-color:#fff;border:#ced4da solid 1px;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.bao-checkbox label.bao-checkbox-content-container:after{box-sizing:border-box;background:no-repeat 50%/1.5rem;content:\"\";display:block;height:1.5rem;left:-2rem;margin:0;position:absolute;top:0;width:1.5rem}.bao-checkbox label.bao-checkbox-content-container .bao-checkbox-label{color:#212529;display:block}.bao-checkbox label.bao-checkbox-content-container .bao-checkbox-description{color:#637381;display:block;margin-top:.5rem}.bao-checkbox.bao-checkbox-inline{display:inline-flex;margin-right:1rem}.bao-checkbox.bao-checkbox-card{padding:0;margin-bottom:1rem}.bao-checkbox.bao-checkbox-card:last-of-type{margin-bottom:0}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container{display:flex;flex-direction:column;flex:1;justify-content:center;padding:1rem 1rem 1rem 3.5rem;position:relative;border:1px solid #ced4da;border-radius:.25rem;color:#637381;min-height:3.5rem}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container:before{top:1rem;left:0;margin-left:1.125rem}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container:after{top:1rem;left:0;margin-left:1rem}.bao-checkbox.bao-checkbox-indeterminate .bao-checkbox-content-container:after{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23097d6c' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e\")}.bao-checkbox input:checked~.bao-checkbox-content-container:before{border-color:#097d6c;background-color:#097d6c}.bao-checkbox input:checked~.bao-checkbox-content-container:after{background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill='%23ffffff' d='M16.7 8.3C17.1 8.7 17.1 9.3 16.7 9.7L10.7 15.7 10.7 15.7C10.6 15.9 10.4 15.9 10.2 16L10.1 16 10.1 16 9.9 16C9.7 16 9.5 15.9 9.3 15.7L7.3 13.7C6.9 13.3 6.9 12.7 7.3 12.3 7.7 11.9 8.3 11.9 8.7 12.3L10 13.6 15.3 8.3C15.7 7.9 16.3 7.9 16.7 8.3Z'/%3e%3c/svg%3e\")}.bao-checkbox input:disabled~.bao-checkbox-content-container{color:#adb2bd;border-color:#dee2e6}.bao-checkbox input:disabled~.bao-checkbox-content-container:before{border-color:#ced4da;background-color:#ced4da}.bao-checkbox input:disabled~.bao-checkbox-content-container .bao-checkbox-label,.bao-checkbox input:disabled~.bao-checkbox-content-container .bao-checkbox-description{color:#adb2bd}.bao-checkbox.bao-checkbox-hidden-label .bao-checkbox-label{clip:rect(1px,1px,1px,1px);clip-path:inset(50%);height:1px;width:1px;margin:-1px;overflow:hidden;padding:0;position:absolute}.bao-checkbox.bao-checkbox-hidden-label label.bao-checkbox-content-container .bao-checkbox-description{margin-top:0}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-checkbox, [bao-checkbox]', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BaoCheckboxComponent),
                            multi: true
                        }
                    ], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-checkbox',
                        '[class.bao-checkbox-inline]': 'inline',
                        '[class.bao-checkbox-checked]': 'checked',
                        '[class.bao-checkbox-indeterminate]': 'indeterminate',
                        '[class.bao-checkbox-disabled]': 'disabled',
                        '[class.bao-checkbox-card]': 'brandBorder',
                        '[class.bao-checkbox-required]': 'required',
                        '[class.bao-checkbox-hidden-label]': 'hiddenLabel'
                    }, template: "<input\n  #input\n  type=\"checkbox\"\n  [id]=\"inputID\"\n  [checked]=\"checked\"\n  [disabled]=\"disabled\"\n  [attr.name]=\"name\"\n  [required]=\"required\"\n  [attr.aria-label]=\"ariaLabel\"\n  [attr.aria-labelledby]=\"ariaLabelledby\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n  [attr.aria-checked]=\"getAriaState()\"\n  (change)=\"onInteractionEvent($event)\"\n  (click)=\"onInputClick($event)\"\n  role=\"checkbox\"\n/>\n<label class=\"bao-checkbox-content-container\" [attr.for]=\"inputID\">\n  <div class=\"bao-checkbox-label\" [id]=\"ariaLabelledby\">\n    <ng-content></ng-content>\n  </div>\n  <ng-content\n    select=\"bao-checkbox-description, [bao-checkbox-description], [baoCheckboxDescription]\"\n  ></ng-content>\n</label>\n", styles: [".bao-checkbox{display:block;font-size:1rem;line-height:1.5rem;min-height:1.5rem;padding-top:.5rem;padding-bottom:.5rem;padding-left:2rem;position:relative;z-index:1}.bao-checkbox input{box-sizing:border-box;left:0;opacity:0;overflow:visible;padding:0;position:absolute;z-index:-1}.bao-checkbox input:focus~.bao-checkbox-content-container:before{box-shadow:0 0 0 .1875rem #0079c480}.bao-checkbox label.bao-checkbox-content-container{color:#212529;font-weight:400;font-size:1rem;line-height:1.5rem;margin-bottom:0;position:relative;vertical-align:top}.bao-checkbox label.bao-checkbox-content-container:before{border-radius:.125rem;box-sizing:border-box;position:absolute;top:0;left:-2rem;display:block;margin:.125rem;width:1.25rem;height:1.25rem;pointer-events:none;content:\"\";background-color:#fff;border:#ced4da solid 1px;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.bao-checkbox label.bao-checkbox-content-container:after{box-sizing:border-box;background:no-repeat 50%/1.5rem;content:\"\";display:block;height:1.5rem;left:-2rem;margin:0;position:absolute;top:0;width:1.5rem}.bao-checkbox label.bao-checkbox-content-container .bao-checkbox-label{color:#212529;display:block}.bao-checkbox label.bao-checkbox-content-container .bao-checkbox-description{color:#637381;display:block;margin-top:.5rem}.bao-checkbox.bao-checkbox-inline{display:inline-flex;margin-right:1rem}.bao-checkbox.bao-checkbox-card{padding:0;margin-bottom:1rem}.bao-checkbox.bao-checkbox-card:last-of-type{margin-bottom:0}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container{display:flex;flex-direction:column;flex:1;justify-content:center;padding:1rem 1rem 1rem 3.5rem;position:relative;border:1px solid #ced4da;border-radius:.25rem;color:#637381;min-height:3.5rem}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container:before{top:1rem;left:0;margin-left:1.125rem}.bao-checkbox.bao-checkbox-card label.bao-checkbox-content-container:after{top:1rem;left:0;margin-left:1rem}.bao-checkbox.bao-checkbox-indeterminate .bao-checkbox-content-container:after{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23097d6c' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e\")}.bao-checkbox input:checked~.bao-checkbox-content-container:before{border-color:#097d6c;background-color:#097d6c}.bao-checkbox input:checked~.bao-checkbox-content-container:after{background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3cpath fill='%23ffffff' d='M16.7 8.3C17.1 8.7 17.1 9.3 16.7 9.7L10.7 15.7 10.7 15.7C10.6 15.9 10.4 15.9 10.2 16L10.1 16 10.1 16 9.9 16C9.7 16 9.5 15.9 9.3 15.7L7.3 13.7C6.9 13.3 6.9 12.7 7.3 12.3 7.7 11.9 8.3 11.9 8.7 12.3L10 13.6 15.3 8.3C15.7 7.9 16.3 7.9 16.7 8.3Z'/%3e%3c/svg%3e\")}.bao-checkbox input:disabled~.bao-checkbox-content-container{color:#adb2bd;border-color:#dee2e6}.bao-checkbox input:disabled~.bao-checkbox-content-container:before{border-color:#ced4da;background-color:#ced4da}.bao-checkbox input:disabled~.bao-checkbox-content-container .bao-checkbox-label,.bao-checkbox input:disabled~.bao-checkbox-content-container .bao-checkbox-description{color:#adb2bd}.bao-checkbox.bao-checkbox-hidden-label .bao-checkbox-label{clip:rect(1px,1px,1px,1px);clip-path:inset(50%);height:1px;width:1px;margin:-1px;overflow:hidden;padding:0;position:absolute}.bao-checkbox.bao-checkbox-hidden-label label.bao-checkbox-content-container .bao-checkbox-description{margin-top:0}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$3.FocusMonitor }], propDecorators: { id: [{
                type: Input
            }], ariaLabel: [{
                type: Input,
                args: ['aria-label']
            }], brandBorder: [{
                type: Input
            }], inline: [{
                type: Input
            }], name: [{
                type: Input
            }], hiddenLabel: [{
                type: Input
            }], change: [{
                type: Output
            }], indeterminateChange: [{
                type: Output
            }], inputElement: [{
                type: ViewChild,
                args: ['input', { static: false }]
            }], checked: [{
                type: Input
            }], disabled: [{
                type: Input
            }], required: [{
                type: Input
            }], indeterminate: [{
                type: Input
            }] } });
class BaoCheckBoxDescription {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckBoxDescription, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoCheckBoxDescription, selector: "bao-checkbox-description, [bao-checkbox-description],  [baoCheckboxDescription]", host: { classAttribute: "bao-checkbox-description" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckBoxDescription, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-checkbox-description, [bao-checkbox-description],  [baoCheckboxDescription]',
                    host: { class: 'bao-checkbox-description' }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const CHECKBOX_DIRECTIVES = [
    BaoCheckboxComponent,
    BaoCheckboxGroupComponent,
    BaoCheckBoxDescription
];
class BaoCheckboxModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxModule, declarations: [BaoCheckboxComponent,
            BaoCheckboxGroupComponent,
            BaoCheckBoxDescription], imports: [CommonModule, BaoCommonComponentsModule, ObserversModule], exports: [BaoCheckboxComponent,
            BaoCheckboxGroupComponent,
            BaoCheckBoxDescription] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxModule, imports: [CommonModule, BaoCommonComponentsModule, ObserversModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoCheckboxModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoCommonComponentsModule, ObserversModule],
                    declarations: CHECKBOX_DIRECTIVES,
                    exports: CHECKBOX_DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Unique ID for each dropdown menu
 */
let dropdownMenuUniqueId = 0;
class BaoDropdownMenuItem {
    constructor(renderer, elementRef, _parent) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        this._parent = _parent;
        /**
         * Is the list item disabled
         */
        this.disabled = false;
        /**
         * Emits when menu item is clicked
         */
        this.itemClicked = new EventEmitter();
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    spaceKeyEvent() {
        if (document.activeElement == this.nativeElement) {
            this.nativeElement.click();
        }
    }
    onClick(el) {
        if (this.nativeElement.attributes['href']) {
            this._parent.setNavigationAttribute(this.nativeElement);
        }
        // Prevent double-click on checkbox input that undoes the toggle
        if (!el.classList.contains('bao-checkbox-content-container')) {
            this.propagateClick();
        }
    }
    enterKeyEvent() {
        if (document.activeElement == this.nativeElement) {
            this.nativeElement.click();
        }
    }
    ngAfterViewInit() {
        this.addContentDiv();
        if (!this.disabled) {
            this.renderer.setAttribute(this.nativeElement, 'tabIndex', '0');
        }
        this.addPaddingClass();
        // Remove input element inside item from keyboard navigation sequence
        if (this.nativeElement.classList.contains('has-element-left')) {
            this.renderer.setAttribute(this.nativeElement.children.item(0).firstElementChild, 'tabIndex', '-1');
        }
    }
    ngOnChanges(changes) {
        if (changes['disabled'] && changes['disabled'].currentValue == true) {
            this.disableItem();
        }
    }
    /** Regroups label and description in a new div to help with layout */
    addContentDiv() {
        const children = Array.from(this.nativeElement.children);
        const labelIndex = children.findIndex(c => c.localName === 'bao-dropdown-menu-item-label');
        const labelElement = children[labelIndex];
        this.renderer.removeChild(this.nativeElement, children[labelIndex]);
        const contentDiv = this.renderer.createElement('div');
        this.renderer.addClass(contentDiv, 'bao-dropdown-menu-item-content');
        this.renderer.appendChild(this.nativeElement, contentDiv);
        this.renderer.appendChild(contentDiv, labelElement);
        const descriptionIndex = children.findIndex(c => c.localName === 'bao-dropdown-menu-item-description');
        if (descriptionIndex > 0) {
            const descriptionElement = children[descriptionIndex];
            this.renderer.removeChild(this.nativeElement, children[descriptionIndex]);
            this.renderer.appendChild(contentDiv, descriptionElement);
        }
    }
    addPaddingClass() {
        const children = Array.from(this.nativeElement.children);
        // Menu item has extra element next to label
        if (children.length > 1) {
            // Only toggle element can be on the right
            if (children.findIndex(c => c.localName === 'bao-toggle') > 0) {
                this.renderer.addClass(this.nativeElement, 'has-element-right');
            }
            // Icon, checkbox, radio button or avatar must be on the left
            else {
                this.renderer.addClass(this.nativeElement, 'has-element-left');
            }
        }
    }
    disableItem() {
        if (this.disabled) {
            this.renderer.setAttribute(this.nativeElement, 'aria-disabled', 'true');
            this.renderer.setAttribute(this.nativeElement, 'tabIndex', '-1');
        }
    }
    /**
     * This method propagates a click event to menu item children with inputs (checkbox, radio button).
     * It emits event to close menu if item does not contain an input.
     */
    propagateClick() {
        let closeMenu = true;
        for (let i = 0; i < this.nativeElement.children.length; i++) {
            if (this.nativeElement.children.item(i).firstElementChild.localName ==
                'input') {
                this.nativeElement.children.item(i).firstElementChild.click();
                closeMenu = false;
            }
        }
        if (closeMenu) {
            this.itemClicked.emit();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItem, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }, { token: BaoDropdownMenuComponent }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuItem, selector: "bao-dropdown-menu-item, [bao-dropdown-menu-item]", inputs: { disabled: "disabled" }, outputs: { itemClicked: "itemClicked" }, host: { listeners: { "window:keyup.space": "spaceKeyEvent()", "click": "onClick($event.target)", "window:keyup.enter": "enterKeyEvent()" }, properties: { "class.bao-dropdown-menu-item-disabled": "disabled===true" }, classAttribute: "bao-dropdown-menu-item" }, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItem, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-dropdown-menu-item, [bao-dropdown-menu-item]',
                    host: {
                        class: 'bao-dropdown-menu-item',
                        '[class.bao-dropdown-menu-item-disabled]': 'disabled===true'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }, { type: BaoDropdownMenuComponent }], propDecorators: { disabled: [{
                type: Input
            }], itemClicked: [{
                type: Output
            }], spaceKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.space']
            }], onClick: [{
                type: HostListener,
                args: ['click', ['$event.target']]
            }], enterKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.enter']
            }] } });
class BaoDropdownMenuComponent {
    constructor(cdr, renderer, elementRef) {
        this.cdr = cdr;
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * Fired when the dropdown-menu changes its 'isOpen' value
         */
        this.isOpenChange = new EventEmitter();
        /**
         * Fired when menu is closed by key event triggered from menu item
         */
        this.isClosedByKeyEvent = new EventEmitter();
        /**
         * Unique identifier of the dropdown menu
         */
        this.menuId = `bao-dropdown-menu-${++dropdownMenuUniqueId}`;
        /**
         * Is the dropwdown menu currently open
         */
        this._isOpen = false;
    }
    get isOpen() {
        return this._isOpen;
    }
    get activeItemIndex() {
        return this._activeItemIndex;
    }
    get menuPortal() {
        return this._menuPortal;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    set isOpen(isOpen) {
        this._isOpen = isOpen;
        this.cdr.detectChanges();
        this.isOpenChange.emit(isOpen);
    }
    set activeItemIndex(index) {
        this._activeItemIndex = index;
    }
    upKeyEvent() {
        if (this.isOpen) {
            const index = isNaN(this._activeItemIndex) ? -1 : this._activeItemIndex;
            const nextIndex = this.getNextActivableItemIndex(index, false);
            if (nextIndex > -1) {
                this.focusNextItem(nextIndex);
            }
        }
    }
    downKeyEvent() {
        if (this.isOpen) {
            const index = isNaN(this._activeItemIndex) ? -1 : this._activeItemIndex;
            const nextIndex = this.getNextActivableItemIndex(index, true);
            if (nextIndex > -1) {
                this.focusNextItem(nextIndex);
            }
        }
    }
    /** Prevents focus to be lost when TAB has reached end of menu  */
    tabKeyEvent() {
        if (this.isOpen) {
            if (document.activeElement === this._listItems.last.nativeElement) {
                this.isClosedByKeyEvent.emit();
            }
        }
    }
    tabUpKeyEvent() {
        if (this.isOpen) {
            this._activeItemIndex = this._listItems.reduce((acc, element, index) => {
                if (element.nativeElement === document.activeElement) {
                    acc = index;
                }
                return acc;
            }, -1);
        }
    }
    /** Prevents focus to be lost when SHIFT + TAB has reached beginning of menu  */
    shiftTabKeyEvent(event) {
        if (this.isOpen) {
            if (document.activeElement === this._listItems.first.nativeElement) {
                event.preventDefault();
                event.stopPropagation();
                this.isClosedByKeyEvent.emit();
            }
        }
    }
    ngAfterViewInit() {
        this.renderer.setAttribute(this.nativeElement, 'id', this.menuId);
        this._menuPortal = new DomPortal(this._menuContent);
    }
    ngAfterContentInit() {
        this._listItems.forEach((item) => item.itemClicked.subscribe(() => this.isClosedByKeyEvent.emit()));
    }
    open() {
        this.isOpen = true;
    }
    close() {
        this.isOpen = false;
    }
    focus() {
        this._activeItemIndex = -1;
        this._menuContent.nativeElement.focus();
    }
    /** Move the aria-current attribute to new active page */
    setNavigationAttribute(activePageElement) {
        const previousActivePage = this._listItems.find((item) => {
            return item.nativeElement.attributes['aria-current'] === 'page';
        });
        if (previousActivePage) {
            this.renderer.removeAttribute(previousActivePage.nativeElement, 'aria-current');
            this.renderer.removeClass(previousActivePage.nativeElement, 'active-link');
        }
        this.renderer.setAttribute(activePageElement, 'aria-current', 'page');
        this.renderer.addClass(activePageElement, 'active-link');
    }
    focusNextItem(nextIndex) {
        this._activeItemIndex = nextIndex;
        this._listItems.get(nextIndex).nativeElement.focus();
    }
    /**
     * Finds the next activable tab index when navigating with up and down arrow or TAB keys
     * @param currentIndex List item index which currently has focus
     * @param isDown Whether the navigation is going in the down direction or not
     * @param isBackward If recursive function is going backward looking for last activable item in list
     * @returns Index of the next item that will receive focus
     */
    getNextActivableItemIndex(currentIndex, isDown) {
        const init = [];
        // Get all the activable indexes
        const activableIndexes = this._listItems.reduce((acc, element, index) => {
            if (!element.disabled) {
                acc = [...acc, index];
            }
            return acc;
        }, init);
        if (activableIndexes.length) {
            if (isDown) {
                // Select the first enabled element
                if (currentIndex === -1) {
                    return activableIndexes[0];
                }
                // Select the only enabled element
                if (activableIndexes.length === 1) {
                    return activableIndexes[0];
                }
                // Stay on the last enabled element
                if (currentIndex === activableIndexes[activableIndexes.length - 1]) {
                    return currentIndex;
                }
                // Select the next enabled element
                return activableIndexes.find(index => index > currentIndex);
            }
            const isUp = !isDown;
            if (isUp) {
                // Do nothing whenever nothing is selected
                if (currentIndex === -1) {
                    return currentIndex;
                }
                // Select the only enabled element
                if (activableIndexes.length === 1) {
                    return activableIndexes[0];
                }
                // Stay on the first enabled element
                if (currentIndex === activableIndexes[0]) {
                    return currentIndex;
                }
                // Select the above enabled element
                return activableIndexes.reverse().find(index => index < currentIndex);
            }
            return -1;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuComponent, selector: "bao-dropdown-menu", outputs: { isOpenChange: "isOpenChange", isClosedByKeyEvent: "isClosedByKeyEvent" }, host: { listeners: { "window:keyup.arrowup": "upKeyEvent()", "window:keyup.arrowdown": "downKeyEvent()", "window:keydown.tab": "tabKeyEvent()", "window:keyup.tab": "tabUpKeyEvent()", "window:keydown.shift.tab": "shiftTabKeyEvent($event)" }, properties: { "class.bao-overlay-transparent-backdrop": "isOpen===false", "class.bao-dropdown-menu-closed": "isOpen===false", "attr.aria-expanded": "isOpen" }, classAttribute: "bao-dropdown-menu-container" }, queries: [{ propertyName: "_listItems", predicate: BaoDropdownMenuItem, descendants: true }], viewQueries: [{ propertyName: "_menuContent", first: true, predicate: ["menuContent"], descendants: true }], ngImport: i0, template: "<div #menuContent class=\"bao-dropdown-menu\" tabindex=\"-1\">\n  <ng-content></ng-content>\n</div>\n", styles: [".bao-dropdown-menu-container.bao-dropdown-menu-closed{display:none}.bao-dropdown-menu{min-width:16rem;max-width:32rem;overflow-y:auto;background:#fff;box-shadow:0 .5rem 2rem #0000001a;border-radius:.25rem;margin-top:.25rem;margin-bottom:.25rem;padding-top:.5rem;padding-bottom:.5rem}.bao-dropdown-menu:focus-visible{outline:none}.bao-dropdown-menu .bao-overlay-transparent-backdrop{background-color:#fff0;display:none}.bao-dropdown-menu ul{list-style-type:none;padding:0;margin:0}.bao-dropdown-menu h5{padding:.5rem 0 .5rem 1rem;margin:0}.bao-dropdown-menu .bao-dropdown-menu-item{display:flex;align-items:center;text-decoration:none;border-bottom:none;cursor:default}.bao-dropdown-menu .bao-dropdown-menu-item:hover{background-color:#f8f9fa}.bao-dropdown-menu .bao-dropdown-menu-item:active{background-color:#eefaf8}.bao-dropdown-menu .bao-dropdown-menu-item:focus{box-shadow:inset 0 0 0 .25rem #98bcde}.bao-dropdown-menu .bao-dropdown-menu-item.active-link{background-color:#eefaf8}.bao-dropdown-menu .bao-dropdown-menu-item.has-element-right{padding-right:1.5rem}.bao-dropdown-menu .bao-dropdown-menu-item.has-element-left{padding-left:1rem}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled{cursor:not-allowed;pointer-events:none}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled:hover,.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled:active{background:#fff}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled .bao-dropdown-menu-item-content .bao-dropdown-menu-item-label,.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled .bao-dropdown-menu-item-content .bao-dropdown-menu-item-description{color:#adb2bd}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content{display:flex;flex-direction:column;margin:.5rem 1rem;background-color:inherit}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content .bao-dropdown-menu-item-label{font-weight:400;font-size:1rem;line-height:1.5rem;color:#212529}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content .bao-dropdown-menu-item-description{font-weight:400;font-size:.875rem;line-height:1.25rem;color:#637381}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-icon{color:#adb2bd;flex-shrink:0}.bao-dropdown-menu .bao-dropdown-menu-divider hr{margin-top:.5rem;margin-bottom:.5rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-dropdown-menu', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-dropdown-menu-container',
                        '[class.bao-overlay-transparent-backdrop]': 'isOpen===false',
                        '[class.bao-dropdown-menu-closed]': 'isOpen===false',
                        '[attr.aria-expanded]': 'isOpen'
                    }, template: "<div #menuContent class=\"bao-dropdown-menu\" tabindex=\"-1\">\n  <ng-content></ng-content>\n</div>\n", styles: [".bao-dropdown-menu-container.bao-dropdown-menu-closed{display:none}.bao-dropdown-menu{min-width:16rem;max-width:32rem;overflow-y:auto;background:#fff;box-shadow:0 .5rem 2rem #0000001a;border-radius:.25rem;margin-top:.25rem;margin-bottom:.25rem;padding-top:.5rem;padding-bottom:.5rem}.bao-dropdown-menu:focus-visible{outline:none}.bao-dropdown-menu .bao-overlay-transparent-backdrop{background-color:#fff0;display:none}.bao-dropdown-menu ul{list-style-type:none;padding:0;margin:0}.bao-dropdown-menu h5{padding:.5rem 0 .5rem 1rem;margin:0}.bao-dropdown-menu .bao-dropdown-menu-item{display:flex;align-items:center;text-decoration:none;border-bottom:none;cursor:default}.bao-dropdown-menu .bao-dropdown-menu-item:hover{background-color:#f8f9fa}.bao-dropdown-menu .bao-dropdown-menu-item:active{background-color:#eefaf8}.bao-dropdown-menu .bao-dropdown-menu-item:focus{box-shadow:inset 0 0 0 .25rem #98bcde}.bao-dropdown-menu .bao-dropdown-menu-item.active-link{background-color:#eefaf8}.bao-dropdown-menu .bao-dropdown-menu-item.has-element-right{padding-right:1.5rem}.bao-dropdown-menu .bao-dropdown-menu-item.has-element-left{padding-left:1rem}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled{cursor:not-allowed;pointer-events:none}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled:hover,.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled:active{background:#fff}.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled .bao-dropdown-menu-item-content .bao-dropdown-menu-item-label,.bao-dropdown-menu .bao-dropdown-menu-item.bao-dropdown-menu-item-disabled .bao-dropdown-menu-item-content .bao-dropdown-menu-item-description{color:#adb2bd}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content{display:flex;flex-direction:column;margin:.5rem 1rem;background-color:inherit}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content .bao-dropdown-menu-item-label{font-weight:400;font-size:1rem;line-height:1.5rem;color:#212529}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-dropdown-menu-item-content .bao-dropdown-menu-item-description{font-weight:400;font-size:.875rem;line-height:1.25rem;color:#637381}.bao-dropdown-menu .bao-dropdown-menu-item>.bao-icon{color:#adb2bd;flex-shrink:0}.bao-dropdown-menu .bao-dropdown-menu-divider hr{margin-top:.5rem;margin-bottom:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { isOpenChange: [{
                type: Output
            }], isClosedByKeyEvent: [{
                type: Output
            }], _menuContent: [{
                type: ViewChild,
                args: ['menuContent']
            }], _listItems: [{
                type: ContentChildren,
                args: [BaoDropdownMenuItem, { descendants: true }]
            }], upKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.arrowup']
            }], downKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.arrowdown']
            }], tabKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.tab']
            }], tabUpKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.tab']
            }], shiftTabKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.shift.tab', ['$event']]
            }] } });
/**
 * Directive to be applied on element that will trigger the opening and closing of menu.
 */
class BaoDropdownMenuTrigger {
    constructor(renderer, elementRef, overlay) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        this.overlay = overlay;
        this._overlayRef = null;
        this._isMenuOpen = false;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    escapeKeyEvent() {
        if (this._isMenuOpen) {
            this.closeMenu();
            this.nativeElement.focus();
        }
    }
    onClick() {
        this.toggleMenu();
    }
    ngAfterViewInit() {
        this.renderer.setAttribute(this.nativeElement, 'role', 'button');
        this.renderer.setAttribute(this.nativeElement, 'aria-controls', `bao-dropdown-menu-${dropdownMenuUniqueId}`);
        this.menu.isClosedByKeyEvent.subscribe(() => {
            this.closeMenu();
            this.nativeElement.focus();
        });
    }
    ngOnDestroy() {
        if (this._overlayRef) {
            this._overlayRef.dispose();
        }
    }
    toggleMenu() {
        return this._isMenuOpen ? this.closeMenu() : this.openMenu();
    }
    closeMenu() {
        this._isMenuOpen = false;
        this.menu.close();
        if (this._overlayRef) {
            this._overlayRef.detach();
        }
    }
    openMenu() {
        if (!this.menu) {
            return;
        }
        const overlayRef = this.createOverlay();
        overlayRef.attach(this.menu.menuPortal);
        this._isMenuOpen = true;
        this.menu.open();
        this.menu.focus();
    }
    createOverlay() {
        if (!this._overlayRef) {
            const config = this.getOverlayConfig();
            this._overlayRef = this.overlay.create(config);
        }
        this._overlayRef.backdropClick().subscribe(() => {
            this.closeMenu();
        });
        return this._overlayRef;
    }
    getOverlayConfig() {
        return new OverlayConfig({
            positionStrategy: this.overlay
                .position()
                .flexibleConnectedTo(this.elementRef)
                .withLockedPosition()
                .withGrowAfterOpen()
                .withPositions([
                {
                    // top-left of the overlay is connected to bottom-left of the origin;
                    originX: 'start',
                    originY: 'bottom',
                    overlayX: 'start',
                    overlayY: 'top'
                },
                {
                    // bottom-left of the overlay is connected to top-left of the origin;
                    originX: 'start',
                    originY: 'top',
                    overlayX: 'start',
                    overlayY: 'bottom'
                },
                {
                    // top-right of the overlay is connected to bottom-right of the origin;
                    originX: 'end',
                    originY: 'bottom',
                    overlayX: 'end',
                    overlayY: 'top'
                },
                {
                    // bottom-right of the overlay is connected to top-right of the origin;
                    originX: 'end',
                    originY: 'top',
                    overlayX: 'end',
                    overlayY: 'bottom'
                }
            ]),
            backdropClass: 'bao-overlay-transparent-backdrop',
            hasBackdrop: true,
            scrollStrategy: this.overlay.scrollStrategies.block()
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuTrigger, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }, { token: i1$4.Overlay }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuTrigger, selector: "bao-dropdown-menu-trigger, [bao-dropdown-menu-trigger], [baoDropdownMenuTriggerFor]", inputs: { menu: ["baoDropdownMenuTriggerFor", "menu"] }, host: { listeners: { "window:keyup.escape": "escapeKeyEvent()", "click": "onClick()" }, classAttribute: "bao-dropdown-menu-trigger" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuTrigger, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-dropdown-menu-trigger, [bao-dropdown-menu-trigger], [baoDropdownMenuTriggerFor]',
                    host: { class: 'bao-dropdown-menu-trigger' }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }, { type: i1$4.Overlay }], propDecorators: { menu: [{
                type: Input,
                args: ['baoDropdownMenuTriggerFor']
            }], escapeKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.escape']
            }], onClick: [{
                type: HostListener,
                args: ['click']
            }] } });
/**
 * Sections of list items in menu. Apply proper styling to section's title if there is one.
 */
class BaoDropdownMenuSection {
    constructor(elementRef, renderer) {
        this.elementRef = elementRef;
        this.renderer = renderer;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        const children = Array.from(this.nativeElement.childNodes);
        const textIndex = children.findIndex((c) => c.nodeName === '#text');
        if (textIndex > -1) {
            this.insertTitle(children, textIndex);
        }
    }
    insertTitle(children, txtIdx) {
        const titleElement = this.renderer.createElement('h5');
        this.renderer.setProperty(titleElement, 'textContent', children[txtIdx].nodeValue);
        this.renderer.removeChild(this.nativeElement, children[txtIdx]);
        const listIndex = children.findIndex((c) => c.nodeName === 'UL');
        this.renderer.insertBefore(this.nativeElement, titleElement, children[listIndex]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuSection, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuSection, selector: "bao-dropdown-menu-section, [bao-dropdown-menu-section]", host: { classAttribute: "bao-dropdown-menu-section" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuSection, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-dropdown-menu-section, [bao-dropdown-menu-section]',
                    host: { class: 'bao-dropdown-menu-section' }
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.Renderer2 }] });
/**
 * Label of a list item, add css class to apply proper styling.
 */
class BaoDropdownMenuItemLabel {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItemLabel, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuItemLabel, selector: "bao-dropdown-menu-item-label, [bao-dropdown-menu-item-label]", host: { classAttribute: "bao-dropdown-menu-item-label" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItemLabel, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-dropdown-menu-item-label, [bao-dropdown-menu-item-label]',
                    host: { class: 'bao-dropdown-menu-item-label' }
                }]
        }] });
/**
 * Description of a list item, add css class to apply proper styling.
 */
class BaoDropdownMenuItemDescription {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItemDescription, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuItemDescription, selector: "bao-dropdown-menu-item-description, [bao-dropdown-menu-item-description]", host: { classAttribute: "bao-dropdown-menu-item-description" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuItemDescription, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-dropdown-menu-item-description, [bao-dropdown-menu-item-description]',
                    host: { class: 'bao-dropdown-menu-item-description' }
                }]
        }] });
/**
 * Divider to separate sections.
 */
class BaoDropdownMenuDivider {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterContentInit() {
        this.renderer.setAttribute(this.nativeElement, 'role', 'separator');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuDivider, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoDropdownMenuDivider, selector: "bao-dropdown-menu-divider, [bao-dropdown-menu-divider]", host: { classAttribute: "bao-dropdown-menu-divider" }, ngImport: i0, template: `<hr />`, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuDivider, decorators: [{
            type: Component,
            args: [{
                    template: `<hr />`,
                    selector: 'bao-dropdown-menu-divider, [bao-dropdown-menu-divider]',
                    host: { class: 'bao-dropdown-menu-divider' }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const DROPDOWN_MENU_DIRECTIVES = [
    BaoDropdownMenuComponent,
    BaoDropdownMenuTrigger,
    BaoDropdownMenuItem,
    BaoDropdownMenuSection,
    BaoDropdownMenuItemLabel,
    BaoDropdownMenuItemDescription,
    BaoDropdownMenuDivider
];
class BaoDropdownMenuModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuModule, declarations: [BaoDropdownMenuComponent,
            BaoDropdownMenuTrigger,
            BaoDropdownMenuItem,
            BaoDropdownMenuSection,
            BaoDropdownMenuItemLabel,
            BaoDropdownMenuItemDescription,
            BaoDropdownMenuDivider], imports: [CommonModule, ObserversModule, OverlayModule, PortalModule], exports: [BaoDropdownMenuComponent,
            BaoDropdownMenuTrigger,
            BaoDropdownMenuItem,
            BaoDropdownMenuSection,
            BaoDropdownMenuItemLabel,
            BaoDropdownMenuItemDescription,
            BaoDropdownMenuDivider] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuModule, imports: [CommonModule, ObserversModule, OverlayModule, PortalModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoDropdownMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, ObserversModule, OverlayModule, PortalModule],
                    declarations: [DROPDOWN_MENU_DIRECTIVES],
                    exports: [...DROPDOWN_MENU_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const KILO_THRESHOLD = 1000;
const MEGA_THRESHOLD = 1000000;
class BaoFilePreviewComponent {
    get file() {
        return this._file;
    }
    /**
     * Uploaded file to display in list.
     */
    set file(f) {
        this._file = f;
        this.setFileData();
    }
    constructor(elementRef, renderer) {
        this.elementRef = elementRef;
        this.renderer = renderer;
        /**
         * Is file loading
         */
        this.isLoading = false;
        /**
         * True if projected content has no icon and file does not have a thumbnail.
         */
        this.insertGenericIcon = false;
        this.thumbnailURL = '';
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    setFileData() {
        this.formatSize(this._file.size);
        this.getThumbnail();
        this.setIcon();
    }
    setIcon() {
        // If no icon is in the projected content, generic icon is added
        const contentIcon = Array.from(this.nativeElement.children.item(0).children).find((el) => el.localName === 'bao-icon');
        if (!contentIcon) {
            this.insertGenericIcon = true;
        }
        else {
            this.renderer.addClass(contentIcon, 'bao-file-media');
        }
    }
    getThumbnail() {
        if (this._file &&
            (this._file.type === 'image/png' || this._file.type === 'image/jpeg')) {
            const reader = new FileReader();
            reader.onload = (event) => {
                this.thumbnailURL = event.target.result;
            };
            reader.onerror = () => {
                this.thumbnailURL = '';
            };
            reader.readAsDataURL(this._file);
        }
    }
    formatSize(size) {
        if (size >= KILO_THRESHOLD && size / KILO_THRESHOLD < KILO_THRESHOLD) {
            this.fileSize = this.getSizeAndUnit(size, KILO_THRESHOLD, 'Ko');
            return;
        }
        const sizeDividedByKoMultiplicator = size / KILO_THRESHOLD;
        if (sizeDividedByKoMultiplicator >= KILO_THRESHOLD) {
            const toFixed = sizeDividedByKoMultiplicator > 10 ? 0 : 1;
            this.fileSize = this.getSizeAndUnit(size, MEGA_THRESHOLD, 'Mo', toFixed);
            return;
        }
        this.fileSize = `${size} octets`;
    }
    getSizeAndUnit(size, multiplicator, unit, toFixed = 0) {
        return `${(size / multiplicator).toFixed(toFixed)} ${unit}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFilePreviewComponent, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoFilePreviewComponent, selector: "bao-file-preview, [bao-file-preview]", inputs: { file: "file", isLoading: "isLoading" }, host: { classAttribute: "bao-file-preview" }, ngImport: i0, template: "<div class=\"bao-file-info\">\n  <ng-content select=\"bao-icon\"></ng-content>\n  <bao-icon\n    *ngIf=\"insertGenericIcon && !thumbnailURL\"\n    class=\"bao-file-media\"\n    svgIcon=\"icon-file\"\n  >\n  </bao-icon>\n  <ng-container *ngIf=\"thumbnailURL && !isLoading\">\n    <img\n      class=\"bao-file-media\"\n      [src]=\"thumbnailURL\"\n      width=\"40px\"\n      height=\"40px\"\n    />\n  </ng-container>\n  <div class=\"bao-file-text\">\n    <div class=\"bao-file-name\">{{ _file.name }}</div>\n    <div class=\"bao-file-size\">{{ fileSize }}</div>\n  </div>\n</div>\n<ng-container *ngIf=\"!isLoading\">\n  <ng-content select=\"button[bao-button]\"></ng-content>\n  <ng-content select=\"baoDropdownTriggerFor\"></ng-content>\n</ng-container>\n<bao-icon\n  *ngIf=\"isLoading\"\n  class=\"loading-spinner\"\n  svgIcon=\"icon-spinner\"\n  title=\"chargement\"\n></bao-icon>\n", styles: [".bao-file-preview{display:flex;align-items:center;justify-content:space-between;padding-top:.625rem;padding-bottom:.625rem;list-style-type:none}.bao-file-preview>.bao-file-info{display:flex;align-items:center}.bao-file-preview>.bao-file-info>.bao-icon{color:#adb2bd;flex-shrink:0}.bao-file-preview>.bao-file-info>.bao-file-media{margin-right:1rem}.bao-file-preview>.bao-file-info>.bao-file-text{display:inline-flex;flex-direction:column;margin-right:1rem}.bao-file-preview>.bao-file-info>.bao-file-text>.bao-file-name{overflow:hidden;font-weight:700;font-size:.875rem;line-height:1.25rem;color:#212529}.bao-file-preview>.bao-file-info>.bao-file-text>.bao-file-size{font-weight:400;font-size:.75rem;line-height:1rem;color:#637381}.bao-file-preview .loading-spinner{color:#097d6c}.bao-file-preview .bao-dropdown-menu-container{position:absolute;margin-left:auto}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFilePreviewComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-file-preview, [bao-file-preview]', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-file-preview'
                    }, template: "<div class=\"bao-file-info\">\n  <ng-content select=\"bao-icon\"></ng-content>\n  <bao-icon\n    *ngIf=\"insertGenericIcon && !thumbnailURL\"\n    class=\"bao-file-media\"\n    svgIcon=\"icon-file\"\n  >\n  </bao-icon>\n  <ng-container *ngIf=\"thumbnailURL && !isLoading\">\n    <img\n      class=\"bao-file-media\"\n      [src]=\"thumbnailURL\"\n      width=\"40px\"\n      height=\"40px\"\n    />\n  </ng-container>\n  <div class=\"bao-file-text\">\n    <div class=\"bao-file-name\">{{ _file.name }}</div>\n    <div class=\"bao-file-size\">{{ fileSize }}</div>\n  </div>\n</div>\n<ng-container *ngIf=\"!isLoading\">\n  <ng-content select=\"button[bao-button]\"></ng-content>\n  <ng-content select=\"baoDropdownTriggerFor\"></ng-content>\n</ng-container>\n<bao-icon\n  *ngIf=\"isLoading\"\n  class=\"loading-spinner\"\n  svgIcon=\"icon-spinner\"\n  title=\"chargement\"\n></bao-icon>\n", styles: [".bao-file-preview{display:flex;align-items:center;justify-content:space-between;padding-top:.625rem;padding-bottom:.625rem;list-style-type:none}.bao-file-preview>.bao-file-info{display:flex;align-items:center}.bao-file-preview>.bao-file-info>.bao-icon{color:#adb2bd;flex-shrink:0}.bao-file-preview>.bao-file-info>.bao-file-media{margin-right:1rem}.bao-file-preview>.bao-file-info>.bao-file-text{display:inline-flex;flex-direction:column;margin-right:1rem}.bao-file-preview>.bao-file-info>.bao-file-text>.bao-file-name{overflow:hidden;font-weight:700;font-size:.875rem;line-height:1.25rem;color:#212529}.bao-file-preview>.bao-file-info>.bao-file-text>.bao-file-size{font-weight:400;font-size:.75rem;line-height:1rem;color:#637381}.bao-file-preview .loading-spinner{color:#097d6c}.bao-file-preview .bao-dropdown-menu-container{position:absolute;margin-left:auto}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i0.Renderer2 }], propDecorators: { file: [{
                type: Input
            }], isLoading: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * To modify the labels and text displayed, create a new instance of BaoFileIntl and
 * include it in a custom provider
 */
class BaoFileIntl {
    constructor() {
        /**
         * Stream to emit from when labels are changed. Use this to notify components when the labels have
         * changed after initialization.
         */
        this.changes = new Subject();
        /** The label for button in dropzone */
        this.dropzoneButtonLabel = 'Parcourir';
        /** The default dropzone instructions */
        this.defaultDropzoneInstructions = 'ou déposer votre fichier ici';
        /** Error message displayed when uploaded file is too large */
        this.fileTooBigErrorMessage = 'La taille de ce fichier est trop grande';
        /** Error message displayed when uploaded file has an invalid type */
        this.invalidFileTypeErrorMessage = "Ce format de fichier n'est pas autorisé";
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntl, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntl, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntl, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }] });
class BaoFileIntlEnglish extends BaoFileIntl {
    constructor() {
        super(...arguments);
        /** The label for button in dropzone */
        this.dropzoneButtonLabel = 'Browse';
        /** The default dropzone instructions */
        this.defaultDropzoneInstructions = 'or drop your file here';
        /** Error message displayed when uploaded file is too large */
        this.fileTooBigErrorMessage = 'The size of this file is too large';
        /** Error message displayed when uploaded file has an invalid type */
        this.invalidFileTypeErrorMessage = 'The format of this file is unauthorized';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntlEnglish, deps: null, target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntlEnglish }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileIntlEnglish, decorators: [{
            type: Injectable
        }] });
/** @docs-private */
function BAO_FILE_INTL_PROVIDER_FACTORY(parentIntl) {
    return parentIntl || new BaoFileIntl();
}
/** @docs-private */
const BAO_FILE_INTL_PROVIDER = {
    // If there is already an BaoFileIntl available, use that. Otherwise, provide a new one.
    provide: BaoFileIntl,
    deps: [[new Optional(), new SkipSelf(), BaoFileIntl]],
    useFactory: BAO_FILE_INTL_PROVIDER_FACTORY
};

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Unique number to generate a unique ID
 */
let fileInputUniqueId = 0;
let fileTextUniqueId = 0;
class BaoFileInputComponent {
    constructor(intl, elementRef, renderer, cdr) {
        this.intl = intl;
        this.elementRef = elementRef;
        this.renderer = renderer;
        this.cdr = cdr;
        /**
         * Size of the file input label
         */
        this.size = 'medium';
        /**
         * Maximum size accepted for uploaded files
         */
        this.maximalFileSize = -1;
        /**
         * Accepted types of files
         */
        this.acceptedMIMETypes = [];
        /**
         * Is field required
         */
        this.required = false;
        /**
         * Is field disabled
         */
        this.disabled = false;
        /**
         * File selected to be uploaded
         */
        this.uploadedFile = new EventEmitter();
        this.insertDefaultInstructions = false;
        this.isFileTooBig = false;
        this.isFileTypeInvalid = false;
        /**
         * Saves the registerOnChange function so the component can call it whenever it wants.
         */
        // eslint-disable-next-line @typescript-eslint/no-empty-function, @typescript-eslint/no-unused-vars
        this.propagateChange = (_) => { };
        /**
         * Saves the registerOnTouched function so the component can call it whenever it wants.
         */
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        this.propagateTouched = () => { };
        this._intlChanges = intl.changes.subscribe(() => this.cdr.markForCheck());
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    enterKeyEvent() {
        if (document.activeElement.id === this.inputId) {
            document.getElementById(this.inputId).click();
        }
    }
    tabKeyEvent() {
        if (document.activeElement.id === this.inputId) {
            this.renderer.addClass(this.dropzoneElement.nativeElement, 'dropzone-focus');
        }
    }
    shiftTabKeyEvent() {
        if (document.activeElement.id === this.inputId) {
            this.renderer.addClass(this.dropzoneElement.nativeElement, 'dropzone-focus');
        }
    }
    ngAfterContentInit() {
        this._errorForm.changes.subscribe(() => this.setErrorTextsAttribute());
        if (!this.inputId) {
            this.inputId = `file-input-${fileInputUniqueId++}`;
        }
        // If no content was added for dropzone instructions, add default text.
        const dropzoneElement = Array.from(this.nativeElement.children).find((el) => el.className === 'file-drop-zone');
        if (!Array.from(dropzoneElement.children).find(el => el.localName === 'bao-file-dropzone-instructions')) {
            this.insertDefaultInstructions = true;
        }
        this.setDescribedByAttribute();
        this._files.changes.subscribe((files) => {
            const filesList = files.map((el) => el.file);
            this.setValue(filesList);
        });
    }
    ngAfterViewInit() {
        this._errorTexts.changes.subscribe(() => this.setErrorTextsAttribute());
    }
    ngOnDestroy() {
        this._intlChanges.unsubscribe();
    }
    /**
     * Implements ControlValueAccessor interface
     */
    writeValue(obj) {
        this._value = obj;
    }
    /**
     * Implements ControlValueAccessor interface
     */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /**
     * Implements ControlValueAccessor interface
     */
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    /**
     * Implements ControlValueAccessor interface
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    uploadFile(file) {
        if (!this.disabled) {
            this.isFileTypeInvalid = false;
            this.isFileTooBig = false;
            this.uploader.nativeElement.value = '';
            if (this.maximalFileSize > 0 && file.size > this.maximalFileSize) {
                this.isFileTooBig = true;
            }
            if (this.acceptedMIMETypes.length > 0 &&
                this.acceptedMIMETypes.indexOf(file.type) < 0) {
                this.isFileTypeInvalid = true;
            }
            if (!this.isFileTooBig && !this.isFileTypeInvalid) {
                this.uploadedFile.emit(file);
            }
        }
    }
    setValue(value) {
        this._value = value;
        this.propagateChange(this._value);
        this.propagateTouched();
    }
    setDescribedByAttribute() {
        const helperText = Array.from(this.nativeElement.children).find((el) => el.localName === 'bao-guiding-text');
        if (helperText) {
            this._helperTextId = `bao-guiding-text-${fileTextUniqueId++}`;
            this.renderer.setAttribute(helperText.firstElementChild, 'id', this._helperTextId);
            const inputElement = Array.from(this.nativeElement.children)
                .find((el) => el.className == 'file-drop-zone')
                .children.item(1);
            this.renderer.setAttribute(inputElement, 'aria-describedby', this._helperTextId);
        }
    }
    setErrorTextsAttribute() {
        const textsIds = [];
        const errors = Array.from(this.nativeElement.children).filter((el) => el.localName == 'bao-error');
        errors.forEach((errorText) => {
            const errorTextId = `bao-error-${fileTextUniqueId++}`;
            this.renderer.setAttribute(errorText.firstElementChild, 'id', errorTextId);
            textsIds.push(errorTextId);
        });
        const inputElement = Array.from(this.nativeElement.children)
            .find((el) => el.classList.contains('file-drop-zone'))
            .children.item(1);
        if (this._helperTextId) {
            textsIds.unshift(this._helperTextId);
        }
        this.renderer.setAttribute(inputElement, 'aria-describedby', textsIds.join(' '));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileInputComponent, deps: [{ token: BaoFileIntl }, { token: i0.ElementRef }, { token: i0.Renderer2 }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoFileInputComponent, selector: "bao-file-input, [bao-file-input]", inputs: { inputId: ["id", "inputId"], label: "label", size: "size", maximalFileSize: "maximalFileSize", acceptedMIMETypes: "acceptedMIMETypes", required: "required", disabled: "disabled" }, outputs: { uploadedFile: "uploadedFile" }, host: { listeners: { "window:keyup.enter": "enterKeyEvent()", "window:keyup.tab": "tabKeyEvent()", "window:keyup.shift.tab": "shiftTabKeyEvent()" }, properties: { "class.bao-file-label-small": "size === \"small\"", "class.bao-file-label-medium": "size === \"medium\"", "class.bao-file-input-disabled": "disabled" }, classAttribute: "bao-file-input" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                // tslint:disable-next-line:no-forward-ref
                useExisting: forwardRef(() => BaoFileInputComponent),
                multi: true
            }
        ], queries: [{ propertyName: "_files", predicate: BaoFilePreviewComponent, descendants: true }, { propertyName: "_errorForm", predicate: BaoErrorTextComponent, descendants: true }], viewQueries: [{ propertyName: "uploader", first: true, predicate: ["uploader"], descendants: true }, { propertyName: "dropzoneElement", first: true, predicate: ["dropzone"], descendants: true }, { propertyName: "_errorTexts", predicate: BaoErrorTextComponent, descendants: true }], ngImport: i0, template: "<label bao-label [required]=\"required\" [for]=\"inputId\">{{ label }}</label>\n<ng-content select=\"bao-guiding-text\"></ng-content>\n<div\n  baoFileDrop\n  class=\"file-drop-zone\"\n  (fileDrop)=\"uploadFile($event)\"\n  #dropzone\n>\n  <button\n    bao-button\n    type=\"button\"\n    displayType=\"utility\"\n    level=\"secondary\"\n    [disabled]=\"disabled\"\n    (click)=\"uploader.click()\"\n    aria-hidden=\"true\"\n    tabIndex=\"-1\"\n  >\n    {{ intl.dropzoneButtonLabel }}\n  </button>\n  <input\n    [id]=\"inputId\"\n    type=\"file\"\n    class=\"sr-only\"\n    [disabled]=\"disabled\"\n    (change)=\"uploadFile($event.target.files[0])\"\n    #uploader\n  />\n  <ng-container\n    ><div #ref>\n      <ng-content select=\"bao-file-dropzone-instructions\"></ng-content></div\n  ></ng-container>\n  <ng-container *ngIf=\"ref.childNodes.length === 0\"\n    ><bao-file-dropzone-instructions>{{\n      intl.defaultDropzoneInstructions\n    }}</bao-file-dropzone-instructions></ng-container\n  >\n</div>\n<bao-error *ngIf=\"isFileTooBig\">\n  {{ intl.fileTooBigErrorMessage }}\n</bao-error>\n<bao-error *ngIf=\"isFileTypeInvalid\">\n  {{ intl.invalidFileTypeErrorMessage }}\n</bao-error>\n<ng-content select=\"bao-error\"></ng-content>\n<ng-content></ng-content>\n", styles: ["bao-file-input{width:100%;display:inline-flex;flex-direction:column}bao-file-input>ul{padding:0;margin:0}bao-file-input .bao-label>span{font-size:inherit;font-weight:inherit}bao-file-input.bao-file-label-small label{font-weight:700;font-size:.875rem;line-height:1.25rem}bao-file-input.bao-file-label-medium label{font-weight:700;font-size:1rem;line-height:1.5rem}bao-file-input .bao-guiding-text{margin-bottom:.5rem}bao-file-input .file-drop-zone{padding:.5rem;background-color:#fff;border-radius:.25rem;border-style:dashed;border-color:#ced4da;border-width:1px;display:inline-flex;align-items:center}bao-file-input .file-drop-zone:focus-within.dropzone-focus{box-shadow:0 0 0 .1875rem #98bcde;background-color:#eefaf8}bao-file-input .file-drop-zone>.bao-button{margin-right:.5rem}bao-file-input .file-drop-zone.drag-over{background-color:#eefaf8;border-color:#097d6c;cursor:drag}bao-file-input .file-drop-zone.drag-over>.bao-button{background-color:#eefaf8}bao-file-input.bao-file-input-disabled .file-drop-zone{background-color:#f8f9fa;border-color:#ced4da}bao-file-input.bao-file-input-disabled .file-drop-zone .bao-button{background-color:#f8f9fa}bao-file-input.bao-file-input-disabled .file-drop-zone .bao-button:hover{background-color:#f8f9fa}bao-file-input .bao-file-preview:first-child{margin-top:1rem}bao-file-input .bao-error{margin-top:.5rem}\n"], dependencies: [{ kind: "directive", type: i0.forwardRef(() => i1$1.NgIf), selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i0.forwardRef(() => BaoErrorTextComponent), selector: "bao-error, [bao-error]" }, { kind: "component", type: i0.forwardRef(() => BaoLabelTextComponent), selector: "bao-label, [bao-label]", inputs: ["required"] }, { kind: "component", type: i0.forwardRef(() => BaoButtonComponent), selector: "button[bao-button]", inputs: ["displayType", "level", "size", "loading", "reversed", "loadingSpinnerAriaLabel", "fullWidth"] }, { kind: "directive", type: i0.forwardRef(() => BaoFileDropzoneIntructions), selector: "bao-file-dropzone-instructions, [bao-file-dropzone-instructions]" }, { kind: "directive", type: i0.forwardRef(() => BaoFileDropDirective), selector: "[baoFileDrop]", outputs: ["fileDrop"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileInputComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-file-input, [bao-file-input]', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            // tslint:disable-next-line:no-forward-ref
                            useExisting: forwardRef(() => BaoFileInputComponent),
                            multi: true
                        }
                    ], encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-file-input',
                        '[class.bao-file-label-small]': 'size === "small"',
                        '[class.bao-file-label-medium]': 'size === "medium"',
                        '[class.bao-file-input-disabled]': 'disabled'
                    }, template: "<label bao-label [required]=\"required\" [for]=\"inputId\">{{ label }}</label>\n<ng-content select=\"bao-guiding-text\"></ng-content>\n<div\n  baoFileDrop\n  class=\"file-drop-zone\"\n  (fileDrop)=\"uploadFile($event)\"\n  #dropzone\n>\n  <button\n    bao-button\n    type=\"button\"\n    displayType=\"utility\"\n    level=\"secondary\"\n    [disabled]=\"disabled\"\n    (click)=\"uploader.click()\"\n    aria-hidden=\"true\"\n    tabIndex=\"-1\"\n  >\n    {{ intl.dropzoneButtonLabel }}\n  </button>\n  <input\n    [id]=\"inputId\"\n    type=\"file\"\n    class=\"sr-only\"\n    [disabled]=\"disabled\"\n    (change)=\"uploadFile($event.target.files[0])\"\n    #uploader\n  />\n  <ng-container\n    ><div #ref>\n      <ng-content select=\"bao-file-dropzone-instructions\"></ng-content></div\n  ></ng-container>\n  <ng-container *ngIf=\"ref.childNodes.length === 0\"\n    ><bao-file-dropzone-instructions>{{\n      intl.defaultDropzoneInstructions\n    }}</bao-file-dropzone-instructions></ng-container\n  >\n</div>\n<bao-error *ngIf=\"isFileTooBig\">\n  {{ intl.fileTooBigErrorMessage }}\n</bao-error>\n<bao-error *ngIf=\"isFileTypeInvalid\">\n  {{ intl.invalidFileTypeErrorMessage }}\n</bao-error>\n<ng-content select=\"bao-error\"></ng-content>\n<ng-content></ng-content>\n", styles: ["bao-file-input{width:100%;display:inline-flex;flex-direction:column}bao-file-input>ul{padding:0;margin:0}bao-file-input .bao-label>span{font-size:inherit;font-weight:inherit}bao-file-input.bao-file-label-small label{font-weight:700;font-size:.875rem;line-height:1.25rem}bao-file-input.bao-file-label-medium label{font-weight:700;font-size:1rem;line-height:1.5rem}bao-file-input .bao-guiding-text{margin-bottom:.5rem}bao-file-input .file-drop-zone{padding:.5rem;background-color:#fff;border-radius:.25rem;border-style:dashed;border-color:#ced4da;border-width:1px;display:inline-flex;align-items:center}bao-file-input .file-drop-zone:focus-within.dropzone-focus{box-shadow:0 0 0 .1875rem #98bcde;background-color:#eefaf8}bao-file-input .file-drop-zone>.bao-button{margin-right:.5rem}bao-file-input .file-drop-zone.drag-over{background-color:#eefaf8;border-color:#097d6c;cursor:drag}bao-file-input .file-drop-zone.drag-over>.bao-button{background-color:#eefaf8}bao-file-input.bao-file-input-disabled .file-drop-zone{background-color:#f8f9fa;border-color:#ced4da}bao-file-input.bao-file-input-disabled .file-drop-zone .bao-button{background-color:#f8f9fa}bao-file-input.bao-file-input-disabled .file-drop-zone .bao-button:hover{background-color:#f8f9fa}bao-file-input .bao-file-preview:first-child{margin-top:1rem}bao-file-input .bao-error{margin-top:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: BaoFileIntl }, { type: i0.ElementRef }, { type: i0.Renderer2 }, { type: i0.ChangeDetectorRef }], propDecorators: { inputId: [{
                type: Input,
                args: ['id']
            }], label: [{
                type: Input
            }], size: [{
                type: Input
            }], maximalFileSize: [{
                type: Input
            }], acceptedMIMETypes: [{
                type: Input
            }], required: [{
                type: Input
            }], disabled: [{
                type: Input
            }], uploadedFile: [{
                type: Output
            }], _files: [{
                type: ContentChildren,
                args: [BaoFilePreviewComponent, { descendants: true }]
            }], _errorForm: [{
                type: ContentChildren,
                args: [BaoErrorTextComponent, { descendants: true }]
            }], _errorTexts: [{
                type: ViewChildren,
                args: [BaoErrorTextComponent]
            }], uploader: [{
                type: ViewChild,
                args: ['uploader', { static: false }]
            }], dropzoneElement: [{
                type: ViewChild,
                args: ['dropzone', { static: false }]
            }], enterKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.enter']
            }], tabKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.tab']
            }], shiftTabKeyEvent: [{
                type: HostListener,
                args: ['window:keyup.shift.tab']
            }] } });
class BaoFileDropDirective {
    constructor() {
        this.fileDrop = new EventEmitter();
        this._isDragOver = false;
    }
    onDragOver(event) {
        this.preventAndStop(event);
        this._isDragOver = true;
    }
    onDragLeave(event) {
        this.preventAndStop(event);
        this._isDragOver = false;
    }
    onDrop(event) {
        this.preventAndStop(event);
        this._isDragOver = false;
        const transfer = this.getDataTransfer(event);
        this.fileDrop.emit(transfer.files[0]);
    }
    preventAndStop(event) {
        event.preventDefault();
        event.stopPropagation();
    }
    // eslint-disable-next-line @typescript-eslint/no-redundant-type-constituents
    getDataTransfer(event) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return event.dataTransfer
            ? event.dataTransfer
            : event.originalEvent.dataTransfer;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileDropDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoFileDropDirective, selector: "[baoFileDrop]", outputs: { fileDrop: "fileDrop" }, host: { listeners: { "dragover": "onDragOver($event)", "dragleave": "onDragLeave($event)", "drop": "onDrop($event)" }, properties: { "class.drag-over": "_isDragOver == true" } }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileDropDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[baoFileDrop]',
                    host: { '[class.drag-over]': '_isDragOver == true' }
                }]
        }], propDecorators: { fileDrop: [{
                type: Output
            }], onDragOver: [{
                type: HostListener,
                args: ['dragover', ['$event']]
            }], onDragLeave: [{
                type: HostListener,
                args: ['dragleave', ['$event']]
            }], onDrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });
class BaoFileDropzoneIntructions {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterContentInit() {
        this.renderer.setAttribute(this.nativeElement, 'aria-hidden', 'true');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileDropzoneIntructions, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoFileDropzoneIntructions, selector: "bao-file-dropzone-instructions, [bao-file-dropzone-instructions]", host: { classAttribute: "bao-file-dropzone-instructions" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileDropzoneIntructions, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-file-dropzone-instructions, [bao-file-dropzone-instructions]',
                    host: {
                        class: 'bao-file-dropzone-instructions'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const FILE_DIRECTIVES = [
    BaoFileInputComponent,
    BaoFileDropzoneIntructions,
    BaoFileDropDirective,
    BaoFilePreviewComponent
];
class BaoFileModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoFileModule, declarations: [BaoFileInputComponent,
            BaoFileDropzoneIntructions,
            BaoFileDropDirective,
            BaoFilePreviewComponent], imports: [CommonModule,
            BaoDropdownMenuModule,
            BaoCommonComponentsModule,
            BaoIconModule,
            BaoButtonModule], exports: [BaoFileInputComponent,
            BaoFileDropzoneIntructions,
            BaoFileDropDirective,
            BaoFilePreviewComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileModule, providers: [BAO_FILE_INTL_PROVIDER], imports: [CommonModule,
            BaoDropdownMenuModule,
            BaoCommonComponentsModule,
            BaoIconModule,
            BaoButtonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoFileModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        BaoDropdownMenuModule,
                        BaoCommonComponentsModule,
                        BaoIconModule,
                        BaoButtonModule
                    ],
                    declarations: [FILE_DIRECTIVES],
                    exports: [FILE_DIRECTIVES],
                    providers: [BAO_FILE_INTL_PROVIDER]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * A basic content container component that adds the styles of a BAO header-info
 *
 * While this component can be used alone, it also provides a number
 * of preset styles for common header-info sections, including:
 * - bao-header-info-title-group
 * - bao-header-info-content
 * - bao-header-info-title
 * - bao-header-info-surtitle
 * - bao-header-info-subtitle
 */
class BaoHeaderInfoComponent {
    constructor() {
        this.notch = '';
        this.imageUrl = '';
        this.brandBorder = false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoComponent, selector: "bao-header-info", inputs: { notch: "notch", imageUrl: "imageUrl", brandBorder: "brandBorder" }, host: { properties: { "class.document-heading-left-notch": "notch === \"left\"" }, classAttribute: "bao-document-heading" }, ngImport: i0, template: "<div *ngIf=\"imageUrl\" class=\"document-heading-image-container\">\n  <div\n    [ngStyle]=\"{\n      'background-image': 'url(\\'' + imageUrl + '\\')'}\"\n    class=\"document-heading-background\"\n  ></div>\n</div>\n\n<div class=\"bao-container document-heading-header-container\">\n  <div class=\"bao-row document-heading-header\">\n    <div class=\"bao-col-12 bao-col-lg-7\">\n      <ng-content select=\"bao-header-info-title-group\"></ng-content>\n      <div class=\"bao-header-content\">\n        <ng-content></ng-content>\n      </div>\n      <div *ngIf=\"brandBorder\" class=\"brand-border-bottom\"></div>\n    </div>\n  </div>\n  <div *ngIf=\"notch\" class=\"document-heading-wrapper notch\">\n    <div class=\"document-heading-content-wrapper\">\n      <div class=\"document-heading-content\"></div>\n    </div>\n  </div>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-header-info-title-group,.bao-header-info-content,.document-heading-subtitle,.document-heading-surtitle{display:block}.document-heading-header-container{position:relative!important}.bao-document-heading{display:block;padding:2rem 0;position:relative;width:100%}.bao-document-heading .document-heading-title{font-weight:700;color:#212529;font-size:2rem;line-height:2.5rem;margin-bottom:0}.bao-document-heading .document-heading-surtitle{font-weight:700;font-size:1rem;line-height:1.5rem;margin-bottom:1rem;color:#212529}.bao-document-heading .document-heading-subtitle{font-weight:400;font-size:1rem;line-height:1.5rem;color:#000}.bao-document-heading .bao-header-info-title-group>*:not(:first-child){margin-top:1rem}.bao-document-heading .bao-header-content:not(:empty){margin-top:2rem}.bao-document-heading .brand-border-bottom{margin-top:2rem}.bao-document-heading .document-heading-background{background-color:#f8f9fa;background-position:center center;background-repeat:no-repeat;background-size:cover;height:100%;overflow:hidden;position:absolute;top:0;width:100%;z-index:0}.bao-document-heading .document-heading-content{background-color:#fff;height:2rem;padding-left:1rem;padding-right:1rem;position:relative;bottom:-2rem}@media (min-width: 768px){.bao-document-heading .document-heading-title{font-weight:700;color:#212529;font-size:2.5rem;line-height:3.5rem}.bao-document-heading .document-heading-surtitle{font-weight:700;font-size:1.25rem;line-height:1.75rem;margin-bottom:1rem;color:#212529}.bao-document-heading .document-heading-subtitle{font-weight:400;font-size:1.25rem;line-height:1.75rem;color:#000}}@media (min-width: 992px){.bao-document-heading{padding-top:4rem;padding-bottom:4rem}.bao-document-heading .document-heading-content{bottom:-4rem;height:3.5rem;margin:auto}.bao-document-heading.document-heading-left-notch .document-heading-content{max-width:66.66667%;margin:0}.bao-document-heading.document-heading-left-notch .document-heading-content:before{content:\"\";background:#fff;width:1000px;height:100%;position:absolute;left:-1000px}.bao-document-heading.document-heading-left-notch .document-heading-content:after{content:\"\";background:#fff;width:1rem;height:100%;position:absolute}}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgStyle, selector: "[ngStyle]", inputs: ["ngStyle"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-header-info', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-document-heading',
                        '[class.document-heading-left-notch]': 'notch === "left"'
                    }, template: "<div *ngIf=\"imageUrl\" class=\"document-heading-image-container\">\n  <div\n    [ngStyle]=\"{\n      'background-image': 'url(\\'' + imageUrl + '\\')'}\"\n    class=\"document-heading-background\"\n  ></div>\n</div>\n\n<div class=\"bao-container document-heading-header-container\">\n  <div class=\"bao-row document-heading-header\">\n    <div class=\"bao-col-12 bao-col-lg-7\">\n      <ng-content select=\"bao-header-info-title-group\"></ng-content>\n      <div class=\"bao-header-content\">\n        <ng-content></ng-content>\n      </div>\n      <div *ngIf=\"brandBorder\" class=\"brand-border-bottom\"></div>\n    </div>\n  </div>\n  <div *ngIf=\"notch\" class=\"document-heading-wrapper notch\">\n    <div class=\"document-heading-content-wrapper\">\n      <div class=\"document-heading-content\"></div>\n    </div>\n  </div>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-header-info-title-group,.bao-header-info-content,.document-heading-subtitle,.document-heading-surtitle{display:block}.document-heading-header-container{position:relative!important}.bao-document-heading{display:block;padding:2rem 0;position:relative;width:100%}.bao-document-heading .document-heading-title{font-weight:700;color:#212529;font-size:2rem;line-height:2.5rem;margin-bottom:0}.bao-document-heading .document-heading-surtitle{font-weight:700;font-size:1rem;line-height:1.5rem;margin-bottom:1rem;color:#212529}.bao-document-heading .document-heading-subtitle{font-weight:400;font-size:1rem;line-height:1.5rem;color:#000}.bao-document-heading .bao-header-info-title-group>*:not(:first-child){margin-top:1rem}.bao-document-heading .bao-header-content:not(:empty){margin-top:2rem}.bao-document-heading .brand-border-bottom{margin-top:2rem}.bao-document-heading .document-heading-background{background-color:#f8f9fa;background-position:center center;background-repeat:no-repeat;background-size:cover;height:100%;overflow:hidden;position:absolute;top:0;width:100%;z-index:0}.bao-document-heading .document-heading-content{background-color:#fff;height:2rem;padding-left:1rem;padding-right:1rem;position:relative;bottom:-2rem}@media (min-width: 768px){.bao-document-heading .document-heading-title{font-weight:700;color:#212529;font-size:2.5rem;line-height:3.5rem}.bao-document-heading .document-heading-surtitle{font-weight:700;font-size:1.25rem;line-height:1.75rem;margin-bottom:1rem;color:#212529}.bao-document-heading .document-heading-subtitle{font-weight:400;font-size:1.25rem;line-height:1.75rem;color:#000}}@media (min-width: 992px){.bao-document-heading{padding-top:4rem;padding-bottom:4rem}.bao-document-heading .document-heading-content{bottom:-4rem;height:3.5rem;margin:auto}.bao-document-heading.document-heading-left-notch .document-heading-content{max-width:66.66667%;margin:0}.bao-document-heading.document-heading-left-notch .document-heading-content:before{content:\"\";background:#fff;width:1000px;height:100%;position:absolute;left:-1000px}.bao-document-heading.document-heading-left-notch .document-heading-content:after{content:\"\";background:#fff;width:1rem;height:100%;position:absolute}}\n"] }]
        }], propDecorators: { notch: [{
                type: Input
            }], imageUrl: [{
                type: Input
            }], brandBorder: [{
                type: Input
            }] } });
class BaoHeaderInfoTitleGroupComponent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoTitleGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoTitleGroupComponent, selector: "bao-header-info-title-group", host: { classAttribute: "bao-header-info-title-group" }, ngImport: i0, template: "<ng-content></ng-content>\n<ng-content\n  select=\"bao-header-surtitle, [bao-header-surtitle], [baoHeaderSurtitle], \n  bao-header-title, [bao-header-title], [baoHeaderTitle],\n  bao-header-subtitle, [bao-header-subtitle], [baoHeaderSubtitle]\"\n></ng-content>\n", changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoTitleGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-header-info-title-group', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-header-info-title-group'
                    }, template: "<ng-content></ng-content>\n<ng-content\n  select=\"bao-header-surtitle, [bao-header-surtitle], [baoHeaderSurtitle], \n  bao-header-title, [bao-header-title], [baoHeaderTitle],\n  bao-header-subtitle, [bao-header-subtitle], [baoHeaderSubtitle]\"\n></ng-content>\n" }]
        }] });
class BaoHeaderInfoContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoContent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoContent, selector: "bao-header-info-content", host: { classAttribute: "bao-header-info-content" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoContent, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-header-info-content',
                    host: {
                        class: 'bao-header-info-content'
                    }
                }]
        }] });
class BaoHeaderInfoSurtitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoSurtitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoSurtitle, selector: "bao-header-info-surtitle, [bao-header-info-surtitle], [baoHeaderInfoSurtitle]", host: { classAttribute: "document-heading-surtitle" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoSurtitle, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-header-info-surtitle, [bao-header-info-surtitle], [baoHeaderInfoSurtitle]',
                    host: {
                        class: 'document-heading-surtitle'
                    }
                }]
        }] });
class BaoHeaderInfoSubtitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoSubtitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoSubtitle, selector: "bao-header-info-subtitle, [bao-header-info-subtitle], [baoHeaderInfoSubtitle]", host: { classAttribute: "document-heading-subtitle" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoSubtitle, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-header-info-subtitle, [bao-header-info-subtitle], [baoHeaderInfoSubtitle]',
                    host: {
                        class: 'document-heading-subtitle'
                    }
                }]
        }] });
class BaoHeaderInfoTitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoTitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoHeaderInfoTitle, selector: "bao-header-info-title, [bao-header-info-title], [baoHeaderInfoTitle]", host: { classAttribute: "document-heading-title" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-header-info-title, [bao-header-info-title], [baoHeaderInfoTitle]',
                    host: {
                        class: 'document-heading-title'
                    }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const DIRECTIVES$1 = [
    BaoHeaderInfoComponent,
    BaoHeaderInfoContent,
    BaoHeaderInfoTitleGroupComponent,
    BaoHeaderInfoSubtitle,
    BaoHeaderInfoSurtitle,
    BaoHeaderInfoTitle
];
class BaoHeaderInfoModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoModule, declarations: [BaoHeaderInfoComponent,
            BaoHeaderInfoContent,
            BaoHeaderInfoTitleGroupComponent,
            BaoHeaderInfoSubtitle,
            BaoHeaderInfoSurtitle,
            BaoHeaderInfoTitle], imports: [CommonModule], exports: [BaoHeaderInfoComponent,
            BaoHeaderInfoContent,
            BaoHeaderInfoTitleGroupComponent,
            BaoHeaderInfoSubtitle,
            BaoHeaderInfoSurtitle,
            BaoHeaderInfoTitle] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHeaderInfoModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: DIRECTIVES$1,
                    exports: DIRECTIVES$1
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const BAO_ICON$1 = 'bao-icon';
const LINK_ELEMENT = 'a';
const HAS_LEFT_ICON = 'has-left-icon';
const HAS_RIGHT_ICON = 'has-right-icon';
const LIST_PARENT = 'bao-hyperlink-list-parent';
class BaoHyperlinkComponent {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * Size of the link when it's in a list.
         */
        this.size = 'medium';
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        this.setIcon();
        this.addIconClass();
        this.addTabIndex();
    }
    addTabIndex() {
        if (!this.nativeElement)
            return;
        const anchorElement = Array.from(this.nativeElement.children).find(el => el.localName === 'a');
        if (!anchorElement)
            return;
        this.renderer.setAttribute(anchorElement, 'tabIndex', '0');
    }
    setIcon() {
        const parentName = this.nativeElement.parentElement.localName;
        if (parentName === 'ul') {
            this.renderer.addClass(this.nativeElement.parentElement, LIST_PARENT);
        }
        else {
            // Icon in inline hyperlink must always be positioned after label.
            const children = Array.from(this.nativeElement.children);
            const iconIndex = children.findIndex(c => c.localName === BAO_ICON$1);
            if (iconIndex > -1) {
                const labelIndex = children.findIndex(c => c.localName === LINK_ELEMENT);
                // Set icon's size to match text's lineHeight.
                const lineHeight = getComputedStyle(children[labelIndex])['lineHeight'];
                this.renderer.setStyle(children[iconIndex], 'height', lineHeight);
                this.renderer.setStyle(children[iconIndex], 'width', lineHeight);
                if (iconIndex < labelIndex) {
                    const iconElement = children[iconIndex];
                    this.renderer.removeChild(this.nativeElement, children[iconIndex]);
                    this.renderer.appendChild(this.nativeElement, iconElement);
                }
            }
        }
    }
    addIconClass() {
        const children = Array.from(this.nativeElement.children);
        const iconIndex = children.findIndex(c => c.localName === BAO_ICON$1);
        if (iconIndex > -1) {
            const labelIndex = children.findIndex(c => c.localName === LINK_ELEMENT);
            const iconClass = iconIndex < labelIndex ? HAS_LEFT_ICON : HAS_RIGHT_ICON;
            this.renderer.addClass(this.nativeElement, iconClass);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoHyperlinkComponent, selector: "bao-hyperlink, [bao-hyperlink]", inputs: { size: "size" }, host: { properties: { "class.bao-hyperlink-medium": "size === \"medium\"", "class.bao-hyperlink-small": "size === \"small\"", "class.bao-hyperlink-extra-small": "size === \"extra-small\"" }, classAttribute: "bao-hyperlink" }, ngImport: i0, template: "<ng-content></ng-content>\n", styles: [".bao-hyperlink:not(li){display:inline-flex;font-size:inherit;line-height:inherit}.bao-hyperlink:not(li)>a{box-shadow:inset 0 -1px #097d6c;text-decoration:none;border-bottom:none;font-size:inherit}li.bao-hyperlink{display:flex}li.bao-hyperlink>a{text-decoration:none;border-bottom:none}li.bao-hyperlink>a:hover{box-shadow:inset 0 -1px #097d6c}li.bao-hyperlink.bao-hyperlink-extra-small a{font-weight:700;font-size:.75rem;line-height:1rem}li.bao-hyperlink.bao-hyperlink-extra-small .bao-icon{height:1rem;width:1rem}li.bao-hyperlink.bao-hyperlink-small a{font-weight:700;font-size:.875rem;line-height:1.25rem}li.bao-hyperlink.bao-hyperlink-small .bao-icon{height:1.25rem;width:1.25rem}li.bao-hyperlink.bao-hyperlink-medium a{font-weight:700;font-size:1rem;line-height:1.5rem}li.bao-hyperlink.bao-hyperlink-medium .bao-icon{height:1.5rem;width:1.5rem}.bao-hyperlink{align-items:center}.bao-hyperlink>.bao-icon{color:#097d6c;flex-shrink:0}.bao-hyperlink.has-right-icon>.bao-icon{margin-left:.25rem}.bao-hyperlink.has-left-icon>.bao-icon{margin-right:.5rem}ul.bao-hyperlink-list-parent{list-style-type:none}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-hyperlink, [bao-hyperlink]', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-hyperlink',
                        '[class.bao-hyperlink-medium]': 'size === "medium"',
                        '[class.bao-hyperlink-small]': 'size === "small"',
                        '[class.bao-hyperlink-extra-small]': 'size === "extra-small"'
                    }, template: "<ng-content></ng-content>\n", styles: [".bao-hyperlink:not(li){display:inline-flex;font-size:inherit;line-height:inherit}.bao-hyperlink:not(li)>a{box-shadow:inset 0 -1px #097d6c;text-decoration:none;border-bottom:none;font-size:inherit}li.bao-hyperlink{display:flex}li.bao-hyperlink>a{text-decoration:none;border-bottom:none}li.bao-hyperlink>a:hover{box-shadow:inset 0 -1px #097d6c}li.bao-hyperlink.bao-hyperlink-extra-small a{font-weight:700;font-size:.75rem;line-height:1rem}li.bao-hyperlink.bao-hyperlink-extra-small .bao-icon{height:1rem;width:1rem}li.bao-hyperlink.bao-hyperlink-small a{font-weight:700;font-size:.875rem;line-height:1.25rem}li.bao-hyperlink.bao-hyperlink-small .bao-icon{height:1.25rem;width:1.25rem}li.bao-hyperlink.bao-hyperlink-medium a{font-weight:700;font-size:1rem;line-height:1.5rem}li.bao-hyperlink.bao-hyperlink-medium .bao-icon{height:1.5rem;width:1.5rem}.bao-hyperlink{align-items:center}.bao-hyperlink>.bao-icon{color:#097d6c;flex-shrink:0}.bao-hyperlink.has-right-icon>.bao-icon{margin-left:.25rem}.bao-hyperlink.has-left-icon>.bao-icon{margin-right:.5rem}ul.bao-hyperlink-list-parent{list-style-type:none}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { size: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const HYPERLINK_DIRECTIVES = [BaoHyperlinkComponent];
class BaoHyperlinkModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkModule, declarations: [BaoHyperlinkComponent], imports: [CommonModule], exports: [BaoHyperlinkComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoHyperlinkModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [HYPERLINK_DIRECTIVES],
                    exports: [HYPERLINK_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoListItem {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItem, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoListItem, selector: "bao-list-item, [bao-list-item]", host: { attributes: { "role": "listitem" }, classAttribute: "bao-list-item" }, ngImport: i0, template: "<div class=\"bao-list-item-header\">\n  <ng-content select=\"baoIconItemType, [baoIconItemType]\"></ng-content>\n</div>\n<div class=\"bao-list-item-content\">\n  <div class=\"bao-list-item-text\">\n    <ng-content></ng-content>\n  </div>\n  <div class=\"bao-list-item-tag\">\n    <ng-content\n      select=\"bao-tag, [bao-tag], baoIconTag, [baoIconTag]\"\n    ></ng-content>\n  </div>\n</div>\n<div class=\"bao-list-item-actions\">\n  <ng-content\n    select=\"bao-button, [bao-button], bao-dropdown-menu, [bao-dropdown-menu]\"\n  >\n  </ng-content>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-list{padding:0;margin:0}.bao-list>.bao-list-item:last-child{border-radius:.125rem;box-shadow:inset 0 .0625rem #ced4da,inset 0 -.0625rem #ced4da}.bao-list>a.bao-list-item{border-bottom:none}.bao-list>a.bao-list-item:focus{box-shadow:0 0 0 .1875rem #98bcde;background-color:#f8f9fa}.bao-list>a.bao-list-item:focus .bao-list-item-title{color:#097d6c}.bao-list>a.bao-list-item:hover{background-color:#f8f9fa}.bao-list>a.bao-list-item:hover .bao-list-item-text,.bao-list>a.bao-list-item:hover .bao-list-item-title{color:#097d6c}.bao-list .bao-list-item{display:flex;padding:1rem;background-color:#fff0;border-radius:.125rem .125rem 0rem 0rem;box-shadow:inset 0 .0625rem #ced4da}.bao-list .bao-list-item>.bao-list-item-header{align-self:flex-start;color:#adb2bd;line-height:0}.bao-list .bao-list-item>.bao-list-item-header .bao-icon{margin-right:1em}.bao-list .bao-list-item>.bao-list-item-content{display:flex;flex-grow:2}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content{flex-direction:column}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content{flex-direction:row;justify-content:space-between}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text{display:flex;flex-direction:column;color:#212529;font-weight:700;font-size:1rem;line-height:1.5rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-title{font-weight:700;font-size:1rem;line-height:1.5rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>ul.bao-list-item-description{padding:0;margin:0}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>ul.bao-list-item-description{display:inline-flex;flex-wrap:wrap}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description{color:#637381;margin-right:0 1rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*{font-weight:400;font-size:.875rem;line-height:1.25rem;list-style-type:none}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description{display:block}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*{margin-bottom:.25rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*:last-child{margin-bottom:0}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li{display:inline-flex;align-items:center;margin-bottom:0}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li:before{content:url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23ADB5BD' fill-rule='evenodd'><circle cx='12' cy='12' r='2'/></svg>\");height:1rem;width:1rem;margin:0 .25rem;flex-shrink:0}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li:first-child:before{content:none}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag{line-height:0}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag>*{margin:.5rem 0 0}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag>*{margin:0 0 0 1rem}}.bao-list .bao-list-item>.bao-list-item-actions .bao-button{margin-left:2rem;margin-top:-.5rem}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItem, decorators: [{
            type: Component,
            args: [{ selector: 'bao-list-item, [bao-list-item]', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-list-item',
                        role: 'listitem'
                    }, template: "<div class=\"bao-list-item-header\">\n  <ng-content select=\"baoIconItemType, [baoIconItemType]\"></ng-content>\n</div>\n<div class=\"bao-list-item-content\">\n  <div class=\"bao-list-item-text\">\n    <ng-content></ng-content>\n  </div>\n  <div class=\"bao-list-item-tag\">\n    <ng-content\n      select=\"bao-tag, [bao-tag], baoIconTag, [baoIconTag]\"\n    ></ng-content>\n  </div>\n</div>\n<div class=\"bao-list-item-actions\">\n  <ng-content\n    select=\"bao-button, [bao-button], bao-dropdown-menu, [bao-dropdown-menu]\"\n  >\n  </ng-content>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-list{padding:0;margin:0}.bao-list>.bao-list-item:last-child{border-radius:.125rem;box-shadow:inset 0 .0625rem #ced4da,inset 0 -.0625rem #ced4da}.bao-list>a.bao-list-item{border-bottom:none}.bao-list>a.bao-list-item:focus{box-shadow:0 0 0 .1875rem #98bcde;background-color:#f8f9fa}.bao-list>a.bao-list-item:focus .bao-list-item-title{color:#097d6c}.bao-list>a.bao-list-item:hover{background-color:#f8f9fa}.bao-list>a.bao-list-item:hover .bao-list-item-text,.bao-list>a.bao-list-item:hover .bao-list-item-title{color:#097d6c}.bao-list .bao-list-item{display:flex;padding:1rem;background-color:#fff0;border-radius:.125rem .125rem 0rem 0rem;box-shadow:inset 0 .0625rem #ced4da}.bao-list .bao-list-item>.bao-list-item-header{align-self:flex-start;color:#adb2bd;line-height:0}.bao-list .bao-list-item>.bao-list-item-header .bao-icon{margin-right:1em}.bao-list .bao-list-item>.bao-list-item-content{display:flex;flex-grow:2}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content{flex-direction:column}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content{flex-direction:row;justify-content:space-between}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text{display:flex;flex-direction:column;color:#212529;font-weight:700;font-size:1rem;line-height:1.5rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-title{font-weight:700;font-size:1rem;line-height:1.5rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>ul.bao-list-item-description{padding:0;margin:0}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>ul.bao-list-item-description{display:inline-flex;flex-wrap:wrap}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description{color:#637381;margin-right:0 1rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*{font-weight:400;font-size:.875rem;line-height:1.25rem;list-style-type:none}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description{display:block}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*{margin-bottom:.25rem}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>*:last-child{margin-bottom:0}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li{display:inline-flex;align-items:center;margin-bottom:0}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li:before{content:url(\"data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='%23ADB5BD' fill-rule='evenodd'><circle cx='12' cy='12' r='2'/></svg>\");height:1rem;width:1rem;margin:0 .25rem;flex-shrink:0}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-text>.bao-list-item-description>li:first-child:before{content:none}}.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag{line-height:0}@media (min-width: 0){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag>*{margin:.5rem 0 0}}@media (min-width: 768px){.bao-list .bao-list-item>.bao-list-item-content>.bao-list-item-tag>*{margin:0 0 0 1rem}}.bao-list .bao-list-item>.bao-list-item-actions .bao-button{margin-left:2rem;margin-top:-.5rem}\n"] }]
        }] });
class BaoList {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoList, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoList, selector: "bao-list, [bao-list]", host: { attributes: { "role": "list" }, classAttribute: "bao-list" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoList, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-list, [bao-list]',
                    host: {
                        class: 'bao-list',
                        role: 'list'
                    }
                }]
        }] });
class BaoNavList {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoNavList, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoNavList, selector: "bao-nav-list, [bao-nav-list]", host: { attributes: { "role": "navigation" }, classAttribute: "bao-list" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoNavList, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-nav-list, [bao-nav-list]',
                    host: {
                        class: 'bao-list',
                        role: 'navigation'
                    }
                }]
        }] });
class BaoListItemDescription {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItemDescription, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoListItemDescription, selector: "bao-list-item-description, [bao-list-item-description]", host: { classAttribute: "bao-list-item-description" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItemDescription, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-list-item-description, [bao-list-item-description]',
                    host: {
                        class: 'bao-list-item-description'
                    }
                }]
        }] });
class BaoListItemTitle {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItemTitle, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoListItemTitle, selector: "bao-list-item-title, [bao-list-item-title]", host: { classAttribute: "bao-list-item-title" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListItemTitle, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-list-item-title, [bao-list-item-title]',
                    host: {
                        class: 'bao-list-item-title'
                    }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const DIRECTIVES = [
    BaoListItem,
    BaoList,
    BaoNavList,
    BaoListItemDescription,
    BaoListItemTitle
];
class BaoListModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoListModule, declarations: [BaoListItem,
            BaoList,
            BaoNavList,
            BaoListItemDescription,
            BaoListItemTitle], imports: [CommonModule], exports: [BaoListItem,
            BaoList,
            BaoNavList,
            BaoListItemDescription,
            BaoListItemTitle] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: DIRECTIVES,
                    exports: DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * The BaoMessageBarContent directive is used within the <bao-message-bar>
 * It ensures consistency in text formatting and spacing.
 *
 * This directive is purely visual and does not provide any additional behaviors.
 */
class BaoMessageBarContent {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarContent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoMessageBarContent, selector: "bao-message-content", host: { classAttribute: "bao-message-content" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarContent, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-message-content',
                    host: { class: 'bao-message-content' }
                }]
        }] });
class BaoMessageBarComponent {
    constructor(elementRef) {
        this.elementRef = elementRef;
        this.type = 'info';
        this.dismissible = false;
        this.dismissibleButtonAriaLabel = 'Cacher le message';
        this.dismiss = new EventEmitter();
    }
    ngOnChanges(changes) {
        if (changes['type']) {
            this.iconType = this.getIconType(changes['type'].currentValue);
            this.iconTitle = this.getIconTitle(changes['type'].currentValue);
        }
    }
    onDismissClicked() {
        const messageBar = this.elementRef.nativeElement;
        messageBar.classList.add('bao-fade-out');
        setTimeout(() => {
            this.dismiss.emit();
        }, 300);
    }
    getIconType(value) {
        const icons = {
            info: 'icon-info',
            alert: 'icon-warning',
            urgent: 'icon-emergency',
            neutral: 'icon-info'
        };
        return icons[value] || 'icon-info';
    }
    getIconTitle(value) {
        const titles = {
            info: 'Information',
            alert: 'Alerte',
            urgent: 'Urgence',
            neutral: 'Information'
        };
        return titles[value] || 'Information';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoMessageBarComponent, selector: "bao-message-bar", inputs: { type: "type", dismissible: "dismissible", dismissibleButtonAriaLabel: "dismissibleButtonAriaLabel" }, outputs: { dismiss: "dismiss" }, host: { properties: { "class.bao-message-bar-info": "type === \"info\"", "class.bao-message-bar-alert": "type === \"alert\"", "class.bao-message-bar-urgent": "type === \"urgent\"", "class.bao-message-bar-neutral": "type === \"neutral\"" }, classAttribute: "bao-message-bar message-bar-dismissible bao-fade-in" }, usesOnChanges: true, ngImport: i0, template: "<bao-icon [svgIcon]=\"iconType\" [title]=\"iconTitle\"></bao-icon>\n\n<div class=\"bao-message-content\">\n  <ng-content></ng-content>\n</div>\n\n<button\n  *ngIf=\"dismissible\"\n  class=\"bao-message-close\"\n  type=\"button\"\n  data-dismiss=\"message\"\n  role=\"button\"\n  [attr.aria-label]=\"dismissibleButtonAriaLabel\"\n  (click)=\"onDismissClicked()\"\n>\n  <bao-icon svgIcon=\"icon-x\"></bao-icon>\n</button>\n", styles: ["@keyframes bao-fade-in{0%{opacity:0}to{opacity:1}}@keyframes bao-fade-out{0%{opacity:1}to{opacity:0}}.bao-fade-in{animation:bao-fade-in .3s ease-in-out}.bao-fade-out{animation:bao-fade-out .3s ease-in-out;pointer-events:none}.bao-message-bar{display:flex;align-items:flex-start;padding:1rem;width:100%;position:relative;border-left-width:4px;justify-content:flex-start;gap:12px;padding-left:32px}.bao-message-bar .bao-message-icon{flex-shrink:0;width:1.5rem;height:1.5rem}.bao-message-bar .bao-message-icon svg{fill:#fff;width:100%;height:100%}@media (max-width: 768px){.bao-message-bar{padding-left:16px}}.bao-message-bar .bao-message-content{display:inline;word-break:break-word;white-space:normal;max-width:calc(100% - 5rem);margin-right:1rem;justify-content:space-between}.bao-message-bar .bao-message-content>*{display:inline}.bao-message-bar a,.bao-message-bar bao-hyperlink{text-decoration:none;font-weight:700;border-bottom:1px solid currentColor;white-space:nowrap;display:inline-block;flex-shrink:0;outline:none;padding:2px}.bao-message-bar .bao-message-close{background:#fff0;border:none;cursor:pointer;font-size:1.5rem;color:#fff;display:flex;align-items:center;justify-content:center;flex-shrink:0;position:absolute;right:1rem;top:1rem}.bao-message-bar .bao-message-close:hover,.bao-message-bar .bao-message-close:focus{opacity:.75}.bao-message-bar-info{background-color:#0079c4;border-left:4px solid #0079c4;color:#fff}.bao-message-bar-info a,.bao-message-bar-info bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-info a:hover,.bao-message-bar-info bao-hyperlink:hover{background-color:#005a91}.bao-message-bar-info a:focus,.bao-message-bar-info bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-info .bao-message-icon svg{fill:#fff}.bao-message-bar-info .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-info .bao-message-close:hover{opacity:.8}.bao-message-bar-info .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}.bao-message-bar-alert{background-color:#ffb833;border-left:4px solid #ffb833;color:#212529}.bao-message-bar-alert a,.bao-message-bar-alert bao-hyperlink{color:#212529;margin:3px}.bao-message-bar-alert a:hover,.bao-message-bar-alert bao-hyperlink:hover{background-color:#ffca66}.bao-message-bar-alert a:focus,.bao-message-bar-alert bao-hyperlink:focus{outline:3px solid #0079c4;outline-offset:3px;background-color:#2125291a;box-shadow:0 0 0 3px #fff}.bao-message-bar-alert .bao-message-icon svg{fill:#212529}.bao-message-bar-alert .bao-message-close{color:#212529;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-alert .bao-message-close:hover{opacity:.8}.bao-message-bar-alert .bao-message-close:focus{outline:3px solid #0079c4;outline-offset:3px;background-color:#2125291a;box-shadow:0 0 0 3px #fff;border-radius:2px}.bao-message-bar-urgent{background-color:#d3310a;border-left:4px solid #d3310a;color:#fff}.bao-message-bar-urgent a,.bao-message-bar-urgent bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-urgent a:hover,.bao-message-bar-urgent bao-hyperlink:hover{background-color:#a22608}.bao-message-bar-urgent a:focus,.bao-message-bar-urgent bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-urgent .bao-message-icon svg{fill:#fff}.bao-message-bar-urgent .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-urgent .bao-message-close:hover{opacity:.8}.bao-message-bar-urgent .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}.bao-message-bar-neutral{background-color:#212529;border-left:4px solid #212529;color:#fff}.bao-message-bar-neutral a,.bao-message-bar-neutral bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-neutral a:hover,.bao-message-bar-neutral bao-hyperlink:hover{background-color:#637381}.bao-message-bar-neutral a:focus,.bao-message-bar-neutral bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-neutral .bao-message-icon svg{fill:#fff}.bao-message-bar-neutral .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-neutral .bao-message-close:hover{opacity:.8}.bao-message-bar-neutral .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}\n"], dependencies: [{ kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-message-bar', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-message-bar message-bar-dismissible bao-fade-in',
                        '[class.bao-message-bar-info]': 'type === "info"',
                        '[class.bao-message-bar-alert]': 'type === "alert"',
                        '[class.bao-message-bar-urgent]': 'type === "urgent"',
                        '[class.bao-message-bar-neutral]': 'type === "neutral"'
                    }, template: "<bao-icon [svgIcon]=\"iconType\" [title]=\"iconTitle\"></bao-icon>\n\n<div class=\"bao-message-content\">\n  <ng-content></ng-content>\n</div>\n\n<button\n  *ngIf=\"dismissible\"\n  class=\"bao-message-close\"\n  type=\"button\"\n  data-dismiss=\"message\"\n  role=\"button\"\n  [attr.aria-label]=\"dismissibleButtonAriaLabel\"\n  (click)=\"onDismissClicked()\"\n>\n  <bao-icon svgIcon=\"icon-x\"></bao-icon>\n</button>\n", styles: ["@keyframes bao-fade-in{0%{opacity:0}to{opacity:1}}@keyframes bao-fade-out{0%{opacity:1}to{opacity:0}}.bao-fade-in{animation:bao-fade-in .3s ease-in-out}.bao-fade-out{animation:bao-fade-out .3s ease-in-out;pointer-events:none}.bao-message-bar{display:flex;align-items:flex-start;padding:1rem;width:100%;position:relative;border-left-width:4px;justify-content:flex-start;gap:12px;padding-left:32px}.bao-message-bar .bao-message-icon{flex-shrink:0;width:1.5rem;height:1.5rem}.bao-message-bar .bao-message-icon svg{fill:#fff;width:100%;height:100%}@media (max-width: 768px){.bao-message-bar{padding-left:16px}}.bao-message-bar .bao-message-content{display:inline;word-break:break-word;white-space:normal;max-width:calc(100% - 5rem);margin-right:1rem;justify-content:space-between}.bao-message-bar .bao-message-content>*{display:inline}.bao-message-bar a,.bao-message-bar bao-hyperlink{text-decoration:none;font-weight:700;border-bottom:1px solid currentColor;white-space:nowrap;display:inline-block;flex-shrink:0;outline:none;padding:2px}.bao-message-bar .bao-message-close{background:#fff0;border:none;cursor:pointer;font-size:1.5rem;color:#fff;display:flex;align-items:center;justify-content:center;flex-shrink:0;position:absolute;right:1rem;top:1rem}.bao-message-bar .bao-message-close:hover,.bao-message-bar .bao-message-close:focus{opacity:.75}.bao-message-bar-info{background-color:#0079c4;border-left:4px solid #0079c4;color:#fff}.bao-message-bar-info a,.bao-message-bar-info bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-info a:hover,.bao-message-bar-info bao-hyperlink:hover{background-color:#005a91}.bao-message-bar-info a:focus,.bao-message-bar-info bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-info .bao-message-icon svg{fill:#fff}.bao-message-bar-info .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-info .bao-message-close:hover{opacity:.8}.bao-message-bar-info .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}.bao-message-bar-alert{background-color:#ffb833;border-left:4px solid #ffb833;color:#212529}.bao-message-bar-alert a,.bao-message-bar-alert bao-hyperlink{color:#212529;margin:3px}.bao-message-bar-alert a:hover,.bao-message-bar-alert bao-hyperlink:hover{background-color:#ffca66}.bao-message-bar-alert a:focus,.bao-message-bar-alert bao-hyperlink:focus{outline:3px solid #0079c4;outline-offset:3px;background-color:#2125291a;box-shadow:0 0 0 3px #fff}.bao-message-bar-alert .bao-message-icon svg{fill:#212529}.bao-message-bar-alert .bao-message-close{color:#212529;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-alert .bao-message-close:hover{opacity:.8}.bao-message-bar-alert .bao-message-close:focus{outline:3px solid #0079c4;outline-offset:3px;background-color:#2125291a;box-shadow:0 0 0 3px #fff;border-radius:2px}.bao-message-bar-urgent{background-color:#d3310a;border-left:4px solid #d3310a;color:#fff}.bao-message-bar-urgent a,.bao-message-bar-urgent bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-urgent a:hover,.bao-message-bar-urgent bao-hyperlink:hover{background-color:#a22608}.bao-message-bar-urgent a:focus,.bao-message-bar-urgent bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-urgent .bao-message-icon svg{fill:#fff}.bao-message-bar-urgent .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-urgent .bao-message-close:hover{opacity:.8}.bao-message-bar-urgent .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}.bao-message-bar-neutral{background-color:#212529;border-left:4px solid #212529;color:#fff}.bao-message-bar-neutral a,.bao-message-bar-neutral bao-hyperlink{color:#fff;margin:3px}.bao-message-bar-neutral a:hover,.bao-message-bar-neutral bao-hyperlink:hover{background-color:#637381}.bao-message-bar-neutral a:focus,.bao-message-bar-neutral bao-hyperlink:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000}.bao-message-bar-neutral .bao-message-icon svg{fill:#fff}.bao-message-bar-neutral .bao-message-close{color:#fff;background-color:#fff0;border-radius:0rem;height:2.5rem;width:2.5rem;margin-left:auto;margin-right:-.5rem;margin-top:-.5rem}.bao-message-bar-neutral .bao-message-close:hover{opacity:.8}.bao-message-bar-neutral .bao-message-close:focus{outline:3px solid #ffb833;outline-offset:3px;background-color:#ffffff1a;box-shadow:0 0 0 3px #000;border-radius:4px}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { type: [{
                type: Input
            }], dismissible: [{
                type: Input
            }], dismissibleButtonAriaLabel: [{
                type: Input
            }], dismiss: [{
                type: Output
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoMessageBarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarModule, declarations: [BaoMessageBarComponent, BaoMessageBarContent], imports: [CommonModule, BaoIconModule, BaoButtonModule, BaoHyperlinkModule], exports: [BaoMessageBarComponent, BaoMessageBarContent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarModule, imports: [CommonModule, BaoIconModule, BaoButtonModule, BaoHyperlinkModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoMessageBarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoIconModule, BaoButtonModule, BaoHyperlinkModule],
                    declarations: [BaoMessageBarComponent, BaoMessageBarContent],
                    exports: [BaoMessageBarComponent, BaoMessageBarContent]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
var eModalDesktopWidthSize;
(function (eModalDesktopWidthSize) {
    eModalDesktopWidthSize["SMALL"] = "bao-modal-sm";
    eModalDesktopWidthSize["MEDIUM"] = "bao-modal-md";
    eModalDesktopWidthSize["LARGE"] = "bao-modal-lg"; // Full width minus 32px (global margin : left and rigth)
})(eModalDesktopWidthSize || (eModalDesktopWidthSize = {}));
var eModalMobileWidthSize;
(function (eModalMobileWidthSize) {
    eModalMobileWidthSize["FULL"] = "bao-modal-mobil-full";
    eModalMobileWidthSize["COMPACT"] = "bao-modal-mobil-compact"; // 300px
})(eModalMobileWidthSize || (eModalMobileWidthSize = {}));
/**
 * Configuration for opening a modal dialog with the BaoModal service.
 */
class BaoModalInitialConfig {
    constructor() {
        /** The ARIA role of the dialog element. */
        this.role = 'dialog';
        /** Custom class for the overlay pane. */
        this.panelClass = '';
        /** Whether the dialog has a backdrop. */
        this.hasBackdrop = true;
        /** Custom class for the backdrop. */
        this.backdropClass = '';
        /** Whether the user can use escape or clicking on the backdrop to close the modal. */
        this.disableClose = false;
        /** Width of the dialog. */
        this.width = '';
        /** Height of the dialog. */
        this.height = '';
        /** Max-width of the dialog. If a number is provided, assumes pixel units. Defaults to 80vw. */
        this.maxWidth = '80vw';
        /** Data being injected into the child component. */
        this.data = null;
        /** ID of the element that describes the dialog. */
        this.ariaDescribedBy = null;
        /** ID of the element that labels the dialog. */
        this.ariaLabelledBy = null;
        /** Aria label to assign to the dialog element. */
        this.ariaLabel = null;
        /**
         * Where the dialog should focus on open.
         */
        this.autoFocus = 'first-tabbable';
        /**
         * Whether the dialog should restore focus to the
         * previously-focused element, after it's closed.
         */
        this.restoreFocus = true;
        /** Whether to wait for the opening animation to finish before trapping focus. */
        this.delayFocusTrap = true;
        /**
         * Whether the dialog should close when the user goes backwards/forwards in history.
         * Note that this usually doesn't include clicking on links (unless the user is using
         * the `HashLocationStrategy`).
         */
        this.closeOnNavigation = true;
    }
}

/**
 * Throws an exception for the case when a ComponentPortal is
 * attached to a DomPortalOutlet without an origin.
 * @docs-private
 */
function throwBaoModalContentAlreadyAttachedError() {
    throw Error('Attempting to attach modal content after content is already attached');
}
/**
 * Base class for the `BaoModalContainer`. The base class does not implement
 * animations as these are left to implementers of the modal container.
 */
class _BaoModalContainerBase extends BasePortalOutlet {
    constructor(_elementRef, _focusTrapFactory, _changeDetectorRef, _document, 
    /** The modal configuration. */
    _config, _interactivityChecker, _ngZone, _focusMonitor) {
        super();
        this._elementRef = _elementRef;
        this._focusTrapFactory = _focusTrapFactory;
        this._changeDetectorRef = _changeDetectorRef;
        this._config = _config;
        this._interactivityChecker = _interactivityChecker;
        this._ngZone = _ngZone;
        this._focusMonitor = _focusMonitor;
        /** Emits when an animation state changes. */
        this._animationStateChanged = new EventEmitter();
        /**
         * Type of interaction that led to the modal being closed. This is used to determine
         * whether the focus style will be applied when returning focus to its original location
         * after the modal is closed.
         */
        this._closeInteractionType = null;
        /** Element that was focused before the modal was opened. Save this to restore upon close. */
        this._elementFocusedBeforeDialogWasOpened = null;
        this._ariaLabelledBy = _config.ariaLabelledBy || null;
        this._document = _document;
    }
    /** Initializes the modal container with the attached content. */
    _initializeWithAttachedContent() {
        this._setupFocusTrap();
        // Save the previously focused element. This element will be re-focused
        // when the modal closes.
        this._capturePreviouslyFocusedElement();
    }
    /**
     * Attach a ComponentPortal as content to this modal container.
     */
    attachComponentPortal(portal) {
        return this._portalOutlet.attachComponentPortal(portal);
    }
    /**
     * Attach a TemplatePortal as content to this modal container.
     */
    attachTemplatePortal(portal) {
        return this._portalOutlet.attachTemplatePortal(portal);
    }
    /** Moves focus back into the modal if it was moved out. */
    async _recaptureFocus() {
        if (!this._containsFocus()) {
            await this._trapFocus();
        }
    }
    /**
     * Moves the focus inside the focus trap. When autoFocus is not set to 'modal', if focus
     * cannot be moved then focus will go to the modal container.
     */
    async _trapFocus() {
        const element = this._elementRef.nativeElement;
        // If were to attempt to focus immediately, then the content of the modal would not yet be
        // ready in instances where change detection has to run first. To deal with this, we simply
        // wait for the microtask queue to be empty when setting focus when autoFocus isn't set to
        // modal. If the element inside the modal can't be focused, then the container is focused
        // so the user can't tab into other elements behind it.
        switch (this._config.autoFocus) {
            case 'modal':
                // Ensure that focus is on the modal container. It's possible that a different
                // component tried to move focus while the open animation was running. See:
                // https://github.com/angular/components/issues/16215. Note that we only want to do this
                // if the focus isn't inside the modal already, because it's possible that the consumer
                // turned off `autoFocus` in order to move focus themselves.
                if (!this._containsFocus()) {
                    element.focus();
                }
                break;
            case 'first-tabbable':
                // If we weren't able to find a focusable element in the modal, then focus the modal
                // container instead.
                const focusedSuccessfully = await this._focusTrap.focusInitialElementWhenReady();
                if (!focusedSuccessfully) {
                    this._focusDialogContainer();
                }
                break;
            case 'first-heading':
                this._focusByCssSelector('h1, h2, h3, h4, h5, h6, [role="heading"]');
                break;
            default:
                this._focusByCssSelector(this._config.autoFocus);
                break;
        }
    }
    /** Restores focus to the element that was focused before the modal opened. */
    _restoreFocus() {
        const previousElement = this._elementFocusedBeforeDialogWasOpened;
        // We need the extra check, because IE can set the `activeElement` to null in some cases.
        if (this._config.restoreFocus &&
            previousElement &&
            typeof previousElement.focus === 'function') {
            const activeElement = _getFocusedElementPierceShadowDom();
            const element = this._elementRef.nativeElement;
            // Make sure that focus is still inside the modal or is on the body (usually because a
            // non-focusable element like the backdrop was clicked) before moving it. It's possible that
            // the consumer moved it themselves before the animation was done, in which case we shouldn't
            // do anything.
            if (!activeElement ||
                activeElement === this._document.body ||
                activeElement === element ||
                element.contains(activeElement)) {
                if (this._focusMonitor) {
                    this._focusMonitor.focusVia(previousElement, this._closeInteractionType);
                    this._closeInteractionType = null;
                }
                else {
                    previousElement.focus();
                }
            }
        }
        if (this._focusTrap) {
            this._focusTrap.destroy();
        }
    }
    /**
     * Focuses the provided element. If the element is not focusable, it will add a tabIndex
     * attribute to forcefully focus it. The attribute is removed after focus is moved.
     */
    _forceFocus(element, options) {
        if (!this._interactivityChecker.isFocusable(element)) {
            element.tabIndex = -1;
            // The tabindex attribute should be removed to avoid navigating to that element again
            this._ngZone.runOutsideAngular(() => {
                element.addEventListener('blur', () => element.removeAttribute('tabindex'));
                element.addEventListener('mousedown', () => element.removeAttribute('tabindex'));
            });
        }
        element.focus(options);
    }
    /**
     * Focuses the first element that matches the given selector within the focus trap.
     */
    _focusByCssSelector(selector, options) {
        const elementToFocus = this._elementRef.nativeElement.querySelector(selector);
        if (elementToFocus) {
            this._forceFocus(elementToFocus, options);
        }
    }
    /** Sets up the focus trap. */
    _setupFocusTrap() {
        this._focusTrap = this._focusTrapFactory.create(this._elementRef.nativeElement);
    }
    /** Captures the element that was focused before the modal was opened. */
    _capturePreviouslyFocusedElement() {
        if (this._document) {
            this._elementFocusedBeforeDialogWasOpened =
                _getFocusedElementPierceShadowDom();
        }
    }
    /** Focuses the modal container. */
    _focusDialogContainer() {
        // Note that there is no focus method when rendering on the server.
        if (this._elementRef.nativeElement.focus) {
            this._elementRef.nativeElement.focus();
        }
    }
    /** Returns whether focus is inside the modal. */
    _containsFocus() {
        const element = this._elementRef.nativeElement;
        const activeElement = _getFocusedElementPierceShadowDom();
        return element === activeElement || element.contains(activeElement);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: _BaoModalContainerBase, deps: [{ token: i0.ElementRef }, { token: i1$3.ConfigurableFocusTrapFactory }, { token: i0.ChangeDetectorRef }, { token: DOCUMENT, optional: true }, { token: BaoModalInitialConfig }, { token: i1$3.InteractivityChecker }, { token: i0.NgZone }, { token: i1$3.FocusMonitor }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: _BaoModalContainerBase, viewQueries: [{ propertyName: "_portalOutlet", first: true, predicate: CdkPortalOutlet, descendants: true, static: true }], usesInheritance: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: _BaoModalContainerBase, decorators: [{
            type: Directive
        }], ctorParameters: () => [{ type: i0.ElementRef }, { type: i1$3.ConfigurableFocusTrapFactory }, { type: i0.ChangeDetectorRef }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: BaoModalInitialConfig }, { type: i1$3.InteractivityChecker }, { type: i0.NgZone }, { type: i1$3.FocusMonitor }], propDecorators: { _portalOutlet: [{
                type: ViewChild,
                args: [CdkPortalOutlet, { static: true }]
            }] } });
class BaoModalContainer extends _BaoModalContainerBase {
    constructor() {
        super(...arguments);
        /** State of the modal animation. */
        this._state = 'enter';
    }
    _startOpenAnimation() {
        this._animationStateChanged.emit({ state: 'opening', totalTime: 20 });
        void Promise.resolve().then(() => this._finishDialogOpen());
    }
    /** Starts the modal exit animation. */
    _startExitAnimation() {
        this._animationStateChanged.emit({ state: 'closed', totalTime: 20 });
    }
    _finishDialogOpen() {
        this._openAnimationDone(20);
    }
    _openAnimationDone(totalTime) {
        if (this._config.delayFocusTrap) {
            void this._trapFocus();
        }
        this._animationStateChanged.next({ state: 'opened', totalTime });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalContainer, deps: null, target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoModalContainer, selector: "bao-modal-container", host: { attributes: { "tabindex": "-1", "aria-modal": "true" }, properties: { "id": "_id", "attr.role": "_config.role", "attr.aria-labelledby": "_config.ariaLabel ? null : _ariaLabelledBy", "attr.aria-label": "_config.ariaLabel", "attr.aria-describedby": "_config.ariaDescribedBy || null" }, classAttribute: "bao-modal-container" }, usesInheritance: true, ngImport: i0, template: "<ng-template cdkPortalOutlet></ng-template>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.cdk-overlay-container,.cdk-global-overlay-wrapper{pointer-events:none;top:0;left:0;height:100%;width:100%}.cdk-overlay-container{position:fixed;z-index:1000}.cdk-overlay-container:empty{display:none}.cdk-global-overlay-wrapper{display:flex;position:absolute;z-index:1000}.cdk-overlay-pane{position:absolute;pointer-events:auto;box-sizing:border-box;z-index:1000;display:flex}.cdk-overlay-pane.bao-modal-mobil-full{width:100%;height:100%}.cdk-overlay-pane.bao-modal-mobil-compact{width:300px;height:100%}@media (min-width: 768px){.cdk-overlay-pane{width:500px;height:auto}.cdk-overlay-pane.bao-modal-lg{width:calc(100% - 4rem);height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-md,.cdk-overlay-pane.bao-modal-sm{width:500px;height:auto;max-height:calc(100% - 4rem)}}@media (min-width: 992px){.cdk-overlay-pane{width:500px;height:auto}.cdk-overlay-pane.bao-modal-lg{width:calc(100% - 4rem);height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-md{width:800px;height:auto;max-height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-sm{width:500px;height:auto;max-height:calc(100% - 4rem)}}.cdk-overlay-backdrop{position:absolute;inset:0;z-index:1000;pointer-events:auto;-webkit-tap-highlight-color:transparent;transition:opacity .4s cubic-bezier(.25,.8,.25,1);opacity:0}.cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:.5}.cdk-high-contrast-active .cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:.6}.cdk-overlay-dark-backdrop{background:#000}.cdk-overlay-transparent-backdrop,.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing{opacity:.5}.cdk-overlay-connected-position-bounding-box{position:absolute;z-index:1000;display:flex;flex-direction:column;min-width:1px;min-height:1px}.cdk-global-scrollblock{position:fixed;width:100%;overflow-y:scroll}.bao-modal-container{display:block;overflow:auto;min-height:inherit;max-height:inherit;background-color:#fff;background-clip:padding-box;border:0 solid rgba(0,0,0,.2);border-radius:.5rem;outline:0}.bao-modal-content{display:flex;flex-direction:column;height:100%}.bao-modal-header{flex:0 0 auto;display:flex;align-items:flex-start;justify-content:space-between;border-bottom:1px solid #ced4da;border-top-left-radius:.5rem;border-top-right-radius:.5rem}.bao-modal-header .bao-modal-title{font-size:1rem;line-height:1.5rem;margin:1rem 0 1rem 1rem}.bao-modal-header button{margin:.5rem}.bao-modal-body{display:block;padding:1rem;overflow:auto;flex-grow:1}@media (min-width: 768px){.bao-modal-body{padding:2rem}}.bao-modal-footer{display:flex;flex-wrap:wrap;padding:1rem;border-top:1px solid #ced4da;border-bottom-right-radius:.5rem;border-bottom-left-radius:.5rem}.bao-modal-footer.bao-modal-footer-order{justify-content:unset;flex-direction:column-reverse}.bao-modal-footer button{text-align:center}.bao-modal-footer .bao-button-primary,.bao-modal-footer .bao-button-secondary{width:100%;display:block}.bao-modal-footer .bao-button-secondary{margin-bottom:.5rem}.bao-modal-footer .bao-button-tertiary{display:none}@media (min-width: 768px){.bao-modal-footer{justify-content:flex-end}.bao-modal-footer.bao-modal-footer-order{flex-direction:row-reverse}.bao-modal-footer .bao-button-primary{margin-left:1rem}.bao-modal-footer .bao-button-secondary{margin-bottom:0}.bao-modal-footer .bao-button-primary,.bao-modal-footer .bao-button-secondary{width:auto}.bao-modal-footer .bao-button-tertiary{display:block}}\n"], dependencies: [{ kind: "directive", type: i3.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }], changeDetection: i0.ChangeDetectionStrategy.Default, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalContainer, decorators: [{
            type: Component,
            args: [{ selector: 'bao-modal-container', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.Default, host: {
                        class: 'bao-modal-container',
                        tabindex: '-1',
                        'aria-modal': 'true',
                        '[id]': '_id',
                        '[attr.role]': '_config.role',
                        '[attr.aria-labelledby]': '_config.ariaLabel ? null : _ariaLabelledBy',
                        '[attr.aria-label]': '_config.ariaLabel',
                        '[attr.aria-describedby]': '_config.ariaDescribedBy || null'
                    }, template: "<ng-template cdkPortalOutlet></ng-template>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.cdk-overlay-container,.cdk-global-overlay-wrapper{pointer-events:none;top:0;left:0;height:100%;width:100%}.cdk-overlay-container{position:fixed;z-index:1000}.cdk-overlay-container:empty{display:none}.cdk-global-overlay-wrapper{display:flex;position:absolute;z-index:1000}.cdk-overlay-pane{position:absolute;pointer-events:auto;box-sizing:border-box;z-index:1000;display:flex}.cdk-overlay-pane.bao-modal-mobil-full{width:100%;height:100%}.cdk-overlay-pane.bao-modal-mobil-compact{width:300px;height:100%}@media (min-width: 768px){.cdk-overlay-pane{width:500px;height:auto}.cdk-overlay-pane.bao-modal-lg{width:calc(100% - 4rem);height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-md,.cdk-overlay-pane.bao-modal-sm{width:500px;height:auto;max-height:calc(100% - 4rem)}}@media (min-width: 992px){.cdk-overlay-pane{width:500px;height:auto}.cdk-overlay-pane.bao-modal-lg{width:calc(100% - 4rem);height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-md{width:800px;height:auto;max-height:calc(100% - 4rem)}.cdk-overlay-pane.bao-modal-sm{width:500px;height:auto;max-height:calc(100% - 4rem)}}.cdk-overlay-backdrop{position:absolute;inset:0;z-index:1000;pointer-events:auto;-webkit-tap-highlight-color:transparent;transition:opacity .4s cubic-bezier(.25,.8,.25,1);opacity:0}.cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:.5}.cdk-high-contrast-active .cdk-overlay-backdrop.cdk-overlay-backdrop-showing{opacity:.6}.cdk-overlay-dark-backdrop{background:#000}.cdk-overlay-transparent-backdrop,.cdk-overlay-transparent-backdrop.cdk-overlay-backdrop-showing{opacity:.5}.cdk-overlay-connected-position-bounding-box{position:absolute;z-index:1000;display:flex;flex-direction:column;min-width:1px;min-height:1px}.cdk-global-scrollblock{position:fixed;width:100%;overflow-y:scroll}.bao-modal-container{display:block;overflow:auto;min-height:inherit;max-height:inherit;background-color:#fff;background-clip:padding-box;border:0 solid rgba(0,0,0,.2);border-radius:.5rem;outline:0}.bao-modal-content{display:flex;flex-direction:column;height:100%}.bao-modal-header{flex:0 0 auto;display:flex;align-items:flex-start;justify-content:space-between;border-bottom:1px solid #ced4da;border-top-left-radius:.5rem;border-top-right-radius:.5rem}.bao-modal-header .bao-modal-title{font-size:1rem;line-height:1.5rem;margin:1rem 0 1rem 1rem}.bao-modal-header button{margin:.5rem}.bao-modal-body{display:block;padding:1rem;overflow:auto;flex-grow:1}@media (min-width: 768px){.bao-modal-body{padding:2rem}}.bao-modal-footer{display:flex;flex-wrap:wrap;padding:1rem;border-top:1px solid #ced4da;border-bottom-right-radius:.5rem;border-bottom-left-radius:.5rem}.bao-modal-footer.bao-modal-footer-order{justify-content:unset;flex-direction:column-reverse}.bao-modal-footer button{text-align:center}.bao-modal-footer .bao-button-primary,.bao-modal-footer .bao-button-secondary{width:100%;display:block}.bao-modal-footer .bao-button-secondary{margin-bottom:.5rem}.bao-modal-footer .bao-button-tertiary{display:none}@media (min-width: 768px){.bao-modal-footer{justify-content:flex-end}.bao-modal-footer.bao-modal-footer-order{flex-direction:row-reverse}.bao-modal-footer .bao-button-primary{margin-left:1rem}.bao-modal-footer .bao-button-secondary{margin-bottom:0}.bao-modal-footer .bao-button-primary,.bao-modal-footer .bao-button-secondary{width:auto}.bao-modal-footer .bao-button-tertiary{display:block}}\n"] }]
        }] });

// Counter for unique modal ids.
let uniqueId$1 = 0;
/**
 * Reference to a modal opened via the BaoModalService.
 */
class BaoModalRef {
    constructor(_overlayRef, _containerInstance, 
    /** Id of the modal. */
    id = `bao-modal-${uniqueId$1++}`) {
        this._overlayRef = _overlayRef;
        this._containerInstance = _containerInstance;
        this.id = id;
        /** Whether the user is allowed to close the modal. */
        this.disableClose = this._containerInstance._config.disableClose;
        /** Subject for notifying the user that the modal has finished opening. */
        this._afterOpened = new Subject();
        /** Subject for notifying the user that the modal has finished closing. */
        this._afterClosed = new Subject();
        /** Subject for notifying the user that the modal has started closing. */
        this._beforeClosed = new Subject();
        /** Current state of the modal. */
        this._state = 0 /* BaoModalState.OPEN */;
        // Pass the id along to the container.
        _containerInstance._id = id;
        // Emit when opening animation completes
        _containerInstance._animationStateChanged
            .pipe(filter(event => event.state === 'opened'), take(1))
            .subscribe(() => {
            this._afterOpened.next();
            this._afterOpened.complete();
        });
        // Dispose overlay when closing animation is complete
        _containerInstance._animationStateChanged
            .pipe(filter(event => event.state === 'closed'), take(1))
            .subscribe(() => {
            clearTimeout(this._closeFallbackTimeout);
            this._finishModalClose();
        });
        _overlayRef.detachments().subscribe(() => {
            this._beforeClosed.next(this._result);
            this._beforeClosed.complete();
            this._afterClosed.next(this._result);
            this._afterClosed.complete();
            this.componentInstance = null;
            this._overlayRef.dispose();
        });
        _overlayRef
            .keydownEvents()
            .pipe(filter(event => {
            return (event.keyCode === ESCAPE &&
                !this.disableClose &&
                !hasModifierKey(event));
        }))
            .subscribe(event => {
            event.preventDefault();
            _closeModalVia(this, 'keyboard');
        });
        _overlayRef.backdropClick().subscribe(async () => {
            if (this.disableClose) {
                await this._containerInstance._recaptureFocus();
            }
            else {
                _closeModalVia(this, 'mouse');
            }
        });
    }
    /**
     * Close the modal.
     * @param modalResult Optional result to return to the modal opener.
     */
    close(modalResult) {
        this._result = modalResult;
        // Transition the backdrop in parallel to the modal.
        this._containerInstance._animationStateChanged
            .pipe(filter(event => event.state === 'closing'), take(1))
            .subscribe(event => {
            this._beforeClosed.next(modalResult);
            this._beforeClosed.complete();
            this._overlayRef.detachBackdrop();
            // The logic that disposes of the overlay depends on the exit animation completing, however
            // it isn't guaranteed if the parent view is destroyed while it's running. Add a fallback
            // timeout which will clean everything up if the animation hasn't fired within the specified
            // amount of time plus 100ms. We don't need to run this outside the NgZone, because for the
            // vast majority of cases the timeout will have been cleared before it has the chance to fire.
            this._closeFallbackTimeout = setTimeout(() => this._finishModalClose(), event.totalTime + 100);
        });
        this._state = 1 /* BaoModalState.CLOSING */;
        this._containerInstance._startExitAnimation();
    }
    startOpenAnimation() {
        this._containerInstance._startOpenAnimation();
    }
    /**
     * Gets an observable that is notified when the modal is finished opening.
     */
    afterOpened() {
        return this._afterOpened;
    }
    /**
     * Gets an observable that is notified when the modal is finished closing.
     */
    afterClosed() {
        return this._afterClosed;
    }
    /**
     * Gets an observable that is notified when the modal has started closing.
     */
    beforeClosed() {
        return this._beforeClosed;
    }
    /**
     * Gets an observable that emits when the overlay's backdrop has been clicked.
     */
    backdropClick() {
        return this._overlayRef.backdropClick();
    }
    /**
     * Gets an observable that emits when keydown events are targeted on the overlay.
     */
    keydownEvents() {
        return this._overlayRef.keydownEvents();
    }
    /**
     * Updates the dialog's position.
     */
    updatePosition(position) {
        const strategy = this._getPositionStrategy();
        if (position && (position.left || position.right)) {
            // Here we will set the horizontal position of the modal (left or right).
            this.applyPositionStrategy(position, strategy, 'horizontal');
        }
        else {
            strategy.centerHorizontally();
        }
        if (position && (position.top || position.bottom)) {
            // Here we will set the vertical position of the modal (top or bottom).
            this.applyPositionStrategy(position, strategy, 'vertical');
        }
        else {
            strategy.centerVertically();
        }
        this._overlayRef.updatePosition();
        return this;
    }
    /**
     * Updates the modal's width and height.
     */
    updateSize(width = '', height = '') {
        this._overlayRef.updateSize({ width, height });
        this._overlayRef.updatePosition();
        return this;
    }
    /** Add a CSS class or an array of classes to the overlay pane. */
    addPanelClass(classes) {
        this._overlayRef.addPanelClass(classes);
        return this;
    }
    /** Remove a CSS class or an array of classes from the overlay pane. */
    removePanelClass(classes) {
        this._overlayRef.removePanelClass(classes);
        return this;
    }
    /** Gets the current state of the modal's lifecycle. */
    getState() {
        return this._state;
    }
    /**
     * Finishes the modal close by updating the state of the modal
     * and disposing the overlay.
     */
    _finishModalClose() {
        this._state = 2 /* BaoModalState.CLOSED */;
        this._overlayRef.dispose();
    }
    /** Fetches the position strategy object from the overlay ref. */
    _getPositionStrategy() {
        return this._overlayRef.getConfig()
            .positionStrategy;
    }
    /**
     * Applies the position strategy to the overlay.
     *
     * This method sets the position of the modal based on the provided `position` configuration.
     * It determines whether to apply the position to the vertical or horizontal axis based on the
     * `axis` parameter.
     *
     * @param position The position configuration for the modal.
     * @param strategy The position strategy to be applied.
     * @param axis The axis to apply the position (`'horizontal' | 'vertical'`)
     */
    applyPositionStrategy(position, strategy, axis) {
        if (axis === 'vertical') {
            if (position.top) {
                strategy.top(position.top);
            }
            else {
                strategy.bottom(position.bottom);
            }
        }
        else {
            if (position.left) {
                strategy.left(position.left);
            }
            else {
                strategy.right(position.right);
            }
        }
    }
}
/**
 * Closes the modal with the specified interaction type. This is currently not part of
 * `BaoModalRef` as that would conflict with custom modal ref mocks provided in tests.
 * More details. See: https://github.com/angular/components/pull/9257#issuecomment-651342226.
 */
function _closeModalVia(ref, interactionType, result) {
    // Some mock modal ref instances in tests do not have the `_containerInstance` property.
    // For those, we keep the behavior as is and do not deal with the interaction type.
    if (ref._containerInstance !== undefined) {
        ref._containerInstance._closeInteractionType = interactionType;
    }
    return ref.close(result);
}

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/* eslint-disable @typescript-eslint/no-unsafe-return*/
/** Injection token that can be used to access the data that was passed in to a modal. */
const BAO_MODAL_DATA = new InjectionToken('BaoModalData');
class BaoModalBase {
    constructor(_overlay, _injector, _parentModal, _overlayContainer, _modalRefConstructor, _modalContainerType, _modalDataToken) {
        this._overlay = _overlay;
        this._injector = _injector;
        this._parentModal = _parentModal;
        this._overlayContainer = _overlayContainer;
        this._modalRefConstructor = _modalRefConstructor;
        this._modalContainerType = _modalContainerType;
        this._modalDataToken = _modalDataToken;
        this.afterAllClosed = defer(() => this.openModals.length
            ? this.getAfterAllClosed()
            : this.getAfterAllClosed().pipe(startWith(undefined)));
        this._openModalsAtThisLevel = [];
        this._afterAllClosedAtThisLevel = new Subject();
        this._afterOpenedAtThisLevel = new Subject();
        this._ariaHiddenElements = new Map();
        this._modalAnimatingOpen = false;
    }
    /** Keeps track of the currently-open modals. */
    get openModals() {
        return this._parentModal
            ? this._parentModal.openModals
            : this._openModalsAtThisLevel;
    }
    /** Stream that emits when a modal has been opened. */
    get afterOpened() {
        // Maybe typescript version difference
        return this._parentModal
            ? this._parentModal.afterOpened
            : this._afterOpenedAtThisLevel;
    }
    getAfterAllClosed() {
        const parent = this._parentModal;
        return parent
            ? parent.getAfterAllClosed()
            : this._afterAllClosedAtThisLevel;
    }
    /**
     * Opens a modal modal containing the given template.
     */
    open(componentOrTemplateRef, config) {
        const conf = this._applyConfigDefaults(config, new BaoModalInitialConfig());
        // If there is a modal that is currently animating open, return the MatmodalRef of that modal
        if (this._modalAnimatingOpen) {
            return this._lastModalRef;
        }
        const overlayRef = this._createOverlay(conf);
        const modalContainer = this._attachModalContainer(overlayRef, conf);
        const modalRef = this._attachModalContent(componentOrTemplateRef, modalContainer, overlayRef, conf);
        this._lastModalRef = modalRef;
        // If this is the first modal that we're opening, hide all the non-overlay content.
        if (!this.openModals.length) {
            this._hideNonModalContentFromAssistiveTechnology();
        }
        this.openModals.push(modalRef);
        modalRef.afterClosed().subscribe(() => this._removeOpenModal(modalRef));
        this.afterOpened.next(modalRef);
        // Notify the modal container that the content has been attached.
        modalContainer._initializeWithAttachedContent();
        return modalRef;
    }
    /**
     * Closes all of the currently-open modals.
     */
    closeAll() {
        this._closeModals(this.openModals);
    }
    /**
     * Finds an open modal by its id.
     */
    getModalById(id) {
        return this.openModals.find(modal => modal.id === id);
    }
    ngOnDestroy() {
        // Only close the modals at this level on destroy
        // since the parent service may still be active.
        this._closeModals(this._openModalsAtThisLevel);
        this._afterAllClosedAtThisLevel.complete();
        this._afterOpenedAtThisLevel.complete();
        // Clean up any subscriptions to modals that never finished opening.
        if (this._animationStateSubscriptions) {
            this._animationStateSubscriptions.unsubscribe();
        }
    }
    /**
     * Creates the overlay into which the modal will be loaded.
     */
    _createOverlay(config) {
        const overlayConfig = this._getOverlayConfig(config);
        return this._overlay.create(overlayConfig);
    }
    /**
     * Creates an overlay config from a modal config.
     */
    _getOverlayConfig(config) {
        const state = new OverlayConfig({
            positionStrategy: this._overlay.position().global(),
            scrollStrategy: this._overlay.scrollStrategies.block(),
            panelClass: config.panelClass,
            hasBackdrop: config.hasBackdrop,
            disposeOnNavigation: config.closeOnNavigation
        });
        if (config.backdropClass) {
            state.backdropClass = config.backdropClass;
        }
        return state;
    }
    /**
     * Attaches a modal container to a modal's already-created overlay.
     */
    _attachModalContainer(overlay, config) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        const injector = Injector.create({
            parent: userInjector || this._injector,
            providers: [{ provide: BaoModalInitialConfig, useValue: config }]
        });
        const containerPortal = new ComponentPortal(this._modalContainerType, config.viewContainerRef, injector);
        const containerRef = overlay.attach(containerPortal);
        containerRef.instance._startOpenAnimation();
        return containerRef.instance;
    }
    /**
     * Attaches the user-provided component to the already-created modal container.
     */
    _attachModalContent(componentOrTemplateRef, modalContainer, overlayRef, config) {
        // Create a reference to the modal we're creating in order to give the user a handle
        // to modify and close it.
        const modalRef = new this._modalRefConstructor(overlayRef, modalContainer, config.id);
        if (componentOrTemplateRef instanceof TemplateRef) {
            modalContainer.attachTemplatePortal(new TemplatePortal(componentOrTemplateRef, null, {
                $implicit: config.data,
                modalRef
            }));
        }
        else {
            const injector = this._createInjector(config, modalRef, modalContainer);
            const contentRef = modalContainer.attachComponentPortal(new ComponentPortal(componentOrTemplateRef, config.viewContainerRef, injector));
            modalRef.componentInstance = contentRef.instance;
        }
        modalRef
            .updateSize(config.width, config.height)
            .updatePosition(config.position);
        return modalRef;
    }
    /**
     * Creates a custom injector to be used inside the modal. This allows a component loaded inside
     * of a modal to close itself and, optionally, to return a value.
     */
    _createInjector(config, modalRef, modalContainer) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        // The modal container should be provided as the modal container and the modal's
        // content are created out of the same `ViewContainerRef` and as such, are siblings
        // for injector purposes. To allow the hierarchy that is expected, the modal
        // container is explicitly provided in the injector.
        const providers = [
            { provide: this._modalContainerType, useValue: modalContainer },
            { provide: this._modalDataToken, useValue: config.data },
            { provide: this._modalRefConstructor, useValue: modalRef }
        ];
        return Injector.create({
            parent: userInjector || this._injector,
            providers
        });
    }
    /**
     * Removes a modal from the array of open modals.
     */
    _removeOpenModal(modalRef) {
        const index = this.openModals.indexOf(modalRef);
        if (index > -1) {
            this.openModals.splice(index, 1);
            // If all the modals were closed, remove/restore the `aria-hidden`
            // to a the siblings and emit to the `afterAllClosed` stream.
            if (!this.openModals.length) {
                this._ariaHiddenElements.forEach((previousValue, element) => {
                    if (previousValue) {
                        element.setAttribute('aria-hidden', previousValue);
                    }
                    else {
                        element.removeAttribute('aria-hidden');
                    }
                });
                this._ariaHiddenElements.clear();
                this.getAfterAllClosed().next();
            }
        }
    }
    /**
     * Hides all of the content that isn't an overlay from assistive technology.
     */
    _hideNonModalContentFromAssistiveTechnology() {
        const overlayContainer = this._overlayContainer.getContainerElement();
        // Ensure that the overlay container is attached to the DOM.
        if (overlayContainer.parentElement) {
            const siblings = overlayContainer.parentElement.children;
            for (let i = siblings.length - 1; i > -1; i--) {
                const sibling = siblings[i];
                if (sibling !== overlayContainer &&
                    sibling.nodeName !== 'SCRIPT' &&
                    sibling.nodeName !== 'STYLE' &&
                    !sibling.hasAttribute('aria-live')) {
                    this._ariaHiddenElements.set(sibling, sibling.getAttribute('aria-hidden'));
                    sibling.setAttribute('aria-hidden', 'true');
                }
            }
        }
    }
    /** Closes all of the modals in an array. */
    _closeModals(modals) {
        let i = modals.length;
        while (i--) {
            modals[i].close();
        }
    }
    /**
     * Applies default options to the modal config.
     */
    _applyConfigDefaults(config, defaultOptions) {
        const desktopClass = config?.size || eModalDesktopWidthSize.SMALL;
        const mobilClass = config?.mobileSize || eModalMobileWidthSize.FULL;
        const data = config?.data || null;
        const ariaLabelledBy = config?.ariaLabelledBy || null;
        return {
            ...defaultOptions,
            ...{
                panelClass: [desktopClass, mobilClass],
                ariaLabelledBy,
                data
            }
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalBase, deps: "invalid", target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoModalBase, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalBase, decorators: [{
            type: Directive
        }], ctorParameters: () => [{ type: i1$4.Overlay }, { type: i0.Injector }, { type: undefined }, { type: i1$4.OverlayContainer }, { type: i0.Type }, { type: i0.Type }, { type: i0.InjectionToken }] });
/**
 * Service to open modal.
 */
class BaoModal extends BaoModalBase {
    constructor(overlay, injector, parentModal, overlayContainer) {
        super(overlay, injector, parentModal, overlayContainer, BaoModalRef, BaoModalContainer, BAO_MODAL_DATA);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModal, deps: [{ token: i1$4.Overlay }, { token: i0.Injector }, { token: BaoModal, optional: true, skipSelf: true }, { token: i1$4.OverlayContainer }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModal }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModal, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: i1$4.Overlay }, { type: i0.Injector }, { type: BaoModal, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }, { type: i1$4.OverlayContainer }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Button that will close the current dialog.
 */
class BaoModalClose {
    constructor(modalRef, _elementRef, _dialog) {
        this.modalRef = modalRef;
        this._elementRef = _elementRef;
        this._dialog = _dialog;
        /** Default to "button" to prevents accidental form submits. */
        this.type = 'button';
    }
    ngOnInit() {
        if (!this.modalRef) {
            // When this directive is included in a dialog via TemplateRef (rather than being
            // in a Component), the modalRef isn't available via injection because embedded
            // views cannot be given a custom injector. Instead, we look up the modalRef by
            // ID. This must occur in `onInit`, as the ID binding for the dialog container won't
            // be resolved at constructor time.
            this.modalRef =
                getClosestDialog(this._elementRef, this._dialog.openModals) || null;
        }
    }
    ngOnChanges(changes) {
        const proxiedChange = changes['_baoModalClose'] || changes['_baoModalCloseResult'];
        if (proxiedChange) {
            this.dialogResult = proxiedChange.currentValue;
        }
    }
    _onButtonClick(event) {
        // Determinate the focus origin using the click event, because using the FocusMonitor will
        // result in incorrect origins. Most of the time, close buttons will be auto focused in the
        // dialog, and therefore clicking the button won't result in a focus change. This means that
        // the FocusMonitor won't detect any origin change, and will always output `program`.
        _closeModalVia(this.modalRef, event.screenX === 0 && event.screenY === 0 ? 'keyboard' : 'mouse', this.dialogResult);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalClose, deps: [{ token: BaoModalRef, optional: true }, { token: i0.ElementRef }, { token: BaoModal }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoModalClose, selector: "[bao-modal-close], [baoModalClose]", inputs: { ariaLabel: ["aria-label", "ariaLabel"], type: "type", dialogResult: ["bao-modal-close", "dialogResult"], _baoModalClose: ["baoModalClose", "_baoModalClose"] }, host: { listeners: { "click": "_onButtonClick($event)" }, properties: { "attr.aria-label": "ariaLabel || null", "attr.type": "type" } }, exportAs: ["BaoModalClose"], usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalClose, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bao-modal-close], [baoModalClose]',
                    exportAs: 'BaoModalClose',
                    host: {
                        '(click)': '_onButtonClick($event)',
                        '[attr.aria-label]': 'ariaLabel || null',
                        '[attr.type]': 'type'
                    }
                }]
        }], ctorParameters: () => [{ type: BaoModalRef, decorators: [{
                    type: Optional
                }] }, { type: i0.ElementRef }, { type: BaoModal }], propDecorators: { ariaLabel: [{
                type: Input,
                args: ['aria-label']
            }], type: [{
                type: Input
            }], dialogResult: [{
                type: Input,
                args: ['bao-modal-close']
            }], _baoModalClose: [{
                type: Input,
                args: ['baoModalClose']
            }] } });
/**
 * Finds the closest BaoModalRef to an element by looking at the DOM.
 */
function getClosestDialog(element, openDialogs) {
    let parent = element.nativeElement.parentElement;
    while (parent && !parent.classList.contains('bao-modal-container')) {
        parent = parent.parentElement;
    }
    return parent ? openDialogs.find(dialog => dialog.id === parent.id) : null;
}

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const MODAL_DIRECTIVES = [BaoModalContainer, BaoModalClose];
class BaoModalModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoModalModule, declarations: [BaoModalContainer, BaoModalClose], imports: [CommonModule, OverlayModule, PortalModule], exports: [BaoModalContainer, BaoModalClose] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalModule, providers: [BaoModal], imports: [CommonModule, OverlayModule, PortalModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModalModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, OverlayModule, PortalModule],
                    declarations: MODAL_DIRECTIVES,
                    exports: MODAL_DIRECTIVES,
                    providers: [BaoModal]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * We have to inject the radio button group and all its children to each child.
 */
const BAO_RADIO_GROUP = new InjectionToken('BaoRadioButtonGroup');
/**
 * Unique ID for each radio group counter
 */
let radioGroupNextUniqueId = 0;
class BaoRadioButtonGroupComponent {
    constructor(cdr) {
        this.cdr = cdr;
        /**
         * Emit the value of the selected radio button
         */
        this.change = new EventEmitter();
        /**
         * The aria-describedby for web accessibilty
         */
        this.ariaDescribedby = null;
        this._value = null;
        this._name = null;
        this._selected = null;
        this._isInitialized = false;
        this._disabled = false;
        this._required = false;
        this._uniqueId = `bao-checkbox-group-${++radioGroupNextUniqueId}`;
        this.onModelChange = () => undefined;
        this.onTouch = () => undefined;
        if (!this.id) {
            this.id = this._uniqueId;
        }
    }
    /**
     * Define the name property of all radio buttons. Default : null
     */
    get name() {
        return this._name;
    }
    /**
     * Define the value of the selected radio button. Default : null
     */
    get value() {
        return this._value;
    }
    /**
     * Define which radio button is selected. Default : null
     */
    get selected() {
        return this._selected;
    }
    /**
     * Whether the radio button groupd is disabled. Default : false
     */
    get disabled() {
        return this._disabled;
    }
    /**
     * Whether the radio button groupd is required. Default : false
     */
    get required() {
        return this._required;
    }
    set name(value) {
        this._name = value;
        this.updateRadioButtonNames();
    }
    set value(newValue) {
        if (this._value !== newValue) {
            this._value = newValue;
            this.updateSelectedRadioFromValue();
            this.checkSelectedRadioButton();
        }
    }
    set selected(selected) {
        this._selected = selected;
        this.value = selected ? selected.value : null;
        this.checkSelectedRadioButton();
    }
    set disabled(value) {
        this._disabled = coerceBooleanProperty(value);
        this.markRadiosForCheck();
    }
    set required(value) {
        this._required = coerceBooleanProperty(value);
        this.markRadiosForCheck();
    }
    ngAfterContentInit() {
        this._isInitialized = true;
    }
    ngAfterViewInit() {
        this.setAriaDescribedByToDescription();
        this.cdr.detectChanges();
    }
    /**
     * Implement ControlValueAccessor
     */
    writeValue(value) {
        this.value = value;
        this.cdr.markForCheck();
    }
    /**
     * Implement ControlValueAccessor
     */
    registerOnChange(fn) {
        this.onModelChange = fn;
    }
    /**
     * Implement ControlValueAccessor
     */
    registerOnTouched(fn) {
        this.onTouch = fn;
    }
    /**
     * Implement ControlValueAccessor
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
        this.cdr.markForCheck();
    }
    /**
     * onTouch() called from the button children
     */
    onGroupTouch() {
        if (this.onTouch) {
            this.onTouch();
        }
    }
    /**
     * Update all radio button name
     */
    updateRadioButtonNames() {
        if (this._radios) {
            this._radios.forEach((radio) => {
                radio.name = this.name;
                radio.markForCheck();
            });
        }
    }
    /**
     * Define which radio button is selected.
     */
    updateSelectedRadioFromValue() {
        const isAlreadySelected = this._selected !== null && this._selected.value === this._value;
        if (this._radios && !isAlreadySelected) {
            this._selected = null;
            this._radios.forEach((radio) => {
                radio.checked = this.value === radio.value;
                if (radio.checked) {
                    this._selected = radio;
                }
            });
        }
    }
    /**
     * Update checked property on selected radio button
     */
    checkSelectedRadioButton() {
        if (this._selected && !this._selected.checked) {
            this._selected.checked = true;
        }
    }
    /**
     * Emit the value of the new selected radio button
     */
    emitChangeEvent() {
        if (this._isInitialized) {
            this.change.emit(this.value);
        }
    }
    /**
     * Call markForCheck function on all radio buttons since one of the parent inputs could't have change meanwhile. Prevent change detection error.
     */
    markRadiosForCheck() {
        if (this._radios) {
            this._radios.forEach((radio) => radio.markForCheck());
        }
    }
    onContentChange() {
        this.setAriaDescribedByToDescription();
    }
    /**
     * Set the aria-describedby property to bao-guiding-text if available
     */
    setAriaDescribedByToDescription() {
        const children = Array.from(this.staticContainer.nativeElement.children);
        if (children.length === 0) {
            this.showAriaDescribedBy(false);
            return;
        }
        this.showAriaDescribedBy(true);
    }
    showAriaDescribedBy(value) {
        this.ariaDescribedby = value ? `${this.id}-ariadescribedby` : null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioButtonGroupComponent, deps: [{ token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoRadioButtonGroupComponent, selector: "bao-radio-button-group, [bao-radio-button-group], [baoRadioButtonGroup]", inputs: { id: "id", name: "name", value: "value", selected: "selected", disabled: "disabled", required: "required" }, outputs: { change: "change" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => BaoRadioButtonGroupComponent),
                multi: true
            },
            { provide: BAO_RADIO_GROUP, useExisting: BaoRadioButtonGroupComponent }
        ], queries: [{ propertyName: "staticContainer", predicate: i0.forwardRef(() => BaoRadioButtonComponent), descendants: true, read: ViewChild('container', { static: false }) }], exportAs: ["baoRadioGroup"], ngImport: i0, template: "<fieldset\n  role=\"radiogroup\"\n  class=\"bao-radio-button-group\"\n  [id]=\"id\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n>\n  <ng-content></ng-content>\n  <div\n    class=\"bao-radio-button-group-description\"\n    [attr.id]=\"ariaDescribedby\"\n    #container\n    (cdkObserveContent)=\"onContentChange()\"\n  >\n    <ng-content\n      select=\"bao-error, [bao-error], bao-guiding-text, [bao-guiding-text]\"\n    ></ng-content>\n  </div>\n</fieldset>\n", styles: [".bao-radio-button-group .bao-legend{margin-bottom:.5rem}.bao-radio-button-group .bao-error,.bao-radio-button-group .bao-guiding-text{margin-top:.5rem}\n"], dependencies: [{ kind: "directive", type: i1$2.CdkObserveContent, selector: "[cdkObserveContent]", inputs: ["cdkObserveContentDisabled", "debounce"], outputs: ["cdkObserveContent"], exportAs: ["cdkObserveContent"] }], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioButtonGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-radio-button-group, [bao-radio-button-group], [baoRadioButtonGroup]', exportAs: 'baoRadioGroup', encapsulation: ViewEncapsulation.None, providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BaoRadioButtonGroupComponent),
                            multi: true
                        },
                        { provide: BAO_RADIO_GROUP, useExisting: BaoRadioButtonGroupComponent }
                    ], template: "<fieldset\n  role=\"radiogroup\"\n  class=\"bao-radio-button-group\"\n  [id]=\"id\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n>\n  <ng-content></ng-content>\n  <div\n    class=\"bao-radio-button-group-description\"\n    [attr.id]=\"ariaDescribedby\"\n    #container\n    (cdkObserveContent)=\"onContentChange()\"\n  >\n    <ng-content\n      select=\"bao-error, [bao-error], bao-guiding-text, [bao-guiding-text]\"\n    ></ng-content>\n  </div>\n</fieldset>\n", styles: [".bao-radio-button-group .bao-legend{margin-bottom:.5rem}.bao-radio-button-group .bao-error,.bao-radio-button-group .bao-guiding-text{margin-top:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }], propDecorators: { id: [{
                type: Input
            }], change: [{
                type: Output
            }], staticContainer: [{
                type: ContentChildren,
                args: [forwardRef(() => BaoRadioButtonComponent), {
                        descendants: true,
                        read: ViewChild('container', { static: false })
                    }]
            }], name: [{
                type: Input
            }], value: [{
                type: Input
            }], selected: [{
                type: Input
            }], disabled: [{
                type: Input
            }], required: [{
                type: Input
            }] } });

/**
 * Unique ID for each radio button
 */
let radioNextUniqueId = 0;
class BaoRadioButtonComponent {
    constructor(radioGroup, elementRef, cdr, focusMonitor, radioDispatcher) {
        this.elementRef = elementRef;
        this.cdr = cdr;
        this.focusMonitor = focusMonitor;
        this.radioDispatcher = radioDispatcher;
        /**
         * The aria-label for web accessibility
         */
        this.ariaLabel = null;
        /**
         * Whether the radio button has a border and is considered as a card.
         */
        this.brandBorder = false;
        /**
         * Whether the radio button is inline.
         */
        this.inline = false;
        /**
         * The name property of the radio button
         */
        this.name = null;
        /**
         * The visible state of the label
         */
        this.hiddenLabel = false;
        /**
         * Emitted boolean on change
         */
        this.change = new EventEmitter();
        /**
         * The aria-describedby id for web accessibilty
         */
        this.ariaDescribedby = null;
        /**
         * The aria-labeledby id for web accessibilty
         */
        this.ariaLabelledby = null;
        this._checked = false;
        this._disabled = false;
        this._required = false;
        this._value = null;
        this._uniqueId = `bao-radio-button-${++radioNextUniqueId}`;
        /** Unregister function for radioDispatcher */
        this._removeUniqueSelectionListener = () => undefined;
        this.radioGroup = radioGroup;
        this._removeUniqueSelectionListener = radioDispatcher.listen((id, name) => {
            if (id !== this.id && name === this.name) {
                this.checked = false;
            }
        });
        if (!this.id) {
            this.id = this._uniqueId;
        }
    }
    /**
     * Whether the radio button is checked. Default : false
     */
    get checked() {
        return this._checked;
    }
    /**
     * Define the radio button value. Default : null
     */
    get value() {
        return this._value;
    }
    /**
     * Whether the radio button is disabled. Default : false
     */
    get disabled() {
        return this._disabled || (this.radioGroup && this.radioGroup.disabled);
    }
    /**
     * Whether the radio button is required. Default : false
     */
    get required() {
        return this._required || (this.radioGroup && this.radioGroup.required);
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    set checked(value) {
        const newCheckedState = coerceBooleanProperty(value);
        if (this._checked !== newCheckedState) {
            this._checked = newCheckedState;
            if (newCheckedState &&
                this.radioGroup &&
                this.radioGroup.value !== this.value) {
                this.radioGroup.selected = this;
            }
            else if (!newCheckedState &&
                this.radioGroup &&
                this.radioGroup.value === this.value) {
                this.radioGroup.selected = null;
            }
            if (newCheckedState) {
                this.radioDispatcher.notify(this.id, this.name);
            }
            this.cdr.markForCheck();
        }
    }
    set value(value) {
        if (value !== this._value) {
            this._value = value;
            if (this.radioGroup) {
                if (!this.checked) {
                    this.checked = this.radioGroup.value === value;
                }
                if (this.checked) {
                    this.radioGroup.selected = this;
                }
            }
        }
    }
    set disabled(value) {
        this.setDisabled(coerceBooleanProperty(value));
    }
    set required(value) {
        this._required = coerceBooleanProperty(value);
    }
    focus(options, origin) {
        if (origin) {
            this.focusMonitor.focusVia(this.inputElement, origin, options);
        }
        else {
            this.inputElement.nativeElement.focus(options);
        }
    }
    /**
     * Method called from the parent as one of the parent input has changed. Prevent change detection error.
     */
    markForCheck() {
        this.cdr.markForCheck();
    }
    ngOnInit() {
        // Set all unique ids for the html elements
        this.inputID = `${this.id}-input`;
        this.ariaLabelledby = `${this.id}-arialabelledby`;
        if (this.radioGroup) {
            this.checked = this.radioGroup.value === this._value;
            if (this.checked) {
                this.radioGroup.selected = this;
            }
            this.name = this.radioGroup.name;
        }
    }
    ngAfterViewInit() {
        this.focusMonitor
            .monitor(this.inputElement, true)
            .subscribe(focusOrigin => {
            if (!focusOrigin && this.radioGroup) {
                this.radioGroup.onGroupTouch();
            }
        });
        this.setAriaDescribedByToDescription();
    }
    ngOnDestroy() {
        this.focusMonitor.stopMonitoring(this.inputElement);
        this._removeUniqueSelectionListener();
    }
    /**
     * Emit the new value from the selected radio-button and the parent
     */
    onInputInteraction(event) {
        event.stopPropagation();
        if (!this.checked && !this.disabled) {
            const groupValueChanged = this.radioGroup && this.value !== this.radioGroup.value;
            this.checked = true;
            this.emitChangeEvent();
            if (this.radioGroup) {
                this.radioGroup.onModelChange(this.value);
                if (groupValueChanged) {
                    this.radioGroup.emitChangeEvent();
                }
            }
        }
    }
    emitChangeEvent() {
        this.change.emit(this.value);
    }
    setDisabled(value) {
        if (this._disabled !== value) {
            this._disabled = value;
            this.cdr.markForCheck();
        }
    }
    /**
     * Set the id property to bao-radio-button-description as a description to the input
     */
    setAriaDescribedByToDescription() {
        const childNodes = Array.from(this.nativeElement.childNodes);
        const labelNode = childNodes.find(x => {
            return x.nodeName === 'LABEL';
        });
        if (labelNode) {
            const labelChildNodes = Array.from(labelNode.childNodes);
            const descriptionNode = labelChildNodes.find(x => {
                return x.nodeName === 'BAO-RADIO-BUTTON-DESCRIPTION';
            });
            if (descriptionNode) {
                this.ariaDescribedby = `${this.id}-ariadescribedby`;
                descriptionNode.setAttribute('id', this.ariaDescribedby);
            }
            else {
                this.ariaDescribedby = null;
            }
            this.cdr.detectChanges();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioButtonComponent, deps: [{ token: BAO_RADIO_GROUP, optional: true }, { token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$3.FocusMonitor }, { token: i2.UniqueSelectionDispatcher }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoRadioButtonComponent, selector: "bao-radio-button, [bao-radio-button]", inputs: { id: "id", ariaLabel: ["aria-label", "ariaLabel"], brandBorder: "brandBorder", inline: "inline", name: "name", hiddenLabel: "hiddenLabel", checked: "checked", value: "value", disabled: "disabled", required: "required" }, outputs: { change: "change" }, host: { properties: { "class.bao-radio-button-inline": "inline", "class.bao-radio-button-checked": "checked", "class.bao-radio-button-disabled": "disabled", "class.bao-radio-button-card": "brandBorder", "class.bao-radio-button-hidden-label": "hiddenLabel" }, classAttribute: "bao-radio-button" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => BaoRadioButtonComponent),
                multi: true
            }
        ], viewQueries: [{ propertyName: "inputElement", first: true, predicate: ["input"], descendants: true }], ngImport: i0, template: "<input\n  #input\n  type=\"radio\"\n  [id]=\"inputID\"\n  [checked]=\"checked\"\n  [disabled]=\"disabled\"\n  [attr.name]=\"name\"\n  [attr.value]=\"value\"\n  [required]=\"required\"\n  [attr.aria-label]=\"ariaLabel\"\n  [attr.aria-labelledby]=\"ariaLabelledby\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n  (change)=\"onInputInteraction($event)\"\n  role=\"radio\"\n/>\n<label class=\"bao-radio-button-content-container\" [attr.for]=\"inputID\">\n  <div class=\"bao-radio-button-label\" [id]=\"ariaLabelledby\">\n    <ng-content></ng-content>\n  </div>\n  <ng-content\n    select=\"bao-radio-button-description, [bao-radio-button-description], [baoRadioButtonDescription]\"\n  ></ng-content>\n</label>\n", styles: [".bao-radio-button{display:block;font-size:1rem;line-height:1.5rem;min-height:1.5rem;padding-top:.5rem;padding-bottom:.5rem;padding-left:2rem;position:relative;z-index:1}.bao-radio-button input{box-sizing:border-box;left:0;opacity:0;overflow:visible;padding:0;position:absolute;z-index:-1}.bao-radio-button input:focus~.bao-radio-button-content-container:before{box-shadow:0 0 0 .1875rem #0079c480}.bao-radio-button label.bao-radio-button-content-container{color:#212529;font-weight:400;font-size:1rem;line-height:1.5rem;margin-bottom:0;position:relative;vertical-align:top}.bao-radio-button label.bao-radio-button-content-container:before{border-radius:50%;box-sizing:border-box;position:absolute;top:0;left:-2rem;display:block;margin:.125rem;width:1.25rem;height:1.25rem;pointer-events:none;content:\"\";background-color:#fff;border:#ced4da solid 1px;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.bao-radio-button label.bao-radio-button-content-container:after{box-sizing:border-box;background:no-repeat 50%/1.5rem;content:\"\";display:block;height:1.5rem;left:-2rem;margin:0;position:absolute;top:0;width:1.5rem}.bao-radio-button label.bao-radio-button-content-container .bao-radio-button-label{color:#212529;display:block}.bao-radio-button label.bao-radio-button-content-container .bao-radio-button-description{color:#637381;display:block;margin-top:.5rem}.bao-radio-button.bao-radio-button-inline{display:inline-flex;margin-right:1rem}.bao-radio-button.bao-radio-button-card{padding:0;margin-bottom:1rem}.bao-radio-button.bao-radio-button-card:last-of-type{margin-bottom:0}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container{display:flex;flex-direction:column;flex:1;justify-content:center;padding:1rem 1rem 1rem 3.5rem;position:relative;border:1px solid #ced4da;border-radius:.25rem;color:#637381;min-height:3.5rem}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container:before{top:1rem;left:0;margin-left:1.125rem}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container:after{top:1rem;left:0;margin-left:1rem}.bao-radio-button input:checked~.bao-radio-button-content-container:before{border-color:#097d6c;background-color:#097d6c}.bao-radio-button input:checked~.bao-radio-button-content-container:after{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3ccircle cx='12' cy='12' r='4' fill='%23ffffff'/%3e%3c/svg%3e\")}.bao-radio-button input:disabled~.bao-radio-button-content-container{color:#adb2bd;border-color:#dee2e6}.bao-radio-button input:disabled~.bao-radio-button-content-container:before{border-color:#ced4da;background-color:#ced4da}.bao-radio-button input:disabled~.bao-radio-button-content-container .bao-radio-button-label,.bao-radio-button input:disabled~.bao-radio-button-content-container .bao-radio-button-description{color:#adb2bd}.bao-radio-button.bao-radio-button-hidden-label .bao-radio-button-label{clip:rect(1px,1px,1px,1px);clip-path:inset(50%);height:1px;width:1px;margin:-1px;overflow:hidden;padding:0;position:absolute}.bao-radio-button.bao-radio-button-hidden-label label.bao-radio-button-content-container .bao-radio-button-description{margin-top:0}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-radio-button, [bao-radio-button]', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BaoRadioButtonComponent),
                            multi: true
                        }
                    ], encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-radio-button',
                        '[class.bao-radio-button-inline]': 'inline',
                        '[class.bao-radio-button-checked]': 'checked',
                        '[class.bao-radio-button-disabled]': 'disabled',
                        '[class.bao-radio-button-card]': 'brandBorder',
                        '[class.bao-radio-button-hidden-label]': 'hiddenLabel'
                    }, template: "<input\n  #input\n  type=\"radio\"\n  [id]=\"inputID\"\n  [checked]=\"checked\"\n  [disabled]=\"disabled\"\n  [attr.name]=\"name\"\n  [attr.value]=\"value\"\n  [required]=\"required\"\n  [attr.aria-label]=\"ariaLabel\"\n  [attr.aria-labelledby]=\"ariaLabelledby\"\n  [attr.aria-describedby]=\"ariaDescribedby\"\n  (change)=\"onInputInteraction($event)\"\n  role=\"radio\"\n/>\n<label class=\"bao-radio-button-content-container\" [attr.for]=\"inputID\">\n  <div class=\"bao-radio-button-label\" [id]=\"ariaLabelledby\">\n    <ng-content></ng-content>\n  </div>\n  <ng-content\n    select=\"bao-radio-button-description, [bao-radio-button-description], [baoRadioButtonDescription]\"\n  ></ng-content>\n</label>\n", styles: [".bao-radio-button{display:block;font-size:1rem;line-height:1.5rem;min-height:1.5rem;padding-top:.5rem;padding-bottom:.5rem;padding-left:2rem;position:relative;z-index:1}.bao-radio-button input{box-sizing:border-box;left:0;opacity:0;overflow:visible;padding:0;position:absolute;z-index:-1}.bao-radio-button input:focus~.bao-radio-button-content-container:before{box-shadow:0 0 0 .1875rem #0079c480}.bao-radio-button label.bao-radio-button-content-container{color:#212529;font-weight:400;font-size:1rem;line-height:1.5rem;margin-bottom:0;position:relative;vertical-align:top}.bao-radio-button label.bao-radio-button-content-container:before{border-radius:50%;box-sizing:border-box;position:absolute;top:0;left:-2rem;display:block;margin:.125rem;width:1.25rem;height:1.25rem;pointer-events:none;content:\"\";background-color:#fff;border:#ced4da solid 1px;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}.bao-radio-button label.bao-radio-button-content-container:after{box-sizing:border-box;background:no-repeat 50%/1.5rem;content:\"\";display:block;height:1.5rem;left:-2rem;margin:0;position:absolute;top:0;width:1.5rem}.bao-radio-button label.bao-radio-button-content-container .bao-radio-button-label{color:#212529;display:block}.bao-radio-button label.bao-radio-button-content-container .bao-radio-button-description{color:#637381;display:block;margin-top:.5rem}.bao-radio-button.bao-radio-button-inline{display:inline-flex;margin-right:1rem}.bao-radio-button.bao-radio-button-card{padding:0;margin-bottom:1rem}.bao-radio-button.bao-radio-button-card:last-of-type{margin-bottom:0}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container{display:flex;flex-direction:column;flex:1;justify-content:center;padding:1rem 1rem 1rem 3.5rem;position:relative;border:1px solid #ced4da;border-radius:.25rem;color:#637381;min-height:3.5rem}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container:before{top:1rem;left:0;margin-left:1.125rem}.bao-radio-button.bao-radio-button-card label.bao-radio-button-content-container:after{top:1rem;left:0;margin-left:1rem}.bao-radio-button input:checked~.bao-radio-button-content-container:before{border-color:#097d6c;background-color:#097d6c}.bao-radio-button input:checked~.bao-radio-button-content-container:after{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3e%3ccircle cx='12' cy='12' r='4' fill='%23ffffff'/%3e%3c/svg%3e\")}.bao-radio-button input:disabled~.bao-radio-button-content-container{color:#adb2bd;border-color:#dee2e6}.bao-radio-button input:disabled~.bao-radio-button-content-container:before{border-color:#ced4da;background-color:#ced4da}.bao-radio-button input:disabled~.bao-radio-button-content-container .bao-radio-button-label,.bao-radio-button input:disabled~.bao-radio-button-content-container .bao-radio-button-description{color:#adb2bd}.bao-radio-button.bao-radio-button-hidden-label .bao-radio-button-label{clip:rect(1px,1px,1px,1px);clip-path:inset(50%);height:1px;width:1px;margin:-1px;overflow:hidden;padding:0;position:absolute}.bao-radio-button.bao-radio-button-hidden-label label.bao-radio-button-content-container .bao-radio-button-description{margin-top:0}\n"] }]
        }], ctorParameters: () => [{ type: BaoRadioButtonGroupComponent, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [BAO_RADIO_GROUP]
                }] }, { type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$3.FocusMonitor }, { type: i2.UniqueSelectionDispatcher }], propDecorators: { id: [{
                type: Input
            }], ariaLabel: [{
                type: Input,
                args: ['aria-label']
            }], brandBorder: [{
                type: Input
            }], inline: [{
                type: Input
            }], name: [{
                type: Input
            }], hiddenLabel: [{
                type: Input
            }], change: [{
                type: Output
            }], inputElement: [{
                type: ViewChild,
                args: ['input', { static: false }]
            }], checked: [{
                type: Input
            }], value: [{
                type: Input
            }], disabled: [{
                type: Input
            }], required: [{
                type: Input
            }] } });
class BaoRadioDescription {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioDescription, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoRadioDescription, selector: "bao-radio-button-description, [bao-radio-button-description],  [baoRadioButtonDescription]", host: { classAttribute: "bao-radio-button-description" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioDescription, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-radio-button-description, [bao-radio-button-description],  [baoRadioButtonDescription]',
                    host: { class: 'bao-radio-button-description' }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const RADIO_DIRECTIVES = [
    BaoRadioButtonComponent,
    BaoRadioDescription,
    BaoRadioButtonGroupComponent
];
class BaoRadioModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioModule, declarations: [BaoRadioButtonComponent,
            BaoRadioDescription,
            BaoRadioButtonGroupComponent], imports: [CommonModule,
            FormsModule,
            ReactiveFormsModule,
            BaoCommonComponentsModule,
            BaoButtonModule,
            ObserversModule], exports: [BaoRadioButtonComponent,
            BaoRadioDescription,
            BaoRadioButtonGroupComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioModule, imports: [CommonModule,
            FormsModule,
            ReactiveFormsModule,
            BaoCommonComponentsModule,
            BaoButtonModule,
            ObserversModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoRadioModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        FormsModule,
                        ReactiveFormsModule,
                        BaoCommonComponentsModule,
                        BaoButtonModule,
                        ObserversModule
                    ],
                    declarations: RADIO_DIRECTIVES,
                    exports: RADIO_DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/** Injection token that can be used to access the data that was passed in to a snack bar. */
const BAO_SNACK_BAR_DATA = new InjectionToken('BaoSnackBarData');
/**
 * Configuration used when opening a snack-bar.
 */
class BaoSnackBarConfig {
    constructor() {
        /** The message to display in the snackbar. */
        this.message = 'No message';
        /** The type of snackbar template to display. */
        this.toastType = 'info';
        /**
         * The attached action to the snack bar. If the name of the action matches an icon provided as part of
         * angular-ui icon dictionnary an icon will be displayed instead of text.
         * */
        this.actionLabelOrIcon = '';
        /** Displays the close button when set to true */
        this.showClose = false;
        /** The length of time in milliseconds to wait before automatically dismissing the snack bar. */
        this.duration = 5000;
        /** The politeness level for the MatAriaLiveAnnouncer announcement. */
        this.politeness = 'assertive';
        /**
         * Message to be announced by the LiveAnnouncer. When opening a snackbar without a custom
         * component or template, the announcement message will default to the specified message.
         */
        this.announcementMessage = '';
        /** Data being injected into the child component. */
        this.data = null;
        /** The horizontal position to place the snack bar. */
        this.horizontalPosition = 'left';
        /** The vertical position to place the snack bar. */
        this.verticalPosition = 'bottom';
    }
}

/** Maximum amount of milliseconds that can be passed into setTimeout. */
const MAX_TIMEOUT = Math.pow(2, 31) - 1;
/**
 * Reference to a snack bar dispatched from the snack bar service.
 */
class BaoSnackBarRef {
    constructor(containerInstance, _overlayRef) {
        this._overlayRef = _overlayRef;
        /** Subject for notifying the user that the snack bar has been dismissed. */
        this._afterDismissed = new Subject();
        /** Subject for notifying the user that the snack bar has opened and appeared. */
        this._afterOpened = new Subject();
        /** Subject for notifying the user that the snack bar action was called. */
        this._onAction = new Subject();
        /** Whether the snack bar was dismissed using the action button. */
        this._dismissedByAction = false;
        this.containerInstance = containerInstance;
        // Dismiss snackbar on action.
        this.onAction().subscribe(() => this.dismiss());
        containerInstance._onExit.subscribe(() => this.finishDismiss());
    }
    /** Dismisses the snack bar. */
    dismiss() {
        if (!this._afterDismissed.closed) {
            this.containerInstance.exit();
        }
        clearTimeout(this._durationTimeoutId);
    }
    /** Marks the snackbar action clicked. */
    dismissWithAction() {
        if (!this._onAction.closed) {
            this._dismissedByAction = true;
            this._onAction.next();
            this._onAction.complete();
        }
    }
    /** Dismisses the snack bar after some duration */
    dismissAfter(duration) {
        // Note that we need to cap the duration to the maximum value for setTimeout, because
        // it'll revert to 1 if somebody passes in something greater (e.g. `Infinity`). See #17234.
        // @TODO: window.setTimeout() ?
        this._durationTimeoutId = window.setTimeout(() => this.dismiss(), Math.min(duration, MAX_TIMEOUT));
    }
    /** Marks the snackbar as opened */
    open() {
        if (!this._afterOpened.closed) {
            this._afterOpened.next();
            this._afterOpened.complete();
        }
    }
    /** Gets an observable that is notified when the snack bar is finished closing. */
    afterDismissed() {
        return this._afterDismissed;
    }
    /** Gets an observable that is notified when the snack bar has opened and appeared. */
    afterOpened() {
        return this.containerInstance._onEnter;
    }
    /** Gets an observable that is notified when the snack bar action is called. */
    onAction() {
        return this._onAction;
    }
    /** Cleans up the DOM after closing. */
    finishDismiss() {
        this._overlayRef.dispose();
        if (!this._onAction.closed) {
            this._onAction.complete();
        }
        this._afterDismissed.next({ dismissedByAction: this._dismissedByAction });
        this._afterDismissed.complete();
        this._dismissedByAction = false;
    }
}

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const toastTypeToAttributes = {
    info: {
        toastClass: 'bao-snackbar-info',
        icon: 'icon-info',
        iconTitle: 'Information',
        politeness: 'assertive'
    },
    success: {
        toastClass: 'bao-snackbar-success',
        icon: 'icon-check-circle',
        iconTitle: 'Succès',
        politeness: 'polite'
    },
    danger: {
        toastClass: 'bao-snackbar-danger',
        icon: 'icon-error',
        iconTitle: 'Erreur',
        politeness: 'assertive'
    }
};
/**
 * A component used to open as the default snack bar, matching material spec.
 * This should only be used internally by the snack bar service.
 */
class BaoSimpleSnackBarComponent {
    constructor(snackBarRef, data) {
        this.snackBarRef = snackBarRef;
        this.showCloseTitle = 'Fermer le message';
        this.data = data;
    }
    /** Returns the politeness */
    get politeness() {
        return (toastTypeToAttributes[this.data.toastType]?.politeness ||
            toastTypeToAttributes['info'].politeness);
    }
    /** Returns the toast class */
    get toastClass() {
        return (toastTypeToAttributes[this.data.toastType]?.toastClass ||
            toastTypeToAttributes['info'].toastClass);
    }
    /** Returns the toast icon */
    get toastIcon() {
        return (toastTypeToAttributes[this.data.toastType]?.icon ||
            toastTypeToAttributes['info'].icon);
    }
    /** Returns the toast icon title */
    get toastIconTitle() {
        return (toastTypeToAttributes[this.data.toastType]?.iconTitle ||
            toastTypeToAttributes['info'].iconTitle);
    }
    /** If the action button should be shown. */
    get hasAction() {
        return !!this.data.actionLabelOrIcon;
    }
    /** If the action is an icon */
    get isActionIcon() {
        return !!ICONS_DCT[this.data.actionLabelOrIcon];
    }
    /** Performs the action on the snack bar. */
    action() {
        this.snackBarRef.dismissWithAction();
    }
    /** Closes the snack bar. */
    close() {
        this.snackBarRef.dismiss();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSimpleSnackBarComponent, deps: [{ token: BaoSnackBarRef }, { token: BAO_SNACK_BAR_DATA }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoSimpleSnackBarComponent, selector: "bao-simple-snack-bar", host: { classAttribute: "bao-simple-snackbar" }, ngImport: i0, template: "<div\n  class=\"bao-snackbar show\"\n  [ngClass]=\"toastClass\"\n  [attr.aria-live]=\"politeness\"\n  aria-atomic=\"true\"\n>\n  <div class=\"bao-snackbar-icon\">\n    <bao-icon [svgIcon]=\"toastIcon\" [title]=\"toastIconTitle\"></bao-icon>\n  </div>\n  <div class=\"bao-snackbar-body\">\n    {{ data.message }}\n  </div>\n  <div class=\"bao-snackbar-action\">\n    <div *ngIf=\"hasAction\">\n      <button\n        bao-button\n        role=\"button\"\n        type=\"utility\"\n        level=\"tertiary\"\n        [reversed]=\"true\"\n        [title]=\"data.actionLabelOrIcon\"\n        (click)=\"action()\"\n      >\n        <bao-icon\n          *ngIf=\"isActionIcon; else isActionText\"\n          [svgIcon]=\"data.actionLabelOrIcon\"\n          [title]=\"data.actionLabelOrIcon\"\n        ></bao-icon>\n        <ng-template #isActionText\n          ><span>{{ data.actionLabelOrIcon }}</span></ng-template\n        >\n      </button>\n    </div>\n    <div *ngIf=\"data.showClose\">\n      <button\n        bao-button\n        role=\"button\"\n        type=\"utility\"\n        level=\"tertiary\"\n        [reversed]=\"true\"\n        title=\"{{ showCloseTitle }}\"\n        (click)=\"close()\"\n      >\n        <bao-icon svgIcon=\"icon-x\" title=\"{{ showCloseTitle }}\"></bao-icon>\n      </button>\n    </div>\n  </div>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-snackbar{overflow:hidden;font-size:.875rem;line-height:1.25rem;color:#fff;background-color:#004b7b;background-clip:padding-box;box-shadow:0 2px 8px #0000001a;-webkit-backdrop-filter:blur(10px);backdrop-filter:blur(10px);opacity:0;border-radius:.25rem;width:100%}.bao-snackbar:not(:last-child){margin-bottom:1rem}.bao-snackbar.showing{opacity:1}.bao-snackbar.show{display:inline-flex;opacity:1}.bao-snackbar.hide{display:none}@media (min-width: 768px){.bao-snackbar{margin:1rem;width:auto}}.bao-snackbar-icon{display:inline-flex;align-items:center;flex-grow:0;margin:1rem 0 1rem 1rem}.bao-snackbar-body{display:flex;align-items:center;padding:1rem;margin:0}.bao-snackbar-action{display:flex;align-items:center;margin-left:auto}.bao-snackbar-action:last-child{margin-right:.5rem}.bao-snackbar-info{color:#fff;background-color:#004b7b}.bao-snackbar-success{color:#fff;background-color:#025d29}.bao-snackbar-danger{color:#fff;background-color:#851a00}\n"], dependencies: [{ kind: "directive", type: i1$1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1$1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: BaoButtonComponent, selector: "button[bao-button]", inputs: ["displayType", "level", "size", "loading", "reversed", "loadingSpinnerAriaLabel", "fullWidth"] }, { kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSimpleSnackBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-simple-snack-bar', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-simple-snackbar'
                    }, template: "<div\n  class=\"bao-snackbar show\"\n  [ngClass]=\"toastClass\"\n  [attr.aria-live]=\"politeness\"\n  aria-atomic=\"true\"\n>\n  <div class=\"bao-snackbar-icon\">\n    <bao-icon [svgIcon]=\"toastIcon\" [title]=\"toastIconTitle\"></bao-icon>\n  </div>\n  <div class=\"bao-snackbar-body\">\n    {{ data.message }}\n  </div>\n  <div class=\"bao-snackbar-action\">\n    <div *ngIf=\"hasAction\">\n      <button\n        bao-button\n        role=\"button\"\n        type=\"utility\"\n        level=\"tertiary\"\n        [reversed]=\"true\"\n        [title]=\"data.actionLabelOrIcon\"\n        (click)=\"action()\"\n      >\n        <bao-icon\n          *ngIf=\"isActionIcon; else isActionText\"\n          [svgIcon]=\"data.actionLabelOrIcon\"\n          [title]=\"data.actionLabelOrIcon\"\n        ></bao-icon>\n        <ng-template #isActionText\n          ><span>{{ data.actionLabelOrIcon }}</span></ng-template\n        >\n      </button>\n    </div>\n    <div *ngIf=\"data.showClose\">\n      <button\n        bao-button\n        role=\"button\"\n        type=\"utility\"\n        level=\"tertiary\"\n        [reversed]=\"true\"\n        title=\"{{ showCloseTitle }}\"\n        (click)=\"close()\"\n      >\n        <bao-icon svgIcon=\"icon-x\" title=\"{{ showCloseTitle }}\"></bao-icon>\n      </button>\n    </div>\n  </div>\n</div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-snackbar{overflow:hidden;font-size:.875rem;line-height:1.25rem;color:#fff;background-color:#004b7b;background-clip:padding-box;box-shadow:0 2px 8px #0000001a;-webkit-backdrop-filter:blur(10px);backdrop-filter:blur(10px);opacity:0;border-radius:.25rem;width:100%}.bao-snackbar:not(:last-child){margin-bottom:1rem}.bao-snackbar.showing{opacity:1}.bao-snackbar.show{display:inline-flex;opacity:1}.bao-snackbar.hide{display:none}@media (min-width: 768px){.bao-snackbar{margin:1rem;width:auto}}.bao-snackbar-icon{display:inline-flex;align-items:center;flex-grow:0;margin:1rem 0 1rem 1rem}.bao-snackbar-body{display:flex;align-items:center;padding:1rem;margin:0}.bao-snackbar-action{display:flex;align-items:center;margin-left:auto}.bao-snackbar-action:last-child{margin-right:.5rem}.bao-snackbar-info{color:#fff;background-color:#004b7b}.bao-snackbar-success{color:#fff;background-color:#025d29}.bao-snackbar-danger{color:#fff;background-color:#851a00}\n"] }]
        }], ctorParameters: () => [{ type: BaoSnackBarRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [BAO_SNACK_BAR_DATA]
                }] }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Animations used by the Material snack bar.
 * @docs-private
 */
const matSnackBarAnimations = {
    /** Animation that shows and hides a snack bar. */
    snackBarState: trigger('state', [
        state('void, hidden', style({
            transform: 'scale(0.8)',
            opacity: 0
        })),
        state('visible', style({
            transform: 'scale(1)',
            opacity: 1
        })),
        transition('* => visible', animate('150ms cubic-bezier(0, 0, 0.2, 1)')),
        transition('* => void, * => hidden', animate('75ms cubic-bezier(0.4, 0.0, 1, 1)', style({
            opacity: 0
        })))
    ])
};

let uniqueId = 0;
/**
 * Internal component that wraps user-provided snack bar content.
 * @docs-private
 */
class BaoSnackBarContainerComponent extends BasePortalOutlet {
    constructor(_ngZone, _elementRef, _changeDetectorRef, _platform, 
    /** The snack bar configuration. */
    snackBarConfig) {
        super();
        this._ngZone = _ngZone;
        this._elementRef = _elementRef;
        this._changeDetectorRef = _changeDetectorRef;
        this._platform = _platform;
        this.snackBarConfig = snackBarConfig;
        this._document = inject(DOCUMENT);
        this._trackedModals = new Set();
        /** Subject for notifying that the snack bar has announced to screen readers. */
        this._onAnnounce = new Subject();
        /** Subject for notifying that the snack bar has exited from view. */
        this._onExit = new Subject();
        /** Subject for notifying that the snack bar has finished entering the view. */
        this._onEnter = new Subject();
        /** The state of the snack bar animations. */
        this._animationState = 'void';
        /** The number of milliseconds to wait before announcing the snack bar's content. */
        this._announceDelay = 150;
        /** Whether the component has been destroyed. */
        this._destroyed = false;
        /** Unique ID of the aria-live element. */
        this._liveElementId = `bao-snack-bar-container-live-${uniqueId++}`;
        /**
         * Attaches a DOM portal to the snack bar container.
         * @deprecated To be turned into a method.
         * @breaking-change 10.0.0
         */
        this.attachDomPortal = (portal) => {
            this.assertNotAttached();
            const result = this._portalOutlet.attachDomPortal(portal);
            this._afterPortalAttached();
            return result;
        };
        // Use aria-live rather than a live role like 'alert' or 'status'
        // because NVDA and JAWS have show inconsistent behavior with live roles.
        if (snackBarConfig.politeness === 'assertive' &&
            !snackBarConfig.announcementMessage) {
            this._live = 'assertive';
        }
        else if (snackBarConfig.politeness === 'off') {
            this._live = 'off';
        }
        else {
            this._live = 'polite';
        }
        // Only set role for Firefox. Set role based on aria-live because setting role="alert" implies
        // aria-live="assertive" which may cause issues if aria-live is set to "polite" above.
        if (this._platform.FIREFOX) {
            if (this._live === 'polite') {
                this._role = 'status';
            }
            if (this._live === 'assertive') {
                this._role = 'alert';
            }
        }
    }
    /** Attach a component portal as content to this snack bar container. */
    attachComponentPortal(portal) {
        this.assertNotAttached();
        this.applySnackBarClasses();
        const result = this._portalOutlet.attachComponentPortal(portal);
        this._afterPortalAttached();
        return result;
    }
    /** Attach a template portal as content to this snack bar container. */
    attachTemplatePortal(portal) {
        this.assertNotAttached();
        this.applySnackBarClasses();
        const result = this._portalOutlet.attachTemplatePortal(portal);
        this._afterPortalAttached();
        return result;
    }
    /** Handle end of animations, updating the state of the snackbar. */
    onAnimationEnd(event) {
        const { fromState, toState } = event;
        if ((toState === 'void' && fromState !== 'void') || toState === 'hidden') {
            this.completeExit();
        }
        if (toState === 'visible') {
            // Note: we shouldn't use `this` inside the zone callback,
            // because it can cause a memory leak.
            const onEnter = this._onEnter;
            this._ngZone.run(() => {
                onEnter.next();
                onEnter.complete();
            });
        }
    }
    /** Begin animation of snack bar entrance into view. */
    enter() {
        if (!this._destroyed) {
            this._animationState = 'visible';
            this._changeDetectorRef.detectChanges();
            this.screenReaderAnnounce();
        }
    }
    /** Begin animation of the snack bar exiting from view. */
    exit() {
        // Note: this one transitions to `hidden`, rather than `void`, in order to handle the case
        // where multiple snack bars are opened in quick succession (e.g. two consecutive calls to
        // `MatSnackBar.open`).
        this._animationState = 'hidden';
        // Mark this element with an 'exit' attribute to indicate that the snackbar has
        // been dismissed and will soon be removed from the DOM. This is used by the snackbar
        // test harness.
        this._elementRef.nativeElement.setAttribute('mat-exit', '');
        // If the snack bar hasn't been announced by the time it exits it wouldn't have been open
        // long enough to visually read it either, so clear the timeout for announcing.
        clearTimeout(this._announceTimeoutId);
        return this._onExit;
    }
    /** Makes sure the exit callbacks have been invoked when the element is destroyed. */
    ngOnDestroy() {
        this._destroyed = true;
        this.completeExit();
    }
    /**
     * Waits for the zone to settle before removing the element. Helps prevent
     * errors where we end up removing an element which is in the middle of an animation.
     */
    completeExit() {
        this._ngZone.onMicrotaskEmpty.pipe(take$1(1)).subscribe(() => {
            this._onExit.next();
            this._onExit.complete();
        });
    }
    /** Applies the various positioning and user-configured CSS classes to the snack bar. */
    applySnackBarClasses() {
        const element = this._elementRef.nativeElement;
        const panelClasses = this.snackBarConfig.panelClass;
        if (panelClasses) {
            if (Array.isArray(panelClasses)) {
                // Note that we can't use a spread here, because IE doesn't support multiple arguments.
                panelClasses.forEach(cssClass => element.classList.add(cssClass));
            }
            else {
                element.classList.add(panelClasses);
            }
        }
        if (this.snackBarConfig.horizontalPosition === 'center') {
            element.classList.add('bao-snack-bar-center');
        }
        if (this.snackBarConfig.verticalPosition === 'top') {
            element.classList.add('bao-snack-bar-top');
        }
    }
    /**
     * Called after the portal contents have been attached. Can be
     * used to modify the DOM once it's guaranteed to be in place.
     */
    _afterPortalAttached() {
        const element = this._elementRef.nativeElement;
        const panelClasses = this.snackBarConfig.panelClass;
        if (panelClasses) {
            if (Array.isArray(panelClasses)) {
                // Note that we can't use a spread here, because IE doesn't support multiple arguments.
                panelClasses.forEach(cssClass => element.classList.add(cssClass));
            }
            else {
                element.classList.add(panelClasses);
            }
        }
        this._exposeToModals();
    }
    /**
     * Some browsers won't expose the accessibility node of the live element if there is an
     * `aria-modal` and the live element is outside of it. This method works around the issue by
     * pointing the `aria-owns` of all modals to the live element.
     */
    _exposeToModals() {
        // Note that the selector here is limited to CDK overlays at the moment in order to reduce the
        // section of the DOM we need to look through. This should cover all the cases we support, but
        // the selector can be expanded if it turns out to be too narrow.
        const id = this._liveElementId;
        const modals = this._document.querySelectorAll('body > .cdk-overlay-container [aria-modal="true"]');
        for (let i = 0; i < modals.length; i++) {
            const modal = modals[i];
            const ariaOwns = modal.getAttribute('aria-owns');
            this._trackedModals.add(modal);
            if (!ariaOwns) {
                modal.setAttribute('aria-owns', id);
            }
            else if (ariaOwns.indexOf(id) === -1) {
                modal.setAttribute('aria-owns', ariaOwns + ' ' + id);
            }
        }
    }
    /** Clears the references to the live element from any modals it was added to. */
    _clearFromModals() {
        this._trackedModals.forEach(modal => {
            const ariaOwns = modal.getAttribute('aria-owns');
            if (ariaOwns) {
                const newValue = ariaOwns.replace(this._liveElementId, '').trim();
                if (newValue.length > 0) {
                    modal.setAttribute('aria-owns', newValue);
                }
                else {
                    modal.removeAttribute('aria-owns');
                }
            }
        });
        this._trackedModals.clear();
    }
    /** Asserts that no content is already attached to the container. */
    assertNotAttached() {
        if (this._portalOutlet.hasAttached()) {
            throw Error('Attempting to attach snack bar content after content is already attached');
        }
    }
    /**
     * Starts a timeout to move the snack bar content to the live region so screen readers will
     * announce it.
     */
    screenReaderAnnounce() {
        if (!this._announceTimeoutId) {
            this._ngZone.runOutsideAngular(() => {
                this._announceTimeoutId = window.setTimeout(() => {
                    const inertElement = this._elementRef.nativeElement.querySelector('[aria-hidden]');
                    const liveElement = this._elementRef.nativeElement.querySelector('[aria-live]');
                    if (inertElement && liveElement) {
                        // If an element in the snack bar content is focused before being moved
                        // track it and restore focus after moving to the live region.
                        let focusedElement = null;
                        if (this._platform.isBrowser &&
                            document.activeElement instanceof HTMLElement &&
                            inertElement.contains(document.activeElement)) {
                            focusedElement = document.activeElement;
                        }
                        inertElement.removeAttribute('aria-hidden');
                        try {
                            liveElement.appendChild(inertElement);
                        }
                        catch (error) {
                            console.warn(error);
                        }
                        focusedElement?.focus();
                        this._onAnnounce.next();
                        this._onAnnounce.complete();
                    }
                }, this._announceDelay);
            });
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarContainerComponent, deps: [{ token: i0.NgZone }, { token: i0.ElementRef }, { token: i0.ChangeDetectorRef }, { token: i1$5.Platform }, { token: BaoSnackBarConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoSnackBarContainerComponent, selector: "bao-snack-bar-container", host: { listeners: { "@state.done": "onAnimationEnd($event)" }, properties: { "@state": "_animationState" }, classAttribute: "bao-snack-bar-container" }, viewQueries: [{ propertyName: "_portalOutlet", first: true, predicate: CdkPortalOutlet, descendants: true, static: true }], usesInheritance: true, ngImport: i0, template: "<!-- Initialy holds the snack bar content, will be empty after announcing to screen readers. -->\n<div aria-hidden=\"true\">\n  <ng-template cdkPortalOutlet></ng-template>\n</div>\n\n<!-- Will receive the snack bar content from the non-live div, move will happen a short delay after opening -->\n<div\n  [attr.aria-live]=\"_live\"\n  [attr.role]=\"_role\"\n  [attr.id]=\"_liveElementId\"\n></div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.cdk-overlay-pane{width:100%}@media (min-width: 768px){.cdk-overlay-pane{margin:0;width:auto}}.bao-snack-bar-container{border-radius:.25rem;box-sizing:border-box;display:block;margin:1rem;max-width:100vw;min-width:15rem;min-height:3rem;transform-origin:center;width:100%}\n"], dependencies: [{ kind: "directive", type: i3.CdkPortalOutlet, selector: "[cdkPortalOutlet]", inputs: ["cdkPortalOutlet"], outputs: ["attached"], exportAs: ["cdkPortalOutlet"] }], animations: [matSnackBarAnimations.snackBarState], changeDetection: i0.ChangeDetectionStrategy.Default, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-snack-bar-container', changeDetection: ChangeDetectionStrategy.Default, encapsulation: ViewEncapsulation.None, animations: [matSnackBarAnimations.snackBarState], host: {
                        class: 'bao-snack-bar-container',
                        '[@state]': '_animationState',
                        '(@state.done)': 'onAnimationEnd($event)'
                    }, template: "<!-- Initialy holds the snack bar content, will be empty after announcing to screen readers. -->\n<div aria-hidden=\"true\">\n  <ng-template cdkPortalOutlet></ng-template>\n</div>\n\n<!-- Will receive the snack bar content from the non-live div, move will happen a short delay after opening -->\n<div\n  [attr.aria-live]=\"_live\"\n  [attr.role]=\"_role\"\n  [attr.id]=\"_liveElementId\"\n></div>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.cdk-overlay-pane{width:100%}@media (min-width: 768px){.cdk-overlay-pane{margin:0;width:auto}}.bao-snack-bar-container{border-radius:.25rem;box-sizing:border-box;display:block;margin:1rem;max-width:100vw;min-width:15rem;min-height:3rem;transform-origin:center;width:100%}\n"] }]
        }], ctorParameters: () => [{ type: i0.NgZone }, { type: i0.ElementRef }, { type: i0.ChangeDetectorRef }, { type: i1$5.Platform }, { type: BaoSnackBarConfig }], propDecorators: { _portalOutlet: [{
                type: ViewChild,
                args: [CdkPortalOutlet, { static: true }]
            }] } });

function baoFactory() {
    return new BaoSnackBarConfig();
}
/** Injection token that can be used to specify default snack bar. */
const BAO_SNACK_BAR_DEFAULT_OPTIONS = new InjectionToken('bao-snack-bar-default-options', {
    providedIn: 'root',
    factory: baoFactory
});
/**
 * Service to dispatch Material Design snack bar messages.
 */
class BaoSnackBarService {
    constructor(_overlay, _live, _injector, _parentSnackBar, _defaultConfig) {
        this._overlay = _overlay;
        this._live = _live;
        this._injector = _injector;
        this._parentSnackBar = _parentSnackBar;
        this._defaultConfig = _defaultConfig;
        /** The component that should be rendered as the snack bar's simple component. */
        this.simpleSnackBarComponent = BaoSimpleSnackBarComponent;
        /** The container component that attaches the provided template or component. */
        this.snackBarContainerComponent = BaoSnackBarContainerComponent;
        /**
         * Reference to the current snack bar in the view *at this level* (in the Angular injector tree).
         * If there is a parent snack-bar service, all operations should delegate to that parent
         * via `_openedSnackBarRef`.
         */
        this._snackBarRefAtThisLevel = null;
    }
    /** Reference to the currently opened snackbar at *any* level. */
    get _openedSnackBarRef() {
        const parent = this._parentSnackBar;
        return parent ? parent._openedSnackBarRef : this._snackBarRefAtThisLevel;
    }
    set _openedSnackBarRef(value) {
        if (this._parentSnackBar) {
            this._parentSnackBar._openedSnackBarRef = value;
        }
        else {
            this._snackBarRefAtThisLevel = value;
        }
    }
    /**
     * Creates and dispatches a snack bar with a custom component for the content, removing any
     * currently opened snack bars.
     *
     * @param component Component to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromComponent(component, config) {
        return this.attach(component, config);
    }
    /**
     * Creates and dispatches a snack bar with a custom template for the content, removing any
     * currently opened snack bars.
     *
     * @param template Template to be instantiated.
     * @param config Extra configuration for the snack bar.
     */
    openFromTemplate(template, config) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return this.attach(template, config);
    }
    /**
     * Opens a snackbar with a message and an optional action.
     * @param message The message to show in the snackbar.
     * @param toastType The type of of toast to display the snackbar.
     * @param actionLabelOrIcon The label or icon for the snackbar action.
     * @param showClose If true, the snackbar will require user interaction to close.
     * @param config Additional configuration options for the snackbar.
     */
    open(config) {
        const _config = { ...this._defaultConfig, ...config };
        // Since the user doesn't have access to the component, we can
        // override the data to pass in our own message, action and type.
        _config.data = {
            message: _config.message,
            toastType: _config.toastType,
            actionLabelOrIcon: _config.actionLabelOrIcon,
            showClose: _config.showClose
        };
        if (_config.showClose)
            _config.duration = 0;
        if (!_config.announcementMessage) {
            _config.announcementMessage = _config.message;
        }
        return this.openFromComponent(this.simpleSnackBarComponent, _config);
    }
    /**
     * Dismisses the currently-visible snack bar.
     */
    dismiss() {
        if (this._openedSnackBarRef) {
            this._openedSnackBarRef.dismiss();
        }
    }
    ngOnDestroy() {
        // Only dismiss the snack bar at the current level on destroy.
        if (this._snackBarRefAtThisLevel) {
            this._snackBarRefAtThisLevel.dismiss();
        }
    }
    /**
     * Attaches the snack bar container component to the overlay.
     */
    attachSnackBarContainer(overlayRef, config) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        const injector = new PortalInjector(userInjector || this._injector, new WeakMap([[BaoSnackBarConfig, config]]));
        const containerPortal = new ComponentPortal(this.snackBarContainerComponent, config.viewContainerRef, injector);
        const containerRef = overlayRef.attach(containerPortal);
        containerRef.instance.snackBarConfig = config;
        return containerRef.instance;
    }
    /**
     * Places a new component or a template as the content of the snack bar container.
     */
    attach(content, userConfig) {
        const config = {
            ...new BaoSnackBarConfig(),
            ...this._defaultConfig,
            ...userConfig
        };
        const overlayRef = this.createOverlay(config);
        const container = this.attachSnackBarContainer(overlayRef, config);
        const snackBarRef = new BaoSnackBarRef(container, overlayRef);
        if (content instanceof TemplateRef) {
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            const portal = new TemplatePortal(content, null, {
                $implicit: config.data,
                snackBarRef
            });
            snackBarRef.instance = container.attachTemplatePortal(portal);
        }
        else {
            const injector = this.createInjector(config, snackBarRef);
            const portal = new ComponentPortal(content, undefined, injector);
            const contentRef = container.attachComponentPortal(portal);
            // We can't pass this via the injector, because the injector is created earlier.
            snackBarRef.instance = contentRef.instance;
        }
        this.animateSnackBar(snackBarRef, config);
        this._openedSnackBarRef = snackBarRef;
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return
        return this._openedSnackBarRef;
    }
    /** Animates the old snack bar out and the new one in. */
    animateSnackBar(snackBarRef, config) {
        // When the snackbar is dismissed, clear the reference to it.
        snackBarRef.afterDismissed().subscribe(() => {
            // Clear the snackbar ref if it hasn't already been replaced by a newer snackbar.
            // eslint-disable-next-line eqeqeq
            if (this._openedSnackBarRef == snackBarRef) {
                this._openedSnackBarRef = null;
            }
            if (config.announcementMessage) {
                this._live.clear();
            }
        });
        if (this._openedSnackBarRef) {
            // If a snack bar is already in view, dismiss it and enter the
            // new snack bar after exit animation is complete.
            this._openedSnackBarRef.afterDismissed().subscribe(() => {
                snackBarRef.containerInstance.enter();
            });
            this._openedSnackBarRef.dismiss();
        }
        else {
            // If no snack bar is in view, enter the new snack bar.
            snackBarRef.containerInstance.enter();
        }
        // If a dismiss timeout is provided, set up dismiss based on after the snackbar is opened.
        if (config.duration && config.duration > 0) {
            snackBarRef
                .afterOpened()
                .subscribe(() => snackBarRef.dismissAfter(config.duration));
        }
        if (config.announcementMessage) {
            void this._live.announce(config.announcementMessage, config.politeness);
        }
    }
    /**
     * Creates a new overlay and places it in the correct location.
     * @param config The user-specified snack bar config.
     */
    createOverlay(config) {
        const overlayConfig = new OverlayConfig();
        overlayConfig.direction = config.direction;
        const positionStrategy = this._overlay.position().global();
        // Set horizontal position.
        const isRtl = config.direction === 'rtl';
        const isLeft = config.horizontalPosition === 'left' ||
            (config.horizontalPosition === 'start' && !isRtl) ||
            (config.horizontalPosition === 'end' && isRtl);
        const isRight = !isLeft && config.horizontalPosition !== 'center';
        if (isLeft) {
            positionStrategy.left('0');
        }
        else if (isRight) {
            positionStrategy.right('0');
        }
        else {
            positionStrategy.centerHorizontally();
        }
        // Set horizontal position.
        if (config.verticalPosition === 'top') {
            positionStrategy.top('0');
        }
        else {
            positionStrategy.bottom('0');
        }
        overlayConfig.positionStrategy = positionStrategy;
        return this._overlay.create(overlayConfig);
    }
    /**
     * Creates an injector to be used inside of a snack bar component.
     * @param config Config that was used to create the snack bar.
     * @param snackBarRef Reference to the snack bar.
     */
    createInjector(config, snackBarRef) {
        const userInjector = config && config.viewContainerRef && config.viewContainerRef.injector;
        return new PortalInjector(userInjector || this._injector, new WeakMap([
            [BaoSnackBarRef, snackBarRef],
            [BAO_SNACK_BAR_DATA, config.data]
        ]));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarService, deps: [{ token: i1$4.Overlay }, { token: i1$3.LiveAnnouncer }, { token: i0.Injector }, { token: BaoSnackBarService, optional: true, skipSelf: true }, { token: BAO_SNACK_BAR_DEFAULT_OPTIONS }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarService, decorators: [{
            type: Injectable,
            args: [{ providedIn: 'root' }]
        }], ctorParameters: () => [{ type: i1$4.Overlay }, { type: i1$3.LiveAnnouncer }, { type: i0.Injector }, { type: BaoSnackBarService, decorators: [{
                    type: Optional
                }, {
                    type: SkipSelf
                }] }, { type: BaoSnackBarConfig, decorators: [{
                    type: Inject,
                    args: [BAO_SNACK_BAR_DEFAULT_OPTIONS]
                }] }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SNACKBAR_DIRECTIVES = [
    BaoSimpleSnackBarComponent,
    BaoSnackBarContainerComponent
];
class BaoSnackBarModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarModule, declarations: [BaoSimpleSnackBarComponent,
            BaoSnackBarContainerComponent], imports: [CommonModule,
            OverlayModule,
            PortalModule,
            BaoButtonModule,
            BaoIconModule], exports: [BaoSimpleSnackBarComponent,
            BaoSnackBarContainerComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarModule, providers: [BaoSnackBarService, BaoSnackBarConfig], imports: [CommonModule,
            OverlayModule,
            PortalModule,
            BaoButtonModule,
            BaoIconModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSnackBarModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        CommonModule,
                        OverlayModule,
                        PortalModule,
                        BaoButtonModule,
                        BaoIconModule
                    ],
                    providers: [BaoSnackBarService, BaoSnackBarConfig],
                    declarations: SNACKBAR_DIRECTIVES,
                    exports: SNACKBAR_DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
let summaryUniqueId = 0;
class BaoSummaryComponent {
    constructor(elementRef) {
        this.elementRef = elementRef;
        /**
         * Set display mode
         * RESPONSIVE (viewport width <=> is 576px)
         * COMPACT (viewport width < 576px)
         */
        this.displayMode = "responsive" /* EDisplayMode.RESPONSIVE */;
        /**
         * Initialize the ID for summary
         */
        this._uniqueId = `bao-summary-${++summaryUniqueId}`;
        if (!this.id) {
            this.id = this._uniqueId;
        }
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngOnInit() {
        this.ariaDescribedbyError = `${this.id}-ariadescribedby-error`;
        this.ariaDescribedbyGuidingText = `${this.id}-ariadescribedby-guiding-text`;
        this.ariaLabelledby = `${this.id}-arialabelledby`;
    }
    ngAfterViewInit() {
        this.setAriaDescribedByToDescription();
    }
    setAriaDescribedByToDescription() {
        const baoLabel = this.elementNode('BAO-LABEL');
        const baoError = this.elementNode('BAO-ERROR');
        const baoGuidingText = this.elementNode('BAO-GUIDING-TEXT');
        const summaryDiv = this.elementNode('DIV');
        if (summaryDiv) {
            const summaryText = this.elementNode('DIV', summaryDiv);
            if (summaryText && baoLabel) {
                baoLabel.setAttribute('id', this.ariaLabelledby);
                summaryText.setAttribute('aria-labelledby', this.ariaLabelledby);
            }
            if (summaryText && baoGuidingText) {
                baoGuidingText.setAttribute('id', this.ariaDescribedbyGuidingText);
                summaryText.setAttribute('aria-describedby', this.ariaDescribedbyGuidingText);
            }
            if (summaryText && baoError) {
                baoError.setAttribute('id', this.ariaDescribedbyError);
                this.attribues = baoGuidingText
                    ? `${this.ariaDescribedbyError}, ${this.ariaDescribedbyGuidingText}`
                    : this.ariaDescribedbyError;
                summaryText.setAttribute('aria-describedby', this.attribues);
            }
        }
    }
    elementNode(name, nativeElt) {
        const childNodes = nativeElt
            ? Array.from(nativeElt.childNodes)
            : Array.from(this.nativeElement.childNodes);
        const element = childNodes.find(x => x.nodeName === name);
        return element;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryComponent, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoSummaryComponent, selector: "bao-summary, [bao-summary], [baoSummary]", inputs: { displayMode: "displayMode", id: "id" }, host: { properties: { "class.bao-displaymode-compact": "displayMode === \"compact\"" }, classAttribute: "bao-summary" }, ngImport: i0, template: "<ng-content select=\"bao-label\"></ng-content>\n<ng-content select=\"bao-guiding-text, [bao-guiding-text]\"></ng-content>\n\n<div class=\"bao-summary-content\">\n  <div class=\"bao-summary-text\">\n    <ng-content select=\"bao-title-text, [bao-title-text]\"></ng-content>\n    <ng-content select=\"bao-summary-description\"></ng-content>\n    <ng-content\n      select=\"bao-list-summary, [bao-list-summary], [baoListSummary]\"\n    ></ng-content>\n  </div>\n  <ng-content select=\"button[bao-button]\"></ng-content>\n</div>\n<ng-content select=\"bao-error, [bao-error]\"></ng-content>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-summary .bao-label,.bao-summary .bao-guiding-text{margin:0 0 .5rem}.bao-summary .bao-summary-content{display:flex;flex-direction:row;align-items:flex-start;justify-content:space-between;border:.063rem solid #ced4da;box-sizing:border-box;border-radius:.25rem;padding:.5rem .5rem 1rem 1rem}.bao-summary .bao-summary-content .bao-summary-text{display:flex;flex-direction:column;padding:.5rem .5rem 0 0}.bao-summary .bao-summary-content .bao-summary-text .bao-summary-description{font-weight:400;font-size:1rem;line-height:1.5rem}.bao-summary .bao-summary-content .bao-summary-text .bao-summary-description p{margin-bottom:0}.bao-summary .bao-summary-content button.buttonText{display:none}.bao-summary .bao-summary-content button.buttonIcon{margin-left:.5rem}@media (min-width: 576px){.bao-summary:not(.bao-displaymode-compact) .bao-summary-content{padding:1.5rem 1.5rem 2rem 2rem}.bao-summary:not(.bao-displaymode-compact) .bao-summary-content button.buttonText{display:block;margin-left:.5rem}.bao-summary:not(.bao-displaymode-compact) .bao-summary-content button.buttonIcon{display:none}}.bao-summary .bao-error{margin-top:.5rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-summary, [bao-summary], [baoSummary]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-summary',
                        '[class.bao-displaymode-compact]': 'displayMode === "compact"'
                    }, template: "<ng-content select=\"bao-label\"></ng-content>\n<ng-content select=\"bao-guiding-text, [bao-guiding-text]\"></ng-content>\n\n<div class=\"bao-summary-content\">\n  <div class=\"bao-summary-text\">\n    <ng-content select=\"bao-title-text, [bao-title-text]\"></ng-content>\n    <ng-content select=\"bao-summary-description\"></ng-content>\n    <ng-content\n      select=\"bao-list-summary, [bao-list-summary], [baoListSummary]\"\n    ></ng-content>\n  </div>\n  <ng-content select=\"button[bao-button]\"></ng-content>\n</div>\n<ng-content select=\"bao-error, [bao-error]\"></ng-content>\n", styles: [".bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-summary .bao-label,.bao-summary .bao-guiding-text{margin:0 0 .5rem}.bao-summary .bao-summary-content{display:flex;flex-direction:row;align-items:flex-start;justify-content:space-between;border:.063rem solid #ced4da;box-sizing:border-box;border-radius:.25rem;padding:.5rem .5rem 1rem 1rem}.bao-summary .bao-summary-content .bao-summary-text{display:flex;flex-direction:column;padding:.5rem .5rem 0 0}.bao-summary .bao-summary-content .bao-summary-text .bao-summary-description{font-weight:400;font-size:1rem;line-height:1.5rem}.bao-summary .bao-summary-content .bao-summary-text .bao-summary-description p{margin-bottom:0}.bao-summary .bao-summary-content button.buttonText{display:none}.bao-summary .bao-summary-content button.buttonIcon{margin-left:.5rem}@media (min-width: 576px){.bao-summary:not(.bao-displaymode-compact) .bao-summary-content{padding:1.5rem 1.5rem 2rem 2rem}.bao-summary:not(.bao-displaymode-compact) .bao-summary-content button.buttonText{display:block;margin-left:.5rem}.bao-summary:not(.bao-displaymode-compact) .bao-summary-content button.buttonIcon{display:none}}.bao-summary .bao-error{margin-top:.5rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { displayMode: [{
                type: Input
            }], id: [{
                type: Input
            }] } });
class BaoSummaryDescription {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryDescription, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoSummaryDescription, selector: "bao-summary-description, [bao-summary-description], [baoSummaryDescription]", host: { classAttribute: "bao-summary-description" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryDescription, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-summary-description, [bao-summary-description], [baoSummaryDescription]',
                    host: { class: 'bao-summary-description' }
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoListSummaryItem {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListSummaryItem, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoListSummaryItem, selector: "bao-list-summary-item, [bao-list-summary-item], [baoListSummaryItem]", host: { attributes: { "role": "listitem" }, classAttribute: "bao-list-summary-item" }, ngImport: i0, template: `<ng-content></ng-content>`, isInline: true, styles: ["@charset \"UTF-8\";.bao-list-summary-item{font-weight:600;color:#000}.bao-list-summary-item:before{content:\"\\2022\";color:#d3310a;font-weight:700;display:inline-block;width:1em;margin-left:-1em}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListSummaryItem, decorators: [{
            type: Component,
            args: [{ selector: 'bao-list-summary-item, [bao-list-summary-item], [baoListSummaryItem]', template: `<ng-content></ng-content>`, encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-list-summary-item',
                        role: 'listitem'
                    }, styles: ["@charset \"UTF-8\";.bao-list-summary-item{font-weight:600;color:#000}.bao-list-summary-item:before{content:\"\\2022\";color:#d3310a;font-weight:700;display:inline-block;width:1em;margin-left:-1em}\n"] }]
        }] });
class BaoListSummary {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListSummary, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoListSummary, selector: "bao-list-summary, [bao-list-summary], [baoListSummary]", host: { attributes: { "role": "list" }, classAttribute: "bao-list-summary" }, ngImport: i0, template: `<ng-content></ng-content>`, isInline: true, styles: [".bao-list-summary{padding-left:2rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoListSummary, decorators: [{
            type: Component,
            args: [{ selector: 'bao-list-summary, [bao-list-summary], [baoListSummary]', template: `<ng-content></ng-content>`, encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-list-summary',
                        role: 'list'
                    }, styles: [".bao-list-summary{padding-left:2rem}\n"] }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SUMMARY_DIRECTIVES = [
    BaoSummaryComponent,
    BaoSummaryDescription,
    BaoListSummary,
    BaoListSummaryItem
];
class BaoSummaryModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryModule, declarations: [BaoSummaryComponent,
            BaoSummaryDescription,
            BaoListSummary,
            BaoListSummaryItem], imports: [CommonModule, BaoCommonComponentsModule], exports: [BaoSummaryComponent,
            BaoSummaryDescription,
            BaoListSummary,
            BaoListSummaryItem] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryModule, imports: [CommonModule, BaoCommonComponentsModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSummaryModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoCommonComponentsModule],
                    declarations: SUMMARY_DIRECTIVES,
                    exports: SUMMARY_DIRECTIVES
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const Breakpoints = {
    XSmall: '(max-width: 575.98px)',
    Small: '(min-width: 576px) and (max-width: 767.98px)',
    Medium: '(min-width: 768px) and (max-width: 991.98px)',
    Large: '(min-width: 992px) and (max-width: 1199.98px)',
    XLarge: '(min-width: 1200px)'
};

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/**
 * This component is dynamically added to replace breadcrumb when System Header is viewed on tablet or mobile screens.
 * Used internally by BaoSystemHeaderComponent only, not to be used by host application.
 */
class BaoBackNavigationComponent {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
    }
    ngOnChanges(changes) {
        if (changes['link'] && changes['link'].currentValue) {
            this.renderer.setAttribute(this.elementRef.nativeElement.children[0], 'href', changes['link'].currentValue);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBackNavigationComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoBackNavigationComponent, selector: "bao-back-navigation-component", inputs: { link: "link" }, host: { classAttribute: "bao-system-header-back-button" }, usesOnChanges: true, ngImport: i0, template: ` <a>
    <bao-icon
      color="action"
      title="arrow-left"
      svgIcon="icon-arrow-left"
      size="x-small"
    ></bao-icon>
  </a>`, isInline: true, dependencies: [{ kind: "component", type: BaoIconComponent, selector: "bao-icon", inputs: ["color", "size", "svgIcon", "title"], exportAs: ["baoIcon"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBackNavigationComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'bao-back-navigation-component',
                    template: ` <a>
    <bao-icon
      color="action"
      title="arrow-left"
      svgIcon="icon-arrow-left"
      size="x-small"
    ></bao-icon>
  </a>`,
                    host: {
                        class: 'bao-system-header-back-button'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { link: [{
                type: Input
            }] } });
/**
 * This directive is to mark the template where the BaoBackNavigationComponent should be dynamically inserted,
 * when a Breadcrumb component needs to be replaced
 */
class BaoBackNavigationInsert {
    constructor(viewContainerRef) {
        this.viewContainerRef = viewContainerRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBackNavigationInsert, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoBackNavigationInsert, selector: "[backNavigationInsert]", ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBackNavigationInsert, decorators: [{
            type: Directive,
            args: [{
                    selector: '[backNavigationInsert]'
                }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }] });
class BaoSystemHeaderComponent {
    constructor(cd, breakpointObserver, renderer) {
        this.cd = cd;
        this.breakpointObserver = breakpointObserver;
        this.renderer = renderer;
        this.screenType = 'desktop';
    }
    get textContainerChildren() {
        return Array.from(this.textContainer.nativeElement.children);
    }
    ngOnInit() {
        if ([Breakpoints.XSmall, Breakpoints.Small].some(size => this.breakpointObserver.isMatched(size))) {
            this.screenType = 'mobile';
        }
        else if (this.breakpointObserver.isMatched(Breakpoints.Medium)) {
            this.screenType = 'tablet';
        }
        else if ([Breakpoints.Large, Breakpoints.XLarge].some(size => this.breakpointObserver.isMatched(size))) {
            this.screenType = 'desktop';
        }
    }
    ngAfterViewInit() {
        this.formatNavigation();
        this.applySizeClass();
        this.cd.detectChanges();
    }
    formatNavigation() {
        // If view is rendered on a mobile/tablet screen
        if (this.screenType == 'mobile' || this.screenType == 'tablet') {
            if (this.textContainerChildren[0].className == 'bao-breadcrumb') {
                // Retrieve link of parent page
                const breadcrumbElementsList = this.textContainerChildren[0].children[0];
                const breadcrumbLength = breadcrumbElementsList.children.length;
                const parentLink = breadcrumbElementsList.children[breadcrumbLength - 2].attributes['href'].value;
                // Remove Breadcrumb component and replace it with back button
                this.renderer.removeChild(this.textContainer.nativeElement, this.textContainerChildren[0]);
                const viewContainerRef = this.backButtonInsert.viewContainerRef;
                viewContainerRef.clear();
                const componentRef = viewContainerRef.createComponent(BaoBackNavigationComponent);
                componentRef.setInput('link', parentLink);
            }
        }
    }
    applySizeClass() {
        const tagInfoContainer = this.textContainer.nativeElement.childNodes[this.textContainerChildren.length - 1];
        if (this.screenType === 'mobile') {
            this.renderer.addClass(tagInfoContainer, 'mobile');
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: i2$1.BreakpointObserver }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoSystemHeaderComponent, selector: "bao-system-header", host: { classAttribute: "bao-system-header" }, viewQueries: [{ propertyName: "textContainer", first: true, predicate: ["textContainer"], descendants: true }, { propertyName: "backButtonInsert", first: true, predicate: BaoBackNavigationInsert, descendants: true, static: true }], ngImport: i0, template: "<div class=\"left-side-content\">\n  <div class=\"back-navigation-container\">\n    <ng-content select=\"a\"></ng-content>\n    <ng-template backNavigationInsert></ng-template>\n  </div>\n  <div #textContainer class=\"text-content\">\n    <ng-content select=\"bao-breadcrumb\"></ng-content>\n    <ng-content select=\"h1\"></ng-content>\n    <div class=\"tag-info-container\">\n      <ng-content select=\"bao-tag\"></ng-content>\n      <span class=\"additional-info\">\n        <ng-content select=\"span\"></ng-content>\n      </span>\n    </div>\n  </div>\n</div>\n<div class=\"button-container\">\n  <ng-content></ng-content>\n</div>\n", styles: ["@charset \"UTF-8\";.bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-system-header{display:flex;justify-content:flex-start}.bao-system-header .left-side-content{display:inline-flex;width:75%}.bao-system-header .left-side-content .back-navigation-container a{margin-right:1.25rem;border-bottom:none}.bao-system-header .left-side-content .back-navigation-container a:hover{cursor:pointer}.bao-system-header .left-side-content .text-content{width:100%}.bao-system-header .left-side-content .text-content h1{font-weight:700;color:#212529;font-size:1.5rem;line-height:2rem;margin-bottom:.5rem}.bao-system-header .left-side-content .text-content .tag-info-container{width:100%;display:block}.bao-system-header .left-side-content .text-content .tag-info-container>span:nth-child(2):before{content:\"\\b7\";margin:0 .5rem}.bao-system-header .left-side-content .text-content .tag-info-container .additional-info>*{font-weight:400;font-size:.875rem;line-height:1.25rem}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .bao-tag{margin-bottom:.25rem}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .additional-info{display:block}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .additional-info:before{content:none}.bao-system-header .left-side-content .text-content .tag-info-container>.bao-tag{max-width:100%}.bao-system-header .left-side-content .text-content .tag-info-container>.bao-tag>span{width:100%;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.bao-system-header .button-container{flex-shrink:0;margin-left:auto}.bao-system-header .button-container .bao-button{margin-left:1rem}\n"], dependencies: [{ kind: "directive", type: BaoBackNavigationInsert, selector: "[backNavigationInsert]" }], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-system-header', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-system-header'
                    }, template: "<div class=\"left-side-content\">\n  <div class=\"back-navigation-container\">\n    <ng-content select=\"a\"></ng-content>\n    <ng-template backNavigationInsert></ng-template>\n  </div>\n  <div #textContainer class=\"text-content\">\n    <ng-content select=\"bao-breadcrumb\"></ng-content>\n    <ng-content select=\"h1\"></ng-content>\n    <div class=\"tag-info-container\">\n      <ng-content select=\"bao-tag\"></ng-content>\n      <span class=\"additional-info\">\n        <ng-content select=\"span\"></ng-content>\n      </span>\n    </div>\n  </div>\n</div>\n<div class=\"button-container\">\n  <ng-content></ng-content>\n</div>\n", styles: ["@charset \"UTF-8\";.bao-container{padding-right:16px;padding-left:16px;margin-right:auto;margin-left:auto;width:100%}@media (min-width: 576px){.bao-container{max-width:576px}}@media (min-width: 768px){.bao-container{max-width:768px}}@media (min-width: 992px){.bao-container{max-width:992px}}@media (min-width: 1200px){.bao-container{max-width:1200px}}.bao-row{display:flex;flex-wrap:wrap;margin-right:-16px;margin-left:-16px}.bao-col-12,.bao-col-lg-7{position:relative;width:100%;padding-right:1rem;padding-left:1rem}@media (min-width: 992px){.bao-col-lg-7{flex:0 0 58.33333%;max-width:58.33333%}}.bao-system-header{display:flex;justify-content:flex-start}.bao-system-header .left-side-content{display:inline-flex;width:75%}.bao-system-header .left-side-content .back-navigation-container a{margin-right:1.25rem;border-bottom:none}.bao-system-header .left-side-content .back-navigation-container a:hover{cursor:pointer}.bao-system-header .left-side-content .text-content{width:100%}.bao-system-header .left-side-content .text-content h1{font-weight:700;color:#212529;font-size:1.5rem;line-height:2rem;margin-bottom:.5rem}.bao-system-header .left-side-content .text-content .tag-info-container{width:100%;display:block}.bao-system-header .left-side-content .text-content .tag-info-container>span:nth-child(2):before{content:\"\\b7\";margin:0 .5rem}.bao-system-header .left-side-content .text-content .tag-info-container .additional-info>*{font-weight:400;font-size:.875rem;line-height:1.25rem}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .bao-tag{margin-bottom:.25rem}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .additional-info{display:block}.bao-system-header .left-side-content .text-content .tag-info-container.mobile .additional-info:before{content:none}.bao-system-header .left-side-content .text-content .tag-info-container>.bao-tag{max-width:100%}.bao-system-header .left-side-content .text-content .tag-info-container>.bao-tag>span{width:100%;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.bao-system-header .button-container{flex-shrink:0;margin-left:auto}.bao-system-header .button-container .bao-button{margin-left:1rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i2$1.BreakpointObserver }, { type: i0.Renderer2 }], propDecorators: { textContainer: [{
                type: ViewChild,
                args: ['textContainer', { static: false }]
            }], backButtonInsert: [{
                type: ViewChild,
                args: [BaoBackNavigationInsert, { static: true }]
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SYSTEM_HEADER_DIRECTIVES = [
    BaoSystemHeaderComponent,
    BaoBackNavigationInsert,
    BaoBackNavigationComponent
];
class BaoSystemHeaderModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderModule, declarations: [BaoSystemHeaderComponent,
            BaoBackNavigationInsert,
            BaoBackNavigationComponent], imports: [CommonModule, BaoIconModule], exports: [BaoSystemHeaderComponent,
            BaoBackNavigationInsert,
            BaoBackNavigationComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderModule, imports: [CommonModule, BaoIconModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoSystemHeaderModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule, BaoIconModule],
                    declarations: [SYSTEM_HEADER_DIRECTIVES],
                    exports: [SYSTEM_HEADER_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
/**
 * Unique number to generate a unique ID
 */
let tabsNextUniqueId = 0;
class BaoTabHeader {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * Emits its index when tab is clicked
         */
        this.onTabClick = new EventEmitter();
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    onClick(el) {
        const tabIndex = el.id.split('-')[el.id.split('-').length - 1];
        this.onTabClick.emit(tabIndex);
    }
    ngAfterViewInit() {
        this.renderer.setAttribute(this.nativeElement, 'role', 'tab');
        this.renderer.setAttribute(this.nativeElement, 'aria-selected', 'false');
        this.renderer.setAttribute(this.nativeElement, 'tabindex', '-1');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabHeader, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoTabHeader, selector: "bao-tab-header, [bao-tab-header]", outputs: { onTabClick: "onTabClick" }, host: { listeners: { "click": "onClick($event.target)" }, classAttribute: "bao-tab-header" }, exportAs: ["baoTabHeader"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabHeader, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-tab-header, [bao-tab-header]',
                    exportAs: 'baoTabHeader',
                    host: {
                        class: 'bao-tab-header'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { onTabClick: [{
                type: Output
            }], onClick: [{
                type: HostListener,
                args: ['click', ['$event.target']]
            }] } });
class BaoTabPanel {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        this.renderer.setAttribute(this.nativeElement, 'role', 'tabpanel');
        this.renderer.setAttribute(this.nativeElement, 'hidden', 'true');
        this.renderer.setAttribute(this.nativeElement, 'tabindex', '0');
        this.renderer.setAttribute(this.nativeElement, 'aria-expanded', 'false');
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabPanel, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoTabPanel, selector: "bao-panel, [bao-panel]", host: { classAttribute: "bao-panel" }, exportAs: ["baoPanel"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabPanel, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-panel, [bao-panel]',
                    exportAs: 'baoPanel',
                    host: {
                        class: 'bao-panel'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }] });
class BaoTablistComponent {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * Size of the tabs displayed
         */
        this.size = 'large';
        /**
         * Optionnal value to be used as aria-label property on tablist component
         */
        this.ariaLabel = 'onglets';
        /**
         * Emits the index of the new active tab
         */
        this.activeTabChange = new EventEmitter();
        this.uniqueId = `bao-tablist-${tabsNextUniqueId++}`;
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    get tabs() {
        return this.elementRef.nativeElement.children;
    }
    leftKeyEvent() {
        if (document.activeElement.parentElement.id === this.uniqueId) {
            this.activeTabIndex = this.getNextActivableTabIndex(parseInt(this.activeTabIndex), false);
            this.changeActiveTab(this.activeTabIndex, true);
            this.activeTabChange.emit(this.activeTabIndex);
        }
    }
    rightKeyEvent() {
        if (document.activeElement.parentElement.id === this.uniqueId) {
            this.activeTabIndex = this.getNextActivableTabIndex(parseInt(this.activeTabIndex), true);
            this.changeActiveTab(this.activeTabIndex, true);
            this.activeTabChange.emit(this.activeTabIndex);
        }
    }
    /**
     * Makes the focus visible on tab header when changing from mouse to keyboard navigation
     */
    tabKeyEvent() {
        if (document.activeElement.parentElement.id === this.uniqueId) {
            this.renderer.addClass(this.tabs[this.activeTabIndex], 'focus-visible');
        }
    }
    /**
     * Makes the focus visible on tab header when changing from mouse to keyboard navigation
     */
    tabShiftKeyEvent() {
        if (document.activeElement.parentElement.id === this.uniqueId) {
            this.renderer.addClass(this.tabs[this.activeTabIndex], 'focus-visible');
        }
    }
    ngAfterViewInit() {
        this.setTablistAttributes();
        if (this.nativeElement.childElementCount) {
            this.setInitialActiveTab();
        }
    }
    ngAfterContentInit() {
        this.tabHeaders.forEach((tab) => {
            tab.onTabClick.subscribe((index) => {
                this.renderer.removeClass(this.tabs[index], 'focus-visible');
                this.activeTabIndex = index;
                this.changeActiveTab(index, false);
                this.activeTabChange.emit(index);
            });
        });
    }
    ngOnDestroy() {
        this.tabHeaders.forEach((tab) => {
            tab.onTabClick.unsubscribe();
        });
    }
    setTablistAttributes() {
        this.renderer.setAttribute(this.nativeElement, 'role', 'tablist');
        this.renderer.setAttribute(this.nativeElement, 'aria-label', this.ariaLabel);
        this.renderer.setProperty(this.nativeElement, 'id', this.uniqueId);
    }
    setInitialActiveTab() {
        const firstTabIndex = Array.from(this.tabs).findIndex((tab) => !tab.attributes['disabled']);
        this.activeTabIndex = firstTabIndex.toString();
        this.renderer.setAttribute(this.tabs[firstTabIndex], 'aria-selected', 'true');
        this.renderer.addClass(this.tabs[firstTabIndex], 'active');
        this.renderer.addClass(this.tabs[firstTabIndex], 'focus-visible');
        this.renderer.removeAttribute(this.tabs[firstTabIndex], 'tabindex');
    }
    changeActiveTab(newActiveTabIndex, isFocusVisible) {
        Array.from(this.tabs).forEach((tab) => {
            if (tab.id === `bao-tab-${newActiveTabIndex}`) {
                if (isFocusVisible) {
                    this.renderer.addClass(tab, 'focus-visible');
                }
                this.renderer.setAttribute(tab, 'aria-selected', 'true');
                this.renderer.addClass(tab, 'active');
                this.renderer.removeAttribute(tab, 'tabindex');
                tab.focus();
            }
            else {
                this.renderer.setAttribute(tab, 'aria-selected', 'false');
                this.renderer.removeClass(tab, 'active');
                this.renderer.setAttribute(tab, 'tabindex', '-1');
                this.renderer.removeClass(tab, 'focus-visible');
            }
        });
    }
    /**
     * Finds the next activable tab index when navigating with left and right arrow keys
     * @param currentIndex Tab index which currently has focus
     * @param isRight Whether the tab navigation is going in the right direction or not
     * @returns Index of the new tab that will receive focus
     */
    getNextActivableTabIndex(currentIndex, isRight) {
        const nextIndex = isRight ? currentIndex + 1 : currentIndex - 1;
        const nextIndexInTablist = ((nextIndex % this.tabs.length) + this.tabs.length) % this.tabs.length;
        if (this.tabs[nextIndexInTablist].attributes['disabled']) {
            return this.getNextActivableTabIndex(nextIndexInTablist, isRight);
        }
        return nextIndexInTablist.toString();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTablistComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoTablistComponent, selector: "bao-tablist, [bao-tablist]", inputs: { size: "size", ariaLabel: "ariaLabel" }, outputs: { activeTabChange: "activeTabChange" }, host: { listeners: { "window:keydown.arrowleft": "leftKeyEvent()", "window:keydown.arrowright": "rightKeyEvent()", "window:keydown.tab": "tabKeyEvent()", "window:keydown.shift.tab": "tabShiftKeyEvent()" }, properties: { "class.bao-tablist-small": "size === \"small\"", "class.bao-tablist-medium": "size === \"medium\"", "class.bao-tablist-large": "size === \"large\"" }, classAttribute: "bao-tablist" }, queries: [{ propertyName: "tabHeaders", predicate: BaoTabHeader }], ngImport: i0, template: "<ng-content></ng-content>\n", styles: [".bao-tablist{color:#637381;display:block;overflow:auto;white-space:nowrap;box-shadow:inset 0 -.125rem #ced4da}.bao-tablist.bao-tablist-small{font-weight:700;font-size:.75rem;line-height:1rem}.bao-tablist.bao-tablist-small>.bao-tab-header{padding:.5rem}.bao-tablist.bao-tablist-medium{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-tablist.bao-tablist-medium>.bao-tab-header{padding:.625rem 1rem}.bao-tablist.bao-tablist-large{font-weight:700;font-size:1rem;line-height:1.5rem}.bao-tablist.bao-tablist-large>.bao-tab-header{padding:1rem}.bao-tablist button{all:unset}.bao-tablist>.bao-tab-header:hover:not(:disabled){color:#097d6c;cursor:pointer;box-shadow:inset 0 -.125rem #097d6c}.bao-tablist>.bao-tab-header.active{color:#097d6c;box-shadow:inset 0 -.125rem #097d6c}.bao-tablist>.bao-tab-header:focus.focus-visible{box-shadow:inset 0 0 0 .1875rem #98bcde;color:#637381}.bao-tablist>.bao-tab-header:disabled{color:#adb2bd}\n"], encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTablistComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-tablist, [bao-tablist]', encapsulation: ViewEncapsulation.None, host: {
                        class: 'bao-tablist',
                        '[class.bao-tablist-small]': 'size === "small"',
                        '[class.bao-tablist-medium]': 'size === "medium"',
                        '[class.bao-tablist-large]': 'size === "large"'
                    }, template: "<ng-content></ng-content>\n", styles: [".bao-tablist{color:#637381;display:block;overflow:auto;white-space:nowrap;box-shadow:inset 0 -.125rem #ced4da}.bao-tablist.bao-tablist-small{font-weight:700;font-size:.75rem;line-height:1rem}.bao-tablist.bao-tablist-small>.bao-tab-header{padding:.5rem}.bao-tablist.bao-tablist-medium{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-tablist.bao-tablist-medium>.bao-tab-header{padding:.625rem 1rem}.bao-tablist.bao-tablist-large{font-weight:700;font-size:1rem;line-height:1.5rem}.bao-tablist.bao-tablist-large>.bao-tab-header{padding:1rem}.bao-tablist button{all:unset}.bao-tablist>.bao-tab-header:hover:not(:disabled){color:#097d6c;cursor:pointer;box-shadow:inset 0 -.125rem #097d6c}.bao-tablist>.bao-tab-header.active{color:#097d6c;box-shadow:inset 0 -.125rem #097d6c}.bao-tablist>.bao-tab-header:focus.focus-visible{box-shadow:inset 0 0 0 .1875rem #98bcde;color:#637381}.bao-tablist>.bao-tab-header:disabled{color:#adb2bd}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { tabHeaders: [{
                type: ContentChildren,
                args: [BaoTabHeader]
            }], size: [{
                type: Input
            }], ariaLabel: [{
                type: Input
            }], activeTabChange: [{
                type: Output
            }], leftKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.arrowleft']
            }], rightKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.arrowright']
            }], tabKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.tab']
            }], tabShiftKeyEvent: [{
                type: HostListener,
                args: ['window:keydown.shift.tab']
            }] } });
class BaoTabsContainer {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        this.panelIdPrefix = 'bao-panel-';
        this.tabIdPrefix = 'bao-tab-';
    }
    get tabs() {
        return this.elementRef.nativeElement.querySelector('.bao-tablist').children;
    }
    get panels() {
        return this.elementRef.nativeElement.querySelectorAll('.bao-panel');
    }
    ngAfterViewInit() {
        this.setInitialActivePanel();
        Array.from(this.tabs).forEach((tab, idx) => {
            const tabId = `${this.tabIdPrefix}${idx}`;
            const panelId = `${this.panelIdPrefix}${idx}`;
            this.renderer.setProperty(tab, 'id', tabId);
            this.renderer.setProperty(this.panels[idx], 'id', panelId);
            this.renderer.setAttribute(tab, 'aria-controls', panelId);
            this.renderer.setAttribute(this.panels[idx], 'aria-labelledby', tabId);
        });
    }
    ngAfterContentInit() {
        this.tablist.activeTabChange.subscribe((index) => this.changeActivePanel(index));
    }
    ngOnDestroy() {
        this.tablist.activeTabChange.unsubscribe();
    }
    setInitialActivePanel() {
        const firstTabIndex = Array.from(this.tabs).findIndex((tab) => !tab.attributes['disabled']);
        this.renderer.removeAttribute(this.panels[firstTabIndex], 'hidden');
        this.renderer.setAttribute(this.panels[firstTabIndex], 'aria-expanded', 'true');
    }
    changeActivePanel(newActiveId) {
        this.panels.forEach((panel) => {
            if (panel.id === `${this.panelIdPrefix}${newActiveId}`) {
                this.renderer.removeAttribute(panel, 'hidden');
                this.renderer.setAttribute(panel, 'aria-expanded', 'true');
            }
            else {
                this.renderer.setAttribute(panel, 'hidden', 'true');
                this.renderer.setAttribute(panel, 'aria-expanded', 'false');
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsContainer, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.3.12", type: BaoTabsContainer, selector: "bao-tabs, [bao-tabs]", host: { classAttribute: "bao-tabs" }, queries: [{ propertyName: "tablist", first: true, predicate: BaoTablistComponent, descendants: true }], exportAs: ["baoTabs"], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsContainer, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bao-tabs, [bao-tabs]',
                    exportAs: 'baoTabs',
                    host: {
                        class: 'bao-tabs'
                    }
                }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { tablist: [{
                type: ContentChild,
                args: [BaoTablistComponent]
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const TABS_DIRECTIVES = [
    BaoTabsContainer,
    BaoTablistComponent,
    BaoTabHeader,
    BaoTabPanel
];
class BaoTabsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsModule, declarations: [BaoTabsContainer,
            BaoTablistComponent,
            BaoTabHeader,
            BaoTabPanel], imports: [CommonModule], exports: [BaoTabsContainer,
            BaoTablistComponent,
            BaoTabHeader,
            BaoTabPanel] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTabsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TABS_DIRECTIVES],
                    exports: [TABS_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const SPAN = 'span';
const SPAN_TEXT_PROPERTY = 'textContent';
const SCREEN_READER_CLASS_NAME = 'sr-only';
const BAO_ICON = 'bao-icon';
const HAS_ICON = 'has-icon';
class BaoTagComponent {
    constructor(renderer, elementRef) {
        this.renderer = renderer;
        this.elementRef = elementRef;
        /**
         * The color of the tag.
         */
        this.type = 'neutral';
        /**
         * The shade of the tags color.
         */
        this.variant = 'light';
        /**
         * The hidden text for screen readers.
         */
        this.hiddenText = 'Étiquette';
    }
    get nativeElement() {
        return this.elementRef.nativeElement;
    }
    ngAfterViewInit() {
        this.addHiddenText();
        this.addIconClass();
    }
    addHiddenText() {
        const screenReaderSpan = this.renderer.createElement(SPAN);
        this.renderer.setProperty(screenReaderSpan, SPAN_TEXT_PROPERTY, this.hiddenText);
        this.renderer.addClass(screenReaderSpan, SCREEN_READER_CLASS_NAME);
        const labelChild = Array.from(this.nativeElement.children).find(c => c.localName === SPAN);
        this.renderer.insertBefore(this.nativeElement, screenReaderSpan, labelChild);
    }
    addIconClass() {
        const children = Array.from(this.nativeElement.children);
        if (children.some(c => c.localName === BAO_ICON)) {
            this.renderer.addClass(this.nativeElement, HAS_ICON);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTagComponent, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoTagComponent, selector: "bao-tag, [bao-tag], [baoTag]", inputs: { type: "type", variant: "variant", hiddenText: "hiddenText" }, host: { properties: { "class.bao-tag-neutral-light": "type === \"neutral\" && variant === \"light\"", "class.bao-tag-neutral-strong": "type === \"neutral\" && variant === \"strong\"", "class.bao-tag-info-light": "type === \"info\" && variant === \"light\"", "class.bao-tag-info-strong": "type === \"info\" && variant === \"strong\"", "class.bao-tag-positive-light": "type === \"positive\" && variant === \"light\"", "class.bao-tag-positive-strong": "type === \"positive\" && variant === \"strong\"", "class.bao-tag-alert-light": "type === \"alert\" && variant === \"light\"", "class.bao-tag-alert-strong": "type === \"alert\" && variant === \"strong\"", "class.bao-tag-negative-light": "type === \"negative\" && variant === \"light\"", "class.bao-tag-negative-strong": "type === \"negative\" && variant === \"strong\"" }, classAttribute: "bao-tag" }, ngImport: i0, template: "<ng-content select=\"bao-icon\"></ng-content>\n<ng-content></ng-content>\n", styles: [".bao-tag{display:inline-flex;align-items:center;padding:.125rem .5rem;border-radius:.125rem;line-height:1.5rem}.bao-tag.has-icon{padding-left:.25rem}.bao-tag.bao-tag-info-light{background-color:#e6f5f9;color:#004b7b}.bao-tag.bao-tag-info-strong{background-color:#0079c4;color:#fff}.bao-tag.bao-tag-positive-light{background-color:#e7f6f0;color:#025d29}.bao-tag.bao-tag-positive-strong{background-color:#0da566;color:#fff}.bao-tag.bao-tag-negative-light{background-color:#ffebe6;color:#851a00}.bao-tag.bao-tag-negative-strong{background-color:#d3310a;color:#fff}.bao-tag.bao-tag-alert-light{background-color:#fefae6;color:#6c4600}.bao-tag.bao-tag-alert-strong{background-color:#ffb833;color:#212529}.bao-tag.bao-tag-neutral-light{background-color:#dee2e6;color:#212529}.bao-tag.bao-tag-neutral-strong{background-color:#212529;color:#fff}.bao-tag>span{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-tag>.bao-icon{height:1rem;width:1rem;margin-right:.25rem}\n"], changeDetection: i0.ChangeDetectionStrategy.OnPush, encapsulation: i0.ViewEncapsulation.None }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTagComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-tag, [bao-tag], [baoTag]', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, host: {
                        class: 'bao-tag',
                        '[class.bao-tag-neutral-light]': 'type === "neutral" && variant === "light"',
                        '[class.bao-tag-neutral-strong]': 'type === "neutral" && variant === "strong"',
                        '[class.bao-tag-info-light]': 'type === "info" && variant === "light"',
                        '[class.bao-tag-info-strong]': 'type === "info" && variant === "strong"',
                        '[class.bao-tag-positive-light]': 'type === "positive" && variant === "light"',
                        '[class.bao-tag-positive-strong]': 'type === "positive" && variant === "strong"',
                        '[class.bao-tag-alert-light]': 'type === "alert" && variant === "light"',
                        '[class.bao-tag-alert-strong]': 'type === "alert" && variant === "strong"',
                        '[class.bao-tag-negative-light]': 'type === "negative" && variant === "light"',
                        '[class.bao-tag-negative-strong]': 'type === "negative" && variant === "strong"'
                    }, template: "<ng-content select=\"bao-icon\"></ng-content>\n<ng-content></ng-content>\n", styles: [".bao-tag{display:inline-flex;align-items:center;padding:.125rem .5rem;border-radius:.125rem;line-height:1.5rem}.bao-tag.has-icon{padding-left:.25rem}.bao-tag.bao-tag-info-light{background-color:#e6f5f9;color:#004b7b}.bao-tag.bao-tag-info-strong{background-color:#0079c4;color:#fff}.bao-tag.bao-tag-positive-light{background-color:#e7f6f0;color:#025d29}.bao-tag.bao-tag-positive-strong{background-color:#0da566;color:#fff}.bao-tag.bao-tag-negative-light{background-color:#ffebe6;color:#851a00}.bao-tag.bao-tag-negative-strong{background-color:#d3310a;color:#fff}.bao-tag.bao-tag-alert-light{background-color:#fefae6;color:#6c4600}.bao-tag.bao-tag-alert-strong{background-color:#ffb833;color:#212529}.bao-tag.bao-tag-neutral-light{background-color:#dee2e6;color:#212529}.bao-tag.bao-tag-neutral-strong{background-color:#212529;color:#fff}.bao-tag>span{font-weight:700;font-size:.875rem;line-height:1.25rem}.bao-tag>.bao-icon{height:1rem;width:1rem;margin-right:.25rem}\n"] }]
        }], ctorParameters: () => [{ type: i0.Renderer2 }, { type: i0.ElementRef }], propDecorators: { type: [{
                type: Input
            }], variant: [{
                type: Input
            }], hiddenText: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const TAG_DIRECTIVES = [BaoTagComponent];
class BaoTagModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTagModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoTagModule, declarations: [BaoTagComponent], imports: [CommonModule], exports: [BaoTagComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTagModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoTagModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TAG_DIRECTIVES],
                    exports: [TAG_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoModule, imports: [BaoIconModule,
            BaoButtonModule,
            BaoAlertModule,
            BaoCardModule,
            BaoBreadcrumbModule,
            BaoModalModule], exports: [BaoIconModule,
            BaoButtonModule,
            BaoAlertModule,
            BaoBreadcrumbModule,
            BaoCardModule,
            BaoTagModule,
            BaoHeaderInfoModule,
            BaoListModule,
            BaoCommonComponentsModule,
            BaoCheckboxModule,
            BaoRadioModule,
            BaoSummaryModule,
            BaoAvatarModule,
            BaoTabsModule,
            BaoModalModule,
            BaoHyperlinkModule,
            BaoDropdownMenuModule,
            BaoFileModule,
            BaoSnackBarModule,
            BaoSystemHeaderModule,
            BaoMessageBarModule
            // TODO: reactivate once component does not depend on global css BaoBadgeModule,
        ] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModule, imports: [BaoIconModule,
            BaoButtonModule,
            BaoAlertModule,
            BaoCardModule,
            BaoBreadcrumbModule,
            BaoModalModule, BaoIconModule,
            BaoButtonModule,
            BaoAlertModule,
            BaoBreadcrumbModule,
            BaoCardModule,
            BaoTagModule,
            BaoHeaderInfoModule,
            BaoListModule,
            BaoCommonComponentsModule,
            BaoCheckboxModule,
            BaoRadioModule,
            BaoSummaryModule,
            BaoAvatarModule,
            BaoTabsModule,
            BaoModalModule,
            BaoHyperlinkModule,
            BaoDropdownMenuModule,
            BaoFileModule,
            BaoSnackBarModule,
            BaoSystemHeaderModule,
            BaoMessageBarModule
            // TODO: reactivate once component does not depend on global css BaoBadgeModule,
        ] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        BaoIconModule,
                        BaoButtonModule,
                        BaoAlertModule,
                        BaoCardModule,
                        BaoBreadcrumbModule,
                        BaoModalModule
                    ],
                    exports: [
                        BaoIconModule,
                        BaoButtonModule,
                        BaoAlertModule,
                        BaoBreadcrumbModule,
                        BaoCardModule,
                        BaoTagModule,
                        BaoHeaderInfoModule,
                        BaoListModule,
                        BaoCommonComponentsModule,
                        BaoCheckboxModule,
                        BaoRadioModule,
                        BaoSummaryModule,
                        BaoAvatarModule,
                        BaoTabsModule,
                        BaoModalModule,
                        BaoHyperlinkModule,
                        BaoDropdownMenuModule,
                        BaoFileModule,
                        BaoSnackBarModule,
                        BaoSystemHeaderModule,
                        BaoMessageBarModule
                        // TODO: reactivate once component does not depend on global css BaoBadgeModule,
                    ]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
class BaoBadgeComponent {
    constructor() {
        this.type = '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "17.3.12", type: BaoBadgeComponent, selector: "bao-badge", inputs: { type: "type" }, host: { properties: { "class.positive": "type === \"success\"", "class.negative": "type === \"danger\"", "class.warning": "type === \"warning\"", "class.informative": "type === \"info\"" } }, ngImport: i0, template: "<ng-content></ng-content>\n", styles: [":host{display:inline-block;border:.0625rem solid transparent;color:#fff;padding:0 .4375rem;border-radius:10rem;min-width:1.5rem;font-size:.875rem;font-weight:700;line-height:1.25rem;text-align:center;white-space:nowrap;overflow:hidden;vertical-align:baseline}:host.informative{background-color:#0079c4}:host.positive{background-color:#0da566}:host.warning{background-color:#ffb833;color:#000}:host.negative{background-color:#d3310a}\n"] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bao-badge', host: {
                        class: '',
                        '[class.positive]': 'type === "success"',
                        '[class.negative]': 'type === "danger"',
                        '[class.warning]': 'type === "warning"',
                        '[class.informative]': 'type === "info"'
                    }, template: "<ng-content></ng-content>\n", styles: [":host{display:inline-block;border:.0625rem solid transparent;color:#fff;padding:0 .4375rem;border-radius:10rem;min-width:1.5rem;font-size:.875rem;font-weight:700;line-height:1.25rem;text-align:center;white-space:nowrap;overflow:hidden;vertical-align:baseline}:host.informative{background-color:#0079c4}:host.positive{background-color:#0da566}:host.warning{background-color:#ffb833;color:#000}:host.negative{background-color:#d3310a}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */
const BADGE_DIRECTIVES = [BaoBadgeComponent];
class BaoBadgeModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeModule, declarations: [BaoBadgeComponent], imports: [CommonModule], exports: [BaoBadgeComponent] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.3.12", ngImport: i0, type: BaoBadgeModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [BADGE_DIRECTIVES],
                    exports: [BADGE_DIRECTIVES]
                }]
        }] });

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/*
 * Copyright (c) 2025 Ville de Montreal. All rights reserved.
 * Licensed under the MIT license.
 * See LICENSE file in the project root for full license information.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { BAO_FILE_INTL_PROVIDER, BAO_FILE_INTL_PROVIDER_FACTORY, BAO_MODAL_DATA, BAO_RADIO_GROUP, BAO_SNACK_BAR_DATA, BAO_SNACK_BAR_DEFAULT_OPTIONS, BaoAlertActions, BaoAlertComponent, BaoAlertContent, BaoAlertLink, BaoAlertModule, BaoAlertTitle, BaoAvatarComponent, BaoAvatarContent, BaoAvatarModule, BaoBackNavigationComponent, BaoBackNavigationInsert, BaoBadgeComponent, BaoBadgeModule, BaoBreadcrumbComponent, BaoBreadcrumbModule, BaoButtonComponent, BaoButtonModule, BaoCardComponent, BaoCardContent, BaoCardHeader, BaoCardModule, BaoCardTextInterface, BaoCardTitle, BaoCheckBoxDescription, BaoCheckboxComponent, BaoCheckboxGroupComponent, BaoCheckboxModule, BaoCommonComponentsModule, BaoDropdownMenuComponent, BaoDropdownMenuDivider, BaoDropdownMenuItem, BaoDropdownMenuItemDescription, BaoDropdownMenuItemLabel, BaoDropdownMenuModule, BaoDropdownMenuSection, BaoDropdownMenuTrigger, BaoErrorTextComponent, BaoFileDropDirective, BaoFileDropzoneIntructions, BaoFileInputComponent, BaoFileIntl, BaoFileIntlEnglish, BaoFileModule, BaoFilePreviewComponent, BaoGuidingTextComponent, BaoHeaderInfoComponent, BaoHeaderInfoContent, BaoHeaderInfoModule, BaoHeaderInfoSubtitle, BaoHeaderInfoSurtitle, BaoHeaderInfoTitle, BaoHeaderInfoTitleGroupComponent, BaoHyperlinkComponent, BaoHyperlinkModule, BaoIconComponent, BaoIconModule, BaoLabelTextComponent, BaoList, BaoListItem, BaoListItemDescription, BaoListItemTitle, BaoListModule, BaoListSummary, BaoListSummaryItem, BaoMessageBarComponent, BaoMessageBarContent, BaoMessageBarModule, BaoModal, BaoModalBase, BaoModalClose, BaoModalContainer, BaoModalInitialConfig, BaoModalModule, BaoModalRef, BaoModule, BaoNavList, BaoRadioButtonComponent, BaoRadioButtonGroupComponent, BaoRadioDescription, BaoRadioModule, BaoSimpleSnackBarComponent, BaoSnackBarConfig, BaoSnackBarContainerComponent, BaoSnackBarModule, BaoSnackBarRef, BaoSnackBarService, BaoSummaryComponent, BaoSummaryDescription, BaoSummaryModule, BaoSystemHeaderComponent, BaoSystemHeaderModule, BaoTabHeader, BaoTabPanel, BaoTablistComponent, BaoTabsContainer, BaoTabsModule, BaoTagComponent, BaoTagModule, BaoTitleTextComponent, _BaoModalContainerBase, _closeModalVia, baoFactory, eModalDesktopWidthSize, eModalMobileWidthSize, throwBaoModalContentAlreadyAttachedError };
//# sourceMappingURL=villedemontreal-angular-ui.mjs.map
